<?php
/* Trida obsluhuji navigaci */
class Navigace {
  /* Hlavni tridni funkce */
  function Navigace() {
    $this->navigace="";
  }
  
  /* Funkce na zobrazeni navigace */
  function NavigaceUkaz() {
    $this->navigace.="<a href=\"".$GLOBALS["gal_soubor"]."\">".GAL_NAV_PREHLED_CTENARSKE."</a>";
    if($GLOBALS["galkonfigurace"]->galerie_interni):
      $this->navigace.=" - <a href=\"gallery.php?modul=gallery&amp;akce=galerie_interni_prehled\">".GAL_NAV_PREHLED_INTERNI."</a>";
    endif;  
    $GLOBALS["galuzivatel"]->UzivatelAktualni();
    if(!$GLOBALS["galkonfigurace"]->celkove_vyrazeni_externi and ($GLOBALS["galuzivatel"]->UzivatelUkaz("galerie_pocet_zalozeno")>0 or $GLOBALS["galuzivatel"]->UzivatelUkaz("galerie_pocet_verejna")>0) and $GLOBALS["galuzivatel"]->uzivatel_id!=0):
      $this->navigace.=" - <a href=\"gallery.php?modul=gallery&amp;akce=obrazek_novy\">".GAL_NAV_OBRAZEK_NOVY."</a>";
    endif;
    if(!$GLOBALS["galkonfigurace"]->celkove_vyrazeni_externi and $GLOBALS["galuzivatel"]->uzivatel_id!=0):
      $this->navigace.=" - <a href=\"gallery.php?modul=gallery&amp;akce=galerie_nova\">".GAL_NAV_GALERIE_NOVA."</a>";
    endif;
    $this->navigace.=" - <a href=\"".$GLOBALS["gal_soubor"]."?modul=gallery&amp;akce=obrazek_top\">".GAL_NAV_PREHLED_TOP."</a>";
    return "<div class=\"gal_navigace\">".$this->navigace."</div>";
  }
}

/* Trida na obsluhu strankovani */
class Strankovani {
  /* Hlavni tridni funkce */
  function Strankovani() {
    $this->pokolika=0;
    $this->aktstrana=0;
    $this->celkpocet=0;
    $this->co="";
    }
  
  /* Nastaveni strankovani */  
  function StrankovaniNastav($co="",$celkpocet=0,$pokolika,$aktstrana=0) {
    $this->pokolika=$pokolika;
    $this->aktstrana=$aktstrana;
    $this->celkpocet=$celkpocet;
    $this->co=$co;  
    switch($co):
      case "galerie_prehled": $this->odkaz="gallery.php?modul=gallery&amp;akce=galerie_prehled&amp;strana="; break;
      case "galerie_interni_prehled": $this->odkaz="?modul=gallery&amp;akce=galerie_interni_prehled&amp;strana="; break;
      case "galerie_ukaz": $this->odkaz="gallery.php?modul=gallery&amp;akce=galerie_ukaz&amp;galerie_id=".$GLOBALS["galerie_id"]."&amp;jak=".$GLOBALS["jak"]."&amp;kolik=".$GLOBALS["kolik"]."&amp;strana="; break;
      case "galerie_interni_ukaz": $this->odkaz="?modul=gallery&amp;akce=galerie_interni_ukaz&amp;galerie_id=".$GLOBALS["galerie_id"]."&amp;jak=".$GLOBALS["jak"]."&amp;kolik=".$GLOBALS["kolik"]."&amp;strana="; break;
    endswitch;
  }
  
  /* Zobrazeni strankovani */
  function Ukaz() {
    $po=6; // kolik okolnich cisel priblizne zobrazovat
    if($this->aktstrana>(ceil($this->celkpocet/$this->pokolika))): $this->aktstrana=1; endif;
    if($this->aktstrana<round($po/2)): $pozs=round($po/2);
    elseif($this->aktstrana>($this->celkpocet-round($po/2))): $pozs=$this->celkpocet-round($po/2);
    else: $pozs = $this->aktstrana;
    endif;
    $vrat="-- ".GAL_STR_STRANA." ";
    for($i=1;$i<=ceil($this->celkpocet/$this->pokolika);$i++):
     if((($i>$pozs-round($po/2)) and ($i<$pozs+round($po/2))) or $i==1 or $i==ceil($this->celkpocet/$this->pokolika)):    
       if($i==ceil($this->celkpocet/$this->pokolika) and $this->aktstrana<ceil($this->celkpocet/$this->pokolika)-round($po/2)):
        $vrat.=" &hellip; ";
       endif;
       if($this->aktstrana!=$i):
        $vrat.="<a href=\"".$this->odkaz.$i."\">".$i."</a>";
       else:
        $vrat.="<strong>".$i."</strong>";
       endif;
       if($i==1 and $this->aktstrana>(0+round($po/2))):
        $vrat.=" &hellip; "; 
       else:
        $vrat.=" ";
       endif;
     endif;
    endfor;
    $od=$this->aktstrana*$this->pokolika-$this->pokolika+1;
    $do=min($this->aktstrana*$this->pokolika,$this->celkpocet);
    $vrat.=" -- ".GAL_STR_ZOBRAZUJI." ".$od."-".$do." -- ";
    return "<div class=\"gal_strankovani\">".$vrat."</div>";
    }
  
  /* Kde zacit vybirat v databazi */
  function KdeZacit() {
    return ($this->aktstrana-1)*$this->pokolika;
    }
}

class Hodnoceni {
  function Hodnoceni() {
    $this->znamka=0;
    $this->obrazek=0;
  }

  function Hodnot($znamka,$obrazek) {
    $this->znamka=$znamka;
    $this->obrazek=$obrazek;
    if($znamka>0 and $znamka<6 and TestNaOpakujiciIP('obrhodnot'.$obrazek,(60*60*2),1)==0):
      mysql_query("update ".$GLOBALS["rspredpona"]."media set media_hodnotilo=(media_hodnotilo+1), media_znamka=(media_znamka+".$this->znamka.") where media_id=".$this->obrazek,$GLOBALS["dbspojeni"]);
    endif;
  }
  
  function HodnoceniFormular() {
    $vrat="<form action=\"".$GLOBALS["gal_soubor"]."\" method=\"get\">";
    $vrat.="<input type='hidden' name='modul' value='gallery'>";
    $vrat.="<input type=\"hidden\" name=\"akce\" value=\"obrazek_ukaz\">";
    $vrat.="<input type=\"hidden\" name=\"hodnot\" value=\"1\">";
    $vrat.="<input type=\"hidden\" name=\"obrazek_id\" value=\"".$GLOBALS["obrazek_id"]."\">";
    $vrat.="<input type=\"submit\" class=\"tl\"  name=\"znamka\" value=\"1\" title=\"1\">";
    $vrat.="<input type=\"submit\" class=\"tl\"  name=\"znamka\" value=\"2\" title=\"2\">";
    $vrat.="<input type=\"submit\" class=\"tl\"  name=\"znamka\" value=\"3\" title=\"3\">";
    $vrat.="<input type=\"submit\" class=\"tl\"  name=\"znamka\" value=\"4\" title=\"4\">";
    $vrat.="<input type=\"submit\" class=\"tl\"  name=\"znamka\" value=\"5\" title=\"5\">";
    $vrat.="</form>";
    return $vrat;
  }
}

function Jazyk() {
if (!GAL_DEFINE_ADMIN AND $GLOBALS["prmyctenar"]->ctenarstav==1):
  if ($GLOBALS["prmyctenar"]->Ukaz("jazyk")!=""):
    return $GLOBALS["prmyctenar"]->Ukaz("jazyk");
  else:
    return "cz";
  endif;
else:
  return "cz";
endif;
}
?>
