<?php
  ######################################################################
  #  plugin pro phpRS - Inzertní systém - 3.0.0
  ######################################################################

  // Copyright (c) 2008 by Daniel Vávra (Vavrad@oez.cz)
  // Copyright (c) 2008 by gord007 (gord007@seznam.cz)
  // This program is free software. - Toto je bezplatny a svobodny software.
  // pro phpRS, neni standardni soucasti
  // Copyright (c) 2001-2004 by Jiri Lukas (jirilukas@supersvet.cz)
  // http://www.supersvet.cz/phprs/

//-------------------------------------
// Aktualizováno: 17.7.2008
//-------------------------------------

//*****************************************************************************
// INZERTNÍ SYSTÉM - NOVÝ INZERÁT
//*****************************************************************************

//-----------------------------------------------------------------------------
// využívané tabulky: rs_inzertnisystem_inzeraty, rs_inzertnisystem_obr, rs_inzertnisystem_sekce
//-----------------------------------------------------------------------------

if (!defined('IN_CODE')):
  $GLOBALS["page"]="error";
  $GLOBALS["error"]="403";
  require "inzertnisystem.php";
  exit;
endif;


//*****************************************************************************
// HLAVNÍ FUNKCE MODULU
//*****************************************************************************

/*
  NovyInzerat
  UlozInzerat
*/

//-----------------------------------------------------------------------------
// Formulář - nový inzerát
//-----------------------------------------------------------------------------

function NovyInzerat()
{
// bezpečnostní kód
$_SESSION['znak']=Bezpecnostni_Kod(5);

echo "<div class=\"block_main\">\n";
  echo "<form action=\"".$GLOBALS["baseadr"]."inzertnisystem.php\" id=\"newForm\" onsubmit=\"return (NewCheckForm (this));\" method=\"post\" enctype=\"multipart/form-data\">\n";
    echo "<div class=\"center\">\n";
	  echo "<input type=\"hidden\" name=\"page\" value=\"".SEO1."\" />\n";

      // Help - informace
      echo "<div class=\"block_form_header\">";
        echo "".HLASKA_HELP1."";
      echo "</div>\n";
      echo "<div class=\"block_form_body\"><p>".HLASKA_HELP2." <img class=\"ico_small\" alt=\"".INZSYS42."\" src=\"".$GLOBALS["baseadr"]."image/ico_help_small.gif\" height=\"12\" width=\"12\" /> ".HLASKA_HELP3."</p></div>\n";

      // Základní údaje inzerátu (povinné)
      echo "<div class=\"block_form_header\">\n";
        echo "<span class=\"ico\" onclick=\"HELP('help-typ','".HLASKA_HELP6."'); HELP('help-nadpis','".HLASKA_HELP7."'); HELP('help-text','".HLASKA_HELP8.".'); HELP('help-kategorie','".HLASKA_HELP9.".'); HELP('help-lokalita','".HLASKA_HELP10.".');\">\n";
          echo "<img class=\"ico\" height=\"16\" width=\"16\" alt=\"".INZSYS42."\" src=\"".$GLOBALS["baseadr"]."image/ico_help.gif\" />\n";
        echo "</span>\n";
        echo "<div class=\"text\">".INZSYS43."</div>\n";
      echo "</div>\n";
      echo "<div class=\"block_form_body\">\n";
        if ($GLOBALS["ityp"]==2):
          echo "<label for=\"ityp\">".INZSYS44.":</label><div class=\"formular_ratio\"><input type=\"radio\" class=\"radio\" name=\"ityp\" value=\"1\" />".INZSYS8."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" id=\"ityp\" name=\"ityp\" value=\"2\" checked=\"checked\" tabindex=\"1\" />".INZSYS9."</div>\n";
        else:
          echo "<label for=\"ityp\">".INZSYS44.":</label><div class=\"formular_ratio\"><input type=\"radio\" class=\"radio\" name=\"ityp\" id=\"ityp\" value=\"1\" checked=\"checked\" tabindex=\"1\" />".INZSYS8."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" name=\"ityp\" value=\"2\" />".INZSYS9."</div>\n";
        endif;
        echo "<p class=\"help\" id=\"help-typ\"></p>\n";
        echo "<label for=\"inazev\">".INZSYS45.":</label><input type=\"text\" id=\"inazev\" name=\"inazev\" value=\"".$GLOBALS["inazev"]."\" maxlength=\"50\" tabindex=\"2\" /><br />\n";
        echo "<p class=\"help\" id=\"help-nadpis\"></p>\n";
        echo "<p class=\"label\"><strong>".INZSYS1.":</strong></p>\n";
        echo "<div class=\"left\"><textarea name=\"ipopis\" cols=\"60\" rows=\"15\" tabindex=\"3\">".$GLOBALS["ipopis"]."</textarea></div>\n";
        echo "<p class=\"help\" id=\"help-text\"></p>\n";
        // level 0
        $dotazsekce=$GLOBALS["query"]("select ids,nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where level='0' order by poradi asc",$GLOBALS["dbspojeni"]);
        $pocetsekci=$GLOBALS["num_rows"]($dotazsekce);
        echo "<label for=\"ikategorie\">".INZSYS10.":</label>";
          echo "<select id=\"ikategorie\" name=\"ikategorie\" size=\"1\" tabindex=\"4\">\n";
          echo "<option value=\"\" selected=\"selected\">&lt;".INZSYS46."&gt;\n";
          for ($pom1=0;$pom1<$pocetsekci;$pom1++):
            $datasekce=$GLOBALS["fetch_assoc"]($dotazsekce);
            echo "<option value=\"".$datasekce["ids"]."\""; if ($GLOBALS["ikategorie"]==$datasekce["ids"]): echo "selected=\"selected\"";  endif; echo ">".$datasekce["nazev"]."</option>\n";
            // level 1
            $dotazsekce2=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where level='1' and id_predka=".(int)$datasekce["ids"]." order by poradi asc",$GLOBALS["dbspojeni"]);
            $pocetsekce2=$GLOBALS["num_rows"]($dotazsekce2);
            for ($pom2=0;$pom2<$pocetsekce2;$pom2++):
              $datasekce2=$GLOBALS["fetch_assoc"]($dotazsekce2);
              echo "<option value=\"".$datasekce2["ids"]."\""; if ($GLOBALS["ikategorie"]==$datasekce2["ids"]): echo "selected=\"selected\"";  endif; echo ">-&nbsp;".$datasekce2["nazev"]."</option>\n";
            endfor;
          endfor;
          echo "</select>\n";
        echo "<p class=\"help\" id=\"help-kategorie\"></p>\n";
        //lokalita
                // level 0
        $dotazlokal=$GLOBALS["query"]("select idl,nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level='0' order by poradi asc",$GLOBALS["dbspojeni"]);
        $pocetlokal=$GLOBALS["num_rows"]($dotazlokal);
        echo "<label for=\"ilokalita\">".INZSYS11.":</label>";
          echo "<select id=\"ilokalita\" name=\"ilokalita\" size=\"1\" tabindex=\"4\">\n";
          echo "<option value=\"\" selected=\"selected\">&lt;".INZSYS47."&gt;\n";
          for ($pom1=0;$pom1<$pocetlokal;$pom1++):
            $datalokal=$GLOBALS["fetch_assoc"]($dotazlokal);
            echo "<option value=\"".$datalokal["idl"]."\""; if ($GLOBALS["ilokalita"]==$datalokal["idl"]): echo "selected=\"selected\"";  endif; echo ">".$datalokal["nazev"]."</option>\n";
            // level 1
            $dotazlokal2=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level='1' and id_predka=".(int)$datalokal["idl"]." order by poradi asc",$GLOBALS["dbspojeni"]);
            $pocetlokal2=$GLOBALS["num_rows"]($dotazlokal2);
            for ($pom2=0;$pom2<$pocetlokal2;$pom2++):
              $datalokal2=$GLOBALS["fetch_assoc"]($dotazlokal2);
              echo "<option value=\"".$datalokal2["idl"]."\""; if ($GLOBALS["ilokalita"]==$datalokal2["idl"]): echo "selected=\"selected\"";  endif; echo ">-&nbsp;".$datalokal2["nazev"]."</option>\n";
                          // level 2
            $dotazlokal3=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level='2' and id_predka=".(int)$datalokal2["idl"]." order by poradi asc",$GLOBALS["dbspojeni"]);
            $pocetlokal3=$GLOBALS["num_rows"]($dotazlokal3);
            for ($pom3=0;$pom3<$pocetlokal3;$pom3++):
              $datalokal3=$GLOBALS["fetch_assoc"]($dotazlokal3);
              echo "<option value=\"".$datalokal3["idl"]."\""; if ($GLOBALS["ilokalita"]==$datalokal3["idl"]): echo "selected=\"selected\"";  endif; echo ">&nbsp;&nbsp;-&nbsp;".$datalokal3["nazev"]."</option>\n";
            endfor;
            endfor;
          endfor;
          echo "</select>\n";
        echo "<p class=\"help\" id=\"help-lokalita\"></p>\n";
      echo "</div>\n";

      // Kontaktní údaje (povinné)
      echo "<div class=\"block_form_header\">\n";
        echo "<span class=\"ico\" onclick=\"HELP('help-jmeno','".HLASKA_HELP11.".'); HELP('help-email','".HLASKA_HELP12.".'); HELP('help-zobr-kontakt','".HLASKA_HELP13.".');\">\n";
          echo "<img class=\"ico\" height=\"16\" width=\"16\" alt=\"".INZSYS42."\" src=\"".$GLOBALS["baseadr"]."image/ico_help.gif\" />\n";
        echo "</span>\n";
        echo "<div class=\"text\">".INZSYS28." ".INZSYS48."</div>\n";
      echo "</div>\n";
      echo "<div class=\"block_form_body\">\n";
      if ($GLOBALS["prmyctenar"]->ctenarstav==1): 
        echo "<label for=\"ijmeno\">".INZSYS2.":</label><input type=\"text\" id=\"ijmeno\" name=\"ijmeno\" value=\"".$GLOBALS["prmyctenar"]->Ukaz("jmeno")."\" maxlength=\"50\" tabindex=\"5\" /><br />\n";
      else:
        echo "<label for=\"ijmeno\">".INZSYS2.":</label><input type=\"text\" id=\"ijmeno\" name=\"ijmeno\" value=\"".$GLOBALS["ijmeno"]."\" maxlength=\"50\" tabindex=\"5\" /><br />\n";
      endif;
        echo "<p class=\"help\" id=\"help-jmeno\"></p>\n";
      if ($GLOBALS["prmyctenar"]->ctenarstav==1): 
        echo "<label for=\"iemail\">".INZSYS30."</label><input type=\"text\" id=\"iemail\" name=\"iemail\" value=\"".$GLOBALS["prmyctenar"]->Ukaz("email")."\" maxlength=\"50\" tabindex=\"6\" /><br />\n";
      else:
        echo "<label for=\"iemail\">".INZSYS30."</label><input type=\"text\" id=\"iemail\" name=\"iemail\" value=\"".$GLOBALS["iemail"]."\" maxlength=\"50\" tabindex=\"6\" /><br />\n";
      endif;
        
        echo "<p class=\"help\" id=\"help-email\"></p>\n";
        if (!isset($GLOBALS["izobr_kontakt"])):  $GLOBALS["izobr_kontakt"]=1; endif;
        if ($GLOBALS["izobr_kontakt"]==1):
          echo "<label for=\"izobr_kontakt\">".INZSYS50.":</label><div class=\"formular_ratio\"><input type=\"radio\" class=\"radio\" name=\"izobr_kontakt\" id=\"izobr_kontakt\" value=\"1\" checked=\"checked\" tabindex=\"7\" />".INZSYS51."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" name=\"izobr_kontakt\" value=\"0\" />".INZSYS52."</div>\n";
        else:
          echo "<label for=\"izobr_kontakt\">".INZSYS50.":</label><div class=\"formular_ratio\"><input type=\"radio\" class=\"radio\" name=\"izobr_kontakt\" value=\"1\" />".INZSYS51."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" id=\"izobr_kontakt\" name=\"izobr_kontakt\" value=\"0\" checked=\"checked\" tabindex=\"7\" />".INZSYS52."</div>\n";
        endif;
        echo "<p class=\"help\" id=\"help-zobr-kontakt\"></p>\n";
      echo "</div>\n";

      // Kontaktní údaje (nepovinné)
      echo "<div class=\"block_form_header\">\n";
        echo "<span class=\"ico\" onclick=\"HELP('help-telefon','".HLASKA_HELP14.".'); HELP('help-mobil','".HLASKA_HELP15.".');\">\n";
          echo "<img class=\"ico\" height=\"16\" width=\"16\" alt=\"".INZSYS42."\" src=\"".$GLOBALS["baseadr"]."image/ico_help.gif\" />\n";
        echo "</span>\n";
        echo "<div class=\"text\">".INZSYS28." ".INZSYS49."</div>\n";
      echo "</div>\n";
      echo "<div class=\"block_form_body\">\n";
        echo "<label for=\"telefon1\">".INZSYS4.":</label>".INZSYS78." <input type=\"text\" class=\"znak3\" id=\"telefon1\" name=\"telefon1\" value=\"".$GLOBALS["telefon1"]."\" maxlength=\"3\" tabindex=\"8\" /> <input type=\"text\" class=\"znak3\" id=\"telefon2\" name=\"telefon2\" value=\"".$GLOBALS["telefon2"]."\" maxlength=\"3\" tabindex=\"9\" /> <input type=\"text\" class=\"znak3\" id=\"telefon3\" name=\"telefon3\" value=\"".$GLOBALS["telefon3"]."\" maxlength=\"3\" tabindex=\"10\" /><br />\n";
        echo "<p class=\"help\" id=\"help-telefon\"></p>\n";
        echo "<label for=\"mobil1\">".INZSYS5.":</label>".INZSYS78." <input type=\"text\" class=\"znak3\" id=\"mobil1\" name=\"mobil1\" value=\"".$GLOBALS["mobil1"]."\" maxlength=\"3\" tabindex=\"11\" /> <input type=\"text\" class=\"znak3\" id=\"mobil2\" name=\"mobil2\" value=\"".$GLOBALS["mobil2"]."\" maxlength=\"3\" tabindex=\"12\" /> <input type=\"text\" class=\"znak3\" id=\"mobil3\" name=\"mobil3\" value=\"".$GLOBALS["mobil3"]."\" maxlength=\"3\" tabindex=\"13\" /><br />\n";
        echo "<p class=\"help\" id=\"help-mobil\"></p>\n";
      echo "</div>\n";

      // Zpřesňující údaje k inzerátu (nepovinné)
      echo "<div class=\"block_form_header\">\n";
        echo "<span class=\"ico\" onclick=\"HELP('help-cena','".HLASKA_HELP16.".'); HELP('help-url','".HLASKA_HELP17."');\">\n";
          echo "<img class=\"ico\" height=\"16\" width=\"16\" alt=\"".INZSYS42."\" src=\"".$GLOBALS["baseadr"]."image/ico_help.gif\" />\n";
        echo "</span>\n";
        echo "<div class=\"text\">".INZSYS53." ".INZSYS49."</div>\n";
      echo "</div>\n";
      echo "<div class=\"block_form_body\">\n";
        echo "<label for=\"icena\">".INZSYS3.":</label><input type=\"text\" class=\"znak10\" id=\"icena\" name=\"icena\" value=\"".$GLOBALS["icena"]."\" maxlength=\"20\" tabindex=\"14\" /> ".INZSYS12."<br />\n";
        echo "<p class=\"help\" id=\"help-cena\"></p>\n";
        echo "<label for=\"iurl\">".INZSYS54.":</label><input type=\"text\" id=\"iurl\" name=\"iurl\" value=\"".$GLOBALS["iurl"]."\" maxlength=\"200\" tabindex=\"15\" /><br />\n";
        echo "<p class=\"help\" id=\"help-url\"></p>\n";
      echo "</div>\n";

      // Připojení fotografií (nepovinné)
      echo "<div class=\"block_form_header\">\n";
        echo "<span class=\"ico\" onclick=\"HELP('help-obr','".HLASKA_HELP18.".');\">\n";
          echo "<img class=\"ico\" height=\"16\" width=\"16\" alt=\"".INZSYS42."\" src=\"".$GLOBALS["baseadr"]."image/ico_help.gif\" />\n";
        echo "</span>\n";
        echo "<div class=\"text\">".INZSYS55." ".INZSYS49."</div>\n";
      echo "</div>\n";
      echo "<div class=\"block_form_body\">\n";
        echo "<label for=\"obrazek1\">".INZSYS56." 1:</label><input type=\"file\" class=\"file\" size=\"41\" id=\"obrazek1\" name=\"obrazek[]\" tabindex=\"16\" /><br /><br />\n";
        echo "<label for=\"obrazek2\">".INZSYS56." 2:</label><input type=\"file\" class=\"file\" size=\"41\" id=\"obrazek2\" name=\"obrazek[]\" tabindex=\"17\" /><br /><br />\n";
        echo "<label for=\"obrazek3\">".INZSYS56." 3:</label><input type=\"file\" class=\"file\" size=\"41\" id=\"obrazek3\" name=\"obrazek[]\" tabindex=\"18\" /><br /><br />\n";
        echo "<label for=\"obrazek4\">".INZSYS56." 4:</label><input type=\"file\" class=\"file\" size=\"41\" id=\"obrazek4\" name=\"obrazek[]\" tabindex=\"19\" /><br /><br />\n";
        echo "<label for=\"obrazek5\">".INZSYS56." 5:</label><input type=\"file\" class=\"file\" size=\"41\" id=\"obrazek5\" name=\"obrazek[]\" tabindex=\"20\" /><br /><br />\n";
        echo "<label for=\"obrazek6\">".INZSYS56." 6:</label><input type=\"file\" class=\"file\" size=\"41\" id=\"obrazek6\" name=\"obrazek[]\" tabindex=\"21\" /><br /><br />\n";
        echo "<label for=\"obrazek7\">".INZSYS56." 7:</label><input type=\"file\" class=\"file\" size=\"41\" id=\"obrazek7\" name=\"obrazek[]\" tabindex=\"22\" /><br /><br />\n";
        echo "<label for=\"obrazek8\">".INZSYS56." 8:</label><input type=\"file\" class=\"file\" size=\"41\" id=\"obrazek8\" name=\"obrazek[]\" tabindex=\"23\" /><br /><br />\n";
        echo "<label for=\"obrazek9\">".INZSYS56." 9:</label><input type=\"file\" class=\"file\" size=\"41\" id=\"obrazek9\" name=\"obrazek[]\" tabindex=\"24\" /><br /><br />\n";
        echo "<label for=\"obrazek10\">".INZSYS56." 10:</label><input type=\"file\" class=\"file\" size=\"41\" id=\"obrazek10\" name=\"obrazek[]\" tabindex=\"25\" /><br />\n";
        echo "<p class=\"help\" id=\"help-obr\"></p>\n";
      echo "</div>\n";
if ($GLOBALS["prmyctenar"]->ctenarstav==1): 
echo "<input type=\"hidden\" id=\"ikontrola\" name=\"ikontrola\" value=\"bezkontroly\"/>\n";
else:
      // Kontrolní kód (povinné)
      echo "<div class=\"block_form_header\">\n";
        echo "".INZSYS77." ".INZSYS48."\n";
      echo "</div>\n";
      echo "<div class=\"block_form_body\">\n";
        echo "<label>&nbsp;</label><img class=\"ico\" src=\"".$GLOBALS["baseadr"]."kod_obrazek.php\" width=\"220\" height=\"51\" alt=\"".INZSYS57."\" /><br /><br />\n";
        echo "<label for=\"ikontrola\">&nbsp;</label><input type=\"text\" class=\"znak5\" id=\"ikontrola\" name=\"ikontrola\" maxlength=\"5\" tabindex=\"26\" /> ".INZSYS58."<br />\n";
      echo "</div>\n";
endif;

      // Souhlas s pravidly inzerce
      echo "<div class=\"block_form_header\">\n";
        echo "<span class=\"ico\" onclick=\"HELP('help-pravidla','".HLASKA_HELP19.".');\">\n";
          echo "<img class=\"ico\" height=\"16\" width=\"16\" alt=\"".INZSYS42."\" src=\"".$GLOBALS["baseadr"]."image/ico_help.gif\" />\n";
        echo "</span>\n";
        echo "<div class=\"text\">".INZSYS59." ".INZSYS48."</div>\n";
      echo "</div>\n";
      echo "<div class=\"block_form_body\">\n";
        if ($GLOBALS["ipodminky"]==true):
          echo "<div class=\"center\"><input type=\"checkbox\" class=\"checkbox\" id=\"ipodminky\" name=\"ipodminky\" checked=\"checked\" tabindex=\"27\" />".INZSYS60." <a class=\"underline\" href=\"".$GLOBALS["baseadr"]."".SEO6."/\" title=\"".INZSYS61."\">".INZSYS62.".</a></div>\n";
        else:
          echo "<div class=\"center\"><input type=\"checkbox\" class=\"checkbox\" id=\"ipodminky\" name=\"ipodminky\" tabindex=\"27\" />".INZSYS60." <a class=\"underline\" href=\"".$GLOBALS["baseadr"]."".SEO6."/\" title=\"".INZSYS61."\">".INZSYS62.".</a></div>\n";
        endif;
        echo "<p class=\"help\" id=\"help-pravidla\"></p>\n";
      echo "</div>\n";

      echo "<div class=\"center\"><input type=\"submit\" class=\"button\" value=\"".TLACITKO4."\" tabindex=\"28\" /><input type=\"reset\" class=\"button\" value=\"".TLACITKO2."\" tabindex=\"29\" /></div>\n";
    echo "</div>\n";
  echo "</form>\n";
echo "</div>\n";
}

//-----------------------------------------------------------------------------
// Vložení nového inzerátu
//-----------------------------------------------------------------------------

function UlozInzerat()
{
$GLOBALS["inazev"]=$GLOBALS["escape_string"]($GLOBALS["inazev"]);
$GLOBALS["ijmeno"]=$GLOBALS["escape_string"]($GLOBALS["ijmeno"]);
$GLOBALS["iemail"]=$GLOBALS["escape_string"]($GLOBALS["iemail"]);
$GLOBALS["telefon1"]=$GLOBALS["escape_string"]($GLOBALS["telefon1"]);
$GLOBALS["telefon2"]=$GLOBALS["escape_string"]($GLOBALS["telefon2"]);
$GLOBALS["telefon3"]=$GLOBALS["escape_string"]($GLOBALS["telefon3"]);
$GLOBALS["mobil1"]=$GLOBALS["escape_string"]($GLOBALS["mobil1"]);
$GLOBALS["mobil2"]=$GLOBALS["escape_string"]($GLOBALS["mobil2"]);
$GLOBALS["mobil3"]=$GLOBALS["escape_string"]($GLOBALS["mobil3"]);
$GLOBALS["icena"]=$GLOBALS["escape_string"]($GLOBALS["icena"]);
$GLOBALS["iurl"]=$GLOBALS["escape_string"]($GLOBALS["iurl"]);
$GLOBALS["obrazek"]=$GLOBALS["escape_string"]($GLOBALS["obrazek"]);
$GLOBALS["ikontrola"]=$GLOBALS["escape_string"]($GLOBALS["ikontrola"]);
$GLOBALS["izobr_kontakt"]=$GLOBALS["escape_string"]($GLOBALS["izobr_kontakt"]);

if ($GLOBALS["prmyctenar"]->ctenarstav==1):
$znak="bezkontroly";
else:
$znak=$_SESSION["znak"];
endif;
if ($GLOBALS["ikontrola"]==$znak):
  if (TestEmailAdr($GLOBALS["iemail"])==1):

    if (preg_match("/^(f|ht)tp[s]?:\/\/[\w\.\-][^<> \n]+\.[a-zA-Z]{2,4}/",$GLOBALS["iurl"])):
      $urlupr=$GLOBALS["iurl"];
    else:
      if (preg_match("/^[\w\.\-][^<> \n]+\.[a-zA-Z]{2,4}/",$GLOBALS["iurl"])):
        $urlupr="http://".$GLOBALS["iurl"];
      else:
        $urlupr="";
      endif;
    endif;

    // přednastavené hodnoty
    $hesloreg=Random_Password(10);// vytvoření kódu
    $error_data="0"; // inicializace chyby
    $error_file="0";
    $chybovehlaseni=""; // inicializace hlášení chyb
    $datumreg=Date("Y-m-d H:i:s"); // čas registrace
    $datumregdo=Date("Y-m-d H:i:s",(Time()+$GLOBALS["casintaktivace"])); // časový limit pro potvrzení
    $datumstaz=Date("Y-m-d H:i:s",(Time()+$GLOBALS["casintstazeni"])); // časový limit pro stažení

    // uložení dat do DB
    $dotazid=$GLOBALS["query"]("select max(idn)as maxidcislo from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty",$GLOBALS["dbspojeni"]);
    $maxid=$GLOBALS["result"]($dotazid,0,"maxidcislo");
    $addmaxid=$maxid+1;
    $pocetfile_upload=count($_FILES['obrazek']['tmp_name']);

    // zjištění počtu příloh
    if ($pocetfile_upload==0):
      $error_file="1";
    else:
      $error_file="0";
    endif;

    if ($error_file=="0"):
      for ($pom=0;$pom<$pocetfile_upload;$pom++):
        $soubor_obr=$_FILES['obrazek']['tmp_name'][$pom];
        if ($soubor_obr!="none" && $soubor_obr!=""):

          $prpriponasouboru=DekompPriponaSouboru($_FILES['obrazek']['name'][$pom]);
          $telosouboru=DekompJmenaSouboru($_FILES['obrazek']['name'][$pom]);

          if ($error_data==0):
            // sestavení nového jména souboru - full
            $obr_poloha=$GLOBALS['config']['inzerce_adresar'].UpravSoubor($GLOBALS["inazev"])."_".Date("mdHis").$pom.".".$prpriponasouboru;
            // sestavení nového jména souboru - náhled
            $nahl_poloha=$GLOBALS['config']['inzerce_adresar'].UpravSoubor($GLOBALS["inazev"])."_".Date("mdHis").$pom."_n.".$prpriponasouboru;
            // sestavení nového jména souboru
            $ulozinf_tmpsoubor=$GLOBALS['config']['inzerce_adresar'].UpravSoubor($GLOBALS["inazev"])."_".Date("mdHis").$pom."_tmp.".$prpriponasouboru;
          endif;

          if(file_exists($obr_poloha) || file_exists($nahl_poloha)):
            $error_data="1";
            $chybovehlaseni.="".HLASKA_CHYBA19." ".$telosouboru.".".$prpriponasouboru." ".HLASKA_CHYBA20.".<br /><br />";
          else:
            if (is_uploaded_file($soubor_obr)):
              if (move_uploaded_file($soubor_obr,$ulozinf_tmpsoubor)):
                chmod ($ulozinf_tmpsoubor,0707); // nastavení přístupových práv

                // získání informací o souboru
                $probrparametry=GetImageSize($ulozinf_tmpsoubor);
                $obr_sirka=$probrparametry[0]; // šířka
                $obr_vyska=$probrparametry[1]; // výška
                $typuplobr=$probrparametry[2]; // typ upload. souboru

                // typy obr.: 1 = GIF, 2 = JPG, 3 = PNG, 4 = SWF, 5 = PSD, 6 = BMP, 7 = TIFF(intel byte order), 8 = TIFF(motorola byte order),
                // 9 = JPC, 10 = JP2, 11 = JPX, 12 = JB2, 13 = SWC, 14 = IFF.

                // úprava velikosti obrázku
                if ($obr_sirka>$obr_vyska):
                  if ($obr_sirka>$GLOBALS['config']['img_obrazek_sirka']):
                    $koefupravy=$obr_sirka/$GLOBALS['config']['img_obrazek_sirka'];
                    $obr_sirka_uprav=round($obr_sirka/$koefupravy);
                    $obr_vyska_uprav=round($obr_vyska/$koefupravy);
                  else:
                    $obr_sirka_uprav=$obr_sirka;
                    $obr_vyska_uprav=$obr_vyska;
                  endif;
                else:
                  if ($obr_vyska>$GLOBALS['config']['img_obrazek_sirka']):
                    $koefupravy=$obr_vyska/$GLOBALS['config']['img_obrazek_sirka'];
                    $obr_sirka_uprav=round($obr_sirka/$koefupravy);
                    $obr_vyska_uprav=round($obr_vyska/$koefupravy);
                  else:
                    $obr_sirka_uprav=$obr_sirka;
                    $obr_vyska_uprav=$obr_vyska;
                  endif;
                endif;

                // úprava velikosti náhledu
                if ($obr_sirka>$obr_vyska):
                  if ($obr_sirka>$GLOBALS['config']['img_nahled_sirka']):
                    $koefupravynahl=$obr_sirka/$GLOBALS['config']['img_nahled_sirka'];
                    $obr_sirka_upravnahl=round($obr_sirka/$koefupravynahl);
                    $obr_vyska_upravnahl=round($obr_vyska/$koefupravynahl);
                  else:
                    $obr_sirka_upravnahl=$obr_sirka;
                    $obr_vyska_upravnahl=$obr_vyska;
                  endif;
                else:
                  if ($obr_vyska>$GLOBALS['config']['img_nahled_sirka']):
                    $koefupravynahl=$obr_vyska/$GLOBALS['config']['img_nahled_sirka'];
                    $obr_sirka_upravnahl=round($obr_sirka/$koefupravynahl);
                    $obr_vyska_upravnahl=round($obr_vyska/$koefupravynahl);
                  else:
                    $obr_sirka_upravnahl=$obr_sirka;
                    $obr_vyska_upravnahl=$obr_vyska;
                  endif;
                endif;

                // kontrola typu obrázku
                if ($typuplobr!=2 && $typuplobr!=3):
                  $error_data="1";
                  $chybovehlaseni.="".HLASKA_CHYBA2." ".$telosouboru.".".$prpriponasouboru."!<br />".HLASKA_CHYBA3.".<br /><br />\n";
                  //smazání souboru
                  unlink($ulozinf_tmpsoubor);
                else:
                  // nastavení proměnných
                  $error_data="0";
                  // tvorba obrázku
                  switch ($typuplobr):
                    case 2:
                      $probrzbroj=ImageCreateFromJPEG($ulozinf_tmpsoubor);
                    break;
                    case 3:
                      $probrzbroj=ImageCreateFromPNG($ulozinf_tmpsoubor);
                    break;
                  endswitch;
                  $probrcil=imagecreatetruecolor($obr_sirka_uprav,$obr_vyska_uprav);
                  $probrcilnahl=imagecreatetruecolor($obr_sirka_upravnahl,$obr_vyska_upravnahl);
                  imagecopyresampled($probrcil,$probrzbroj,0,0,0,0,$obr_sirka_uprav,$obr_vyska_uprav,$obr_sirka,$obr_vyska);
                  imagecopyresampled($probrcilnahl,$probrzbroj,0,0,0,0,$obr_sirka_upravnahl,$obr_vyska_upravnahl,$obr_sirka,$obr_vyska);
                  switch ($typuplobr):
                    case 2:
                      ImageJPEG($probrcil,$obr_poloha,90);
                      ImageJPEG($probrcilnahl,$nahl_poloha,90);
                    break;
                    case 3:
                      ImagePNG($probrcil,$obr_poloha);
                      ImagePNG($probrcilnahl,$nahl_poloha);
                    break;
                  endswitch;
                  ImageDestroy($probrzbroj);
                  ImageDestroy($probrcil);
                  ImageDestroy($probrcilnahl);
                  unlink($ulozinf_tmpsoubor);
                endif;
              else:
                $error_data="1";
                $chybovehlaseni.="".HLASKA_CHYBA4." ".$telosouboru.".".$prpriponasouboru." ".HLASKA_CHYBA5.".<br /><br />\n";
              endif;
            else:
              $error_data="1";
              $chybovehlaseni.="".HLASKA_CHYBA6." ".$telosouboru.".".$prpriponasouboru." ".HLASKA_CHYBA7.".<br /><br />\n";
            endif;
          endif;

          if ($error_data=="0"):
            @$error=$GLOBALS["query"]("insert into ".$GLOBALS["rspredpona"]."inzertnisystem_obr values(null,'".$addmaxid."','".$obr_poloha."','".$obr_sirka_uprav."','".$obr_vyska_uprav."','".$nahl_poloha."','".$obr_sirka_upravnahl."','".$obr_vyska_upravnahl."')",$GLOBALS["dbspojeni"]);
            if (!$error):
              // chybové hlášení
              $chybovehlaseni.="".HLASKA_CHYBA8." <em>".$telosouboru.".".$prpriponasouboru."</em> ".HLASKA_CHYBA9.".<br /><br />\n";
              $error_data="1";
              if(file_exists($obr_poloha)):
                unlink($obr_poloha);
              endif;
              if(file_exists($nahl_poloha)):
                unlink($nahl_poloha);
              endif;
            endif;
          endif;
        endif;
      endfor;
    endif;

    $telefon=$GLOBALS["telefon1"]." ".$GLOBALS["telefon2"]." ".$GLOBALS["telefon3"];
    $mobil=$GLOBALS["mobil1"]." ".$GLOBALS["mobil2"]." ".$GLOBALS["mobil3"];

    // příprava e-mailu
    $zprava = "".HLASKY_EMAIL1." ".HLASKY_EMAIL15." ".$GLOBALS["baseadr"]." ".HLASKY_EMAIL16.".\n\n";
    $zprava .= "".HLASKY_EMAIL17.":\n\n";
    $zprava .= "".INZSYS36.": ".$GLOBALS["inazev"]."\n\n";
    $zprava .= "".INZSYS1.":\n".str_replace ("\n","\r\n",$GLOBALS["ipopis"])."\n\n";
    if (!empty($GLOBALS["icena"])): $zprava .= "".INZSYS3.": ".$GLOBALS["icena"]." ".INZSYS12."\n"; endif;
    $zprava .= "".INZSYS2.": ".$GLOBALS["ijmeno"]."\n";
    if (!empty($GLOBALS["telefon1"]) && !empty($GLOBALS["telefon2"]) && !empty($GLOBALS["telefon3"])): $zprava .= "".INZSYS4.": ".INZSYS78." ".$telefon."\n"; endif;
    if (!empty($GLOBALS["mobil1"]) && !empty($GLOBALS["mobil2"]) && !empty($GLOBALS["mobil3"])): $zprava .= "".INZSYS5.": ".INZSYS78." ".$mobil."\n"; endif;
    $zprava .= "".INZSYS30.": ".$GLOBALS["iemail"]."\n";
    if (!empty($urlupr)): $zprava .= "".INZSYS6.": ".$urlupr."\n"; endif;
    if ($GLOBALS["ityp"]==1):
      $zprava .= "".INZSYS7.": ".INZSYS8." \n";
    else:
      $zprava .= "".INZSYS7.": ".INZSYS9." \n";
    endif;
    $vyberkat=$GLOBALS["query"]("select nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$GLOBALS["ikategorie"]."",$GLOBALS["dbspojeni"]);
    $zprava .= "".INZSYS10.": ".$GLOBALS["result"]($vyberkat,0,"nazev")."\n";
    $vyberlok=$GLOBALS["query"]("select nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where idl=".$GLOBALS["ilokalita"]."",$GLOBALS["dbspojeni"]);
    $zprava .= "".INZSYS11.": ".$GLOBALS["result"]($vyberlok,0,"nazev")."\n";
    $zprava .= "".HLASKY_EMAIL18.": ".MyDatetimeToDatetime($datumreg)."\n\n";
  if ($GLOBALS["aktivovat"]==1):
    $zprava .= "".HLASKY_EMAIL22.": ".$hesloreg."\n\n";
  else:
    if (!$GLOBALS["prmyctenar"]->ctenarstav==1): 
    $zprava .= "".HLASKY_EMAIL19." ".MyDatetimeToDatetime($datumregdo)." ".HLASKY_EMAIL20." ".$GLOBALS["baseadr"]."".SEO2."/?aemail=".$GLOBALS["iemail"]."&apass=".$hesloreg." ".HLASKY_EMAIL21."!\n\n";
    $zprava .= "".INZSYS63.": ".$hesloreg."\n\n";
    else:
    $zprava .= "".HLASKY_EMAIL22.": ".$hesloreg."\n\n";
    endif;
  endif;
    $zprava .= "".HLASKY_EMAIL23.": ".$GLOBALS["baseadr"]."".SEO4."/ .\n\n";
    $zprava .= "".HLASKY_EMAIL24." ".$GLOBALS["baseadr"].", ".HLASKY_EMAIL25." ".$GLOBALS["pocdnudostaz"]." ".HLASKY_EMAIL26." ".MyDatetimeToDatetime($datumstaz)." . ".HLASKY_EMAIL27." ".$GLOBALS["dnuprodlouzeni"]." ".HLASKY_EMAIL28.".\n\n";
    $zprava .= "           ".HLASKY_EMAIL35."";

    $predmet=$GLOBALS["wwwname"]." - ".HLASKY_EMAIL29."";
  
  if ($GLOBALS["prmyctenar"]->ctenarstav==1): 
    $ipotvrzeni="1";
  else:
    $ipotvrzeni="".$GLOBALS["aktivovat"]."";
  endif;

    if($error_data=="0"):
      // přidání položky
      @$error=$GLOBALS["query"]("insert into ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty values('".$addmaxid."','".$GLOBALS["inazev"]."','".$GLOBALS["escape_string"]($GLOBALS["ipopis"])."','".$GLOBALS["icena"]."','".$datumreg."','".$datumstaz."','".$GLOBALS["ijmeno"]."','".$telefon."','".$mobil."','".$GLOBALS["iemail"]."','".$urlupr."','".$GLOBALS["ityp"]."','".$GLOBALS["ikategorie"]."','".$GLOBALS["ilokalita"]."','".$hesloreg."','".$datumregdo."','".$ipotvrzeni."','1','".$GLOBALS["izobr_kontakt"]."','0','".$GLOBALS["prmyctenar"]->Ukaz("id")."','".$_SERVER['REMOTE_ADDR']."')",$GLOBALS["dbspojeni"]);
      if (!$error):
        $chybovehlaseni.="".HLASKA_CHYBA10.".<br /><br />\n";
        //smazání souboru
        if(file_exists($obr_poloha)):
          unlink($obr_poloha);
        endif;
        if(file_exists($nahl_poloha)):
          unlink($nahl_poloha);
        endif;
      else:    
      if ($GLOBALS["aktivovat"]==1):
        $chybovehlaseni.="".HLASKA_INFO14.".<br />\n";
      else:
          if (!$GLOBALS["prmyctenar"]->ctenarstav==1): 
            $chybovehlaseni.="".HLASKA_INFO13.".<br />\n";
          else:
            $chybovehlaseni.="".HLASKA_INFO14.".<br />\n";
          endif;
      endif;
        SendMailInfo($GLOBALS["iemail"],$predmet,$zprava,$GLOBALS["postmaster"]);
        SendMailInfo($GLOBALS["redakceadr"],$predmet,$zprava,$GLOBALS["postmaster"]);
//        SendIntMailAdmin($predmet,$zprava);
      endif;
    endif;
    echo "<p class=\"chyba\">".$chybovehlaseni."</p>\n";

  else:
    echo "<p class=\"chyba\">".HLASKA_CHYBA11." .</p>\n";
    NovyInzerat();
  endif;
else:
  echo "<p class=\"chyba\">".HLASKA_INFO2."</p>\n";
  NovyInzerat();
endif;
}
//*****************************************************************************
// TVORBA STRÁNKY
//*****************************************************************************

echo "<h1>".NADPIS4."</h1>\n";

if (!empty($GLOBALS["inazev"]) && !empty($GLOBALS["ipopis"]) && !empty($GLOBALS["ijmeno"]) && !empty($GLOBALS["iemail"])):
  UlozInzerat();
else:
  if ($GLOBALS["proregistrovane"]==1):
    if ($GLOBALS["prmyctenar"]->ctenarstav==1): 
      NovyInzerat();
    else:
      echo "<p class=\"chyba\">".HLASKA_CHYBA12.".</p>\n";
    endif;
  else:
    NovyInzerat();
  endif;
endif;
?>