<?php
  ######################################################################
  #  plugin pro phpRS - Inzertní systém - 3.0.0
  ######################################################################

  // Copyright (c) 2008 by Daniel Vávra (Vavrad@oez.cz)
  // Copyright (c) 2008 by gord007 (gord007@seznam.cz)
  // This program is free software. - Toto je bezplatny a svobodny software.
  // pro phpRS, neni standardni soucasti
  // Copyright (c) 2001-2004 by Jiri Lukas (jirilukas@supersvet.cz)
  // http://www.supersvet.cz/phprs/

//-------------------------------------
// Aktualizováno: 17.7.2008
//-------------------------------------

//*****************************************************************************
// INZERTNÍ SYSTÉM - ÚPRAVA INZERÁTU
//*****************************************************************************

//-----------------------------------------------------------------------------
// využívané tabulky: rs_inzertnisystem_inzeraty, rs_inzertnisystem_obr, rs_inzertnisystem_sekce
//-----------------------------------------------------------------------------

if (!defined('IN_CODE')):
  $GLOBALS["page"]="error";
  $GLOBALS["error"]="403";
  require "inzertnisystem.php";
  exit;
endif;


//*****************************************************************************
// POMOCNÉ FUNKCE MODULU
//*****************************************************************************

/*
  LogOut()
*/

//-----------------------------------------------------------------------------
// LogOut - Odhlášení
//-----------------------------------------------------------------------------

function LogOut()
{
unset($_SESSION["inzid"]);
unset($_SESSION["authuser"]);
unset($_SESSION["access_time"]);
}

//*****************************************************************************
// HLAVNÍ FUNKCE MODULU
//*****************************************************************************

/*
  FormPrihlasInzerat()
  Prihlaseni()
  UpravInzerat()
  VymazObr()
*/

//-----------------------------------------------------------------------------
// Formulář - upravení inzerátu
//-----------------------------------------------------------------------------

function FormPrihlasInzerat()
{
echo "<div class=\"block_main\">\n";
  echo "<form action=\"".$GLOBALS["baseadr"]."inzertnisystem.php\" id=\"editForm\" onsubmit=\"return (EditCheckForm (this));\" method=\"post\">\n";
    echo "<div class=\"center\">\n";
	  echo "<input type=\"hidden\" name=\"page\" value=\"".SEO3."\" />\n";

      // Help - informace
      echo "<div class=\"block_form_header\">";
        echo "".HLASKA_HELP1."";
      echo "</div>\n";
      echo "<div class=\"block_form_body\"><p>".HLASKA_HELP2." <img class=\"ico_small\" alt=\"".INZSYS42."\" src=\"".$GLOBALS["baseadr"]."image/ico_help_small.gif\" height=\"12\" width=\"12\" /> ".HLASKA_HELP3."</p></div>\n";

      // Info
      echo "<div class=\"block_form_header\">";
        echo "Informace";
      echo "</div>\n";
      echo "<div class=\"block_form_body\"><p>".HLASKA_INFO22.".</p></div>\n";

      // Přihlašovací údaje (povinné)
      echo "<div class=\"block_form_header\">\n";
        echo "<span class=\"ico\" onclick=\"HELP('help-email','".HLASKA_HELP4.".'); HELP('help-heslo','".HLASKA_HELP20.".');\">\n";
          echo "<img class=\"ico\" height=\"16\" width=\"16\" alt=\"".INZSYS42."\" src=\"".$GLOBALS["baseadr"]."image/ico_help.gif\" />\n";
        echo "</span>\n";
        echo "<div class=\"text\">".INZSYS69." ".INZSYS48."</div>\n";
      echo "</div>\n";
      echo "<div class=\"block_form_body\">\n";
      if ($GLOBALS["prmyctenar"]->ctenarstav==1): 
        echo "<label for=\"eemail\">".INZSYS30.":</label><input type=\"text\" id=\"eemail\" name=\"eemail\" value=\"".$GLOBALS["prmyctenar"]->Ukaz("email")."\" maxlength=\"50\" tabindex=\"1\" /><br />\n";
      else:
        echo "<label for=\"eemail\">".INZSYS30.":</label><input type=\"text\" id=\"eemail\" name=\"eemail\" value=\"".$GLOBALS["eemail"]."\" maxlength=\"50\" tabindex=\"1\" /><br />\n";
      endif;
        echo "<p class=\"help\" id=\"help-email\"></p>\n";
        echo "<label for=\"epassword\">".INZSYS63."</label><input type=\"text\" class=\"znak10\" id=\"epassword\" name=\"epassword\" maxlength=\"10\" tabindex=\"2\" /><br />\n";
        echo "<p class=\"help\" id=\"help-heslo\"></p>\n";
      echo "</div>\n";

      echo "<div class=\"center\"><input type=\"submit\" class=\"button\" value=\"".TLACITKO7."\" tabindex=\"3\" /><input type=\"reset\" class=\"button\" value=\"".TLACITKO2."\" tabindex=\"4\" /></div>\n";
    echo "</div>\n";
  echo "</form>\n";
echo "</div>\n";
}

//-----------------------------------------------------------------------------
// Přihlášení
//-----------------------------------------------------------------------------

function Prihlaseni()
{
$GLOBALS["eemail"]=$GLOBALS["escape_string"]($GLOBALS["eemail"]);
$GLOBALS["epassword"]=$GLOBALS["escape_string"]($GLOBALS["epassword"]);

$error_data="0"; // inicializace chyby

if (TestEmailAdr($GLOBALS["eemail"])==1 || $_SESSION["authuser"]==1):

  if ($_SESSION["authuser"]==1):
    $dotazheslo=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where idn=".(int)$_SESSION["inzid"]."",$GLOBALS["dbspojeni"]);
    $pocethesel=$GLOBALS["num_rows"]($dotazheslo);
  else:
    // kontrola existence emailu
    $dotazemail=$GLOBALS["query"]("select idn from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where email='".$GLOBALS["eemail"]."'",$GLOBALS["dbspojeni"]);
    $pocetemailu=$GLOBALS["num_rows"]($dotazemail);

    $dotazheslo=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where email='".$GLOBALS["eemail"]."' and password='".$GLOBALS["epassword"]."'",$GLOBALS["dbspojeni"]);
    $pocethesel=$GLOBALS["num_rows"]($dotazheslo);
  endif;

  $pole_inzerat=$GLOBALS["fetch_assoc"]($dotazheslo);

  // existuje email
  if ($pocetemailu>0 || $_SESSION["authuser"]==1):
    // kontrola hesla
    if ($pocethesel==1 || $_SESSION["authuser"]==1):
      if ((($pole_inzerat["email"]==$GLOBALS["eemail"]) && ($pole_inzerat["password"]==$GLOBALS["epassword"])) || ($_SESSION["authuser"]==1)):

        if ($_SESSION["authuser"]==0):
          $_SESSION["authuser"]=1;
          if ($pocetemailu=1):
          $_SESSION["inzid"]=$pole_inzerat["idn"];
          endif;
          $_SESSION["access_time"]=time();
        endif;

        if ($_SESSION["authuser"]==1):
          echo "<div class=\"block_navigation\">\n";
            echo "<span class=\"float_r\">\n";
              echo "<a href=\"".$GLOBALS["baseadr"]."".SEO14."/\" title=\"".INZSYS70.": ".AntiSpam($pole_inzerat["email"])."\">".INZSYS71."</a>\n";
            echo "</span>\n";
            echo "<div class=\"text\">".INZSYS72.": ".AntiSpam($pole_inzerat["email"])."</div>\n";
          echo "</div>\n";
        endif;

        echo "<div class=\"block_main\">\n";
          echo "<form action=\"".$GLOBALS["baseadr"]."inzertnisystem.php\" id=\"aceditForm\" onsubmit=\"return (AcEditCheckForm (this));\" method=\"post\" enctype=\"multipart/form-data\">\n";
		    echo "<div class=\"center\">\n";
			  echo "<input type=\"hidden\" name=\"page\" value=\"".SEO3."\" />\n";
              echo "<input type=\"hidden\" name=\"id_edit\" value=\"".$pole_inzerat["idn"]."\" />\n";

              // Help - informace
              echo "<div class=\"block_form_header\">";
                echo "".HLASKA_HELP1."";
              echo "</div>\n";
              echo "<div class=\"block_form_body\"><p>".HLASKA_HELP2." <img class=\"ico_small\" alt=\"".INZSYS42."\" src=\"".$GLOBALS["baseadr"]."image/ico_help_small.gif\" height=\"12\" width=\"12\" /> ".HLASKA_HELP3."</p></div>\n";

              // Základní údaje inzerátu (povinné)
              echo "<div class=\"block_form_header\">\n";
                echo "<span class=\"ico\" onclick=\"HELP('help-typ','".HLASKA_HELP6.".'); HELP('help-nadpis','".HLASKA_HELP7."'); HELP('help-text','".HLASKA_HELP8.".'); HELP('help-kategorie','".HLASKA_HELP9.".'); HELP('help-lokalita','".HLASKA_HELP10.".');\">\n";
                  echo "<img class=\"ico\" height=\"16\" width=\"16\" alt=\"".INZSYS42."\" src=\"".$GLOBALS["baseadr"]."image/ico_help.gif\" />\n";
                echo "</span>\n";
                echo "<div class=\"text\">".INZSYS43."</div>\n";
              echo "</div>\n";
              echo "<div class=\"block_form_body\">\n";
                if ($GLOBALS["etyp"]==2):
                  echo "<label for=\"etyp\">".INZSYS44.":</label><div class=\"formular_ratio\"><input type=\"radio\" class=\"radio\" name=\"etyp\" value=\"1\" />".INZSYS8."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" id=\"etyp\" name=\"etyp\" value=\"2\" checked=\"checked\" tabindex=\"1\" />".INZSYS9."</div>\n";
                else:
                  echo "<label for=\"etyp\">".INZSYS44.":</label><div class=\"formular_ratio\"><input type=\"radio\" class=\"radio\" name=\"etyp\" id=\"etyp\" value=\"1\" checked=\"checked\" tabindex=\"1\" />".INZSYS8."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" name=\"etyp\" value=\"2\" />".INZSYS9."</div>\n";
                endif;
                echo "<p class=\"help\" id=\"help-typ\"></p>\n";
                echo "<label for=\"enazev\">".INZSYS45.":</label><input type=\"text\" id=\"enazev\" name=\"enazev\" value=\"".$pole_inzerat["nazev"]."\" maxlength=\"50\" tabindex=\"2\" /><br />\n";
                echo "<p class=\"help\" id=\"help-nadpis\"></p>\n";
                echo "<p class=\"label\"><strong>".INZSYS1.":</strong></p>\n";
                echo "<div class=\"left\"><textarea name=\"epopis\" cols=\"60\" rows=\"15\" tabindex=\"3\">".$pole_inzerat["popis"]."</textarea></div>\n";
                echo "<p class=\"help\" id=\"help-text\"></p>\n";
                $dotazsekce=$GLOBALS["query"]("select ids,nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where level='0' order by poradi asc",$GLOBALS["dbspojeni"]);
                $pocetsekci=$GLOBALS["num_rows"]($dotazsekce);
                echo "<label for=\"ekategorie\">".INZSYS10.":</label>";
                  echo "<select id=\"ekategorie\" name=\"ekategorie\" size=\"1\" tabindex=\"4\">\n";
                     echo "<option value=\"\">&lt;".INZSYS46."&gt;\n";
                     for ($pom1=0;$pom1<$pocetsekci;$pom1++):
                     $datasekce=$GLOBALS["fetch_assoc"]($dotazsekce);
                     echo "<option value=\"".$datasekce["ids"]."\""; if ($pole_inzerat["kategorie"]==$datasekce["ids"]): echo "selected=\"selected\"";  endif; echo ">".$datasekce["nazev"]."</option>\n";
                     // level 1
                     $dotazsekce2=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where level='1' and id_predka=".(int)$datasekce["ids"]." order by poradi asc",$GLOBALS["dbspojeni"]);
                     $pocetsekce2=$GLOBALS["num_rows"]($dotazsekce2);
                       for ($pom2=0;$pom2<$pocetsekce2;$pom2++):
                       $datasekce2=$GLOBALS["fetch_assoc"]($dotazsekce2);
                       echo "<option value=\"".$datasekce2["ids"]."\""; if ($pole_inzerat["kategorie"]==$datasekce2["ids"]): echo "selected=\"selected\"";  endif; echo ">-&nbsp;".$datasekce2["nazev"]."</option>\n";
                       endfor;
                     endfor;              
                  
                  echo "</select>\n";
                echo "<p class=\"help\" id=\"help-kategorie\"></p>\n";
                
                        //lokalita
                // level 0
        $dotazlokal=$GLOBALS["query"]("select idl,nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level='0' order by poradi asc",$GLOBALS["dbspojeni"]);
        $pocetlokal=$GLOBALS["num_rows"]($dotazlokal);
        echo "<label for=\"elokalita\">".INZSYS11.":</label>";
          echo "<select id=\"elokalita\" name=\"elokalita\" size=\"1\" tabindex=\"4\">\n";
          echo "<option value=\"\">&lt;".INZSYS47."&gt;\n";
          for ($pom1=0;$pom1<$pocetlokal;$pom1++):
            $datalokal=$GLOBALS["fetch_assoc"]($dotazlokal);
            echo "<option value=\"".$datalokal["idl"]."\""; if ($pole_inzerat["lokalita"]==$datalokal["idl"]): echo "selected=\"selected\"";  endif; echo ">".$datalokal["nazev"]."</option>\n";
            // level 1
            $dotazlokal2=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level='1' and id_predka=".(int)$datalokal["idl"]." order by poradi asc",$GLOBALS["dbspojeni"]);
            $pocetlokal2=$GLOBALS["num_rows"]($dotazlokal2);
            for ($pom2=0;$pom2<$pocetlokal2;$pom2++):
              $datalokal2=$GLOBALS["fetch_assoc"]($dotazlokal2);
              echo "<option value=\"".$datalokal2["idl"]."\""; if ($pole_inzerat["lokalita"]==$datalokal2["idl"]): echo "selected=\"selected\"";  endif; echo ">-&nbsp;".$datalokal2["nazev"]."</option>\n";
            endfor;
          endfor;
          echo "</select>\n";
        echo "<p class=\"help\" id=\"help-lokalita\"></p>\n";
              echo "</div>\n";

              // Kontaktní údaje (povinné)
              echo "<div class=\"block_form_header\">\n";
                echo "<span class=\"ico\" onclick=\"HELP('help-jmeno','".HLASKA_HELP11.".'); HELP('help-email','".HLASKA_HELP12.".'); HELP('help-zobr-kontakt','".HLASKA_HELP13.".');\">\n";
                  echo "<img class=\"ico\" height=\"16\" width=\"16\" alt=\"".INZSYS42."\" src=\"".$GLOBALS["baseadr"]."image/ico_help.gif\" />\n";
                echo "</span>\n";
                echo "<div class=\"text\">".INZSYS28." ".INZSYS48."</div>\n";
              echo "</div>\n";
              echo "<div class=\"block_form_body\">\n";
                echo "<label for=\"ejmeno\">".INZSYS2.":</label><input type=\"text\" id=\"ejmeno\" name=\"ejmeno\" value=\"".$pole_inzerat["jmeno"]."\" maxlength=\"50\" tabindex=\"5\" /><br />\n";
                echo "<p class=\"help\" id=\"help-jmeno\"></p>\n";
                echo "<label for=\"eemail\">".INZSYS30."</label><input type=\"text\" id=\"eemail\" name=\"eemail\" value=\"".$pole_inzerat["email"]."\" maxlength=\"50\" tabindex=\"6\" /><br />\n";
                echo "<p class=\"help\" id=\"help-email\"></p>\n";
                if (!isset($pole_inzerat["zobr_kontakt"])):  $pole_inzerat["zobr_kontakt"]=1; endif;
                if ($pole_inzerat["zobr_kontakt"]==1):
                  echo "<label for=\"ezobr_kontakt\">".INZSYS50.":</label><div class=\"formular_ratio\"><input type=\"radio\" class=\"radio\" name=\"ezobr_kontakt\" id=\"ezobr_kontakt\" value=\"1\" checked=\"checked\" tabindex=\"7\" />".INZSYS51."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" name=\"ezobr_kontakt\" value=\"0\" />".INZSYS52."</div>\n";
                else:
                  echo "<label for=\"ezobr_kontakt\">".INZSYS50.":</label><div class=\"formular_ratio\"><input type=\"radio\" class=\"radio\" name=\"ezobr_kontakt\" value=\"1\" />".INZSYS51."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" id=\"ezobr_kontakt\" name=\"ezobr_kontakt\" value=\"0\" checked=\"checked\" tabindex=\"7\" />".INZSYS52."</div>\n";
                endif;
                echo "<p class=\"help\" id=\"help-zobr-kontakt\"></p>\n";
              echo "</div>\n";

              if (!empty($pole_inzerat["telefon"])):
                list($telefon1,$telefon2,$telefon3)=explode(" ",$pole_inzerat["telefon"]);
              endif;

              if (!empty($pole_inzerat["mobil"])):
                list($mobil1,$mobil2,$mobil3)=explode(" ",$pole_inzerat["mobil"]);
              endif;

              // Kontaktní údaje (nepovinné)
              echo "<div class=\"block_form_header\">\n";
                echo "<span class=\"ico\" onclick=\"HELP('help-telefon','".HLASKA_HELP14.".'); HELP('help-mobil','".HLASKA_HELP15.".');\">\n";
                  echo "<img class=\"ico\" height=\"16\" width=\"16\" alt=\"".INZSYS42."\" src=\"".$GLOBALS["baseadr"]."image/ico_help.gif\" />\n";
                echo "</span>\n";
                echo "<div class=\"text\">".INZSYS28." ".INZSYS49."</div>\n";
              echo "</div>\n";
              echo "<div class=\"block_form_body\">\n";
                echo "<label for=\"telefon1\">".INZSYS4.":</label>".INZSYS78." <input type=\"text\" class=\"znak3\" id=\"telefon1\" name=\"telefon1\" value=\"".$telefon1."\" maxlength=\"3\" tabindex=\"8\" /> <input type=\"text\" class=\"znak3\" id=\"telefon2\" name=\"telefon2\" value=\"".$telefon2."\" maxlength=\"3\" tabindex=\"9\" /> <input type=\"text\" class=\"znak3\" id=\"telefon3\" name=\"telefon3\" value=\"".$telefon3."\" maxlength=\"3\" tabindex=\"10\" /><br />\n";
                echo "<p class=\"help\" id=\"help-telefon\"></p>\n";
                echo "<label for=\"mobil1\">".INZSYS5.":</label>".INZSYS78." <input type=\"text\" class=\"znak3\" id=\"mobil1\" name=\"mobil1\" value=\"".$mobil1."\" maxlength=\"3\" tabindex=\"11\" /> <input type=\"text\" class=\"znak3\" id=\"mobil2\" name=\"mobil2\" value=\"".$mobil2."\" maxlength=\"3\" tabindex=\"12\" /> <input type=\"text\" class=\"znak3\" id=\"mobil3\" name=\"mobil3\" value=\"".$mobil3."\" maxlength=\"3\" tabindex=\"13\" /><br />\n";
                echo "<p class=\"help\" id=\"help-mobil\"></p>\n";
              echo "</div>\n";

              // Zpřesňující údaje k inzerátu (nepovinné)
              echo "<div class=\"block_form_header\">\n";
                echo "<span class=\"ico\" onclick=\"HELP('help-cena','".HLASKA_HELP16.".'); HELP('help-url','".HLASKA_HELP17."');\">\n";
                  echo "<img class=\"ico\" height=\"16\" width=\"16\" alt=\"".INZSYS42."\" src=\"".$GLOBALS["baseadr"]."image/ico_help.gif\" />\n";
                echo "</span>\n";
                echo "<div class=\"text\">".INZSYS53." ".INZSYS49."</div>\n";
              echo "</div>\n";
              echo "<div class=\"block_form_body\">\n";
                echo "<label for=\"ecena\">".INZSYS3.":</label><input type=\"text\" class=\"znak10\" id=\"ecena\" name=\"ecena\" value=\"".$pole_inzerat["cena"]."\" maxlength=\"10\" tabindex=\"14\" /> ".INZSYS12."<br />\n";
                echo "<p class=\"help\" id=\"help-cena\"></p>\n";
                echo "<label for=\"eurl\">".INZSYS54.":</label><input type=\"text\" id=\"eurl\" name=\"eurl\" value=\"".$pole_inzerat["url"]."\" maxlength=\"200\" tabindex=\"15\" /><br />\n";
                echo "<p class=\"help\" id=\"help-url\"></p>\n";
              echo "</div>\n";

              $dotazobr=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_obr where inzerat=".(int)$pole_inzerat["idn"]." order by ido asc",$GLOBALS["dbspojeni"]);
              $pocetobr=$GLOBALS["num_rows"]($dotazobr);

              // Fotografie k inzerátu
              if ($pocetobr>0):
                echo "<div class=\"block_form_header\">\n";
                  echo "<span class=\"ico\" onclick=\"HELP('help-foto','".HLASKA_HELP21.".');\">\n";
                    echo "<img class=\"ico\" height=\"16\" width=\"16\" alt=\"".INZSYS42."\" src=\"".$GLOBALS["baseadr"]."image/ico_help.gif\" />\n";
                  echo "</span>\n";
                  echo "<div class=\"text\">".INZSYS14." (".INZSYS73."):</div>\n";
                echo "</div>\n";
                echo "<div class=\"block_form_body\">\n";
                  echo "<table cellspacing=\"0\" cellpadding=\"3\">\n";
                    echo "<tbody>\n";
                      $pocetprubehu=0;
                      for ($pom=0;$pom<$pocetobr;$pom++):
                        $pole_obr=$GLOBALS["fetch_assoc"]($dotazobr);
                        if ($pocetprubehu==0):
                          echo "<tr>\n";
                        endif;
                        echo "<td class=\"gallery\"><a href=\"".$GLOBALS["baseadr"]."".SEO3."/vymazani-obrazku-".$pole_obr["ido"]."/\" title=\"".INZSYS74.": ".$pole_inzerat["nazev"]."\" onclick=\"return(confirm('".HLASKA_HELP22."?'));\">";
                        echo "<img src=\"".$GLOBALS["baseadr"].$pole_obr["nahl_poloha"]."\" alt=\"".INZSYS74.": ".$pole_inzerat["nazev"]."\" height=\"".$pole_obr["nahl_height"]."\" width=\"".$pole_obr["nahl_width"]."\" /></a></td>\n";
                        if ($pocetprubehu==2):
                          echo "</tr>\n";
                          $pocetprubehu=0;
                        else:
                          $pocetprubehu++;
                        endif;
                      endfor;

                      // dokončení tabulky
                      switch ($pocetprubehu):
                        case 0: break;
                        case 1: echo "<td class=\"gallery\">&nbsp;</td>\n<td class=\"gallery\">&nbsp;</td>\n</tr>"; break;
                        case 2: echo "<td class=\"gallery\">&nbsp;</td>\n</tr>\n"; break;
                      endswitch;
                    echo "</tbody>\n";
                  echo "</table>\n";
                  echo "<p class=\"help\" id=\"help-foto\"></p>\n";
                echo "</div>\n";
              endif;

              // Připojení dalších fotografií (nepovinné)
              echo "<div class=\"block_form_header\">\n";
                echo "<span class=\"ico\" onclick=\"HELP('help-obr','".HLASKA_HELP18.".');\">\n";
                  echo "<img class=\"ico\" height=\"16\" width=\"16\" alt=\"".INZSYS42."\" src=\"".$GLOBALS["baseadr"]."image/ico_help.gif\" />\n";
                echo "</span>\n";
                echo "<div class=\"text\">".INZSYS55." ".INZSYS49."</div>\n";
              echo "</div>\n";
              echo "<div class=\"block_form_body\">\n";
                echo "<label for=\"obrazek1\">".INZSYS56." 1:</label><input type=\"file\" class=\"file\" size=\"51\" id=\"obrazek1\" name=\"obrazek[]\" tabindex=\"16\" /><br /><br />\n";
                echo "<label for=\"obrazek2\">".INZSYS56." 2:</label><input type=\"file\" class=\"file\" size=\"51\" id=\"obrazek2\" name=\"obrazek[]\" tabindex=\"17\" /><br /><br />\n";
                echo "<label for=\"obrazek3\">".INZSYS56." 3:</label><input type=\"file\" class=\"file\" size=\"51\" id=\"obrazek3\" name=\"obrazek[]\" tabindex=\"18\" /><br /><br />\n";
                echo "<label for=\"obrazek4\">".INZSYS56." 4:</label><input type=\"file\" class=\"file\" size=\"51\" id=\"obrazek4\" name=\"obrazek[]\" tabindex=\"19\" /><br /><br />\n";
                echo "<label for=\"obrazek5\">".INZSYS56." 5:</label><input type=\"file\" class=\"file\" size=\"51\" id=\"obrazek5\" name=\"obrazek[]\" tabindex=\"20\" /><br /><br />\n";
                echo "<label for=\"obrazek6\">".INZSYS56." 6:</label><input type=\"file\" class=\"file\" size=\"51\" id=\"obrazek6\" name=\"obrazek[]\" tabindex=\"21\" /><br /><br />\n";
                echo "<p class=\"help\" id=\"help-obr\"></p>\n";
              echo "</div>\n";

              echo "<div class=\"center\"><input type=\"submit\" class=\"button\" value=\"".TLACITKO8."\" tabindex=\"22\" /><input type=\"reset\" class=\"button\" value=\"".TLACITKO9."\" tabindex=\"23\" /></div>\n";
            echo "</div>\n";
		  echo "</form>\n";
        echo "</div>\n";

      else:
        echo "<p class=\"chyba\">".ERROR_CHYBA_403."</p>\n";
      endif;

    else:
      echo "<p class=\"chyba\">".INZSYS63.": <em>".$GLOBALS["epassword"]."</em> ".HLASKA_CHYBA13." ".AntiSpam($GLOBALS["eemail"]).".<br /><a class=\"underline\" href=\"".$GLOBALS["$baseadr"]."".SEO10."/".AntiSpam($GLOBALS["eemail"])."/\" title=\"".INZSYS66."\">".INZSYS67."</a></p>\n";
    endif;
  else:
    echo "<p class=\"chyba\">".HLASKA_INFO3.": <em>".AntiSpam($GLOBALS["eemail"])."</em> ".HLASKA_CHYBA1.".</p>\n";
    FormPrihlasInzerat();
  endif;

else:
  echo "<p class=\"chyba\">".HLASKA_INFO3." <em>".AntiSpam($GLOBALS["eemail"])."</em> ".HLASKA_INFO5." .</p>\n";
  FormPrihlasInzerat();
endif;
}

//-----------------------------------------------------------------------------
// Úprava inzerátu
//-----------------------------------------------------------------------------

function UpravInzerat()
{
$GLOBALS["id_edit"]=$GLOBALS["escape_string"]($GLOBALS["id_edit"]);
$GLOBALS["enazev"]=$GLOBALS["escape_string"]($GLOBALS["enazev"]);
$GLOBALS["ejmeno"]=$GLOBALS["escape_string"]($GLOBALS["ejmeno"]);
$GLOBALS["eemail"]=$GLOBALS["escape_string"]($GLOBALS["eemail"]);
$GLOBALS["telefon1"]=$GLOBALS["escape_string"]($GLOBALS["telefon1"]);
$GLOBALS["telefon2"]=$GLOBALS["escape_string"]($GLOBALS["telefon2"]);
$GLOBALS["telefon3"]=$GLOBALS["escape_string"]($GLOBALS["telefon3"]);
$GLOBALS["mobil1"]=$GLOBALS["escape_string"]($GLOBALS["mobil1"]);
$GLOBALS["mobil2"]=$GLOBALS["escape_string"]($GLOBALS["mobil2"]);
$GLOBALS["mobil3"]=$GLOBALS["escape_string"]($GLOBALS["mobil3"]);
$GLOBALS["ecena"]=$GLOBALS["escape_string"]($GLOBALS["ecena"]);
$GLOBALS["eurl"]=$GLOBALS["escape_string"]($GLOBALS["eurl"]);
$GLOBALS["obrazek"]=$GLOBALS["escape_string"]($GLOBALS["obrazek"]);
$GLOBALS["ezobr_kontakt"]=$GLOBALS["escape_string"]($GLOBALS["ezobr_kontakt"]);


if ($_SESSION["authuser"]==1):

  if (TestEmailAdr($GLOBALS["eemail"])==1):

    if (preg_match("/^(f|ht)tp[s]?:\/\/[\w\.\-][^<> \n]+\.[a-zA-Z]{2,4}/",$GLOBALS["eurl"])):
      $urlupr=$GLOBALS["eurl"];
    else:
      if (preg_match("/^[\w\.\-][^<> \n]+\.[a-zA-Z]{2,4}/",$GLOBALS["eurl"])):
        $urlupr="http://".$GLOBALS["eurl"];
      else:
        $urlupr="";
      endif;
    endif;

    // přednastavené hodnoty
    $error_data="0"; // inicializace chyby
    $error_file="0";
    $chybovehlaseni=""; // inicializace hlášení chyb

    // uložení dat do DB
    $pocetfile_upload=count($_FILES['obrazek']['tmp_name']);

    // zjištění počtu příloh
    if ($pocetfile_upload==0):
      $error_file="1";
    else:
      $error_file="0";
    endif;

    if ($error_file=="0"):
      for ($pom=0;$pom<$pocetfile_upload;$pom++):
        $soubor_obr=$_FILES['obrazek']['tmp_name'][$pom];
        if ($soubor_obr!="none" && $soubor_obr!=""):

          $prpriponasouboru=DekompPriponaSouboru($_FILES['obrazek']['name'][$pom]);
          $telosouboru=DekompJmenaSouboru($_FILES['obrazek']['name'][$pom]);

          if ($error_data==0):
            // sestavení nového jména souboru - full
            $obr_poloha=$GLOBALS['config']['inzerce_adresar'].UpravSoubor($GLOBALS["enazev"])."_".Date("mdHis").$pom.".".$prpriponasouboru;
            // sestavení nového jména souboru - náhled
            $nahl_poloha=$GLOBALS['config']['inzerce_adresar'].UpravSoubor($GLOBALS["enazev"])."_".Date("mdHis").$pom."_n.".$prpriponasouboru;
            // sestavení nového jména souboru
            $ulozinf_tmpsoubor=$GLOBALS['config']['inzerce_adresar'].UpravSoubor($GLOBALS["enazev"])."_".Date("mdHis").$pom."_tmp.".$prpriponasouboru;
          endif;

          if(file_exists($obr_poloha) || file_exists($nahl_poloha)):
            $error_data="1";
            $chybovehlaseni.="".HLASKA_CHYBA19." ".$telosouboru.".".$prpriponasouboru." ".HLASKA_CHYBA20.".<br /><br />";
          else:
            if (is_uploaded_file($soubor_obr)):
              if (move_uploaded_file($soubor_obr,$ulozinf_tmpsoubor)):
                chmod ($ulozinf_tmpsoubor,0707); // nastavení přístupových práv

                // získání informací o souboru
                $probrparametry=GetImageSize($ulozinf_tmpsoubor);
                $obr_sirka=$probrparametry[0]; // šířka
                $obr_vyska=$probrparametry[1]; // výška
                $typuplobr=$probrparametry[2]; // typ upload. souboru

                // typy obr.: 1 = GIF, 2 = JPG, 3 = PNG, 4 = SWF, 5 = PSD, 6 = BMP, 7 = TIFF(intel byte order), 8 = TIFF(motorola byte order),
                // 9 = JPC, 10 = JP2, 11 = JPX, 12 = JB2, 13 = SWC, 14 = IFF.

                // úprava velikosti obrázku
                if ($obr_sirka>$obr_vyska):
                  if ($obr_sirka>$GLOBALS['config']['img_obrazek_sirka']):
                    $koefupravy=$obr_sirka/$GLOBALS['config']['img_obrazek_sirka'];
                    $obr_sirka_uprav=round($obr_sirka/$koefupravy);
                    $obr_vyska_uprav=round($obr_vyska/$koefupravy);
                  else:
                    $obr_sirka_uprav=$obr_sirka;
                    $obr_vyska_uprav=$obr_vyska;
                  endif;
                else:
                  if ($obr_vyska>$GLOBALS['config']['img_obrazek_sirka']):
                    $koefupravy=$obr_vyska/$GLOBALS['config']['img_obrazek_sirka'];
                    $obr_sirka_uprav=round($obr_sirka/$koefupravy);
                    $obr_vyska_uprav=round($obr_vyska/$koefupravy);
                  else:
                    $obr_sirka_uprav=$obr_sirka;
                    $obr_vyska_uprav=$obr_vyska;
                  endif;
                endif;

                // úprava velikosti náhledu
                if ($obr_sirka>$obr_vyska):
                  if ($obr_sirka>$GLOBALS['config']['img_nahled_sirka']):
                    $koefupravynahl=$obr_sirka/$GLOBALS['config']['img_nahled_sirka'];
                    $obr_sirka_upravnahl=round($obr_sirka/$koefupravynahl);
                    $obr_vyska_upravnahl=round($obr_vyska/$koefupravynahl);
                  else:
                    $obr_sirka_upravnahl=$obr_sirka;
                    $obr_vyska_upravnahl=$obr_vyska;
                  endif;
                else:
                  if ($obr_vyska>$GLOBALS['config']['img_nahled_sirka']):
                    $koefupravynahl=$obr_vyska/$GLOBALS['config']['img_nahled_sirka'];
                    $obr_sirka_upravnahl=round($obr_sirka/$koefupravynahl);
                    $obr_vyska_upravnahl=round($obr_vyska/$koefupravynahl);
                  else:
                    $obr_sirka_upravnahl=$obr_sirka;
                    $obr_vyska_upravnahl=$obr_vyska;
                  endif;
                endif;

                // kontrola typu obrázku
                if ($typuplobr!=2 && $typuplobr!=3):
                  $error_data="1";
                  $chybovehlaseni.="".HLASKA_CHYBA2." ".$telosouboru.".".$prpriponasouboru."!<br />".HLASKA_CHYBA3.".<br /><br />\n";
                  //smazání souboru
                  unlink($ulozinf_tmpsoubor);
                else:
                  // nastavení proměnných
                  $error_data="0";
                  // tvorba obrázku
                  switch ($typuplobr):
                    case 2:
                      $probrzbroj=ImageCreateFromJPEG($ulozinf_tmpsoubor);
                    break;
                    case 3:
                      $probrzbroj=ImageCreateFromPNG($ulozinf_tmpsoubor);
                    break;
                  endswitch;
                  $probrcil=imagecreatetruecolor($obr_sirka_uprav,$obr_vyska_uprav);
                  $probrcilnahl=imagecreatetruecolor($obr_sirka_upravnahl,$obr_vyska_upravnahl);
                  imagecopyresampled($probrcil,$probrzbroj,0,0,0,0,$obr_sirka_uprav,$obr_vyska_uprav,$obr_sirka,$obr_vyska);
                  imagecopyresampled($probrcilnahl,$probrzbroj,0,0,0,0,$obr_sirka_upravnahl,$obr_vyska_upravnahl,$obr_sirka,$obr_vyska);
                  switch ($typuplobr):
                    case 2:
                      ImageJPEG($probrcil,$obr_poloha,90);
                      ImageJPEG($probrcilnahl,$nahl_poloha,90);
                    break;
                    case 3:
                      ImagePNG($probrcil,$obr_poloha);
                      ImagePNG($probrcilnahl,$nahl_poloha);
                    break;
                  endswitch;
                  ImageDestroy($probrzbroj);
                  ImageDestroy($probrcil);
                  ImageDestroy($probrcilnahl);
                  unlink($ulozinf_tmpsoubor);
                endif;
              else:
                $error_data="1";
                $chybovehlaseni.="".HLASKA_CHYBA4." ".$telosouboru.".".$prpriponasouboru." ".HLASKA_CHYBA5.".<br /><br />\n";
              endif;
            else:
              $error_data="1";
              $chybovehlaseni.="".HLASKA_CHYBA6." ".$telosouboru.".".$prpriponasouboru." ".HLASKA_CHYBA7.".<br /><br />\n";
            endif;
          endif;

          if ($error_data=="0"):
            @$error=$GLOBALS["query"]("insert into ".$GLOBALS["rspredpona"]."inzertnisystem_obr values(null,'".$GLOBALS["id_edit"]."','".$obr_poloha."','".$obr_sirka_uprav."','".$obr_vyska_uprav."','".$nahl_poloha."','".$obr_sirka_upravnahl."','".$obr_vyska_upravnahl."')",$GLOBALS["dbspojeni"]);
            if (!$error):
              // chybové hlášení
              $chybovehlaseni.="".HLASKA_CHYBA8." <em>".$telosouboru.".".$prpriponasouboru."</em> ".HLASKA_CHYBA9.".<br /><br />\n";
              $error_data="1";
              if(file_exists($obr_poloha)):
                unlink($obr_poloha);
              endif;
              if(file_exists($nahl_poloha)):
                unlink($nahl_poloha);
              endif;
            endif;
          endif;
        endif;
      endfor;
    endif;

    $telefon=$GLOBALS["telefon1"]." ".$GLOBALS["telefon2"]." ".$GLOBALS["telefon3"];
    $mobil=$GLOBALS["mobil1"]." ".$GLOBALS["mobil2"]." ".$GLOBALS["mobil3"];

    // příprava e-mailu
    $zprava = "".HLASKY_EMAIL1." ".HLASKY_EMAIL15." ".$GLOBALS["baseadr"]." ".HLASKY_EMAIL42.".\n\n";
    $zprava .= "".HLASKY_EMAIL33.":\n\n";
    $zprava .= "".INZSYS36.": ".$GLOBALS["enazev"]."\n\n";
    $zprava .= "".INZSYS1.":\n".str_replace ("\n","\r\n",$GLOBALS["epopis"])."\n\n";
    if (!empty($GLOBALS["ecena"])): $zprava .= "".INZSYS3.": ".$GLOBALS["ecena"]." ".INZSYS12."\n"; endif;
    $zprava .= "".INZSYS2.": ".$GLOBALS["ejmeno"]."\n";
    if (!empty($GLOBALS["telefon1"]) && !empty($GLOBALS["telefon2"]) && !empty($GLOBALS["telefon3"])): $zprava .= "".INZSYS4.": ".INZSYS78." ".$telefon."\n"; endif;
    if (!empty($GLOBALS["mobil1"]) && !empty($GLOBALS["mobil2"]) && !empty($GLOBALS["mobil3"])): $zprava .= "".INZSYS5.": ".INZSYS78." ".$mobil."\n"; endif;
    $zprava .= "".INZSYS30.": ".$GLOBALS["eemail"]."\n";
    if (!empty($urlupr)): $zprava .= "".INZSYS6.": ".$urlupr."\n"; endif;
    if ($GLOBALS["etyp"]==1):
      $zprava .= "".INZSYS7.": ".INZSYS8." \n";
    else:
      $zprava .= "".INZSYS7.": ".INZSYS9." \n";
    endif;
    $vyberkat=$GLOBALS["query"]("select nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$GLOBALS["ekategorie"]."",$GLOBALS["dbspojeni"]);
    $zprava .= "".INZSYS10.": ".$GLOBALS["result"]($vyberkat,0,"nazev")."\n";
    $vyberlok=$GLOBALS["query"]("select nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where idl=".$GLOBALS["elokalita"]."",$GLOBALS["dbspojeni"]);
    $zprava .= "".INZSYS11.": ".$GLOBALS["result"]($vyberlok,0,"nazev")."\n\n";
    $zprava .= "           ".HLASKY_EMAIL35."";

    $predmet=$GLOBALS["wwwname"]." - ".HLASKY_EMAIL34."";

    if($error_data=="0"):

      // přidání položky
      @$error=$GLOBALS["query"]("update ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty set nazev='".$GLOBALS["enazev"]."', popis='".$GLOBALS["epopis"]."', cena='".$GLOBALS["ecena"]."', jmeno='".$GLOBALS["ejmeno"]."', telefon='".$telefon."', mobil='".$mobil."', email='".$GLOBALS["eemail"]."', url='".$urlupr."', typ='".$GLOBALS["etyp"]."', kategorie='".$GLOBALS["ekategorie"]."', lokalita='".$GLOBALS["elokalita"]."', zobr_kontakt='".$GLOBALS["ezobr_kontakt"]."' where idn=".(int)$GLOBALS["id_edit"]."",$GLOBALS["dbspojeni"]);
      if (!$error):
        $chybovehlaseni.="".HLASKA_CHYBA10.".<br /><br />\n";
        //smazání souboru
        if(file_exists($obr_poloha)):
          unlink($obr_poloha);
        endif;
        if(file_exists($nahl_poloha)):
          unlink($nahl_poloha);
        endif;
      else:
        $chybovehlaseni.="".HLASKA_INFO23.".\n";
        SendMailInfo($GLOBALS["eemail"],$predmet,$zprava,$GLOBALS["postmaster"]);
      endif;
    endif;
    echo "<p class=\"chyba\">".$chybovehlaseni."</p>\n";
    Prihlaseni();
  else:
    echo "<p class=\"chyba\">".HLASKA_CHYBA11." .</p>\n";
    Prihlaseni();
  endif;
else:
  echo "<p class=\"chyba\">".ERROR_CHYBA_403."</p>\n";
endif;
}


//-----------------------------------------------------------------------------
// Vymazání obrázku
//-----------------------------------------------------------------------------

function VymazObr()
{
$GLOBALS["id_del_obr"]=$GLOBALS["escape_string"]($GLOBALS["id_del_obr"]);

if ($_SESSION["authuser"]==1):
  $dotazobr=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_obr where ido=".(int)$GLOBALS["id_del_obr"]."",$GLOBALS["dbspojeni"]);
  $pocetobr=$GLOBALS["num_rows"]($dotazobr);
  $pole_obr=$GLOBALS["fetch_assoc"]($dotazobr);
  if ($pocetobr==1):
    @$errorobr=$GLOBALS["query"]("delete from ".$GLOBALS["rspredpona"]."inzertnisystem_obr where ido=".(int)$GLOBALS["id_del_obr"]."",$GLOBALS["dbspojeni"]);
    if (!$errorobr):
      echo "<p class=\"chyba\">".HLASKA_CHYBA21.": ".$pole_obr["ido"]." ".HLASKA_CHYBA22.".</p>\n";
    else:
      if (file_exists($pole_obr["obr_poloha"])):
        unlink($pole_obr["obr_poloha"]);
      endif;
      if (file_exists($pole_obr["nahl_poloha"])):
        unlink($pole_obr["nahl_poloha"]);
      endif;
    endif;
  else:
    echo "<p class=\"chyba\">".HLASKA_CHYBA23.".</p>\n";
  endif;
  Prihlaseni();
else:
  echo "<p class=\"chyba\">".ERROR_CHYBA_403."</p>\n";
endif;
}

//*****************************************************************************
// TVORBA STRÁNKY
//*****************************************************************************

echo "<h1>".NADPIS7."</h1>\n";

if($_SESSION["access_time"]<strtotime("-120 minutes") || $GLOBALS["odhlaseni"]==1):
  LogOut();
endif;

if (isset($_SESSION["inzid"]) && isset($_SESSION["access_time"]) && $_SESSION["authuser"]==1 && empty($GLOBALS["id_del_obr"]) && empty($GLOBALS["id_edit"])):
  Prihlaseni();
elseif (!empty($GLOBALS["eemail"]) && !empty($GLOBALS["epassword"])):
  Prihlaseni();
elseif (!empty($GLOBALS["id_del_obr"]) && $_SESSION["authuser"]==1):
  VymazObr();
elseif (!empty($GLOBALS["id_edit"]) && $_SESSION["authuser"]==1):
  UpravInzerat();
else:
  FormPrihlasInzerat();
endif;
?>