<?php
  ######################################################################
  #  plugin pro phpRS - Inzertn systm - 3.0.0
  ######################################################################

  // Copyright (c) 2008 by Daniel Vvra (Vavrad@oez.cz)
  // Copyright (c) 2008 by gord007 (gord007@seznam.cz)
  // This program is free software. - Toto je bezplatny a svobodny software.
  // pro phpRS, neni standardni soucasti
  // Copyright (c) 2001-2004 by Jiri Lukas (jirilukas@supersvet.cz)
  // http://www.supersvet.cz/phprs/

//-------------------------------------
// Aktualizovno: 15.7.2008
//-------------------------------------

//*****************************************************************************
// POMOCN FUNKCE 
//*****************************************************************************

if (!defined('IN_CODE')):
  $GLOBALS["page"]="error";
  $GLOBALS["error"]="403";
  require "inzertnisystem.php";
  exit;
endif;

/*
  ZmenNaVelke($str = "")
  ZmenNaMale($str = "")
  Diakritika($str = "")
  UpravSoubor($str = "")
  ZkratRetezec($str = "", $delkaretezce)
  VymazOpakPomlcku($text = "")
  UpravProSeo($str = "")
  Bezpecnostni_Kod($delka_retezce)
  Random_Password($delka_retezce)
  ZmenLink($str = "")
  AntiSpam($str = "")
  Zavinac($str = "")
  SendMailInfo($prijemce,$predmet,$text,$odesilatel)
  MyDnesniDatum()
  MyDatetimeToDate($phprs_sql_datum)
  MyDatetimeToDatetime($phprs_sql_datum)
  NactiNastaveni($promenna = '', $typ = '')
*/

//-------------------------------------------------------------------------------------------
// funkce: zmna malch psmen na velk CZ
//-------------------------------------------------------------------------------------------

function ZmenNaVelke($str = "")
{
return StrTr($str, "abcdefghijklmnopqrstuvwxyz", "ABCDEFGHIJKLMNOPQRSTUVWXYZ");
}

//-------------------------------------------------------------------------------------------
// funkce: zmna velkch psmen na mal CZ
//-------------------------------------------------------------------------------------------

function ZmenNaMale($str = "")
{
return StrTr($str, "ABCDEFGHIJKLMNOPQRSTUVWXYZ", "abcdefghijklmnopqrstuvwxyz");
}

//-------------------------------------------------------------------------------------------
// funkce: odstrann diakritiky
//-------------------------------------------------------------------------------------------

function Diakritika($str) {
$search = array('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ' ', '.', ':', '!', '?', ','); 
$replace = array('e', 's', 'c', 'r', 'z', 'y', 'a', 'i', 'e', 'u', 'u', 'd', 't', 'n', 'e', 's', 'c', 'r', 'z', 'y', 'a', 'i', 'e', 'u', 'u', 'd', 't', 'n', '_', '_', '_', '_', '_', '_');
return str_replace($search, $replace, $str);}

//-------------------------------------------------------------------------------------------
// funkce: zmna na mal psmena a odstrann diakritiky a spec znak
//-------------------------------------------------------------------------------------------

function UpravSoubor($str = "")
{
return Diakritika(ZmenNaMale($str));
}

//-------------------------------------------------------------------------------------------
// funkce: zkrcen etzce na poadovanou dlku s doplnnm ... na konci etzce
//-------------------------------------------------------------------------------------------

function ZkratRetezec($str = "", $delkaretezce)
{
if (strlen($str)>$delkaretezce):
  return substr($str,0,$delkaretezce)." ...";
else:
  return $str;
endif;
}

//-----------------------------------------------------------------------------
// Funkce hled opakujc se zank -
//-----------------------------------------------------------------------------
function VymazOpakPomlcku($text = "")
{
$control=strpos($text,"--");
if ($control>0):
  $rotuj=1;
  while ($rotuj):
    $pozice=strpos($text,"--");
    $text=substr_replace($text,"-",$pozice,2);
    $pozice=strpos($text,"--");
    if ($pozice==0): $rotuj=0; endif;
  endwhile;
endif;

return $text;
}

//-----------------------------------------------------------------------------
// Pprava pro SEO odkazy
//-----------------------------------------------------------------------------
function UpravProSeo($str = "")
{
//return VymazOpakPomlcku(StrTr(htmlspecialchars(stripslashes(ZmenNaMale($str))), " /_?!,.:", "acdeeinorstuuyz--------"));
return VymazOpakPomlcku(ZmenNaMale(Diakritika($str)));
}



//-----------------------------------------------------------------------------
// funkce: Generovn nhodnho hesla pro bezpenostn kd
//-----------------------------------------------------------------------------

function Bezpecnostni_Kod($delka_retezce)
{
srand((double)microtime()*1000000);
$possible_charactors = "123456789ABCDEFGHIJKLMNPQRSTUVWXYZ";
$retezec="";
while(strlen($retezec)<$delka_retezce)
  {
  $retezec .= substr($possible_charactors, rand()%(strlen($possible_charactors)),1);
  }
return ($retezec);
}

//-----------------------------------------------------------------------------
// funkce: Generovn nhodnho hesla
//-----------------------------------------------------------------------------

function Random_Password($delka_retezce)
{
srand((double)microtime()*1000000);  // inicializuje genertor nhodnch sel
$possible_charactors = "abcdefghijklmnopqrstuvwxyz1234567890ABCDEFGHIJKLMNOPQRSTUVWXYZ"; /* definujeme
mon znaky pro heslo */
$retezec="";
while(strlen($retezec)<$delka_retezce)
  { // opakuj cyklus dokud poet znak string je men ne $delka_retezce
  $retezec .= substr($possible_charactors, rand()%(strlen($possible_charactors)),1);
    // vybereme nhodn znak z mnoiny znak pro heslo
  }
return ($retezec);
}

//-------------------------------------------------------------------------------------------
// funkce: zmna znaku & na &amp;
//-------------------------------------------------------------------------------------------
function ZmenLink($str = "")
{
return str_replace ("&","&amp;",$str);
}

//-------------------------------------------------------------------------------------------
// funkce: zmna znaku @ na &#064;
//-------------------------------------------------------------------------------------------
function AntiSpam($str = "")
{
return str_replace ("@","&#064;",$str);
}

//-------------------------------------------------------------------------------------------
// funkce: zmna znaku &#064; na @
//-------------------------------------------------------------------------------------------

function Zavinac($str = "")
{
return str_replace ("&#064;","@",$str);
}

//-----------------------------------------------------------------------------
// funkce: Odeslac skript emailu
//-----------------------------------------------------------------------------

function SendMailInfo($prijemce,$predmet,$text,$odesilatel)
{
// promnn
$prijemce=Zavinac($prijemce);
$odesilatel=Zavinac($odesilatel);

// pprava e-mailu
$zprava=Base64_Encode($text);
$header .= "From: ".$odesilatel."\n".
    "MIME-Version: 1.0\n".
    "Content-Type: text/plain; charset=\"".$GLOBALS['rsconfig']['kodovani']."\"\n".
    "Content-Transfer-Encoding: base64";

//pedmt zprvy
$subject = "=?".$GLOBALS['rsconfig']['kodovani']."?B?".base64_encode($predmet)."?=";

mail($prijemce,$subject,$zprava,$header);
}

// nacteni konfiguracni hodnoty z konfig. tab
function NactiNastaveni($promenna = '', $typ = '')
{
// bezpecnostni korekce
$promenna=mysql_escape_string($promenna);

switch ($typ):
  case 'varchar': $dotaz="select hodnota from ".$GLOBALS["rspredpona"]."inzertnisystem_config where promenna='".$promenna."'"; break;
endswitch;

$dotazhod=mysql_query($dotaz,$GLOBALS["dbspojeni"]);
if ($dotazhod==0):
  // promenna neexistuje
  $vysledek='';
else:
  if (mysql_num_rows($dotazhod)>0):
    // promenna existuje - nacteni hodnoty
    list($vysledek)=mysql_fetch_row($dotazhod);
  else:
    // promenna neexistuje
    $vysledek='';
  endif;
endif;

return $vysledek;
}

?>