<?php
######################################################################
# phpRS Plug-in modul: KForum v 1.3.1 - webova cast
# ureno pro phpRS verzi 2_8_0
# http://www.supersvet.cz/phprs
######################################################################

// Copyright (c) 2003-2006 by Kubajs - Lubomr Kupka (lubomir.kupka@saton.cz)
// http://www.saton.cz
// This program is free software. - Toto je bezplatny a svobodny software.

// vyuzivane tabulky: rs_ctenari, rs_frum, rs_frumtop, rs_frumpst, rs_frumid

// pomocne fce
// ZahlaviFrum()          - vype hlaviku celho fra - hlavn nadpis
// Datum($tdatum,$nic)    - zpracuje vlozeny datumcas a vrati datum ve tvaru dd.mm.rrrr, kdyz je prazdne nebo nulove vrati $nic
// Cas($tcas,$nic)        - zpracuje vlozeny datumcas a vrati cas ve tvaru hh.mm.ss, kdyz je prazdne nebo nulove vrati $nic
// VratTextPocP($pocet)   - dle potu vrt sprvn text (pspv-ek, -ky, -k)

// Manipulace($co,$odkud) - testovn pravomoc kdo-kam-co me

// vyuzivane fce
// UkaPreKFrum()        - zobraz pehled kategori
// UkaKatKFrum($Kat_ID) - zobraz pehled topik v zadan kategorii
// NovTopKFrum($Kat_ID) - zadan novho topicu a jeho nsledn uloen
// UkaTopKFrum($Top_ID) - zobraz pehled post v zadanm topiku
// NovPstKFrum($Top_ID) - zadan novho postu a jeho nsledn uloen

$n_plugin_phpRS="kforum"; // nazev aktualniho pluginu
 
define("IN_CODE",true); // inic.ochrann konstanty
include("config.php");

// aktivace spojeni
if (!IsSet($dbspojeni)): $dbspojeni=phprs_sql_dbcon(); endif;

global $verzephpRS;    // verze phpRS pro kterou je forum urceno
global $adrobrkfrum;   // adresar s ulozenymi obrazky
global $pocpostpage;   // pocet postu na stranku
global $spravceforum;  // mail na spravce fora
global $avatarpovolen; // zobrazovani avatara

// nastaven kfora
$cfg=phprs_sql_query("select * from ".$rspredpona."frumcfg where porcfg='1'",$dbspojeni);
$poccfg=phprs_sql_num_rows($cfg);
if ($poccfg==0):
  // vlozeni defaultnch daj konfigurace
  @$inscfg=phprs_sql_query("insert into ".$rspredpona."frumcfg values ('1', '280', 'image/kforum/', '', 'mail_spravce@server.cz', 'download', '10', '0', '5')",$dbspojeni);
  if (!$inscfg):
   return("chyblo nastaven ... vloeno defaultn, opravte si daje co nejdve v admin sti");
  else:
   return("chyblo nastaven ... a chyb stle, vloen defaultnch hodnot se nezdailo, opravdu jste pi instalaci vytvoili/upravili databze dle pokyn?");
  endif;
else:
 $udajeCFG = phprs_sql_fetch_array($cfg);
 $porcfg=$udajeCFG["porcfg"];             // 
 $verzephpRS=$udajeCFG["verzephprs"];     // verze phpRS pro kterou je forum urceno
 $adrobrkfrum=$udajeCFG["urlimage"];      // adresar s ulozenymi obrazky
 $spravceforum=$udajeCFG["spravce"];      // spravce fora
 $mspravceforum=$udajeCFG["mailspravce"]; // mail na spravce fora 
 $rs_main_sablona=$udajeCFG["sablona"];   // sablona pro zobrazeni fora
 $pocpostpage=$udajeCFG["stranka"];       // pocet postu na stranku
 $avatarpovolen=$udajeCFG["avatar"];      // true-povoleno zobrazovani avatara
 $avatarmax=$udajeCFG["maxavatar"];       // maximalni velikost avatara v kB
endif;

include("specfce.php");
include("myweb.php");
include("sl.php");
// soukrom slovnk pro plugin - pro nestandardnost nepouzito v distribucni verze
// include("sl_plugin.php");              

switch($verzephpRS): // te nem moc vznam, tato verze je jen pro 280
 case "280":
  include_once("trlayout.php");
  include_once($adrlayoutu);break;
 default:
  include_once("trlayout.php");
  include_once($adrlayoutu);break;
endswitch;

// javascripty
php?>
<script language="JavaScript" type="text/javascript">
 function ChangePage(fnum) {
  if (fnum == 1) {document.page1.submit();}
  else { document.page2.submit(); }
  }
</script>
<?php

// promnn pouvan ke konfiguraci pluginu
$odstranitHTML = TRUE;     // odstraovat HTML z textovch input
$HTMLpodtit = FALSE;       // zobrazovat HTML v podtitulu topicu
$maxslovopopis=50;
$maxslovopst=80;

// obecn promnn
$covolat=""; // pro ladn
$verforum="1.3.1"; // verze tohoto fora
// --[Opakujici se casti]-----------------------------------------------------------------------------
function ZahlaviFrum()
{
echo "<p class=\"frumnadpis\">Frum</p>\n"; // nadpis
}

// --[pomocn fce]------------------------------------------------------------------------------------
function Datum($tdatum,$nic)
{
if (substr($tdatum,0,2)=="00"):
 return($nic);
endif;
$tempdatum=strtotime($tdatum);
$tempdatum=date('d.m.Y',$tempdatum);
return($tempdatum);
}

function Cas($tcas,$nic)
{
if (substr($tcas,0,2)=="00"):
 return($nic);
endif;
$tempcas=strtotime($tcas);
$tempcas=date('H:i:s',$tempcas);
return($tempcas);
}

function VratTextPocP($pocet)
{
if ($pocet==1):
 return("pspvek");
endif;
if (($pocet>1) AND ($pocet<5)):
 return("pspvky");
else:
 return("pspvk");
endif;
}

function AutPostu($post,$nic,$kam)
//------ vysvtlen promnnch ---------
// $post - slo postu dle _frumpst
// $nic  - hodnota, kter se vrac, kdy je $post nulov
// $kam  - pln dle poadavk zadavatele
//       prozatm vrac funkce (dle $kam)
//       - default - pezdvku autora, jako ist text
//       - kat     - odkaz na kategorii pod kterou post spada, v odkazu je &#187; >>
//       - top     - odkaz na topic pod kter post spada s odskokem na dany post pres #, v odkazu je &#187; >>
//       - sta     - odkaz na topic pod kter post spada, v odkazu je &#187; sem; nezacn Od:
//--------------------------------------
{
global $rspredpona,$covolat,$pocpostpage;
if ($post==0):
 return($nic);
endif;
$dbspojeni=phprs_sql_dbcon();
$dotaz1=phprs_sql_query("select postid,frumid,topicid,postautor from ".$rspredpona."frumpst where postid='".$post."'",$dbspojeni);
$pocdotaz1=phprs_sql_num_rows($dotaz1);
if ($pocdotaz1==0):
 return("eh, nikdo");
endif;
$pole_dotaz1=phprs_sql_fetch_assoc($dotaz1);

$dotaz3=phprs_sql_query("select postid,topicid from ".$rspredpona."frumpst where (topicid='".$pole_dotaz1["topicid"]."') and (postid<='".$post."')",$dbspojeni);
$pocetpst3=phprs_sql_num_rows($dotaz3);
$cstrany=floor($pocetpst3/$pocpostpage);
if (($cstrany*$pocpostpage)<$pocetpst3):
 $cstrany++;
endif;

$dotaz2=phprs_sql_query("select idc,prezdivka,jmeno from ".$rspredpona."ctenari where idc='".$pole_dotaz1["postautor"]."'",$dbspojeni);
$pocdotaz2=phprs_sql_num_rows($dotaz2);
if ($pocdotaz2==0):
  $jmeno="eh, nikdo";
else:
  // v ppad, e chcete dobrazovat jmeno ctenare
  $pole_dotaz2=phprs_sql_fetch_assoc($dotaz2);
  if (strlen($pole_dotaz2["jmeno"])>12):
    $jmeno=substr($pole_dotaz2["jmeno"],0,9)."...";
  else:
    $jmeno=$pole_dotaz2["jmeno"];
  endif;
endif;
switch($kam):
 case "kat": $jmeno="Od: ".$jmeno." <a href=\"kforum".$covolat.".php?akce=kateg&Kat_ID=".$pole_dotaz1["frumid"]."\">&#187;</a>";break;
 case "top": $jmeno="Od: ".$jmeno." <a href=\"kforum".$covolat.".php?akce=topic&Top_ID=".$pole_dotaz1["topicid"]."&stranka=".$cstrany."#".$post."\">&#187;</a>";break;
 case "sta": $jmeno=$jmeno." <a href=\"kforum".$covolat.".php?akce=topic&Top_ID=".$pole_dotaz1["topicid"]."&stranka=".$cstrany."#".$post."\">&#187;</a>";break;
endswitch;
return($jmeno);
}

function StrankovaniTop($topid,$pocet)
{
global $covolat,$adrobrkfrum,$pocpostpage;

$pocstran=floor($pocet/$pocpostpage);
if (($pocstran*$pocpostpage)<$pocet):
 $pocstran++;
endif;
$radekstranek="<table><tr class=\"frumzsmall\"><td valign=\"bottom\"><img src=\"".$adrobrkfrum."stranky.gif\" width=\"9\" height=\"11\" border=\"0\"></td>";
for ($poms=1;$poms<=$pocstran;$poms++):  // vpis odkazu na stranky
 $radekstranek.="<td align=\"right\"><a href=\"kforum".$covolat.".php?akce=topic&Top_ID=".$topid."&stranka=".$poms."\">".$poms."</a></td>";
 if (($poms/10)==(floor($poms/10))):
  $radekstranek.="</tr><tr class=\"frumzsmall\"><td>&nbsp;</td>";
 endif;
endfor;
$radekstranek.="</tr></table>";
echo $radekstranek;
}

function VytvorSelect($topid,$pocet,$stranka)
{
global $covolat,$adrobrkfrum,$pocpostpage;

$pocstran=floor($pocet/$pocpostpage);
if (($pocstran*$pocpostpage)<$pocet):
 $pocstran++;
endif;
$retselect="<form name=\"page1\" action=\"kforum".$covolat.".php\"><td align=\"right\" nowrap>\n";
$retselect.="<input type=\"hidden\" name=\"akce\" value=\"topic\">";
$retselect.="<input type=\"hidden\" name=\"Top_ID\" value=\"".$topid."\">\n";
if ($stranka>1):
  $retselect.="<a href=\"kforum".$covolat.".php?akce=topic&Top_ID=".$topid."&stranka=".($stranka-1)."\">&laquo;</a>&nbsp;";
else:
  $retselect.="&laquo;&nbsp;";
endif;  
$retselect.="Strnka: <select name=\"stranka\" size=\"1\" onchange=\"ChangePage(1);\">\n";
for ($poms=1;$poms<=$pocstran;$poms++):  // vpis odkazu na stranky
 $retselect.="<option ";
 if ($poms==$stranka):
  $retselect.="selected ";
 endif;
 $retselect.="value=\"".$poms."\">".$poms."</option>\n";
endfor;
$retselect.="</select> z ".$pocstran."&nbsp;";
if ($stranka<$pocstran):
  $retselect.="<a href=\"kforum".$covolat.".php?akce=topic&Top_ID=".$topid."&stranka=".($stranka+1)."\">&raquo;</a>&nbsp;";
else:
  $retselect.="&raquo;&nbsp;";
endif;  
$retselect.="</td></form>\n";
return($retselect);
}

function Manipulace($co,$odkud)
//  $co = 1 - kategorie
//        2 - topic
//        3 - post
//  $odkud - je naplnn id dle $co
{
global $rspredpona,$spravceforum;

$dbspojeni=phprs_sql_dbcon();

$prava = array("topnew" => NULL, "topupd" => NULL, "topdel" => NULL, "pstnew" => NULL, "pstupd" => NULL, "pstdel" => NULL);
$lad=false;

if ($GLOBALS["prmyctenar"]->ctenarstav==1):                 // jestlize je ctenar prihlaseny
 // pihlen - OK
 if ($odkud>0):                                             // je cislo zadaneho topicu vetsi nez nula
  // a u je to co jeto, je to vt ne nula - OK
  $sql_prava="select ";
  $sql_from="from ";
  $sql_where="where (";
  if ($co>=3):
    $sql_prava.="p.postid, p.topicid, p.frumid, p.postautor, ";
    $sql_from.=$rspredpona."frumpst p, ";
    $sql_where.="(p.postid='".$odkud."') and ";
  endif;  
  if ($co>=2):
    $sql_prava.="t.topicid, t.frumid, t.topicautor, t.topicmoder, t.topiclock, ";
    $sql_from.=$rspredpona."frumtop t, ";
    if ($co==2):
      $sql_where.="(t.topicid='".$odkud."') and ";
    else:
      $sql_where.="(p.topicid=t.topicid) and ";
    endif;
  endif;
  if ($co>=1):
    $sql_prava.="k.frumid, k.frummoder, k.frumlock ";
    $sql_from.=$rspredpona."frum k ";
    if ($co==1):
      $sql_where.="(k.frumid='".$odkud."')";
    else:
      $sql_where.="(t.frumid=k.frumid)";
    endif;
  endif;
  $sql_where.=")";  
  $sql_prava.=$sql_from;
  $sql_prava.=$sql_where;
  $dotaz_prava=phprs_sql_query("".$sql_prava."",$dbspojeni);
  $pocet_prava=phprs_sql_num_rows($dotaz_prava);                // spocitej pocet vybranych vet
  
  if ($pocet_prava>=1):                                     // je vybrana jedna a vce vt
    // boss pes cel forum  $spravceforum
    if ($GLOBALS["prmyctenar"]->Ukaz("id")==$spravceforum):
      // -- z titulu nejvyho bosse TRUE
      $prava["pstnew"]=$prava["pstupd"]=$prava["pstdel"]=TRUE;
      $prava["topnew"]=$prava["topupd"]=$prava["topdel"]=TRUE;
    else:      
      $pole_prava = phprs_sql_fetch_array($dotaz_prava);
      // tak, uzivatel neni boss a jsme na existujicim zaznamu - jdeme na dalsi testy
      // vyeme "3" - je to dotaz na post
      if ($co>=3):
        if ($GLOBALS["prmyctenar"]->Ukaz("id")==$pole_prava["postautor"]):
          if($lad):echo "jsem autor postu - z tohoto titulu TRUE<br />";endif;
          $prava["pstupd"]=$prava["pstdel"]=TRUE;
        else:
          $prava["pstupd"]=$prava["pstdel"]=FALSE;
        endif;  
        $prava["pstnew"]=TRUE;
      endif; // if $co = 3
      // vyeme "2" - je to dotaz na topic
      if ($co>=2):
        if (($GLOBALS["prmyctenar"]->Ukaz("id")==$pole_prava["topicmoder"]) or ($GLOBALS["prmyctenar"]->Ukaz("id")==$pole_prava["topicautor"])):
          //  -- ale jsem modertor nebo autor topiku - z tohoto titulu TRUE
          $prava["pstnew"]=$prava["pstupd"]=$prava["pstdel"]=TRUE;
          $prava["topupd"]=$prava["topdel"]=TRUE;
        else:
         if ($pole_prava["topiclock"]=="1"):                // je topic je JEN pro cteni?
          //  - ano, topic je uzamen
            $prava["pstnew"]=$prava["pstupd"]=$prava["pstdel"]=FALSE;
          else:
            $prava["pstnew"]=TRUE;
          endif;
          $prava["topupd"]=$prava["topdel"]=FALSE;
          $prava["topnew"]=TRUE;
        endif;  
      endif; // if $co = 2
      // vyeme "1" - je to dotaz na kategorii
      if ($co>=1):
        if ($GLOBALS["prmyctenar"]->Ukaz("id")==$pole_prava["frummoder"]):
          //  -- ale jsem modertor kategorie - z tohoto titulu TRUE
          $prava["pstnew"]=$prava["pstupd"]=$prava["pstdel"]=TRUE;
          $prava["topnew"]=$prava["topupd"]=$prava["topdel"]=TRUE;
        else:
          if ($pole_prava["frumlock"]=="1"):                 // je kategorie je JEN pro cteni?
            //  - ano, kategorie je uzamena
            $prava["pstnew"]=$prava["pstupd"]=$prava["pstdel"]=FALSE;
            $prava["topnew"]=$prava["topupd"]=$prava["topdel"]=FALSE;
          else:
            $prava["topnew"]=TRUE;
          endif;
        endif;  
      endif; // if $co = 1
    endif; // end of if spravce  
  else:
    $prava = array("topnew" => FALSE, "topupd" => FALSE, "topdel" => FALSE, "pstnew" => FALSE, "pstupd" => FALSE, "pstdel" => FALSE);
  endif; // end of if pocet vybranych vt >= 1
 else: 
  $prava = array("topnew" => FALSE, "topupd" => FALSE, "topdel" => FALSE, "pstnew" => FALSE, "pstupd" => FALSE, "pstdel" => FALSE);
 endif; // end of if topic ma vetsi cislo nez 0
else:
 $prava = array("topnew" => FALSE, "topupd" => FALSE, "topdel" => FALSE, "pstnew" => FALSE, "pstupd" => FALSE, "pstdel" => FALSE);
endif; // end of if registrovany ctenar
// return - topnew, topupd, topdel, pstnew, pstupd, pstdel
return ($prava);
}

function VlozHelp()
{
 $hlptext="<a href=\"plugin/kforum/khelp.htm\" class=\"frumzsmall\" target=\"_blank\">(npovda)</a>&nbsp;&nbsp;";
 return($hlptext);
}

function VycistiText($txthtml) // odstrauje HTML tagy, atd.
{
$txthtml=NL2BR(HTMLSpecialChars($txthtml));
return($txthtml);
}

function PredEditaci($txthtml)
{
$txthtml=str_replace("&lt;br /&gt;","",$txthtml);
$txthtml=str_replace("<br />","",$txthtml);
return($txthtml);
}

function ZobrazPseudoHTML($txthtml) // meni pri zobrazeni []
{
$txthtml = strip_tags($txthtml);
// cast pro vymeteni on_neco
$txthtml = eregi_replace("onClick","to_jiste",$txthtml);
$txthtml = eregi_replace("onDblClick","to_jiste",$txthtml);
$txthtml = eregi_replace("onMouse","to_jiste",$txthtml);
$txthtml = eregi_replace("onKeyDown","to_jiste",$txthtml);
$txthtml = eregi_replace("onKeyUp","to_jiste",$txthtml);
$txthtml = eregi_replace("onKeyPress","to_jiste",$txthtml);
$txthtml = str_replace(":)","&nbsp;&nbsp;<image src=\"image/smileys/happy_cry.gif\" border=\"0\">",$txthtml);
$txthtml = str_replace(":(","&nbsp;&nbsp;<image src=\"image/smileys/cry.gif\" border=\"0\">",$txthtml);
$txthtml = str_replace(":-)","&nbsp;&nbsp;<image src=\"image/smileys/biggrin.gif\" border=\"0\">",$txthtml);
$txthtml = str_replace(":-(","&nbsp;&nbsp;<image src=\"image/smileys/angry.gif\" border=\"0\">",$txthtml);
$txthtml = str_replace(":?","&nbsp;&nbsp;<image src=\"image/smileys/oh.gif\" border=\"0\">",$txthtml);
$txthtml = str_replace(":P","&nbsp;&nbsp;<image src=\"image/smileys/jazyk.gif\" border=\"0\">",$txthtml);
//
$txthtml = str_replace("[b]","<b>",$txthtml);
$txthtml = str_replace("[/b]","</b>",$txthtml);
$txthtml = str_replace("[i]","<i>",$txthtml);
$txthtml = str_replace("[/i]","</i>",$txthtml);
$txthtml = str_replace("[u]","<u>",$txthtml);
$txthtml = str_replace("[/u]","</u>",$txthtml);
$txthtml = eregi_replace("\\[img]([^\\[]*)\\[/img\\]","<img src=\"\\1\" border=0>",$txthtml);
$txthtml = eregi_replace("\\[img=([^\\[]*)\\]([^\\[]*)\\[/img\\]","<img src=\"\\2\" border=0 \\1>",$txthtml);
$txthtml = eregi_replace("\\[url]http://([^\\[]*)\\[/url\\]","<a href=\"http://\\1\" target=\"_blank\">\\1</a>",$txthtml);
$txthtml = eregi_replace("\\[url]([^\\[]*)\\[/url\\]","<a href=\"http://\\1\" target=\"_blank\">\\1</a>",$txthtml);
$txthtml = eregi_replace("\\[url=http://([^\\[]*)\\]([^\\[]*)\\[/url\\]","<a href=\"http://\\1\" target=\"_blank\">\\2</a>",$txthtml);
$txthtml = eregi_replace("\\[url=([^\\[]*)\\]([^\\[]*)\\[/url\\]","<a href=\"http://\\1\" target=\"_blank\">\\2</a>",$txthtml);
$txthtml = eregi_replace("\\[email]([^\\[]*)\\[/email\\]","<a href=\"mailto:\\1\">\\1</a>",$txthtml);
$txthtml = eregi_replace("\\[email=([^\\[]*)\\]([^\\[]*)\\[/email\\]","<a href=\"mailto:\\1\">\\2</a>",$txthtml);
// $txthtml = eregi_replace("\\[color=([^\\[]*)\\]([^\\[]*)\\[/color\\]","<font color=\"\\1\">\\2</font>",$txthtml);
$txthtml = eregi_replace("\\[color=([^\\[]*)\\]","<font color=\"\\1\">",$txthtml);
$txthtml = str_replace("[/color]","</font>",$txthtml);
$txthtml = eregi_replace("\\[center]([^\\[]*)\\[/center\\]","<div align=\"center\">\\1</div>",$txthtml);
$txthtml = eregi_replace("\\[right]([^\\[]*)\\[/right\\]","<div align=\"right\">\\1</div>",$txthtml);
$txthtml = eregi_replace("\\[code]([^\\[]*)\\[/code\\]","<pre>\\1</pre>",$txthtml);
$txthtml = str_replace("[quote]","<blockquote class=\"frumzsmallq\">Quote:<hr noshade size=\"1\">",$txthtml);
$txthtml = str_replace("[/quote]","<hr noshade size=\"1\"></blockquote>",$txthtml);
return nl2br($txthtml);
}

function VstupTopic($topic)
{
global $rspredpona;
if ($GLOBALS["prmyctenar"]->ctenarstav==1):
 $dbspojeni=phprs_sql_dbcon();
// echo "<p align=\"center\" >Po spojeni ... topic = ".$topic."</p>";

 $dnes=Date("Y-m-d H:i:s");
 $idctenare=$GLOBALS["prmyctenar"]->Ukaz("id");

 $dotaz1=phprs_sql_query("select postid,topicid,postedit from ".$rspredpona."frumpst where topicid='".$topic."' order by postedit asc",$dbspojeni);
 $pocetdotaz1=phprs_sql_num_rows($dotaz1);
 $dotaz2=phprs_sql_query("select ctenarid,topicid from ".$rspredpona."frumid where (topicid=".$topic." and ctenarid=".$GLOBALS["prmyctenar"]->Ukaz("id").")",$dbspojeni);
 $pocetdotaz2=phprs_sql_num_rows($dotaz2);
 if ($pocetdotaz2==1):
//  echo "<p align=\"center\" >cesta na update</p>";
  @$edtid=phprs_sql_query("update ".$rspredpona."frumid set postpocet='".$pocetdotaz1."',poslview='".$dnes."' where (topicid=".$topic." and ctenarid=".$GLOBALS["prmyctenar"]->Ukaz("id").")",$dbspojeni); // update informaci v databazi topiku
 else: 
  @$insid=phprs_sql_query("insert into ".$rspredpona."frumid values ('$idctenare','$topic','$pocetdotaz1','$dnes')",$dbspojeni); // update informaci v databazi topiku
  if (!$insid):
   echo "<p align=\"center\" class=\"frumzsmall\">Chybka pri vlozeni \"co kdo videl\"</p>";
  endif;
 endif;
endif;
}

function NovePosty($topic,$pocet,$posledit)
{
global $rspredpona;
$novychpostu=-1;
if ($GLOBALS["prmyctenar"]->ctenarstav==1):
 $dbspojeni=phprs_sql_dbcon();
 
 $dnes=Date("Y-m-d H:i:s");
 $idctenare=$GLOBALS["prmyctenar"]->Ukaz("id");
 $dotaz1=phprs_sql_query("select * from ".$rspredpona."frumid where (ctenarid=".$idctenare." and topicid=".$topic.")",$dbspojeni);
 $pocetdotaz1=phprs_sql_num_rows($dotaz1);
 $pole_dotaz1=phprs_sql_fetch_assoc($dotaz1);
 if ($pocetdotaz1!=0):
  if ($pole_dotaz1["poslview"]<$posledit): // jestlize jsem tu byl driv nez byl poslendni pohyb v topicu
   if ($pole_dotaz1["postpocet"]<$pocet):  // pribyly nove posty?
    $novychpostu=$pocet-$pole_dotaz1["postpocet"];
   else: // ne, ale zmena tam byla ... oprava nejakeho z existujicich
    $novychpostu=0;
   endif;
  endif;
 else:
  $novychpostu=$pocet;
 endif;
endif;
return($novychpostu);
}

function NovePostyK($kateg)
{
global $rspredpona;
$dbspojeni=phprs_sql_dbcon();
$dotazfrumtop=phprs_sql_query("select topicid,frumid,topicposl from ".$rspredpona."frumtop where frumid=".$kateg."",$dbspojeni);
$pocetfrumtop=phprs_sql_num_rows($dotazfrumtop);
for ($pom=0;$pom<$pocetfrumtop;$pom++):  // vpis kategori
  $pole_dotazfrumtop=phprs_sql_fetch_assoc($dotazfrumtop);
  $dotazfrumpst=phprs_sql_query("select postid from ".$rspredpona."frumpst where topicid='".$pole_dotazfrumtop["topicid"]."'",$dbspojeni);
  $pocetfrumpst=phprs_sql_num_rows($dotazfrumpst);
  // vypocet novych postu od minule navstevy
  $pocet=NovePosty($pole_dotazfrumtop["topicid"],$pocetfrumpst,$pole_dotazfrumtop["topicposl"]);
  if ($pocet>-1):
    return(TRUE);
  endif;
endfor;
return(FALSE);
}

// --[zakladni fce]-----------------------------------------------------------------------------------
function UkaPreKFrum() // zobraz zakladn pehled vech nadefinovan kategori
{
global $rspredpona,$covolat,$verforum,$adrobrkfrum,$spravceforum,$mspravceforum;
$dbspojeni=phprs_sql_dbcon();

ZahlaviFrum();

// dotaz na pehled kategori fora
$dotazfrum=phprs_sql_query("select fr.*,cte.idc,cte.jmeno from ".$rspredpona."frum as fr left join ".$rspredpona."ctenari as cte on fr.frummoder=cte.idc order by fr.frumtop desc, fr.frumid",$dbspojeni);
$pocetfrum=phprs_sql_num_rows($dotazfrum);

// zobraz
echo "<table border=\"0\" cellSpacing=\"0\" cellPadding=\"1\" width=\"440px\" align=\"center\" class=\"frumhlram\"><tr><td>\n"; // hlavni ramec
echo "<table border=\"1\" cellSpacing=\"1px\" cellPadding=\"5\" width=\"100%\" align=\"center\" class=\"frumvnram\">\n";
echo "<tr class=\"frumhlavi\"><td width=\"21\">&nbsp;<td>&nbsp;Kategorie</td><td width=\"35\" align=\"center\">Tma</td><td width=\"35\" align=\"center\">Ps.</td><td width=\"115\" align=\"center\">Posl. pspvek</td><td width=\"110\" align=\"center\">Modertor</td><td width=\"21\"><a href=\"kforum".$covolat.".php?akce=najdi\"><img src=\"".$adrobrkfrum."hledej.gif\" alt=\"vyhledvn\" title=\"vyhledvn\" width=\"15\" height=\"15\" border=\"0\"></a></td></tr>\n";  
for ($pom=0;$pom<$pocetfrum;$pom++):  // vpis kategori
 $pole_kfk=phprs_sql_fetch_assoc($dotazfrum);
 $pocnovpostu=NovePostyK($pole_kfk["frumid"]);
 if ($pocnovpostu):
   $new_t="1";
 else: 
   $new_t="0";
 endif;
 $pravomoc = Manipulace(1,$pole_kfk["frumid"]);
 echo "<tr class=\"frumz\">";
 echo "<td valign=\"top\" align=\"center\"><a href=\"kforum".$covolat.".php?akce=kateg&Kat_ID=".$pole_kfk["frumid"]."\"><img src=\"".$adrobrkfrum."topic".$new_t.$pole_kfk["frumtop"].$pole_kfk["frumlock"].".gif\" alt=\"\" width=\"15\" height=\"15\" border=\"0\"></a></td>";
 echo "<td valign=\"top\"><a href=\"kforum".$covolat.".php?akce=kateg&Kat_ID=".$pole_kfk["frumid"]."\">".$pole_kfk["frumnaz"]."</a><br><span class=\"frumzsmall\">".$pole_kfk["frumpopis"]."</span></td>";
 $dotazfrumtop=phprs_sql_query("select topicid from ".$rspredpona."frumtop where frumid='".$pole_kfk["frumid"]."'",$dbspojeni);
 $pocetfrumtop=phprs_sql_num_rows($dotazfrumtop);
 echo "<td valign=\"top\" align=\"center\">".$pocetfrumtop."</td>";
 $dotazfrumpst=phprs_sql_query("select postid from ".$rspredpona."frumpst where frumid='".$pole_kfk["frumid"]."'",$dbspojeni);
 $pocetfrumpst=phprs_sql_num_rows($dotazfrumpst);
 echo "<td valign=\"top\" align=\"center\">".$pocetfrumpst."</td>";
 echo "<td valign=\"top\" align=\"center\" class=\"frumzsmall\">".Datum($pole_kfk["datumposl"],"bez")."<br>".Cas($pole_kfk["datumposl"],"pspvk")."<br>".AutPostu($pole_kfk["lastpost"],"","top")."</td>";
 echo "<td valign=\"top\" align=\"center\" class=\"frumzsmall\">".$pole_kfk["jmeno"]."</td>";
 if ($pravomoc["topnew"]):
  echo "<td valign=\"top\" align=\"center\"><a href=\"kforum".$covolat.".php?akce=newtopic&Kat_ID=".$pole_kfk["frumid"]."\"><img src=\"".$adrobrkfrum."reply.gif\" alt=\"Nov tma\" title=\"Nov tma\" width=\"15\" height=\"15\" border=\"0\"></a></td>";
 else:
  echo "<td valign=\"top\" align=\"center\">&nbsp;</td>";
 endif; 
 echo "</tr>\n";
endfor;

echo "</table>";
echo "<p align=\"center\" class=\"frumzsmall\">Pro zaloen nov kategorie kontaktujte <a href=\"mailto:".$mspravceforum."\">sprvce</a>.</p>";

// statistika
$dotazfrumid=phprs_sql_query("select poslview from ".$rspredpona."frumid where ctenarid='".$GLOBALS["prmyctenar"]->Ukaz("id")."' order by poslview desc",$dbspojeni);
$pocetfrumid=phprs_sql_num_rows($dotazfrumid);
if ($GLOBALS["prmyctenar"]->ctenarstav==1):
 if ($pocetfrumid>0):
  $pole_dotazfrumid=phprs_sql_fetch_assoc($dotazfrumid);
  $poslnavsteva="Byl jsi tu naposledy dne ".Datum($pole_dotazfrumid["poslview"],"")." v ".Cas($pole_dotazfrumid["poslview"],"").".";
 else:
  $poslnavsteva="Ale, prvn nvtva. Tak T tu vtm!";
 endif;
else:
  $poslnavsteva="Pro <span class=\"frumzsmallred\"><b>plnohodnotn vyuvn fora</b></span> (vkldn pspvk, reakce, atd.) je nutn <a href=\"readers.php\">pihlen</a> (<a href=\"readers.php?akce=new\">registrace</a>).";
endif;
$dotazfrumpst=phprs_sql_query("select postid,postedit from ".$rspredpona."frumpst order by postedit desc",$dbspojeni);
$pocetfrumpst=phprs_sql_num_rows($dotazfrumpst);
if ($pocetfrumpst>0):
  $pole_dotazfrumpst=phprs_sql_fetch_assoc($dotazfrumpst);
  $poslvlozeni="Posledn post vloil (opravoval) dne ".Datum($pole_dotazfrumpst["postedit"],"")." v ".Cas($pole_dotazfrumpst["postedit"],"")." uivatel ".AutPostu($pole_dotazfrumpst["postid"],"","sta").".";
else:
  $poslvlozeni="Forum je zcela ist.";
endif;
$dotazfrumtop=phprs_sql_query("select topicid from ".$rspredpona."frumtop",$dbspojeni);
$pocetfrumtop=phprs_sql_num_rows($dotazfrumtop);
echo "<table border=\"1\" cellSpacing=\"1px\" cellPadding=\"5\" width=\"100%\" align=\"center\" class=\"frumvnram\">\n";
echo "<tr class=\"frumz\"><td width=\"21\" rowspan=\"3\">&nbsp;</td><td class=\"frumzsmall\">&nbsp;&nbsp;".$poslnavsteva."</td></tr>\n";  
echo "<tr class=\"frumz\"><td class=\"frumzsmall\">&nbsp;&nbsp;".$poslvlozeni."</td></tr>\n";  
echo "<tr class=\"frumz\"><td class=\"frumzsmall\">&nbsp;&nbsp;V souasn chvli je v tomto fru uloeno ".$pocetfrumpst." ".VratTextPocP($pocetfrumpst)." v ".$pocetfrumtop." tmatech.</td></tr>\n";  
echo "</table><div class=\"frumzsmall\" align=\"right\">kforum v. ".$verforum."</div>";

echo "<p align=\"left\" class=\"frumzsmall\"><img src=\"".$adrobrkfrum."topic100.gif\" width=\"15\" height=\"15\" border=\"0\">&nbsp;&nbsp;kategorie obsahuje tmata s novmi nebo opravenmi pspvky<br>";
echo "<img src=\"".$adrobrkfrum."topic000.gif\" width=\"15\" height=\"15\" border=\"0\">&nbsp;&nbsp;kategorie neobsahuje tmata s novmi nebo opravenmi pspvky<br><br />";
echo "<img src=\"image/smileys/cool.gif\" width=\"15\" height=\"15\" border=\"0\">&nbsp;&nbsp;Povolen smajlci:<br>";
echo "<img src=\"image/smileys/happy_cry.gif\" width=\"15\" height=\"15\" border=\"0\">&nbsp;&nbsp;pite ve tvatu :)<br>";
echo "<img src=\"image/smileys/cry.gif\" width=\"15\" height=\"15\" border=\"0\">&nbsp;&nbsp;pite ve tvatu :(<br>";
echo "<img src=\"image/smileys/biggrin.gif\" width=\"15\" height=\"15\" border=\"0\">&nbsp;&nbsp;pite ve tvatu :-)<br>";
echo "<img src=\"image/smileys/angry.gif\" width=\"15\" height=\"15\" border=\"0\">&nbsp;&nbsp;pite ve tvatu :-(<br>";
echo "<img src=\"image/smileys/oh.gif\" width=\"15\" height=\"15\" border=\"0\">&nbsp;&nbsp;pite ve tvatu :?<br>";
echo "<img src=\"image/smileys/jazyk.gif\" width=\"15\" height=\"15\" border=\"0\">&nbsp;&nbsp;pite ve tvatu :P<br>";
echo "</p>\n"; 

echo "</td></tr></table>\n";
}

function UkaKatKFrum($Kat_ID) // zobraz pehled vech topicu v zadan kategorii
{
global $rspredpona,$covolat,$HTMLpodtit,$adrobrkfrum,$pocpostpage,$maxslovopopis;

$dbspojeni=phprs_sql_dbcon();

ZahlaviFrum();

// dotaz na pehled topicu dan kategorie
// tdn je desc dle poslednho vloenho postu ... pi zaloen topicu se datum zaloen vlo 
// i do datumu poslednho vloenho postu, take tdn nebude dlat problmy
$dotazfrumtop=phprs_sql_query("select * from ".$rspredpona."frumtop where frumid='".$Kat_ID."' order by topictop desc, topicposl desc",$dbspojeni);
$pocetfrumtop=phprs_sql_num_rows($dotazfrumtop);

// zobraz
echo "<table border=\"0\" cellSpacing=\"0\" cellPadding=\"1\" width=\"440px\" align=\"center\" class=\"frumhlram\">\n"; // hlavni ramec
// odskok na prehled kategori
$dotazfrum=phprs_sql_query("select frumid,frumnaz from ".$rspredpona."frum where frumid='".$Kat_ID."'",$dbspojeni);
$pocetfrum=phprs_sql_num_rows($dotazfrum);
$pole_dotazfrum=phprs_sql_fetch_assoc($dotazfrum);
if ($pocetfrum==0):
 UkaPreKFrum();
 return;
endif;
echo "<tr class=\"frumodskoky\"><td valign=\"bottom\"><p align=\"left\"><a href=\"kforum".$covolat.".php\">Pehled kategori</a><br>-&nbsp;<a href=\"kforum".$covolat.".php?akce=kateg&Kat_ID=".$Kat_ID."\">".$pole_dotazfrum["frumnaz"]."</a><br><br></p></td><td valign=\"bottom\"><p align=\"right\">";
$pravomoci=Manipulace(1,$Kat_ID);
if ($pravomoci["topnew"]):
 echo "<a href=\"kforum".$covolat.".php?akce=newtopic&Kat_ID=".$Kat_ID."\">Nov tma</a><br><br></p></td></tr>\n";
else:
 echo "&nbsp;<br><br></p></td></tr>\n";
endif; 
echo "<tr><td colspan=\"2\">";
echo "<table border=\"1\" cellSpacing=\"1px\" cellPadding=\"5\" width=\"100%\" align=\"center\" class=\"frumvnram\">\n";
echo "<tr class=\"frumhlavi\"><td width=\"21\">&nbsp;</td><td>&nbsp;Tma</td><td width=\"35\" align=\"center\">Ps.</td><td width=\"35\" align=\"center\">Peteno</td><td width=\"115\" align=\"center\">Posl. pspvek</td>";  
 // odblokovn se bude zobrazovat zhlavpro sloupec se jmnem modertora 
 /*
echo "<td width=\"80\" align=\"center\">Modertor</td>";  
*/
echo "<td width=\"21\"><a href=\"kforum".$covolat.".php?akce=najdi\"><img src=\"".$adrobrkfrum."hledej.gif\" alt=\"vyhledvn\" title=\"vyhledvn\" width=\"15\" height=\"15\" border=\"0\"></a></td></tr>\n";  
for ($pom=0;$pom<$pocetfrumtop;$pom++):  // vpis kategori
 $pole_dotazfrumtop=phprs_sql_fetch_assoc($dotazfrumtop);
 $dotazfrumpst=phprs_sql_query("select postid from ".$rspredpona."frumpst where topicid='".$pole_dotazfrumtop["topicid"]."'",$dbspojeni);
 $pocetfrumpst=phprs_sql_num_rows($dotazfrumpst);
 $pravomoci=Manipulace(2,$pole_dotazfrumtop["topicid"]);
 // vypocet novych postu od minule navstevy
 $pocnovychpostu=NovePosty($pole_dotazfrumtop["topicid"],$pocetfrumpst,$pole_dotazfrumtop["topicposl"]);
 if ($pocnovychpostu<0):
  $new_t="0";
 else: 
  $new_t="1";
 endif;
 echo "<tr class=\"frumz\">";
 echo "<td valign=\"top\" align=\"center\"><a href=\"kforum".$covolat.".php?akce=topic&Top_ID=".$pole_dotazfrumtop["topicid"]."\"><img src=\"".$adrobrkfrum."topic".$new_t.$pole_dotazfrumtop["topictop"].$pole_dotazfrumtop["topiclock"].".gif\" alt=\"\" width=\"15\" height=\"15\" border=\"0\"></a>";
 if ($pravomoci["topupd"]):
  echo "<br><br><a href=\"kforum".$covolat.".php?akce=oprtopic&Top_ID=".$pole_dotazfrumtop["topicid"]."\"><img src=\"".$adrobrkfrum."topicedit.gif\" alt=\"upravit\" title=\"upravit\" width=\"15\" height=\"15\" border=\"0\"></a>";
  echo "<br><a href=\"kforum".$covolat.".php?akce=deltopic&Top_ID=".$pole_dotazfrumtop["topicid"]."\"><img src=\"".$adrobrkfrum."topicdele.gif\" alt=\"zruit\" title=\"zruit\" width=\"15\" height=\"15\" border=\"0\"></a></td>";
 else:
  echo "</td>";
 endif; 
 echo "<td valign=\"top\"><a href=\"kforum".$covolat.".php?akce=topic&Top_ID=".$pole_dotazfrumtop["topicid"]."\">".$pole_dotazfrumtop["topicnaz"]."</a>";
 if ($pocnovychpostu>0):
  echo "<span class=\"frumzsmallred\"> nov (".$pocnovychpostu.")</span>";
 endif;
 if ($HTMLpodtit):
  echo "<br><span class=\"frumzsmall\">".wordwrap(ZobrazPseudoHTML($pole_dotazfrumtop["topicpopis"]), $maxslovopopis, "\n", 1)."</span>";
 else:
  echo "<br><span class=\"frumzsmall\">".wordwrap($pole_dotazfrumtop["topicpopis"], $maxslovopopis, "\n", 1)."</span>";
 endif;
 if ($pocetfrumpst>$pocpostpage):
  StrankovaniTop($pole_dotazfrumtop["topicid"],$pocetfrumpst);
 endif;
 echo "</td>";
 echo "<td valign=\"top\" align=\"center\">".$pocetfrumpst."</td>";
 echo "<td valign=\"top\" align=\"center\">".$pole_dotazfrumtop["topiccteni"]."</td>";
 echo "<td valign=\"top\" align=\"center\" class=\"frumzsmall\">".Datum($pole_dotazfrumtop["topicposl"],"bez")."<br>".Cas($pole_dotazfrumtop["topicposl"],"pspvk")."<br>".AutPostu($pole_dotazfrumtop["lastpost"],"","top")."</td>";
 $dotazaut=phprs_sql_query("select idc,prezdivka from ".$rspredpona."ctenari where idc='".$pole_dotazfrumtop["topicmoder"]."'",$dbspojeni);
 if ($pravomoci["pstnew"]):
  echo"<td valign=\"top\" align=\"center\"><a href=\"kforum".$covolat.".php?akce=newpost&Top_ID=".$pole_dotazfrumtop["topicid"]."\"><img src=\"".$adrobrkfrum."reply.gif\" alt=\"nov pspvek\" title=\"nov pspvek\" width=\"15\" height=\"15\" border=\"0\"></a></td>";
 else: 
  echo"<td valign=\"top\" align=\"center\">&nbsp;</td>";
 endif; 
 echo "</tr>\n";
endfor;

echo "</table>";
 echo "<p align=\"left\" class=\"frumzsmall\"><img src=\"".$adrobrkfrum."topic100.gif\" width=\"15\" height=\"15\" border=\"0\">&nbsp;&nbsp;tma obsahuje nov nebo opraven pspvky<br>";
 echo "<img src=\"".$adrobrkfrum."topic000.gif\" width=\"15\" height=\"15\" border=\"0\">&nbsp;&nbsp;tma neobsahuje dn nov nebo opraven pspvky<br>";
 echo "<img src=\"".$adrobrkfrum."topic001.gif\" width=\"15\" height=\"15\" border=\"0\">&nbsp;&nbsp;tma uzamen jen pro ten<br>";
 echo "</p>\n"; 
echo "</td></tr></table>\n";
}

function NovTopKFrum($Kat_ID) // zadan novho topicu a jeho nsledn uloen
{
global $rspredpona,$covolat,$adrobrkfrum,$odstranitHTML,$vlozenytop,$ftopicid,$ftopicnaz,$ftopicpopis,$fposttext,$ftopicautor,$ftopicmoder,$ftopiclock,$ftopictop;

$pravomoci=Manipulace(1,$Kat_ID);
if ($pravomoci["topnew"]===FALSE): // nekdo se pokusil zavolat kategorii, ktera neexistuje => odhozeni na hlavni prehled
 UkaPreKFrum();
 return;
endif;

$dbspojeni=phprs_sql_dbcon();

ZahlaviFrum();

if ($vlozenytop): // zadani, nebo ulozeni?
 $dotazfrumtop=phprs_sql_query("select topicid from ".$rspredpona."frumtop where topicid='".$ftopicid."'",$dbspojeni);
 $pocetfrumtop=phprs_sql_num_rows($dotazfrumtop);

 $vlozenytop=FALSE; // veta uz se uklada, pristi pruchod bude smerovan do formulare pro zadani

 if ($pocetfrumtop==0): // je pocet topicu stejneho cisla
  // upravy pred ulozenim
  if ($odstranitHTML):
   $ftopicnaz=VycistiText($ftopicnaz);
   if (strlen($ftopicnaz)==0): $ftopicnaz="bez nzvu"; endif;
   $ftopicpopis=VycistiText($ftopicpopis);
   $fposttext=VycistiText($fposttext);
  endif;
  //vlozeni dat do databaze
  $ftopicvyd=Date("Y-m-d H:i:s");
  $ftopicposl=Date("Y-m-d H:i:s");
  @$addtop = phprs_sql_query("INSERT INTO ".$rspredpona."frumtop VALUES (null,'$Kat_ID','$ftopicnaz','$ftopicpopis','$ftopicautor','$ftopicmoder','$ftopiclock','$ftopictop','0','','$ftopicvyd','$ftopicposl')",$dbspojeni);
  if (!$addtop):
   echo "<center>Pi vkldn nastala neoekvan chyba.</center><br>";   
  else:
   // doplneni informaci do ostatnich databazi / peknej zmatek
   $ftopicid = phprs_sql_insert_id();
   @$addpst = phprs_sql_query("INSERT INTO ".$rspredpona."frumpst VALUES (null,'$Kat_ID','$ftopicid','$ftopicautor','$fposttext','$ftopicvyd','$ftopicposl')",$dbspojeni);
   $fpostid = phprs_sql_insert_id();
   @phprs_sql_query("update ".$rspredpona."frumtop set lastpost='".$fpostid."' where topicid='".$ftopicid."'",$dbspojeni); // update informaci v databazi topiku
   @phprs_sql_query("update ".$rspredpona."frum set lastpost='".$fpostid."',datumposl='".$ftopicposl."' where frumid='".$Kat_ID."'",$dbspojeni); // update informaci v databazi kategorii
   echo "<center>Topic spn pidn.</center><br>";
  endif; // end of $addtop
 else:
  echo "<center>Chyba. Pokus o zadn duplicitnho tma.</center><br>";   
 endif; // end of $pocetfrumtop
 echo "<center><p class=\"\"><a href=\"kforum".$covolat.".php?akce=kateg&Kat_ID=".$Kat_ID."\">Zpt</a></p></center><br>"; 
else:
 echo "<table border=\"0\" cellSpacing=\"0\" cellPadding=\"1\" width=\"440px\" align=\"center\" class=\"frumhlram\"><tr><td>\n"; // hlavni ramec
 echo "<form method=\"post\" class=\"frumz\">";
 // formul 
 echo "<table border=\"1\" cellSpacing=\"0\" cellPadding=\"1\" width=\"100%\" align=\"center\" class=\"frumvnram\">\n";
 echo "<tr class=\"frumhlavi\"><td colspan=\"2\">Zadn novho tma<br><br></td></tr>\n";  
 echo "<input type=\"hidden\" name=\"vlozenytop\" value=\"TRUE\">\n";
 echo "<tr class=\"frumz\" valign=\"top\"><td align=\"right\"><br>Nzev tma:&nbsp;&nbsp;</td><td><br><input type=\"text\" size=\"25\" name=\"ftopicnaz\" value=\"\"></td></tr>\n";
 echo "<tr class=\"frumz\" valign=\"top\"><td align=\"right\">Podtitul tma:&nbsp;&nbsp;</td><td><textarea name=\"ftopicpopis\" cols=\"40\" rows=\"3\" wrap=\"yes\" class=\"textbox\"></textarea></td></tr>\n";
 echo "<tr class=\"frumz\" valign=\"top\"><td align=\"right\">Text pspvku:&nbsp;&nbsp;<br>".VlozHelp()."</td><td><textarea name=\"fposttext\" cols=\"40\" rows=\"12\" wrap=\"yes\" class=\"textbox\"></textarea></td></tr>\n";
 $ci_char=$GLOBALS["prmyctenar"]->Ukaz("id"); // nacteni ID ctenare
 echo "<input type=\"hidden\" name=\"ftopicautor\" value=\"".$ci_char."\">";
 // jako moderator je nastaven zakladatel topicu ... zmena je mozna az v nasledne editaci
 // aby to nematlo uzivatele  
 echo "<input type=\"hidden\" name=\"ftopicmoder\" value=\"".$ci_char."\">";
 echo "<tr class=\"frumz\" valign=\"top\"><td align=\"right\"><br>Omezit jen pro ten:&nbsp;&nbsp;</td><td><br><input type=\"radio\" name=\"ftopiclock\" value=\"1\" />".RS_ANO." &nbsp;&nbsp; <input type=\"radio\" name=\"ftopiclock\" value=\"0\" checked />".RS_TLNE."<br><br></td></tr>\n";
 echo "<tr class=\"frumz\" valign=\"top\"><td align=\"right\">Zobrazit na zatku pehledu:&nbsp;&nbsp;<br><span class=\"frumzsmall\">(bez ohledu na datum)</span>&nbsp;&nbsp;</td><td><input type=\"radio\" name=\"ftopictop\" value=\"1\" />".RS_ANO." &nbsp;&nbsp; <input type=\"radio\" name=\"ftopictop\" value=\"0\" checked />".RS_TLNE."<br><br></td></tr>\n";
 echo "<tr class=\"frumz\"><td colspan=\"2\" align=\"center\"><br><input type=\"submit\" name=\"pridej\" value=\" Vloit \" />&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"reset\" value=\" Reset \" /><br><br></td></tr>";  
 // echo "<p align=\"center\" class=\"frumz\"><input type=\"submit\" name=\"pridej\" value=\" Vloit \" />&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"reset\" value=\" Reset \" /></p>";
 echo "</table>\n";
 // end of formul
 echo "</form></td></tr></table>";
 echo "<p align=\"center\" class=\"\"><a href=\"kforum".$covolat.".php?akce=kateg&Kat_ID=".$Kat_ID."\">Zpt</a></p>\n"; 
endif; // end of else zadani nove kategorie
}

function EdtTopKFrum($Top_ID) // editace existujiciho topicu a jeho nsledn uloen
{
global $rspredpona,$covolat,$adrobrkfrum,$odstranitHTML,$editovanytop,$ffrumid,$ftopicnaz,$ftopicpopis,$ftopicmoder,$ftopictop,$ftopiclock;

$pravomoci=Manipulace(2,$Top_ID);
if ($pravomoci["topupd"]===FALSE):
 UkaPreKFrum();
 return; // vykopnout, nem tu co dlat
endif;

$dbspojeni=phprs_sql_dbcon();

ZahlaviFrum();

if ($editovanytop): // zadani, nebo ulozeni?
 $dotazfrumtop=phprs_sql_query("select topicid from ".$rspredpona."frumtop where topicid='".$ftopicid."'",$dbspojeni);
 $pocetfrumtop=phprs_sql_num_rows($dotazfrumtop);

 $editovanytop=FALSE; // veta uz se uklada, pristi pruchod bude smerovan do formulare pro editaci

 // upravy pred ulozenim
 if ($odstranitHTML):
  $ftopicnaz=VycistiText($ftopicnaz);
  if (strlen($ftopicnaz)==0): $ftopicnaz="bez nzvu"; endif;
  $ftopicpopis=VycistiText($ftopicpopis);
 endif;
 // ulozeni opravenych dat do databaze
 @$edttop=phprs_sql_query("update ".$rspredpona."frumtop set topicnaz='".$ftopicnaz."',topicpopis='".$ftopicpopis."',topicmoder='".$ftopicmoder."',topictop='".$ftopictop."',topiclock='".$ftopiclock."' where topicid='".$Top_ID."'",$dbspojeni); // update informaci v databazi topiku
 if (!$edttop):
  echo "<center>Pi ukldn nastala neoekvan chyba.</center><br>";   
 else:
  echo "<center>Tma spn uloeno.</center><br>";
 endif; // end of $edttop
 echo "<center><p class=\"\"><a href=\"kforum".$covolat.".php?akce=kateg&Kat_ID=".$ffrumid."\">Zpt</a></p></center><br>"; 
else:
 $dotazfrumtop=phprs_sql_query("select topicid,frumid,topicnaz,topicpopis,topictop,topiclock,topicmoder,topicvyd from ".$rspredpona."frumtop where topicid='".$Top_ID."'",$dbspojeni);
 $pocetfrumtop=phprs_sql_num_rows($dotazfrumtop);
 if ($pocetfrumtop!=1):
  echo "Chyba - duplicitn topic";
  return; // vykopnout pokud to nen jen jedna veta
 endif;
 $pole_dotazfrumtop=phprs_sql_fetch_assoc($dotazfrumtop);
 echo "<table border=\"0\" cellSpacing=\"0\" cellPadding=\"1\" width=\"440px\" align=\"center\" class=\"frumhlram\"><tr><td>\n"; // hlavni ramec
 echo "<form method=\"post\" class=\"frumz\">";
 // formul 
 echo "<table border=\"1\" cellSpacing=\"0\" cellPadding=\"1\" width=\"100%\" align=\"center\" class=\"frumvnram\">\n";
 echo "<tr class=\"frumhlavi\"><td colspan=\"2\">Oprava tmata zapsanho dne ".Datum($pole_dotazfrumtop["topicvyd"],"-")." v ".Cas($pole_dotazfrumtop["topicvyd"],"-")."<br><br></td></tr>\n";  
 echo "<input type=\"hidden\" name=\"editovanytop\" value=\"TRUE\">\n";
 echo "<input type=\"hidden\" name=\"ffrumid\" value=\"".$pole_dotazfrumtop["frumid"]."\">\n";
 echo "<tr class=\"frumz\" valign=\"top\"><td align=\"right\"><br>Nzev tmata:&nbsp;&nbsp;</td><td><br><input type=\"text\" size=\"25\" name=\"ftopicnaz\" value=\"".$pole_dotazfrumtop["topicnaz"]."\"></td></tr>\n";
 echo "<tr class=\"frumz\" valign=\"top\"><td align=\"right\">Podtitul tmata:&nbsp;&nbsp;</td><td><textarea name=\"ftopicpopis\" cols=\"40\" rows=\"3\" wrap=\"yes\" class=\"textbox\">".PredEditaci($pole_dotazfrumtop["topicpopis"])."</textarea></td></tr>\n";
 echo "<tr class=\"frumz\" valign=\"top\"><td align=\"right\">Modertor:&nbsp;&nbsp;</td><td><select name=\"ftopicmoder\">";
 // nacteni seznamu ctenaru
 $dotazaut=phprs_sql_query("select idc,prezdivka,jmeno from ".$rspredpona."ctenari order by prezdivka",$dbspojeni);
 $pocetaut=phprs_sql_num_rows($dotazaut);
 for ($pom=0;$pom<$pocetaut;$pom++):
  $pole_dotazaut=phprs_sql_fetch_assoc($dotazaut);
  echo "<option value=\"".$pole_dotazaut["idc"]."\"";
  if ($pole_dotazaut["idc"]==$pole_dotazfrumtop["topicmoder"]):
   echo " SELECTED";
  endif;
  echo ">".$pole_dotazaut["jmeno"]."</option>"; // v comboboxu se ukaze prehled jmen
 endfor;
 echo "</select></td></tr>\n";
 echo "<tr class=\"frumz\" valign=\"top\"><td align=\"right\"><br>Omezit jen pro ten:&nbsp;&nbsp;</td><td><br>";
 if ($pole_dotazfrumtop["topiclock"]==1):
  echo "<input type=\"radio\" name=\"ftopiclock\" value=\"1\" checked />".RS_ANO." &nbsp;&nbsp; <input type=\"radio\" name=\"ftopiclock\" value=\"0\" />".RS_TLNE."<br><br></td></tr>\n";
 else:
  echo "<input type=\"radio\" name=\"ftopiclock\" value=\"1\" />".RS_ANO." &nbsp;&nbsp; <input type=\"radio\" name=\"ftopiclock\" value=\"0\" checked />".RS_TLNE."<br><br></td></tr>\n";
 endif;
 echo "<tr class=\"frumz\" valign=\"top\"><td align=\"right\">Zobrazit na zatku pehledu:&nbsp;&nbsp;<br><span class=\"frumzsmall\">(bez ohledu na datum)</span>&nbsp;&nbsp;</td><td>";
 if ($pole_dotazfrumtop["topictop"]==1):
  echo "<input type=\"radio\" name=\"ftopictop\" value=\"1\" checked />".RS_ANO." &nbsp;&nbsp; <input type=\"radio\" name=\"ftopictop\" value=\"0\" />".RS_TLNE."<br><br></td></tr>\n";
 else:
  echo "<input type=\"radio\" name=\"ftopictop\" value=\"1\" />".RS_ANO." &nbsp;&nbsp; <input type=\"radio\" name=\"ftopictop\" value=\"0\" checked />".RS_TLNE."<br><br></td></tr>\n";
 endif;
 echo "";
 echo "";
 echo "</select></td></tr>\n";
 echo "<tr class=\"frumz\"><td colspan=\"2\" align=\"center\"><br><input type=\"submit\" name=\"pridej\" value=\" Vloit \" />&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"reset\" value=\" Reset \" /><br><br></td></tr>";  
 // echo "<p align=\"center\" class=\"frumz\"><input type=\"submit\" name=\"pridej\" value=\" Vloit \" />&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"reset\" value=\" Reset \" /></p>";
 echo "</table>\n";
 // end of formul
 echo "</form></td></tr></table>";
 echo "<p align=\"center\" class=\"\"><a href=\"kforum".$covolat.".php?akce=kateg&Kat_ID=".$pole_dotazfrumtop["frumid"]."\">Zpt</a></p>\n"; 
endif; // end of else zadani nove kategorie
}

function UkaTopKFrum($Top_ID,$stranka) // zobraz pehled vech postu v zadanm topicu
{
global $rspredpona,$covolat,$adrobrkfrum,$avatarpovolen,$pocpostpage,$maxslovopst;
$dbspojeni=phprs_sql_dbcon();

ZahlaviFrum();

// odskok na prehled kategori
$dotazfrumtop=phprs_sql_query("select topicid,frumid,topicnaz,topicmoder from ".$rspredpona."frumtop where topicid='".$Top_ID."'",$dbspojeni);
$pocetfrumtop=phprs_sql_num_rows($dotazfrumtop);
if ($pocetfrumtop!=1): // nekdo se pokusi zavolat topic, ktery neexistuje => odhozeni na hlavni prehled
 UkaPreKFrum();
 return;
endif;
$pole_dotazfrumtop=phprs_sql_fetch_assoc($dotazfrumtop);

// dotaz na pehled topicu dan kategorie
// tdn je asc dle datumu vloen postu ...
$dotazfrumpst=phprs_sql_query("select * from ".$rspredpona."frumpst where topicid='".$Top_ID."' order by postvyd",$dbspojeni);
$pocetfrumpst=phprs_sql_num_rows($dotazfrumpst);
// odchycen ID prvnho postu topicu
$pole_dotazfrumpst=phprs_sql_fetch_assoc($dotazfrumpst);
$prvnipost=$pole_dotazfrumpst["postid"];

if ($pocetfrumpst>$pocpostpage):
 if ((!isset($stranka)) OR ($stranka=="")):
  $stranka=1;
 endif;
 $RSelect=VytvorSelect($Top_ID,$pocetfrumpst,$stranka);
 $RSelect2=str_replace("ChangePage(1)","ChangePage(2)",$RSelect);
 $RSelect2=str_replace("page1","page2",$RSelect2);
else:
 $stranka=1;
 $RSelect="";
 $RSelect2="";
endif;

$dotazfrumpst=phprs_sql_query("select * from ".$rspredpona."frumpst where topicid='".$Top_ID."' order by postvyd LIMIT ".($stranka-1)*$pocpostpage.",".$pocpostpage."",$dbspojeni);
$pocetfrumpst=phprs_sql_num_rows($dotazfrumpst);
// zobraz
echo "<a name=\"top\"></a>";
echo "<table border=\"0\" cellSpacing=\"0\" cellPadding=\"1\" width=\"440px\" align=\"center\" class=\"frumhlram\">\n"; // hlavni ramec
VstupTopic($Top_ID);
$dotazfrum=phprs_sql_query("select frumid,frumnaz from ".$rspredpona."frum where frumid='".$pole_dotazfrumtop["frumid"]."'",$dbspojeni);
$pole_dotazfrum=phprs_sql_fetch_assoc($dotazfrum);
if ($pole_dotazfrumtop["topicmoder"]!=$GLOBALS["prmyctenar"]->Ukaz("id")):
 @phprs_sql_query("update ".$rspredpona."frumtop set topiccteni=(topiccteni+1) where topicid='".$Top_ID."'",$dbspojeni); // zvednuti poctu precteni
endif;
echo "<tr class=\"frumodskoky\"><td valign=\"bottom\"><p align=\"left\"><a href=\"kforum".$covolat.".php\">Pehled kategori</a><br>\n";
echo "&nbsp;-&nbsp;<a href=\"kforum".$covolat.".php?akce=kateg&Kat_ID=".$pole_dotazfrumtop["frumid"]."\">".$pole_dotazfrum["frumnaz"]."</a><br>\n";
echo "&nbsp;&nbsp;-&nbsp;<a href=\"kforum".$covolat.".php?akce=topic&Top_ID=".$Top_ID."\">".$pole_dotazfrumtop["topicnaz"]."</a><br><br></p></td><td valign=\"bottom\"><p align=\"right\">\n";
$pravomoci=Manipulace(2,$Top_ID);
if ($pravomoci["pstnew"]):
 echo "<a href=\"kforum".$covolat.".php?akce=newpost&Top_ID=".$Top_ID."\">Nov pspvek</a><br><br></p></td></tr>\n";
else:
 echo "&nbsp;<br><br></p></td></tr>\n";
endif; 
echo "<tr><td colspan=\"3\">";
echo "<table border=\"1\" cellSpacing=\"1px\" cellPadding=\"5\" width=\"100%\" align=\"center\" class=\"frumvnram\">\n";
echo "<tr class=\"frumhlavi\" valign=\"baseline\"><td align=\"center\" width=\"80\">Autor</td><td align=\"center\" width=\"100%\">Pspvky</td>\n".$RSelect."</tr>\n";
// prvni post se nebude dat samostatne nikdy zrusit ... zmizi pouze pri ruseni celeho topicu
$klon=TRUE;
for ($pom=0;$pom<$pocetfrumpst;$pom++):  // vpis kategori
 $pole_dotazfrumpst=phprs_sql_fetch_assoc($dotazfrumpst);
 if ($klon):
  echo "<tr class=\"frumz\">";
 else:
  echo "<tr class=\"frumzneg\">";
 endif;
 $pravomoci=Manipulace(3,$pole_dotazfrumpst["postid"]);
 $klon=!$klon;
 $dotazfrumpstp=phprs_sql_query("select postid,postautor from ".$rspredpona."frumpst where postautor='".$pole_dotazfrumpst["postautor"]."'",$dbspojeni);
 $pocetfrumpstp=phprs_sql_num_rows($dotazfrumpstp);
 $pole_dotazfrumpstp=phprs_sql_fetch_assoc($dotazfrumpstp);
 $dotazaut=phprs_sql_query("select idc,prezdivka,jmeno from ".$rspredpona."ctenari where idc='".$pole_dotazfrumpst["postautor"]."'",$dbspojeni);
 $pole_dotazaut=phprs_sql_fetch_assoc($dotazaut);
 if (phprs_sql_num_rows($dotazaut)==0):
  echo "<td valign=\"top\" class=\"frumzsmall\"><a name=\"".$pole_dotazfrumpst["postid"]."\"></a>eh, nikdo<br>";
 else:
  echo "<td valign=\"top\" class=\"frumzsmall\"><a name=\"".$pole_dotazfrumpst["postid"]."\"></a>".$pole_dotazaut["jmeno"]."<br>"; // jmeno
 endif;
 echo "".$pocetfrumpstp."&nbsp;".VratTextPocP($pocetfrumpstp)."&nbsp;<br><br>";
 // avatar --->
 if($avatarpovolen): // povoleno zobrazovani avataru
  $avatar_img=$adrobrkfrum."avat/ava".$pole_dotazaut["idc"].".gif";
  if(!file_exists($avatar_img)):
   $avatar_img=$adrobrkfrum."avat/ava0.gif"; // pokud byla instalace v poradku, ava0.gif bude na mst
  endif;
  echo "&nbsp;<img src=\"".$avatar_img."\" width=\"70\" height=\"82\" border=\"0\">";
 endif;
 // end of avatar <---
 echo "</td>\n";
 echo "<td valign=\"top\" colspan=\"2\"><div class=\"frumzsmallp\">Vloeno ".Datum($pole_dotazfrumpst["postvyd"],"")." ".Cas($pole_dotazfrumpst["postvyd"],"")."&nbsp;&nbsp;";
 if ($pravomoci["pstnew"]):
  echo "<a href=\"kforum".$covolat.".php?akce=newpost&Top_ID=".$Top_ID."&Reply=".$pole_dotazfrumpst["postid"]."\"><img src=\"".$adrobrkfrum."reply.gif\" alt=\"odpovdt\" title=\"odpovdt\" width=\"15\" height=\"15\" border=\"0\"></a>";
 endif;
 if ($pravomoci["pstupd"]):
  echo "&nbsp;&nbsp;<a href=\"kforum".$covolat.".php?akce=oprpost&Pst_ID=".$pole_dotazfrumpst["postid"]."\"><img src=\"".$adrobrkfrum."postedit.gif\" alt=\"upravit\" title=\"upravit\" width=\"15\" height=\"15\" border=\"0\"></a>";
  if ($pole_dotazfrumpst["postid"]<>$prvnipost): // prvni post zapsany pri tvorbe topiku je nezrusitelny
   echo "&nbsp;&nbsp;<a href=\"kforum".$covolat.".php?akce=delpost&Pst_ID=".$pole_dotazfrumpst["postid"]."\"><img src=\"".$adrobrkfrum."postdele.gif\" alt=\"zruit\" title=\"zruit\" width=\"15\" height=\"15\" border=\"0\"></a>";
  endif; 
 endif; 
 echo "</div><hr noshade size=\"1\">\n";
 echo "".wordwrap(ZobrazPseudoHTML($pole_dotazfrumpst["posttext"]), $maxslovopst, "\n", 1)."<hr noshade size=\"1\">\n";
 if ($pole_dotazfrumpst["postvyd"]!=$pole_dotazfrumpst["postedit"]):
  echo "<div class=\"frumzsmallp\">Opraveno ".Datum($pole_dotazfrumpst["postedit"],"-")." ".Cas($pole_dotazfrumpst["postedit"],"-")."</div>";
 endif;
 echo "<div class=\"frumzsmallp\" align=\"right\"><a href=\"kforum".$covolat.".php?akce=topic&Top_ID=".$Top_ID."#top\">zatek</div></td>";
 echo "</tr>\n";
endfor;
echo "<tr class=\"frumhlavi\" valign=\"baseline\"><td align=\"center\" width=\"80\">Autor</td><td align=\"center\" width=\"100%\">Pspvky</td>\n".$RSelect2."</tr>\n";

echo "</table>";
echo "</td></tr></table>\n";
}

function NovPstKFrum($Top_ID,$Reply) // zadan novho postu a jeho nsledn uloen
{
$pravomoci=Manipulace(2,$Top_ID);
if ($pravomoci["pstnew"]===FALSE):
 UkaPreKFrum();
 return; // nemas tu co delat, ven
endif;

global $rspredpona,$covolat,$adrobrkfrum,$odstranitHTML,$vlozenypst,$ffrumid,$fpostautor,$fposttext;
$dbspojeni=phprs_sql_dbcon();

ZahlaviFrum();

if ($vlozenypst): // zadani, nebo ulozeni?

 $vlozenypst=FALSE; // veta uz se uklada, pristi pruchod bude smerovan do formulare pro zadani

 // upravy pred ulozenim
if ($odstranitHTML): // odstrauje HTML tagy
 $fposttext=str_replace("<br \>","\n",$fposttext);
 $fposttext=VycistiText($fposttext);
endif;

 // vlozeni dat do databaze
 $fpostvyd=Date("Y-m-d H:i:s");
 @$addpst = phprs_sql_query("INSERT INTO ".$rspredpona."frumpst VALUES (null,'$ffrumid','$Top_ID','$fpostautor','$fposttext','$fpostvyd','$fpostvyd')",$dbspojeni);
 if (!$addpst):
  echo "<center>Pi vkldn nastala neoekvan chyba.</center><br>";   
 else:
  // doplneni informaci do ostatnich databazi / peknej zmatek
  $fpostid = phprs_sql_insert_id();
  @phprs_sql_query("update ".$rspredpona."frumtop set lastpost='".$fpostid."',topicposl='".$fpostvyd."' where topicid='".$Top_ID."'",$dbspojeni); // update informaci v databazi topiku
  @phprs_sql_query("update ".$rspredpona."frum set lastpost='".$fpostid."',datumposl='".$fpostvyd."' where frumid='".$ffrumid."'",$dbspojeni); // update informaci v databazi kategorii
  echo "<center>Pspvek spn pidn.</center><br>";
 endif; // end of $addtop
 echo "<center><p class=\"\"><a href=\"kforum".$covolat.".php?akce=topic&Top_ID=".$Top_ID."\">Zpt</a></p></center><br>"; 
else:
 $dotazfrumtop=phprs_sql_query("select topicid,frumid,topicnaz from ".$rspredpona."frumtop where topicid='".$Top_ID."'",$dbspojeni);
 $pole_dotazfrumtop=phprs_sql_fetch_assoc($dotazfrumtop);
 echo "<table border=\"0\" cellSpacing=\"0\" cellPadding=\"1\" width=\"440px\" align=\"center\" class=\"frumhlram\"><tr><td>\n"; // hlavni ramec
 echo "<form method=\"post\" class=\"frumz\">";
 // formul 
 echo "<table border=\"1\" cellSpacing=\"0\" cellPadding=\"1\" width=\"100%\" align=\"center\" class=\"frumvnram\">\n";
 echo "<tr class=\"frumhlavi\"><td colspan=\"2\">Zadn novho pspvku k tmatu: ".$pole_dotazfrumtop["topicnaz"]."<br><br></td></tr>\n";  
 echo "<input type=\"hidden\" name=\"vlozenypst\" value=\"TRUE\">\n";
 echo "<input type=\"hidden\" name=\"ffrumid\" value=\"".$pole_dotazfrumtop["frumid"]."\">\n";
 if ($Reply==""):
  echo "<tr class=\"frumz\" valign=\"top\"><td align=\"right\"><br>Text:&nbsp;&nbsp;<br>".VlozHelp()."</td><td><br><textarea name=\"fposttext\" cols=\"60\" rows=\"12\" wrap=\"yes\" class=\"textbox\"></textarea></td></tr>\n";
 else:
  $dotazreplpst=phprs_sql_query("select postid,posttext from ".$rspredpona."frumpst where postid='".$Reply."'",$dbspojeni);
  $pole_dotazreplpst=phprs_sql_fetch_assoc($dotazreplpst);
  echo "<tr class=\"frumz\" valign=\"top\"><td align=\"right\"><br>Text:&nbsp;&nbsp;<br>".VlozHelp()."</td><td><br>";
  echo "<textarea name=\"fposttext\" cols=\"60\" rows=\"12\" wrap=\"yes\" class=\"textbox\">[quote][i]Originl vloil ".AutPostu($pole_dotazreplpst["postid"],"","")."[/i]\n\n".PredEditaci($pole_dotazreplpst["posttext"])."\n[/quote]\n</textarea></td></tr>\n";
 endif;
 $ci_char=$GLOBALS["prmyctenar"]->Ukaz("id"); // nacteni ID ctenare
 echo "<input type=\"hidden\" name=\"fpostautor\" value=\"".$ci_char."\">";
 echo "<tr class=\"frumz\"><td colspan=\"2\" align=\"center\"><br><input type=\"submit\" name=\"pridej\" value=\" Vloit \" />&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"reset\" value=\" Reset \" /><br><br></td></tr>";
 echo "</table>\n";
 // end of formul
 echo "</form></td></tr></table>";
 echo "<p align=\"center\" class=\"\"><a href=\"kforum".$covolat.".php?akce=topic&Top_ID=".$Top_ID."\">Zpt</a></p>\n"; 
endif; // end of else zadani nove kategorie
}

function DelTopKFrum($Top_ID) // zruen topic a vech podzench post
{
global $rspredpona,$covolat,$rusenytop;

$dbspojeni=phprs_sql_dbcon();

ZahlaviFrum();

$dotazfrumtop=phprs_sql_query("select topicid,frumid,topicnaz,lastpost from ".$rspredpona."frumtop where topicid='".$Top_ID."'",$dbspojeni);
$pocetfrumtop=phprs_sql_num_rows($dotazfrumtop);
$pole_dotazfrumtop=phprs_sql_fetch_assoc($dotazfrumtop);

if ($pocetfrumtop==1):
 $dfrumid=$pole_dotazfrumtop["frumid"];
 $pravomoci=Manipulace(2,$Top_ID);
 if ($pravomoci["topdel"]):
  if ($rusenytop):
   $dlastpost=$pole_dotazfrumtop["lastpost"];
   // zruen vech postu ruenho topicu
   @$error=phprs_sql_query("delete from ".$rspredpona."frumpst where topicid='".$Top_ID."'",$dbspojeni);
   if (!$error):
    echo "<center>Zruen pspvk tmata neprobhla spn!</center><br>";
   else:
    // zruseni topicu
    @$error=phprs_sql_query("delete from ".$rspredpona."frumtop where topicid='".$Top_ID."'",$dbspojeni);
    if (!$error):
     echo "<center>Zruen tma neprobhla spn!</center><br>";
    else:
     $dotazfrum=phprs_sql_query("select frumid,lastpost from ".$rspredpona."frum where frumid='".$dfrumid."'",$dbspojeni);
     $pole_dotazfrum=phprs_sql_fetch_assoc($dotazfrum);
     if ($pole_dotazfrum["lastpost"]==$dlastpost):
      $dotazfrumtop=phprs_sql_query("select topicid,frumid,lastpost,topicposl from ".$rspredpona."frumtop where frumid='".$dfrumid."' order by topicposl desc",$dbspojeni);
      $pocetfrumtop=phprs_sql_num_rows($dotazfrumtop);
	    if ($pocetfrumtop>0):
        $pole_dotazfrumtop=phprs_sql_fetch_assoc($dotazfrumtop);
        @phprs_sql_query("update ".$rspredpona."frum set lastpost='".$pole_dotazfrumtop["lastpost"]."',datumposl='".$pole_dotazfrumtop["topicposl"]."' where frumid='".$dfrumid."'",$dbspojeni); // update informaci v databazi kategorii
	    else:
        @phprs_sql_query("update ".$rspredpona."frum set lastpost='0',datumposl='0000-00-00 00:00:00' where frumid='".$dfrumid."'",$dbspojeni); // update informaci v databazi kategorii
	    endif;
	   endif;
     echo "<center>Tma i pspvky spn zrueny.</center><br>";
    endif; // endif error zruen topic
   endif; // endif error zruen postu
  else:
   // kdyz mam pravo zrusit, opravdu zrusit?
   $dotazfrumpst=phprs_sql_query("select postid from ".$rspredpona."frumpst where topicid='".$Top_ID."'",$dbspojeni);
   $pocetfrumpst=phprs_sql_num_rows($dotazfrumpst);
   echo "<table border=\"0\" cellSpacing=\"0\" cellPadding=\"1\" width=\"440px\" align=\"center\" class=\"frumhlram\"><tr><td>\n"; // hlavni ramec
   echo "<form method=\"post\" class=\"frumz\">";
   // formul 
   echo "<table border=\"1\" cellSpacing=\"0\" cellPadding=\"1\" width=\"100%\" align=\"center\" class=\"frumvnram\">\n";
   echo "<input type=\"hidden\" name=\"rusenytop\" value=\"TRUE\">\n";
   echo "<tr class=\"frumz\"><td align=\"center\"><br>Opravdu zruit tma<br><br><span class=\"frumhlavi\">".$pole_dotazfrumtop["topicnaz"]."</span><br><br>a jeho ".$pocetfrumpst." ".VratTextPocP($pocetfrumpst)."?</td></tr>\n";
   echo "<tr class=\"frumz\"><td align=\"center\"><br><input type=\"submit\" name=\"pridej\" value=\" Ano, zruit \" /><br><br></td></tr>";
   echo "</table>\n";
   // end of formul
   echo "</form></td></tr></table>";
  endif;
 else:
  echo "<center>Nemte ani to nejmen oprvnn toto tma zruit!</center><br>";
 endif;
 echo "<center><p class=\"\"><a href=\"kforum".$covolat.".php?akce=kateg&Kat_ID=".$dfrumid."\">Zpt</a></p></center><br>";
else:
 if ($pocetfrumtop>1):
  echo "<center>Vce tmat s jednm slem? Divn, s tm nechci mt nic spolenho. eknte to adminovi.</center><br>";
 else:
  echo "<center>Takov tma neexistuje, je mi lto.</center><br>";
 endif;
 echo "<center><p class=\"\"><a href=\"kforum".$covolat.".php\">Zpt</a></p></center><br>";
endif;
}

function EdtPstKFrum($Pst_ID) // editace postu a jeho nsledn uloen
{
global $rspredpona,$covolat,$odstranitHTML,$opravenypst,$ffrumid,$ftopicid,$fposttext;

$pravomoci=Manipulace(3,$Pst_ID);
if ($pravomoci["pstupd"]===FALSE):
 UkaPreKFrum();
 return; // nema tu co delat, ven!
endif;

$dbspojeni=phprs_sql_dbcon();

ZahlaviFrum();

if ($opravenypst): // opraveni, nebo ulozeni?
 $opravenypst=FALSE; // veta uz se uklada, pristi pruchod bude smerovan do formulare pro zadani

 // upravy pred ulozenim
if ($odstranitHTML): // odstrauje HTML tagy
 $fposttext=VycistiText($fposttext);
endif;

 // vlozeni dat do databaze
 $fpostopr=Date("Y-m-d H:i:s");
 @$edtpst = phprs_sql_query("update ".$rspredpona."frumpst set posttext='".$fposttext."',postedit='".$fpostopr."' where postid='".$Pst_ID."'",$dbspojeni);
 if (!$edtpst):
  echo "<center>Pi ukldn nastala neoekvan chyba.</center><br>";   
 else:
  // doplneni informaci do ostatnich databazi / peknej zmatek
  @phprs_sql_query("update ".$rspredpona."frumtop set lastpost='".$Pst_ID."',topicposl='".$fpostopr."' where topicid='".$ftopicid."'",$dbspojeni); // update informaci v databazi topiku
  @phprs_sql_query("update ".$rspredpona."frum set lastpost='".$Pst_ID."',datumposl='".$fpostopr."' where frumid='".$ffrumid."'",$dbspojeni); // update informaci v databazi kategorii
  echo "<center>Post spn pidn.</center><br>";
 endif; // end of $addtop
 echo "<center><p class=\"\"><a href=\"kforum".$covolat.".php?akce=topic&Top_ID=".$ftopicid."\">Zpt</a></p></center><br>"; 
else:
  $dotazfrumpst=phprs_sql_query("select * from ".$rspredpona."frumpst where postid='".$Pst_ID."'",$dbspojeni);
  $pocetfrumpst=phprs_sql_num_rows($dotazfrumpst);
  if ($pocetfrumpst!=1):
    return; // vykopnout pokud to neni jen jedna veta
  endif;
  $pole_dotazfrumpst=phprs_sql_fetch_assoc($dotazfrumpst);
  echo "<table border=\"0\" cellSpacing=\"0\" cellPadding=\"1\" width=\"440px\" align=\"center\" class=\"frumhlram\"><tr><td>\n"; // hlavni ramec
  echo "<form method=\"post\" class=\"frumz\">";
  // formul 
  echo "<table border=\"1\" cellSpacing=\"0\" cellPadding=\"1\" width=\"100%\" align=\"center\" class=\"frumvnram\">\n";
  echo "<tr class=\"frumhlavi\"><td colspan=\"2\">Oprava pspvku zapsanho dne ".Datum($pole_dotazfrumpst["postvyd"],"-")." v ".Cas($pole_dotazfrumpst["postvyd"],"-")."<br><br></td></tr>\n";  
  echo "<input type=\"hidden\" name=\"opravenypst\" value=\"TRUE\">\n";
  echo "<input type=\"hidden\" name=\"ffrumid\" value=\"".$pole_dotazfrumpst["frumid"]."\">\n";
  echo "<input type=\"hidden\" name=\"ftopicid\" value=\"".$pole_dotazfrumpst["topicid"]."\">\n";
  echo "<tr class=\"frumz\" valign=\"top\"><td align=\"right\"><br>Text:&nbsp;&nbsp;<br>".VlozHelp()."</td><td><br><textarea name=\"fposttext\" cols=\"60\" rows=\"12\" wrap=\"yes\" class=\"textbox\">".PredEditaci($pole_dotazfrumpst["posttext"])."</textarea></td></tr>\n";
  echo "<tr class=\"frumz\"><td colspan=\"2\" align=\"center\"><br><input type=\"submit\" name=\"pridej\" value=\" Vloit \" />&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"reset\" value=\" Reset \" /><br><br></td></tr>";  
  echo "</table>\n";
  // end of formul
  echo "</form></td></tr></table>";
  echo "<p align=\"center\" class=\"\"><a href=\"kforum".$covolat.".php?akce=topic&Top_ID=".$Top_ID."\">Zpt</a></p>\n"; 
endif; // end of else zadani nove kategorie
}

function DelPstKFrum($Pst_ID) // zruen vybranho postu
{
global $rspredpona,$covolat;
$dbspojeni=phprs_sql_dbcon();

ZahlaviFrum();

$dotazfrumpst=phprs_sql_query("select postid,frumid,topicid,postautor from ".$rspredpona."frumpst where postid='".$Pst_ID."'",$dbspojeni);
$pocetfrumpst=phprs_sql_num_rows($dotazfrumpst);
$pole_dotazfrumpst=phprs_sql_fetch_assoc($dotazfrumpst);

$dotazfrumtop=phprs_sql_query("select topicid from ".$rspredpona."frumpst where topicid='".$pole_dotazfrumpst["topicid"]."'",$dbspojeni);
$pocetfrumtop=phprs_sql_num_rows($dotazfrumtop);
if ($pocetfrumtop==1):
 echo "<center>Je mi lto, ale zkladn pspvek nelze samostatn zruit.</center><br>";
 return;
endif;
$pole_dotazfrumtop=phprs_sql_fetch_assoc($dotazfrumtop);

if ($pocetfrumpst==1):
 $dfrumid=$pole_dotazfrumpst["frumid"];
 $dtopicid=$pole_dotazfrumpst["topicid"];
 $pravomoci=Manipulace(3,$Pst_ID);
 if ($pravomoci["pstdel"]):
  @$error=phprs_sql_query("delete from ".$rspredpona."frumpst where postid='".$Pst_ID."'",$dbspojeni);
  if (!$error):
    echo "<center>Akce neprobhla spn!</center><br>";
  else:
    $dotazfrumtop=phprs_sql_query("select topicid,lastpost from ".$rspredpona."frumtop where topicid='".$dtopicid."'",$dbspojeni);
    $pole_dotazfrumtop=phprs_sql_fetch_assoc($dotazfrumtop);
    if ($pole_dotazfrumtop["lastpost"]==$Pst_ID):
      $dotazfrumpst=phprs_sql_query("select postid,topicid,postedit from ".$rspredpona."frumpst where topicid='".$dtopicid."' order by postedit desc",$dbspojeni);
      $pole_dotazfrumpst=phprs_sql_fetch_assoc($dotazfrumpst);
      @phprs_sql_query("update ".$rspredpona."frumtop set lastpost='".$pole_dotazfrumpst["postid"]."',topicposl='".$pole_dotazfrumpst["postedit"]."' where topicid='".$dtopicid."'",$dbspojeni); // update informaci v databazi topiku
      $dotazfrum=phprs_sql_query("select frumid,lastpost from ".$rspredpona."frum where frumid='".$dfrumid."'",$dbspojeni);
      $pole_dotazfrum=phprs_sql_fetch_assoc($dotazfrum);
      if ($pole_dotazfrum["lastpost"]==$Pst_ID):
        @phprs_sql_query("update ".$rspredpona."frum set lastpost='".$pole_dotazfrumpst["postid"]."',datumposl='".$pole_dotazfrumpst["postedit"]."' where frumid='".$dfrumid."'",$dbspojeni); // update informaci v databazi kategorii
	    endif;
    endif;
    echo "<center>Pspvek spn zruen.</center><br>";
  endif;
 else:
  echo "<center>Nemte ani to nejmen oprvnn tento pspvek zruit!</center><br>";
 endif;
 echo "<center><p class=\"\"><a href=\"kforum".$covolat.".php?akce=topic&Top_ID=".$dtopicid."\">Zpt</a></p></center><br>";
else:
 if ($pocetfrumpst>1):
  echo "<center>Vce pspvk s jednm slem? Divn, s tm nechci mt nic spolenho. eknte to adminovi.</center><br>";
 else:
  echo "<center>Takov pspvek neexistuje, je mi lto.</center><br>";
 endif;
 echo "<center><p class=\"\"><a href=\"kforum".$covolat.".php\">Zpt</a></p></center><br>";
endif;
}

function VysledekFrum()
{
global $rspredpona,$covolat,$adrobrkfrum,$hledanytext;

ZahlaviFrum();

$polehledani='';

// analyza textu
$hledanytext=trim($hledanytext);
if (strlen($hledanytext)==0):
 echo "<p class=\"frumz\" align=\"center\"><br>Nebyl zadn text pro vyhledvn.<br><br><a href=\"kforum".$covolat.".php?akce=najdi\">Nov hledn</a></p>\n"; // podnadpis
 return; // nic nebylo (mozna mimo mezery) zadano pro vyhledavani
endif;
if (strpos($hledanytext," ",0)>0):
 // vice slov
 $pom = 0;
 $poz_beg_tx = 0;
 do 
 {
  $poz_end_tx = strpos($hledanytext," ",$poz_beg_tx);
  if ($poz_end_tx == $poz_beg_tx):
   // echo "---------> odskok +1 (nalezena nadbyten mezera)<br><br>";
   $poz_beg_tx++;
  else: 
   // echo "Najdme na slovo slo: ".$pom." ... zacatek je na pozici ".$poz_beg_tx." a konec ".$poz_end_tx.".";
   if ($poz_end_tx===FALSE):
    $polehledani[$pom]=substr($hledanytext,$poz_beg_tx);
   else:
    $polehledani[$pom]=substr($hledanytext,$poz_beg_tx,$poz_end_tx-$poz_beg_tx);
    $poz_beg_tx = $poz_end_tx+1;
   endif;
   $pom++;
  endif;
 }
 while ($poz_end_tx!==FALSE);
else:
 // jedno slovo - muzeme dal
 $polehledani[0]=$hledanytext;
endif;

// prefix AND nebo OR
$prefix="AND";

// udln vyhledvn
$polehledanic=count($polehledani);
$pole1="(";
$srchmsg="";
for ($pomp=0;$pomp<$polehledanic;$pomp++):
 $srchmsg.=" +".$polehledani[$pomp];
 switch ($pomp) {
 case 0: $pole1.="(posttext LIKE '%".$polehledani[$pomp]."%')";
 default: $pole1.=" ".$prefix." (posttext LIKE '%".$polehledani[$pomp]."%')";
 }
endfor;
$pole1.=")";
// vyhledani textu

$dbspojeni=phprs_sql_dbcon();
$dotazsrchpst=phprs_sql_query("select * from ".$rspredpona."frumpst where ".$pole1." order by frumid,topicid,postedit asc",$dbspojeni);
$pocetsrchpst=phprs_sql_num_rows($dotazsrchpst);

// zobrazeni vysledku hledani
echo "<p class=\"vysledek\">vsledky vyhledvn pro zadn<br>".$srchmsg."</p>\n"; // podnadpis
echo "<a name=\"top\"></a>";
echo "<table border=\"0\" cellSpacing=\"0\" cellPadding=\"1\" width=\"440px\" align=\"center\" class=\"frumhlram\"><tr><td>\n"; // hlavni ramec
echo "<table border=\"1\" cellSpacing=\"1px\" cellPadding=\"5\" width=\"100%\" align=\"center\" class=\"frumvnram\">\n";
echo "<tr class=\"frumodskoky\"><td colspan=\"2\" align=\"right\"><a href=\"kforum".$covolat.".php?akce=najdi\">Nov hledn</a><br></td></tr>\n";
echo "<tr class=\"frumhlavi\"><td align=\"center\" width=\"80\">&nbsp;Autor</td><td>Pspvky</td></tr>\n";

// -----------
$oldtop=0;
for ($pomsrch=0;$pomsrch<$pocetsrchpst;$pomsrch++):  // vpis vsech vyhledanych postu
 $pole_dotazsrchpst=phprs_sql_fetch_assoc($dotazsrchpst);
 $pravomoci=Manipulace(3,$pole_dotazsrchpst["postid"]);
 if ($oldtop!=$pole_dotazsrchpst["topicid"]):
  // novy topic ... vypsat hlavicku
  $dotazsrchtop=phprs_sql_query("select topicid,topicnaz,topicpopis from ".$rspredpona."frumtop where topicid='".$pole_dotazsrchpst["topicid"]."'",$dbspojeni);
  $pole_dotazsrchtop=phprs_sql_fetch_assoc($dotazsrchtop);
  echo "<tr class=\"frumodskoky\"><td colspan=\"2\"><span class=\"frumhlavi\">Tma </span><a href=\"kforum".$covolat.".php?akce=topic&Top_ID=".$pole_dotazsrchpst["topicid"]."\">".$pole_dotazsrchtop["topicnaz"]."</a><br>";
  echo "<span class=\"frumzsmall\">".ZobrazPseudoHTML($pole_dotazsrchtop["topicpopis"])."</span><br></td></tr>\n";
 endif;
 // vypis zpravy
 
 echo "<tr class=\"frumz\">";
 $dotazfrumpstp=phprs_sql_query("select postid,postautor from ".$rspredpona."frumpst where postautor='".$pole_dotazsrchpst["postautor"]."'",$dbspojeni);
 $pocetfrumpstp=phprs_sql_num_rows($dotazfrumpstp);
 $pole_dotazfrumpstp=phprs_sql_fetch_assoc($dotazfrumpstp);
 echo "<td valign=\"top\" class=\"frumzsmall\"><a name=\"".$pole_dotazsrchpst["postid"]."\"></a>".AutPostu($pole_dotazsrchpst["postid"],"neznm","")."<br>";
 echo $pocetfrumpstp." ".VratTextPocP($pocetfrumpstp)."</td>";
 echo "<td valign=\"top\"><div class=\"frumzsmallp\">Vloeno ".Datum($pole_dotazsrchpst["postvyd"],"")." ".Cas($pole_dotazsrchpst["postvyd"],"")."&nbsp;&nbsp;";
 if ($pravomoci["pstnew"]):
  echo "<a href=\"kforum".$covolat.".php?akce=newpost&Top_ID=".$pole_dotazsrchpst["topicid"]."&Reply=".$pole_dotazsrchpst["postid"]."\"><img src=\"".$adrobrkfrum."reply.gif\" alt=\"odpovdt\" title=\"odpovdt\" width=\"15\" height=\"15\" border=\"0\"></a>";
 endif;
 if ($pravomoci["pstupd"]):
  echo "&nbsp;&nbsp;<a href=\"kforum".$covolat.".php?akce=oprpost&Pst_ID=".$pole_dotazsrchpst["postid"]."\"><img src=\"".$adrobrkfrum."postedit.gif\" alt=\"upravit\" title=\"upravit\" width=\"15\" height=\"15\" border=\"0\"></a>";
 endif; 
 echo "</div><hr noshade size=\"1\">";
 echo "".ZobrazPseudoHTML($pole_dotazsrchpst["posttext"])."<hr noshade size=\"1\">";
 if ($pole_dotazsrchpst["postvyd"]!=$pole_dotazsrchpst["postedit"]):
  echo "<div class=\"frumzsmallp\">Opraveno ".Datum($pole_dotazsrchpst["postedit"],"-")." ".Cas($pole_dotazsrchpst["postedit"],"-")."</div>";
 endif;
 echo "<div class=\"frumzsmallp\" align=\"right\"><a href=\"kforum".$covolat.".php?akce=topic&Top_ID=".$pole_dotazsrchpst["topicid"]."#top\">zatek</div></td>";
 echo "</tr>\n";
 
 $oldtop=$pole_dotazsrchpst["topicid"];
endfor;

echo "</table>";
echo "<p align=\"center\" class=\"\"><a href=\"kforum".$covolat.".php?akce=prehled\">Hlavn pehled</a></p>\n"; 
echo "</td></tr></table>";
}

function FrmHledaniFrum()
{
global $covolat,$hledanytext;

ZahlaviFrum();

echo "<table border=\"0\" cellSpacing=\"0\" cellPadding=\"1\" width=\"440px\" align=\"center\" class=\"frumhlram\"><tr><td>\n"; // hlavni ramec
echo "<form method=\"post\" class=\"frumz\">";
// formul 
echo "<table border=\"1\" cellSpacing=\"0\" cellPadding=\"1\" width=\"100%\" align=\"center\" class=\"frumvnram\">\n";
echo "<input type=\"hidden\" name=\"akce\" value=\"vysledek\">\n";
echo "<tr class=\"frumz\"><td align=\"center\"><br>Zadej text pro vyhledn:<br><input type=\"text\" name=\"hledanytext\" value=\"\" size=\"40\"></td></tr>\n";
echo "<tr class=\"frumz\"><td align=\"center\"><br><input type=\"submit\" name=\"pridej\" value=\" Hledej \" />&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"reset\" value=\" Storno \" /><br><br></td></tr>";
echo "</table>\n";
// end of formul
echo "</form></td></tr></table>";
echo "<p align=\"center\" class=\"\"><br>Vyhledat lze jedno nebo vce slov souasn.<br>Vyhled se slovo, kter je obsaeno v textu nikoli v nzvu tmatu.</p>\n"; 
echo "<p align=\"center\" class=\"\"><a href=\"kforum".$covolat.".php?akce=prehled\">Hlavn pehled</a></p>\n"; 
}

function OpravaFrum()
{
ZahlaviFrum();

echo "<table border=\"0\" cellSpacing=\"0\" cellPadding=\"1\" width=\"440px\" align=\"center\" class=\"frumhlram\"><tr><td>\n"; // hlavni ramec
echo "<form method=\"post\" class=\"frumz\">";
// formul 
echo "<table border=\"1\" cellSpacing=\"0\" cellPadding=\"1\" width=\"100%\" align=\"center\" class=\"frumvnram\">\n";
echo "<tr class=\"frumz\"><td align=\"center\">";
echo "<br><br>Provdm vt zsah ve zdroji fora i datech.<br><br>Omluvte proto prosm doasnou nedostupnost<br>tto sluby.<br><br>Dkuji za pochopen<br><br><br>\n";
echo "</td></tr></table>\n";
// end of formul
echo "</form></td></tr></table>";
}

// overeni existence potrebnych promennych
if (!isset($akce)): $akce="prehled"; endif;

// bloknut fora - teba pro drbu dat
// $akce="oprfrum";

switch($verzephpRS):  // te nem moc vznam, tato verze je jen pro 280
 case "280":
  $vzhledwebu->Generuj();break;
 default:
  $vzhledwebu->Generuj();break;
 endswitch;
ObrTabulka();         // Vlozeni layout prvku - upravena ObrTabulka() z lengine.php o width=440px
// rozhodnuti o obsahu stranky
switch($akce):
  case "oprfrum": OpravaFrum(); break;
  case "prehled": UkaPreKFrum(); break;
  case "kateg": UkaKatKFrum($Kat_ID); break;
  case "topic": UkaTopKFrum($Top_ID,$stranka); break;
  case "oprtopic": EdtTopKFrum($Top_ID); break;
  case "deltopic": DelTopKFrum($Top_ID); break;
  case "newtopic": NovTopKFrum($Kat_ID); break;
  case "newpost": NovPstKFrum($Top_ID,$Reply); break;
  case "delpost": DelPstKFrum($Pst_ID); break;
  case "oprpost": EdtPstKFrum($Pst_ID); break;
  case "najdi": FrmHledaniFrum(); break;
  case "vysledek": VysledekFrum(); break;
//  case "test": Manipulace(1,1); break;
endswitch;

// Dokonceni tvorby stranky
KonecObrTabulka();    // Vlozeni layout prvku
switch($verzephpRS):  // te nem moc vznam, tato verze je jen pro 280
 case "280":
  $vzhledwebu->Generuj();break;
 default:
  $vzhledwebu->Generuj();break;
endswitch;

php?>
