<?php
  ######################################################################
  #  plugin pro phpRS - Inzertní systém - 3.0.0
  ######################################################################

  // Copyright (c) 2008 by Daniel Vávra (Vavrad@oez.cz)
  // Copyright (c) 2008 by gord007 (gord007@seznam.cz)
  // This program is free software. - Toto je bezplatny a svobodny software.
  // pro phpRS, neni standardni soucasti
  // Copyright (c) 2001-2004 by Jiri Lukas (jirilukas@supersvet.cz)
  // http://www.supersvet.cz/phprs/

//-------------------------------------
// Aktualizováno: 18.7.2008
//-------------------------------------

//*****************************************************************************
// ADMINISTRAČNÍ MODUL INZERCE
//*****************************************************************************


if ($Uzivatel->StavSession!=1):
  require "x_kodovanichyba.php";
  echo "<div align=\"center\">Tento soubor není určen k vnějšímu spouštění!</div>\n";
  require "x_zapatichyba.php";
  exit;
endif;

require_once("./inzsys_sysfce.php");
require_once("./inzsys_file.php");
require_once("./inzsys_config.php");


//*****************************************************************************
// POMOCNÉ FUNKCE
//*****************************************************************************
//-------------------------------------------------------------------------------------------
// funkce: zkrácení řetězce na požadovanou délku s doplněním ... na konci řetězce
//-------------------------------------------------------------------------------------------

/*
  Navigation()
*/

//-----------------------------------------------------------------------------
// navigační menu - položky
//-----------------------------------------------------------------------------

function Navigation($atributy="")
{
$pole_atr=explode(":",$atributy);
$pocet_atr=count($pole_atr);

echo "<div align=\"center\">\n";
  if (RSAUT_PRAVA==1||RSAUT_PRAVA==2):
    for ($pomnav=0;$pomnav<$pocet_atr;$pomnav++):
      if ($pole_atr[$pomnav]==1): echo "<span><a href=\"".RS_VYKONNYSOUBOR."?akce=ShowInzerce&amp;modul=inzertnisystem\" title=\"".ADMIN_MNU_SEZPOL."\">".ADMIN_MNU_SEZPOL."</a></span>\n"; endif;
      if ($pole_atr[$pomnav]==2): echo "<span><a href=\"".RS_VYKONNYSOUBOR."?akce=AddInzerce&amp;modul=inzertnisystem\" title=\"".ADMIN_MNU_NOVAPOL."\">".ADMIN_MNU_NOVAPOL."</a></span>\n"; endif;
      if ($pole_atr[$pomnav]==3): echo "<span><a href=\"".RS_VYKONNYSOUBOR."?akce=ShowInzerceSekce&amp;modul=inzertnisystem\" title=\"".ADMIN_MNU_SEZSEKCI."\">".ADMIN_MNU_SEZSEKCI."</a></span>\n"; endif;
      if ($pole_atr[$pomnav]==4): echo "<span><a href=\"".RS_VYKONNYSOUBOR."?akce=AddInzerceSekce&amp;modul=inzertnisystem\" title=\"".ADMIN_MNU_NOVASEKCE."\">".ADMIN_MNU_NOVASEKCE."</a></span>\n"; endif;
      if ($pole_atr[$pomnav]==5): echo "<span><a href=\"".RS_VYKONNYSOUBOR."?akce=ShowInzerceLokalita&amp;modul=inzertnisystem\" title=\"".ADMIN_MNU_SEZLOK."\">".ADMIN_MNU_SEZLOK."</a></span>\n"; endif;
      if ($pole_atr[$pomnav]==6): echo "<span><a href=\"".RS_VYKONNYSOUBOR."?akce=AddInzerceLokalita&amp;modul=inzertnisystem\" title=\"".ADMIN_MNU_NOVALOK."\">".ADMIN_MNU_NOVALOK."</a></span>\n"; endif;
      if ($pole_atr[$pomnav]==7): echo "<span><a href=\"".RS_VYKONNYSOUBOR."?akce=ShowConfig&amp;modul=inzertnisystem\" title=\"".ADMIN_MNU_NASTAVENI."\">".ADMIN_MNU_NASTAVENI."</a></span>\n"; endif;
    endfor;
  else:
    for ($pomnav=0;$pomnav<$pocet_atr;$pomnav++):
      if ($pole_atr[$pomnav]==1): echo "<span><a href=\"".RS_VYKONNYSOUBOR."?akce=ShowInzerce&amp;modul=inzertnisystem\" title=\"".ADMIN_MNU_SEZPOL."\">".ADMIN_MNU_SEZPOL."</a></span>\n"; endif;
      if ($pole_atr[$pomnav]==2): echo "<span><a href=\"".RS_VYKONNYSOUBOR."?akce=AddInzerce&amp;modul=inzertnisystem\" title=\"".ADMIN_MNU_NOVAPOL."\">".ADMIN_MNU_NOVAPOL."</a></span>\n"; endif;
    endfor;
  endif;
echo "<br /><br /></div>\n";
}

//*****************************************************************************
// HLAVNÍ FUNKCE POLOŽEK
//*****************************************************************************

/*
  ShowInzerce()
  AddInzerce()
  AcAddInzerce()
  DelInzerce()
  EditInzerce()
  AcEditInzerce()
*/

//-----------------------------------------------------------------------------
// zobrazení seznamu
//-----------------------------------------------------------------------------

function ShowInzerce()
{
Navigation("2:3:4:5:6:7");

$dotazinzerce=$GLOBALS["query"]("select idn from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty",$GLOBALS["dbspojeni"]);
$pocetinzerci=$GLOBALS["num_rows"]($dotazinzerce);

// vypis akcí
if ($pocetinzerci==0):
  echo "<div align=\"center\">".ADMIN_HLASKY_DBNOZAZNAM."</div>\n";
else:
  echo "<form action=\"".RS_VYKONNYSOUBOR."\" method=\"post\">\n";
      echo "<input type=\"hidden\" name=\"akce\" value=\"DelInzerce\" />\n";
      echo "<input type=\"hidden\" name=\"modul\" value=\"inzertnisystem\" />\n";
      $dotazinzerce=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty order by datum_vyst desc",$GLOBALS["dbspojeni"]);
      $pocetinzeratu=$GLOBALS["num_rows"]($dotazinzerce);
        echo "<table cellspacing=\"0\" cellpadding=\"3\" border=\"1\" align=\"center\" class=\"ramsedy\">\n";
        echo "<thead>\n";
        echo "<tr bgcolor=\"#E6E6E6\" class=\"txt\">\n";
            echo "<th align=\"center\" width=\"270\">".ADMIN_FORM_1."</th>\n";
            echo "<th align=\"center\" width=\"150\">".ADMIN_FORM_2."</th>\n";
            echo "<th align=\"center\" width=\"30\">".ADMIN_FORM_3."</th>\n";
            echo "<th align=\"center\" width=\"50\">IP</th>\n";
            echo "<th align=\"center\" width=\"50\">".ADMIN_FORM_4."</th>\n";
            echo "<th align=\"center\" width=\"50\">".ADMIN_FORM_5."</th>\n";
          echo "</tr>\n";
        echo "</thead>\n";
        echo "<tbody>\n";
          for ($pom=0;$pom<$pocetinzeratu;$pom++):
            $pole_data=$GLOBALS["fetch_assoc"]($dotazinzerce);
            $dotazsekce=$GLOBALS["query"]("select ids,nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".(int)$pole_data["kategorie"]." order by nazev asc",$GLOBALS["dbspojeni"]);
            $pocetsekci=$GLOBALS["num_rows"]($dotazsekce);
            $pole_sekce=$GLOBALS["fetch_assoc"]($dotazsekce);
            if ($pole_data["potvrzeni"]==0):
              echo "<tr class=\"txt\" style=\"background-Color:#FFC6C6;\" onmouseover=\"this.style.backgroundColor='';\" onmouseout=\"this.style.backgroundColor='#FFC6C6';\">\n";
            else:
              echo "<tr class=\"txt\" style=\"background-Color:#CCFFCC\" onmouseover=\"this.style.backgroundColor='';\" onmouseout=\"this.style.backgroundColor='#CCFFCC';\">\n";
            endif;
              echo "<td align=\"left\">".ZkratRetezec($pole_data["nazev"],50)."</td>\n";
              echo "<td align=\"center\">".$pole_sekce["nazev"]."</td>\n";
              // Nabídka nebo poptávka
              if ($pole_data["typ"]==1):
                $typinzeratu="N";
              else:
                $typinzeratu="P";
              endif;
              echo "<td align=\"center\">".$typinzeratu."</td>";
              echo "<td align=\"center\">".$pole_data["ip"]."</td>";
              echo "<td align=\"center\"><a href=\"".RS_VYKONNYSOUBOR."?akce=EditInzerce&amp;modul=inzertnisystem&amp;pridn=".$pole_data["idn"]."\" title=\"".ADMIN_FORM_42.": ".$pole_data["nazev"]." ?\">".ADMIN_OST_8."</a></td>\n";
              echo "<td align=\"center\"><input type=\"checkbox\" name=\"prpoleidn[]\" value=\"".$pole_data["idn"]."\" /></td>\n";
            echo "</tr>\n";
          endfor;
        echo "</tbody>\n";
      echo "</table>\n";
      echo "<div style=\"PADDING: 10px 0px 0px 0px; MARGIN: 0px;\"></div>\n";
    echo "<div align=\"center\"><input type=\"submit\" class=\"tl\" value=\"".ADMIN_TLVYMAZOZNPOL."\" onclick=\"return(confirm('".ADMIN_FORM_41."?'));\" /></div><br />\n";
  echo "</form>\n";
endif;
echo "<div style=\"PADDING: 10px 0px 0px 0px; MARGIN: 0px;\"></div>\n";
echo "<div style=\"PADDING: 10px 0px 0px 0px; MARGIN: 0px;\"></div>\n";
echo "<div align=\"center\" class=\"smltxt\">".ADMIN_OST_4.".</div>\n";
}

//-----------------------------------------------------------------------------
// přidávací formulář
//-----------------------------------------------------------------------------

function AddInzerce()
{
Navigation("1:3:4:5:6:7");

$dotaz_lok=$GLOBALS["query"]("select idl,nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level=0 order by poradi asc",$GLOBALS["dbspojeni"]);
$pocetlok=$GLOBALS["num_rows"]($dotaz_lok);

// přidávací formulář
echo "<form action=\"".RS_VYKONNYSOUBOR."\" method=\"post\" enctype=\"multipart/form-data\">\n";
  echo "<table cellspacing=\"0\" cellpadding=\"3\"  align=\"center\" class=\"ramsedy\">\n";
    echo "<tbody>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_43.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"text\" id=\"inazev\" name=\"inazev\" class=\"textpole\" size=\"50\" maxlength=\"50\" tabindex=\"1\" /></td></tr>\n";
    echo "<tr><td colspan=\"2\" bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_56.":</strong><br /><textarea name=\"ipopis\" cols=\"60\" rows=\"10\" tabindex=\"2\"></textarea></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_44.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"radio\" class=\"radio\" name=\"ityp\" id=\"ityp\" value=\"1\" checked=\"checked\" tabindex=\"3\" />".ADMIN_FORM_21."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" name=\"ityp\" value=\"2\" />".ADMIN_FORM_22."</td></tr>\n";
    // level 0
    $dotaz_sekce=$GLOBALS["query"]("select ids,nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where level='0' order by poradi asc",$GLOBALS["dbspojeni"]);
    $pocetsekci=$GLOBALS["num_rows"]($dotaz_sekce);
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_2.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\">";
      echo "<select id=\"ikategorie\" name=\"ikategorie\" size=\"1\" tabindex=\"4\">\n";
        for ($pom=0;$pom<$pocetsekci;$pom++):
          $pole_sekce=$GLOBALS["fetch_assoc"]($dotaz_sekce);
          echo "<option value=\"".$pole_sekce["ids"]."\">".$pole_sekce["nazev"]."</option>\n";
            // level 1
            $dotaz_sekce2=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where level='1' and id_predka=".(int)$pole_sekce["ids"]." order by poradi asc",$GLOBALS["dbspojeni"]);
            $pocetsekce2=$GLOBALS["num_rows"]($dotaz_sekce2);
            for ($pom2=0;$pom2<$pocetsekce2;$pom2++):
              $datasekce2=$GLOBALS["fetch_assoc"]($dotaz_sekce2);
              echo "<option value=\"".$datasekce2["ids"]."\">-&nbsp;".$datasekce2["nazev"]."</option>\n";
            endfor;
        endfor;
      echo "</select></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_45.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\">";
      echo "<select id=\"ilokalita\" name=\"ilokalita\" size=\"1\" tabindex=\"4\">\n";
        for ($pom=0;$pom<$pocetlok;$pom++):
          $pole_lok=$GLOBALS["fetch_assoc"]($dotaz_lok);
          echo "<option value=\"".$pole_lok["idl"]."\">".$pole_lok["nazev"]."</option>\n";
            // level 1
            $dotaz_lok2=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level='1' and id_predka=".(int)$pole_lok["idl"]." order by poradi asc",$GLOBALS["dbspojeni"]);
            $pocetlok2=$GLOBALS["num_rows"]($dotaz_lok2);
            for ($pom2=0;$pom2<$pocetlok2;$pom2++):
              $pole_lok2=$GLOBALS["fetch_assoc"]($dotaz_lok2);
              echo "<option value=\"".$pole_lok2["idl"]."\">-&nbsp;".$pole_lok2["nazev"]."</option>\n";
            // level 2
            $dotaz_lok3=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level='2' and id_predka=".(int)$pole_lok2["idl"]." order by poradi asc",$GLOBALS["dbspojeni"]);
            $pocetlok3=$GLOBALS["num_rows"]($dotaz_lok3);
            for ($pom3=0;$pom3<$pocetlok3;$pom3++):
              $pole_lok3=$GLOBALS["fetch_assoc"]($dotaz_lok3);
              echo "<option value=\"".$pole_lok3["idl"]."\">&nbsp;&nbsp;-&nbsp;".$pole_lok3["nazev"]."</option>\n";
            endfor;
            endfor;
        endfor;
      echo "</select></td></tr>\n";    
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_14.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"text\" id=\"ijmeno\" name=\"ijmeno\" class=\"textpole\" size=\"50\" maxlength=\"50\" tabindex=\"5\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_16."</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"text\" id=\"iemail\" name=\"iemail\" class=\"textpole\" size=\"50\" maxlength=\"50\" tabindex=\"6\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_17.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"radio\" class=\"radio\" name=\"izobr_kontakt\" id=\"izobr_kontakt\" value=\"1\" checked=\"checked\" tabindex=\"7\" />".RS_TL_ANO."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" name=\"izobr_kontakt\" value=\"0\" />".RS_TL_NE."</td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_15.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\">".ADMIN_FORM_61." <input type=\"text\" class=\"textpole\" size=\"5\" id=\"telefon1\" name=\"telefon1\" maxlength=\"3\" tabindex=\"8\" /> <input type=\"text\" class=\"textpole\" size=\"5\" id=\"telefon2\" name=\"telefon2\" maxlength=\"3\" tabindex=\"9\" /> <input type=\"text\" class=\"textpole\" size=\"5\" id=\"telefon3\" name=\"telefon3\" maxlength=\"3\" tabindex=\"10\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_46.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\">".ADMIN_FORM_61." <input type=\"text\" class=\"textpole\" size=\"5\" id=\"mobil1\" name=\"mobil1\" maxlength=\"3\" tabindex=\"11\" /> <input type=\"text\" class=\"textpole\" size=\"5\" id=\"mobil2\" name=\"mobil2\" maxlength=\"3\" tabindex=\"12\" /> <input type=\"text\" class=\"textpole\" size=\"5\" id=\"mobil3\" name=\"mobil3\" maxlength=\"3\" tabindex=\"13\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_11.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"text\" class=\"textpole\" size=\"5\" id=\"icena\" name=\"icena\" maxlength=\"20\" tabindex=\"14\" /> ".ADMIN_OST_10."</td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_47.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"text\" id=\"iurl\" name=\"iurl\" class=\"textpole\" size=\"50\" maxlength=\"200\" tabindex=\"15\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_12."</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input class=\"small\" type=\"text\" id=\"idatum_vydani\" name=\"idatum_vydani\" value=\"".MyDnesniDatum()."\" tabindex=\"4\" /><span class=\"textinput\">&nbsp;RRRR-MM-DD HH:MM:SS</span></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_13."</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input class=\"small\" type=\"text\" id=\"idatum_stazeni\" name=\"idatum_stazeni\" value=\"".Date("Y-m-d H:i:s",(Time()+$GLOBALS["casintstazeni"]))."\" tabindex=\"5\" /><span class=\"textinput\">&nbsp;RRRR-MM-DD HH:MM:SS</span></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_33." 1:</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"file\" class=\"file\" size=\"50\" id=\"obrazek1\" name=\"obrazek[]\" tabindex=\"16\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_33." 2:</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"file\" class=\"file\" size=\"50\" id=\"obrazek2\" name=\"obrazek[]\" tabindex=\"17\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_33." 3:</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"file\" class=\"file\" size=\"50\" id=\"obrazek3\" name=\"obrazek[]\" tabindex=\"18\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_33." 4:</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"file\" class=\"file\" size=\"50\" id=\"obrazek4\" name=\"obrazek[]\" tabindex=\"19\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_33." 5:</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"file\" class=\"file\" size=\"50\" id=\"obrazek5\" name=\"obrazek[]\" tabindex=\"20\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_33." 6:</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"file\" class=\"file\" size=\"50\" id=\"obrazek6\" name=\"obrazek[]\" tabindex=\"21\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_33." 7:</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"file\" class=\"file\" size=\"50\" id=\"obrazek7\" name=\"obrazek[]\" tabindex=\"22\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_33." 8:</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"file\" class=\"file\" size=\"50\" id=\"obrazek8\" name=\"obrazek[]\" tabindex=\"23\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_33." 9:</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"file\" class=\"file\" size=\"50\" id=\"obrazek9\" name=\"obrazek[]\" tabindex=\"24\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_33." 10:</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"file\" class=\"file\" size=\"50\" id=\"obrazek10\" name=\"obrazek[]\" tabindex=\"25\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_31."</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input class=\"small\" type=\"text\" id=\"idatum_potvr\" name=\"idatum_potvr\" value=\"".Date("Y-m-d H:i:s",(Time()+$GLOBALS["casintaktivace"]))."\" tabindex=\"26\" /><span class=\"textinput\">&nbsp;RRRR-MM-DD HH:MM:SS</span></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_OST_7."</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"radio\" class=\"radio\" name=\"ipotvrzeni\" value=\"1\" checked=\"checked\" tabindex=\"27\" />".RS_TL_ANO."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" name=\"ipotvrzeni\" value=\"0\" />".RS_TL_NE."</td></tr>\n";
    echo "</tbody>\n";
    echo "</table>\n";
    echo "<div style=\"PADDING: 10px 0px 0px 0px; MARGIN: 0px;\"></div>\n";
    echo "<input type=\"hidden\" name=\"akce\" value=\"AcAddInzerce\" />\n";
    echo "<input type=\"hidden\" name=\"modul\" value=\"inzertnisystem\" />\n";
    echo "<div align=\"center\"><input type=\"submit\" class=\"tl\" value=\"".ADMIN_TLPRPOL."\" tabindex=\"28\" />&nbsp;&nbsp;&nbsp;<input type=\"reset\" class=\"tl\" value=\"".ADMIN_TLVYMAZFORM."\"  /></div>\n";
echo "</form>\n";
}

//-----------------------------------------------------------------------------
// přidání nové položky
//-----------------------------------------------------------------------------

function AcAddInzerce()
{
Navigation("1:2:3:4:5:6:7");

$GLOBALS["inazev"]=$GLOBALS["escape_string"]($GLOBALS["inazev"]);
$GLOBALS["ipopis"]=$GLOBALS["escape_string"]($GLOBALS["ipopis"]);
$GLOBALS["ijmeno"]=$GLOBALS["escape_string"]($GLOBALS["ijmeno"]);
$GLOBALS["iemail"]=$GLOBALS["escape_string"]($GLOBALS["iemail"]);
$GLOBALS["izobr_kontakt"]=$GLOBALS["escape_string"]($GLOBALS["izobr_kontakt"]);
$GLOBALS["telefon1"]=$GLOBALS["escape_string"]($GLOBALS["telefon1"]);
$GLOBALS["telefon2"]=$GLOBALS["escape_string"]($GLOBALS["telefon2"]);
$GLOBALS["telefon3"]=$GLOBALS["escape_string"]($GLOBALS["telefon3"]);
$GLOBALS["mobil1"]=$GLOBALS["escape_string"]($GLOBALS["mobil1"]);
$GLOBALS["mobil2"]=$GLOBALS["escape_string"]($GLOBALS["mobil2"]);
$GLOBALS["mobil3"]=$GLOBALS["escape_string"]($GLOBALS["mobil3"]);
$GLOBALS["icena"]=$GLOBALS["escape_string"]($GLOBALS["icena"]);
$GLOBALS["iurl"]=$GLOBALS["escape_string"]($GLOBALS["iurl"]);
$GLOBALS["idatum_vydani"]=$GLOBALS["escape_string"]($GLOBALS["idatum_vydani"]);
$GLOBALS["idatum_stazeni"]=$GLOBALS["escape_string"]($GLOBALS["idatum_stazeni"]);
$GLOBALS["obrazek"]=$GLOBALS["escape_string"]($GLOBALS["obrazek"]);
$GLOBALS["idatum_potvr"]=$GLOBALS["escape_string"]($GLOBALS["idatum_potvr"]);

if (preg_match("/^(f|ht)tp[s]?:\/\/[\w\.\-][^<> \n]+\.[a-zA-Z]{2,4}/",$GLOBALS["iurl"])):
  $urlupr=$GLOBALS["iurl"];
else:
  if (preg_match("/^[\w\.\-][^<> \n]+\.[a-zA-Z]{2,4}/",$GLOBALS["iurl"])):
    $urlupr="http://".$GLOBALS["iurl"];
  else:
    $urlupr="";
  endif;
endif;

// přednastavené hodnoty
$hesloreg=Random_Password(10);// vytvoření kódu
$error_data="0"; // inicializace chyby
$error_file="0";
$chybovehlaseni=""; // inicializace hlášení chyb

// uložení dat do DB
$dotazid=$GLOBALS["query"]("select max(idn)as maxidcislo from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty",$GLOBALS["dbspojeni"]);
$maxid=$GLOBALS["result"]($dotazid,0,"maxidcislo");
$addmaxid=$maxid+1;
$pocetfile_upload=count($_FILES['obrazek']['tmp_name']);

// zjištění počtu příloh
if ($pocetfile_upload==0):
  $error_file="1";
else:
  $error_file="0";
endif;

if ($error_file=="0"):
      for ($pom=0;$pom<$pocetfile_upload;$pom++):
        $soubor_obr=$_FILES['obrazek']['tmp_name'][$pom];
        if ($soubor_obr!="none" && $soubor_obr!=""):

          $prpriponasouboru=DekompPriponaSouboru($_FILES['obrazek']['name'][$pom]);
          $telosouboru=DekompJmenaSouboru($_FILES['obrazek']['name'][$pom]);

          if ($error_data==0):
            // sestavení nového jména souboru - full
            $obr_poloha=$GLOBALS['config']['inzerce_adresar'].UpravSoubor($GLOBALS["inazev"])."_".Date("mdHis").$pom.".".$prpriponasouboru;
            // sestavení nového jména souboru - náhled
            $nahl_poloha=$GLOBALS['config']['inzerce_adresar'].UpravSoubor($GLOBALS["inazev"])."_".Date("mdHis").$pom."_n.".$prpriponasouboru;
            // sestavení nového jména souboru
            $ulozinf_tmpsoubor=$GLOBALS['config']['inzerce_adresar'].UpravSoubor($GLOBALS["inazev"])."_".Date("mdHis").$pom."_tmp.".$prpriponasouboru;
          endif;

          if(file_exists($obr_poloha) || file_exists($nahl_poloha)):
            $error_data="1";
            $chybovehlaseni.="".ADMIN_HLASKY_7." ".$telosouboru.".".$prpriponasouboru." ".ADMIN_HLASKY_8.".<br /><br />";
          else:
            if (is_uploaded_file($soubor_obr)):
              if (move_uploaded_file($soubor_obr,$ulozinf_tmpsoubor)):
                chmod ($ulozinf_tmpsoubor,0707); // nastavení přístupových práv

                // získání informací o souboru
                $probrparametry=GetImageSize($ulozinf_tmpsoubor);
                $obr_sirka=$probrparametry[0]; // šířka
                $obr_vyska=$probrparametry[1]; // výška
                $typuplobr=$probrparametry[2]; // typ upload. souboru

                // typy obr.: 1 = GIF, 2 = JPG, 3 = PNG, 4 = SWF, 5 = PSD, 6 = BMP, 7 = TIFF(intel byte order), 8 = TIFF(motorola byte order),
                // 9 = JPC, 10 = JP2, 11 = JPX, 12 = JB2, 13 = SWC, 14 = IFF.

                // úprava velikosti obrázku
                if ($obr_sirka>$obr_vyska):
                  if ($obr_sirka>$GLOBALS['config']['img_obrazek_sirka']):
                    $koefupravy=$obr_sirka/$GLOBALS['config']['img_obrazek_sirka'];
                    $obr_sirka_uprav=round($obr_sirka/$koefupravy);
                    $obr_vyska_uprav=round($obr_vyska/$koefupravy);
                  else:
                    $obr_sirka_uprav=$obr_sirka;
                    $obr_vyska_uprav=$obr_vyska;
                  endif;
                else:
                  if ($obr_vyska>$GLOBALS['config']['img_obrazek_sirka']):
                    $koefupravy=$obr_vyska/$GLOBALS['config']['img_obrazek_sirka'];
                    $obr_sirka_uprav=round($obr_sirka/$koefupravy);
                    $obr_vyska_uprav=round($obr_vyska/$koefupravy);
                  else:
                    $obr_sirka_uprav=$obr_sirka;
                    $obr_vyska_uprav=$obr_vyska;
                  endif;
                endif;

                // úprava velikosti náhledu
                if ($obr_sirka>$obr_vyska):
                  if ($obr_sirka>$GLOBALS['config']['img_nahled_sirka']):
                    $koefupravynahl=$obr_sirka/$GLOBALS['config']['img_nahled_sirka'];
                    $obr_sirka_upravnahl=round($obr_sirka/$koefupravynahl);
                    $obr_vyska_upravnahl=round($obr_vyska/$koefupravynahl);
                  else:
                    $obr_sirka_upravnahl=$obr_sirka;
                    $obr_vyska_upravnahl=$obr_vyska;
                  endif;
                else:
                  if ($obr_vyska>$GLOBALS['config']['img_nahled_sirka']):
                    $koefupravynahl=$obr_vyska/$GLOBALS['config']['img_nahled_sirka'];
                    $obr_sirka_upravnahl=round($obr_sirka/$koefupravynahl);
                    $obr_vyska_upravnahl=round($obr_vyska/$koefupravynahl);
                  else:
                    $obr_sirka_upravnahl=$obr_sirka;
                    $obr_vyska_upravnahl=$obr_vyska;
                  endif;
                endif;

                // kontrola typu obrázku
                if ($typuplobr!=2 && $typuplobr!=3):
                  $error_data="1";
                  $chybovehlaseni.="".ADMIN_HLASKY_CHNEPODFOR2." ".$telosouboru.".".$prpriponasouboru."!<br />".ADMIN_HLASKY_CHNEPODFOR.".<br /><br />\n";
                  //smazání souboru
                  unlink($ulozinf_tmpsoubor);
                else:
                  // nastavení proměnných
                  $error_data="0";
                  // tvorba obrázku
                  switch ($typuplobr):
                    case 2:
                      $probrzbroj=ImageCreateFromJPEG($ulozinf_tmpsoubor);
                    break;
                    case 3:
                      $probrzbroj=ImageCreateFromPNG($ulozinf_tmpsoubor);
                    break;
                  endswitch;
                  $probrcil=imagecreatetruecolor($obr_sirka_uprav,$obr_vyska_uprav);
                  $probrcilnahl=imagecreatetruecolor($obr_sirka_upravnahl,$obr_vyska_upravnahl);
                  imagecopyresampled($probrcil,$probrzbroj,0,0,0,0,$obr_sirka_uprav,$obr_vyska_uprav,$obr_sirka,$obr_vyska);
                  imagecopyresampled($probrcilnahl,$probrzbroj,0,0,0,0,$obr_sirka_upravnahl,$obr_vyska_upravnahl,$obr_sirka,$obr_vyska);
                  switch ($typuplobr):
                    case 2:
                      ImageJPEG($probrcil,$obr_poloha,90);
                      ImageJPEG($probrcilnahl,$nahl_poloha,90);
                    break;
                    case 3:
                      ImagePNG($probrcil,$obr_poloha);
                      ImagePNG($probrcilnahl,$nahl_poloha);
                    break;
                  endswitch;
                  ImageDestroy($probrzbroj);
                  ImageDestroy($probrcil);
                  ImageDestroy($probrcilnahl);
                  unlink($ulozinf_tmpsoubor);
                endif;
              else:
                $error_data="1";
                $chybovehlaseni.="".ADMIN_HLASKY_CHYBANECCHYBA." ".$telosouboru.".".$prpriponasouboru." ".ADMIN_HLASKY_CHYBANECCHYBA2.".<br /><br />\n";
              endif;
            else:
              $error_data="1";
              $chybovehlaseni.="".ADMIN_HLASKY_CHYBABEZPKON." ".$telosouboru.".".$prpriponasouboru." ".ADMIN_HLASKY_CHYBABEZPKON2.".<br /><br />\n";
            endif;
          endif;

          if ($error_data=="0"):
            @$error=$GLOBALS["query"]("insert into ".$GLOBALS["rspredpona"]."inzertnisystem_obr values(null,'".$addmaxid."','".$obr_poloha."','".$obr_sirka_uprav."','".$obr_vyska_uprav."','".$nahl_poloha."','".$obr_sirka_upravnahl."','".$obr_vyska_upravnahl."')",$GLOBALS["dbspojeni"]);
            if (!$error):
              // chybové hlášení
              $chybovehlaseni.="<div align=\"center\">".ADMIN_HLASKY_9." <em>".$telosouboru.".".$prpriponasouboru."</em> ".ADMIN_HLASKY_10.".<br /><br /></div>\n";
              $error_data="1";
              if(file_exists($obr_poloha)):
                unlink($obr_poloha);
              endif;
              if(file_exists($nahl_poloha)):
                unlink($nahl_poloha);
              endif;
            endif;
          endif;
        endif;
      endfor;
    endif;


$hesloreg=Random_Password(10);// vytvoření kódu
$telefon=$GLOBALS["telefon1"]." ".$GLOBALS["telefon2"]." ".$GLOBALS["telefon3"];
$mobil=$GLOBALS["mobil1"]." ".$GLOBALS["mobil2"]." ".$GLOBALS["mobil3"];
if($error_data=="0"):
  // přidání položky
//  @$error=$GLOBALS["query"]("insert into ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty values(null,'".$GLOBALS["nazev_inzeratu"]."','".$GLOBALS["popis_inzeratu"]."','".$GLOBALS["cena"]."','".$GLOBALS["datum_vydani"]."','".$GLOBALS["datum_stazeni"]."','".$GLOBALS["jmeno"]."','".$GLOBALS["telefon"]."','".$GLOBALS["email"]."','".$GLOBALS["kontakt"]."','".$ulozinf_novsoubor."','".$GLOBALS["obr_zobr"]."','".$GLOBALS["typ"]."','".$GLOBALS["ikategorie"]."','".$GLOBALS["ilokalita"]."','".$password."','".$GLOBALS["datum_potvr"]."','".$GLOBALS["potvrzeni"]."','1','".$GLOBALS["izobr_kontakt"]."',0,0,'".$_SERVER['REMOTE_ADDR']."')",$GLOBALS["dbspojeni"]);
  @$error=$GLOBALS["query"]("insert into ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty values('".$addmaxid."','".$GLOBALS["inazev"]."','".$GLOBALS["escape_string"]($GLOBALS["ipopis"])."','".$GLOBALS["icena"]."','".$GLOBALS["idatum_vydani"]."','".$GLOBALS["idatum_stazeni"]."','".$GLOBALS["ijmeno"]."','".$telefon."','".$mobil."','".$GLOBALS["iemail"]."','".$urlupr."','".$GLOBALS["ityp"]."','".$GLOBALS["ikategorie"]."','".$GLOBALS["ilokalita"]."','".$hesloreg."','".$GLOBALS["idatum_potvr"]."','".$GLOBALS["ipotvrzeni"]."','0','".$GLOBALS["izobr_kontakt"]."','0',0,'".$_SERVER['REMOTE_ADDR']."')",$GLOBALS["dbspojeni"]);
  if (!$error):
    echo "<div align=\"center\">".ADMIN_HLASKY_CHYBAPRDB."</div>\n";
    //smazání souboru
    if(file_exists($ulozinf_novsoubor)):
      unlink($ulozinf_novsoubor);
    endif;
  else:
    echo "<div align=\"center\">".ADMIN_HLASKY_PRUSPDB."</div>\n";
  endif;
endif;

}

//-----------------------------------------------------------------------------
// vymazání položek
//-----------------------------------------------------------------------------

function DelInzerce()
{
Navigation("1:2:3:4:5:6:7");

$chyba=0; // inic. chyby

if (!isset($GLOBALS["prpoleidn"])): // inic. pole
 $pocetpoleidn=0;
else:
 $pocetpoleidn=count($GLOBALS["prpoleidn"]);
endif;

for ($pom=0;$pom<$pocetpoleidn;$pom++):
// smazání položky v databázi
    @$error=$GLOBALS["query"]("delete from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where idn=".(int)$GLOBALS["escape_string"]($GLOBALS["prpoleidn"][$pom])."",$GLOBALS["dbspojeni"]);
    if ($error):
      $dotazobr=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_obr where inzerat=".(int)$GLOBALS["escape_string"]($GLOBALS["prpoleidn"][$pom])."",$GLOBALS["dbspojeni"]);
      $pocetobr=$GLOBALS["num_rows"]($dotazobr);
      for ($pomdelobr=0;$pomdelobr<$pocetobr;$pomdelobr++):
        $pole_obr=$GLOBALS["fetch_assoc"]($dotazobr);
        @$errorobr=$GLOBALS["query"]("delete from ".$GLOBALS["rspredpona"]."inzertnisystem_obr where ido=".(int)$pole_obr["ido"]."",$GLOBALS["dbspojeni"]);
        if ($errorobr):
          // mazání obrázků
          if(file_exists($pole_obr["obr_poloha"])):
            unlink($pole_obr["obr_poloha"]);
          endif;
          if(file_exists($pole_obr["nahl_poloha"])):
            unlink($pole_obr["nahl_poloha"]);
          endif;
        else:
          echo "<div align=\"center\">".ADMIN_HLASKY_CHYBADELDB."</div>\n";
          $chyba=1;
        endif;
      endfor;
    else:
      echo "<div align=\"center\">".ADMIN_HLASKY_CHYBADELDB."</div>\n";
      $chyba=1;
    endif;
endfor;

if ($chyba==0): // globální koncové stavy
  if ($pocetpoleidn==0):
    echo "<div align=\"center\">".ADMIN_HLASKY_NEOZNPOL."</div>\n";
  endif;
  if ($pocetpoleidn==1):
    echo "<div align=\"center\">".ADMIN_HLASKY_DELPOSDB."</div>\n";
  endif;
  if ($pocetpoleidn>1):
   echo "<div align=\"center\">".ADMIN_HLASKY_DELPOSDBS."</div>\n";
  endif;
endif;
}

//-----------------------------------------------------------------------------
// formulář úpravy položek
//-----------------------------------------------------------------------------

function EditInzerce()
{
Navigation("1:2:3:4:5:6:7");

$GLOBALS["pridn"]=$GLOBALS["escape_string"]($GLOBALS["pridn"]);

// formulář na úpravu vybraného inzerátu
$dotazinzerat=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where idn=".(int)$GLOBALS["pridn"]."",$GLOBALS["dbspojeni"]);
$pole_data=$GLOBALS["fetch_assoc"]($dotazinzerat);
$dotaz_lok=$GLOBALS["query"]("select idl,nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level=0 order by poradi asc",$GLOBALS["dbspojeni"]);
$pocetlok=$GLOBALS["num_rows"]($dotaz_lok);


echo "<form action=\"".RS_VYKONNYSOUBOR."\" method=\"post\" enctype=\"multipart/form-data\">\n";
  echo "<table cellspacing=\"0\" cellpadding=\"3\"  align=\"center\" class=\"ramsedy\">\n";
  echo "<tbody>\n";
	echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_43.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"text\" id=\"inazev\" name=\"inazev\" value=\"".$pole_data["nazev"]."\" class=\"textpole\" size=\"50\" maxlength=\"50\" tabindex=\"1\" /></td></tr>\n";
    echo "<tr><td colspan=\"2\" bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_56.":</strong><br /><textarea name=\"ipopis\" cols=\"60\" rows=\"10\" tabindex=\"2\">".$pole_data["popis"]."</textarea></td></tr>\n";
    if ($pole_data["typ"]==1):
	  echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_44.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><div class=\"formular_ratio\"><input type=\"radio\" class=\"radio\" name=\"ityp\" id=\"ityp\" value=\"1\" checked=\"checked\" tabindex=\"3\" />".ADMIN_FORM_21."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" name=\"ityp\" value=\"2\" />".ADMIN_FORM_22."</td></tr>\n";
	else:
	  echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_44.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><div class=\"formular_ratio\"><input type=\"radio\" class=\"radio\" name=\"ityp\" id=\"ityp\" value=\"1\" />".ADMIN_FORM_21."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" name=\"ityp\" checked=\"checked\" value=\"2\" tabindex=\"3\" />".ADMIN_FORM_22."</td></tr>\n";
    endif;
// level 0
    $dotaz_sekce=$GLOBALS["query"]("select ids,nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where level='0' order by poradi asc",$GLOBALS["dbspojeni"]);
    $pocetsekci=$GLOBALS["num_rows"]($dotaz_sekce);
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_2.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\">";
      echo "<select id=\"ikategorie\" name=\"ikategorie\" size=\"1\" tabindex=\"4\">\n";
        for ($pom=0;$pom<$pocetsekci;$pom++):
          $pole_sekce=$GLOBALS["fetch_assoc"]($dotaz_sekce);
          echo "<option value=\"".$pole_sekce["ids"]."\""; if ($pole_data["kategorie"]==$pole_sekce["ids"]): echo "selected=\"selected\"";  endif; echo ">".$pole_sekce["nazev"]."</option>\n";
            // level 1
            $dotaz_sekce2=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where level='1' and id_predka=".(int)$pole_sekce["ids"]." order by poradi asc",$GLOBALS["dbspojeni"]);
            $pocetsekce2=$GLOBALS["num_rows"]($dotaz_sekce2);
            for ($pom2=0;$pom2<$pocetsekce2;$pom2++):
              $datasekce2=$GLOBALS["fetch_assoc"]($dotaz_sekce2);
              echo "<option value=\"".$datasekce2["ids"]."\""; if ($pole_data["kategorie"]==$datasekce2["ids"]): echo "selected=\"selected\"";  endif; echo ">-&nbsp;".$datasekce2["nazev"]."</option>\n";
            endfor;
        endfor;
      echo "</select></td></tr>\n";
	echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_45.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\">";
      echo "<select id=\"ilokalita\" name=\"ilokalita\" size=\"1\" tabindex=\"4\">\n";
        // level 0
        for ($pomlok=0;$pomlok<$pocetlok;$pomlok++):
          $pole_lok=$GLOBALS["fetch_assoc"]($dotaz_lok);
          echo "<option value=\"".$pole_lok["idl"]."\""; if ($pole_data["lokalita"]==$pole_lok["idl"]): echo "selected=\"selected\"";  endif; echo ">".$pole_lok["nazev"]."</option>\n";
            // level 1
            $dotaz_lok2=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level='1' and id_predka=".(int)$pole_lok["idl"]." order by poradi asc",$GLOBALS["dbspojeni"]);
            $pocetlok2=$GLOBALS["num_rows"]($dotaz_lok2);
            for ($pom2=0;$pom2<$pocetlok2;$pom2++):
              $pole_lok2=$GLOBALS["fetch_assoc"]($dotaz_lok2);
              echo "<option value=\"".$pole_lok2["idl"]."\""; if ($pole_data["lokalita"]==$pole_lok2["idl"]): echo "selected=\"selected\"";  endif; echo ">-&nbsp;".$pole_lok2["nazev"]."</option>\n";
            // level 2
            $dotaz_lok3=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level='2' and id_predka=".(int)$pole_lok2["idl"]." order by poradi asc",$GLOBALS["dbspojeni"]);
            $pocetlok3=$GLOBALS["num_rows"]($dotaz_lok3);
            for ($pom3=0;$pom3<$pocetlok3;$pom3++):
              $pole_lok3=$GLOBALS["fetch_assoc"]($dotaz_lok3);
              echo "<option value=\"".$pole_lok3["idl"]."\""; if ($pole_data["lokalita"]==$pole_lok3["idl"]): echo "selected=\"selected\"";  endif; echo ">&nbsp;&nbsp;-&nbsp;".$pole_lok3["nazev"]."</option>\n";
            endfor;
            endfor;
        endfor;
      echo "</select></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_14.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"text\" id=\"ijmeno\" name=\"ijmeno\" value=\"".$pole_data["jmeno"]."\" class=\"textpole\" size=\"50\" maxlength=\"50\" tabindex=\"5\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_16."</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"text\" id=\"iemail\" name=\"iemail\" value=\"".$pole_data["email"]."\" class=\"textpole\" size=\"50\" maxlength=\"50\" tabindex=\"6\" /></td></tr>\n";
    if ($pole_data["zobr_kontakt"]==1):
	  echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_17.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"radio\" class=\"radio\" name=\"izobr_kontakt\" id=\"izobr_kontakt\" value=\"1\" checked=\"checked\" tabindex=\"7\" />".RS_TL_ANO."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" name=\"izobr_kontakt\" value=\"0\" />".RS_TL_NE."</td></tr>\n";
	else:
	  echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_17.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"radio\" class=\"radio\" name=\"izobr_kontakt\" id=\"izobr_kontakt\" value=\"1\" />".RS_TL_ANO."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" name=\"izobr_kontakt\" value=\"0\" checked=\"checked\" tabindex=\"7\" />".RS_TL_NE."</td></tr>\n";
    endif;

	if (!empty($pole_data["telefon"])):
      list($telefon1,$telefon2,$telefon3)=explode(" ",$pole_data["telefon"]);
    endif;

    if (!empty($pole_data["mobil"])):
       list($mobil1,$mobil2,$mobil3)=explode(" ",$pole_data["mobil"]);
    endif;

	  echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_15.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\">".ADMIN_FORM_61." <input type=\"text\" class=\"textpole\" size=\"5\" id=\"telefon1\" name=\"telefon1\" value=\"".$telefon1."\" maxlength=\"3\" tabindex=\"8\" /> <input type=\"text\" class=\"textpole\" size=\"5\" id=\"telefon2\" name=\"telefon2\" value=\"".$telefon2."\" maxlength=\"3\" tabindex=\"9\" /> <input type=\"text\" class=\"textpole\" size=\"5\" id=\"telefon3\" name=\"telefon3\" value=\"".$telefon3."\" maxlength=\"3\" tabindex=\"10\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_46.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\">".ADMIN_FORM_61." <input type=\"text\" class=\"textpole\" size=\"5\" id=\"mobil1\" name=\"mobil1\" value=\"".$mobil1."\" maxlength=\"3\" tabindex=\"11\" /> <input type=\"text\" class=\"textpole\" size=\"5\" id=\"mobil2\" name=\"mobil2\" value=\"".$mobil2."\" maxlength=\"3\" tabindex=\"12\" /> <input type=\"text\" class=\"textpole\" size=\"5\" id=\"mobil3\" name=\"mobil3\" value=\"".$mobil3."\" maxlength=\"3\" tabindex=\"13\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_11.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"text\" class=\"textpole\" size=\"10\" id=\"icena\" name=\"icena\" value=\"".$pole_data["cena"]."\" maxlength=\"20\" tabindex=\"14\" /> ".ADMIN_OST_10."</td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_47.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"text\" id=\"iurl\" name=\"iurl\" class=\"textpole\" size=\"50\" value=\"".$pole_data["url"]."\" maxlength=\"200\" tabindex=\"15\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_12."</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input class=\"small\" type=\"text\" id=\"idatum_vydani\" name=\"idatum_vydani\" value=\"".$pole_data["datum_vyst"]."\" tabindex=\"16\" /><span class=\"textinput\">&nbsp;RRRR-MM-DD HH:MM:SS</span></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_13."</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input class=\"small\" type=\"text\" id=\"idatum_stazeni\" name=\"idatum_stazeni\" value=\"".$pole_data["datum_staz"]."\" tabindex=\"17\" /><span class=\"textinput\">&nbsp;RRRR-MM-DD HH:MM:SS</span></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_31."</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input class=\"small\" type=\"text\" id=\"idatum_potvr\" name=\"idatum_potvr\" value=\"".$pole_data["datum_potvr"]."\" tabindex=\"18\" /><span class=\"textinput\">&nbsp;RRRR-MM-DD HH:MM:SS</span></td></tr>\n";
    if ($pole_data["potvrzeni"]==1):
	  echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_OST_7."</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"radio\" class=\"radio\" id=\"ipotvrzeni\" name=\"ipotvrzeni\" value=\"1\" checked=\"checked\" tabindex=\"19\" />".RS_TL_ANO."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" name=\"ipotvrzeni\" value=\"0\" />".RS_TL_NE."</td></tr>\n";
    else:
	  echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_OST_7."</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"radio\" class=\"radio\" id=\"ipotvrzeni\" name=\"ipotvrzeni\" value=\"1\" />".RS_TL_ANO."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" name=\"ipotvrzeni\" value=\"0\" checked=\"checked\" tabindex=\"19\" />".RS_TL_NE."</td></tr>\n";
	endif;
	echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_27."</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input class=\"textpole\" size=\"10\" type=\"text\" id=\"ipassword\" name=\"ipassword\" value=\"".$pole_data["password"]."\" tabindex=\"20\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_48.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"text\" class=\"textpole\" size=\"10\" id=\"ipocitadlo\" name=\"ipocitadlo\" value=\"".$pole_data["pocitadlo"]."\" maxlength=\"10\" tabindex=\"21\" /></td></tr>\n";
	
	$dotazobr=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_obr where inzerat=".(int)$pole_data["idn"]." order by ido asc",$GLOBALS["dbspojeni"]);
    $pocetobr=$GLOBALS["num_rows"]($dotazobr);
          echo "</tbody>\n";
        echo "</table>\n";
      echo "<br />\n";
          echo "<table cellspacing=\"0\" cellpadding=\"3\"  align=\"center\" class=\"ramsedy\">\n";
          echo "<tbody>\n";
	if ($pocetobr>0):
	  echo "<tr><td colspan=\"4\" bgcolor=\"#E6E6E6\" align=\"left\"><strong><strong><strong>".ADMIN_FORM_37.":</strong></td></tr>\n";

            $pocetprubehu=0;
            for ($pom=0;$pom<$pocetobr;$pom++):
              $pole_obr=$GLOBALS["fetch_assoc"]($dotazobr);
              if ($pocetprubehu==0):
                echo "<tr>\n";
              endif;
              echo "<td bgcolor=\"#E6E6E6\"><a href=\"".RS_VYKONNYSOUBOR."?akce=DelImage&amp;modul=inzertnisystem&amp;id_del_obr=".$pole_obr["ido"]."&amp;id_inz=".$pole_data["idn"]."\" title=\"".ADMIN_FORM_39.": ".$pole_data["nazev"]."\" onclick=\"return(confirm('".ADMIN_FORM_38."?'));\">";
              echo "<img src=\"".$pole_obr["nahl_poloha"]."\" alt=\"".ADMIN_FORM_39.": ".$pole_data["nazev"]."\" height=\"".$pole_obr["nahl_height"]."\" width=\"".$pole_obr["nahl_width"]."\" /></a></td>\n";
              if ($pocetprubehu==3):
                echo "</tr>\n";
                $pocetprubehu=0;
              else:
                $pocetprubehu++;
              endif;
            endfor;

            // dokončení tabulky
            switch ($pocetprubehu):
              case 0: break;
			         case 1: echo "<td bgcolor=\"#E6E6E6\">&nbsp;</td>\n<td bgcolor=\"#E6E6E6\">&nbsp;</td>\n<td bgcolor=\"#E6E6E6\">&nbsp;</td>\n</tr>\n"; break;
              case 2: echo "<td bgcolor=\"#E6E6E6\">&nbsp;</td>\n<td bgcolor=\"#E6E6E6\">&nbsp;</td>\n</tr>\n"; break;
              case 3: echo "<td bgcolor=\"#E6E6E6\">&nbsp;</td>\n</tr>\n"; break;
            endswitch;
      echo "<br />\n";
    endif;
              echo "</tbody>\n";
        echo "</table>\n";
      echo "<br />\n";
          echo "<table cellspacing=\"0\" cellpadding=\"3\"  align=\"center\" class=\"ramsedy\">\n";
          echo "<tbody>\n";

	echo "<tr><td colspan=\"2\" bgcolor=\"#E6E6E6\" align=\"left\"><strong><strong>".ADMIN_FORM_34.":</strong></td></tr>\n";
	echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_33." 1:</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"file\" class=\"file\" size=\"50\"  id=\"obrazek1\" name=\"obrazek[]\" tabindex=\"22\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_33." 2:</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"file\" class=\"file\" size=\"50\"  id=\"obrazek2\" name=\"obrazek[]\" tabindex=\"23\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_33." 3:</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"file\" class=\"file\" size=\"50\"  id=\"obrazek3\" name=\"obrazek[]\" tabindex=\"24\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_33." 4:</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"file\" class=\"file\" size=\"50\"  id=\"obrazek4\" name=\"obrazek[]\" tabindex=\"25\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_33." 5:</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"file\" class=\"file\" size=\"50\"  id=\"obrazek5\" name=\"obrazek[]\" tabindex=\"26\" /></td></tr>\n";
    echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_33." 6:</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"file\" class=\"file\" size=\"50\"  id=\"obrazek6\" name=\"obrazek[]\" tabindex=\"27\" /></td></tr>\n";
	  echo "</tbody>\n";
    echo "</table>\n";
    echo "<div style=\"PADDING: 10px 0px 0px 0px; MARGIN: 0px;\"></div>\n";
    echo "<input type=\"hidden\" name=\"akce\" value=\"AcEditInzerce\" />\n";
    echo "<input type=\"hidden\" name=\"modul\" value=\"inzertnisystem\" />\n";
    echo "<input type=\"hidden\" name=\"id_edit\" value=\"".$pole_data["idn"]."\" />\n";
    echo "<div align=\"center\"><input type=\"submit\" class=\"tl\" value=\"".ADMIN_TLULOZZM."\" tabindex=\"28\" onclick=\"return(confirm('".ADMIN_FORM_49."?'));\" />&nbsp;&nbsp;&nbsp;<input type=\"reset\" class=\"tl\" value=\"".ADMIN_TLVYMAZZM."\"  /></div><br />\n";
  echo "</div>\n";
echo "</form>\n";
}

//-----------------------------------------------------------------------------
// úprava položek
//-----------------------------------------------------------------------------

function AcEditInzerce()
{
Navigation("1:2:3:4:5:6:7");

$GLOBALS["id_edit"]=$GLOBALS["escape_string"]($GLOBALS["id_edit"]);
$GLOBALS["inazev"]=$GLOBALS["escape_string"]($GLOBALS["inazev"]);
$GLOBALS["ipopis"]=$GLOBALS["escape_string"]($GLOBALS["ipopis"]);
$GLOBALS["ijmeno"]=$GLOBALS["escape_string"]($GLOBALS["ijmeno"]);
$GLOBALS["iemail"]=$GLOBALS["escape_string"]($GLOBALS["iemail"]);
$GLOBALS["telefon1"]=$GLOBALS["escape_string"]($GLOBALS["telefon1"]);
$GLOBALS["telefon2"]=$GLOBALS["escape_string"]($GLOBALS["telefon2"]);
$GLOBALS["telefon3"]=$GLOBALS["escape_string"]($GLOBALS["telefon3"]);
$GLOBALS["mobil1"]=$GLOBALS["escape_string"]($GLOBALS["mobil1"]);
$GLOBALS["mobil2"]=$GLOBALS["escape_string"]($GLOBALS["mobil2"]);
$GLOBALS["mobil3"]=$GLOBALS["escape_string"]($GLOBALS["mobil3"]);
$GLOBALS["icena"]=$GLOBALS["escape_string"]($GLOBALS["icena"]);
$GLOBALS["iurl"]=$GLOBALS["escape_string"]($GLOBALS["iurl"]);
$GLOBALS["idatum_vydani"]=$GLOBALS["escape_string"]($GLOBALS["idatum_vydani"]);
$GLOBALS["idatum_stazeni"]=$GLOBALS["escape_string"]($GLOBALS["idatum_stazeni"]);
$GLOBALS["obrazek"]=$GLOBALS["escape_string"]($GLOBALS["obrazek"]);
$GLOBALS["idatum_potvr"]=$GLOBALS["escape_string"]($GLOBALS["idatum_potvr"]);
$GLOBALS["ipotvrzeni"]=$GLOBALS["escape_string"]($GLOBALS["ipotvrzeni"]);
$GLOBALS["ipassword"]=$GLOBALS["escape_string"]($GLOBALS["ipassword"]);
$GLOBALS["ipocitadlo"]=$GLOBALS["escape_string"]($GLOBALS["ipocitadlo"]);
$GLOBALS["ilokalita"]=$GLOBALS["escape_string"]($GLOBALS["ilokalita"]);
$GLOBALS["ikategorie"]=$GLOBALS["escape_string"]($GLOBALS["ikategorie"]);

if (preg_match("/^(f|ht)tp[s]?:\/\/[\w\.\-][^<> \n]+\.[a-zA-Z]{2,4}/",$GLOBALS["iurl"])):
  $urlupr=$GLOBALS["iurl"];
else:
  if (preg_match("/^[\w\.\-][^<> \n]+\.[a-zA-Z]{2,4}/",$GLOBALS["iurl"])):
    $urlupr="http://".$GLOBALS["iurl"];
  else:
    $urlupr="";
  endif;
endif;

// přednastavené hodnoty
$error_data="0"; // inicializace chyby
$error_file="0";
$chybovehlaseni=""; // inicializace hlášení chyb

// uložení dat do DB
$pocetfile_upload=count($_FILES['obrazek']['tmp_name']);
// zjištění počtu příloh
if ($pocetfile_upload==0):
  $error_file="1";
else:
  $error_file="0";
endif;

if ($error_file=="0"):
  for ($pom=0;$pom<$pocetfile_upload;$pom++):
    $soubor_obr=$_FILES['obrazek']['tmp_name'][$pom];
    if ($soubor_obr!="none" && $soubor_obr!=""):

      $prpriponasouboru=DekompPriponaSouboru($_FILES['obrazek']['name'][$pom]);
      $telosouboru=DekompJmenaSouboru($_FILES['obrazek']['name'][$pom]);

      if ($error_data==0):
        // sestavení nového jména souboru
        $obr_poloha=$GLOBALS['config']['inzerce_adresar'].UpravSoubor($GLOBALS["inazev"])."_".Date("mdHis").$pom.".".$prpriponasouboru;
        // sestavení nového jména souboru - náhled
        $nahl_poloha=$GLOBALS['config']['inzerce_adresar'].UpravSoubor($GLOBALS["inazev"])."_".Date("mdHis").$pom."_n.".$prpriponasouboru;
        // sestavení nového jména souboru - tmp
        $ulozinf_tmpsoubor=$GLOBALS['config']['inzerce_adresar'].UpravSoubor($GLOBALS["inazev"])."_".Date("mdHis").$pom."_tmp.".$prpriponasouboru;
      endif;

      if(file_exists($obr_poloha) || file_exists($nahl_poloha)):
        $error_data="1";
        $chybovehlaseni.="".ADMIN_HLASKY_7." ".$telosouboru.".".$prpriponasouboru." ".ADMIN_HLASKY_8.".<br /><br />";
      else:
	    $cestawebtmp=$ulozinf_tmpsoubor;
        if (is_uploaded_file($soubor_obr)):
          if (move_uploaded_file($soubor_obr,$cestawebtmp)):
            chmod ($ulozinf_tmpsoubor,0707); // nastavení přístupových práv

            // získání informací o souboru
            $probrparametry=GetImageSize($cestawebtmp);
            $obr_sirka=$probrparametry[0]; // šířka
            $obr_vyska=$probrparametry[1]; // výška
            $typuplobr=$probrparametry[2]; // typ upload. souboru

            // typy obr.: 1 = GIF, 2 = JPG, 3 = PNG, 4 = SWF, 5 = PSD, 6 = BMP, 7 = TIFF(intel byte order), 8 = TIFF(motorola byte order),
            // 9 = JPC, 10 = JP2, 11 = JPX, 12 = JB2, 13 = SWC, 14 = IFF.

            // úprava velikosti obrázku
            if ($obr_sirka>$obr_vyska):
              if ($obr_sirka>$GLOBALS['config']['img_obrazek_sirka']):
                $koefupravy=$obr_sirka/$GLOBALS['config']['img_obrazek_sirka'];
                $obr_sirka_uprav=round($obr_sirka/$koefupravy);
                $obr_vyska_uprav=round($obr_vyska/$koefupravy);
              else:
                $obr_sirka_uprav=$obr_sirka;
                $obr_vyska_uprav=$obr_vyska;
              endif;
            else:
              if ($obr_vyska>$GLOBALS['config']['img_obrazek_sirka']):
                $koefupravy=$obr_vyska/$GLOBALS['config']['img_obrazek_sirka'];
                $obr_sirka_uprav=round($obr_sirka/$koefupravy);
                $obr_vyska_uprav=round($obr_vyska/$koefupravy);
              else:
                 $obr_sirka_uprav=$obr_sirka;
                 $obr_vyska_uprav=$obr_vyska;
              endif;
            endif;

            // úprava velikosti náhledu
            if ($obr_sirka>$obr_vyska):
              if ($obr_sirka>$GLOBALS['config']['img_nahled_sirka']):
                $koefupravynahl=$obr_sirka/$GLOBALS['config']['img_nahled_sirka'];
                $obr_sirka_upravnahl=round($obr_sirka/$koefupravynahl);
                $obr_vyska_upravnahl=round($obr_vyska/$koefupravynahl);
              else:
                $obr_sirka_upravnahl=$obr_sirka;
                $obr_vyska_upravnahl=$obr_vyska;
              endif;
            else:
              if ($obr_vyska>$GLOBALS['config']['img_nahled_sirka']):
                $koefupravynahl=$obr_vyska/$GLOBALS['config']['img_nahled_sirka'];
                $obr_sirka_upravnahl=round($obr_sirka/$koefupravynahl);
                $obr_vyska_upravnahl=round($obr_vyska/$koefupravynahl);
              else:
                $obr_sirka_upravnahl=$obr_sirka;
                $obr_vyska_upravnahl=$obr_vyska;
              endif;
            endif;

            // kontrola typu obrázku
            if ($typuplobr!=2 && $typuplobr!=3):
              $error_data="1";
              $chybovehlaseni.="".ADMIN_HLASKY_CHNEPODFOR2." ".$telosouboru.".".$prpriponasouboru."!<br />".ADMIN_HLASKY_CHNEPODFOR.".<br /><br />\n";
              //smazání souboru
              if (file_exists($cestawebtmp)):
                unlink($cestawebtmp);
              endif;
            else:
              // nastavení proměnných
              $error_data="0";
              // tvorba obrázku
              switch ($typuplobr):
                case 2:
                  $probrzbroj=ImageCreateFromJPEG($cestawebtmp);
                break;
                case 3:
                  $probrzbroj=ImageCreateFromPNG($cestawebtmp);
                break;
              endswitch;
              $probrcil=imagecreatetruecolor($obr_sirka_uprav,$obr_vyska_uprav);
              $probrcilnahl=imagecreatetruecolor($obr_sirka_upravnahl,$obr_vyska_upravnahl);
              imagecopyresampled($probrcil,$probrzbroj,0,0,0,0,$obr_sirka_uprav,$obr_vyska_uprav,$obr_sirka,$obr_vyska);
              imagecopyresampled($probrcilnahl,$probrzbroj,0,0,0,0,$obr_sirka_upravnahl,$obr_vyska_upravnahl,$obr_sirka,$obr_vyska);
              switch ($typuplobr):
                case 2:
                  ImageJPEG($probrcil,$obr_poloha,90);
                  ImageJPEG($probrcilnahl,$nahl_poloha,90);
                break;
                case 3:
                  ImagePNG($probrcil,$obr_poloha);
                  ImagePNG($probrcilnahl,$nahl_poloha);
                break;
              endswitch;
              ImageDestroy($probrzbroj);
              ImageDestroy($probrcil);
              ImageDestroy($probrcilnahl);
			  if (file_exists($cestawebtmp)):
                unlink($cestawebtmp);
              endif;
            endif;
          else:
            $error_data="1";
            $chybovehlaseni.="".ADMIN_HLASKY_CHYBANECCHYBA." ".$telosouboru.".".$prpriponasouboru." ".ADMIN_HLASKY_CHYBANECCHYBA2.".<br /><br />\n";
          endif;
        else:
          $error_data="1";
          $chybovehlaseni.="".ADMIN_HLASKY_CHYBABEZPKON." ".$telosouboru.".".$prpriponasouboru." ".ADMIN_HLASKY_CHYBABEZPKON2.".<br /><br />\n";
        endif;
      endif;

      if ($error_data=="0"):
        @$error=$GLOBALS["query"]("insert into ".$GLOBALS["rspredpona"]."inzertnisystem_obr values(null,'".$GLOBALS["id_edit"]."','".$obr_poloha."','".$obr_sirka_uprav."','".$obr_vyska_uprav."','".$nahl_poloha."','".$obr_sirka_upravnahl."','".$obr_vyska_upravnahl."')",$GLOBALS["dbspojeni"]);
        if (!$error):
          // chybové hlášení
          $chybovehlaseni.="".ADMIN_HLASKY_9." <em>".$telosouboru.".".$prpriponasouboru."</em> ".ADMIN_HLASKY_10.".<br /><br />\n";
          $error_data="1";
          if (file_exists($GLOBALS["baseadr"].$obr_poloha)):
            unlink($GLOBALS["baseadr"].$obr_poloha);
          endif;
          if (file_exists($GLOBALS["baseadr"].$nahl_poloha)):
            unlink($GLOBALS["baseadr"].$nahl_poloha);
          endif;
        endif;
      endif;
    endif;
  endfor;
endif;

$telefon=$GLOBALS["telefon1"]." ".$GLOBALS["telefon2"]." ".$GLOBALS["telefon3"];
$mobil=$GLOBALS["mobil1"]." ".$GLOBALS["mobil2"]." ".$GLOBALS["mobil3"];

if($error_data=="0"):
  // přidání položky
  @$error=$GLOBALS["query"]("update ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty set nazev='".$GLOBALS["inazev"]."', popis='".$GLOBALS["ipopis"]."', cena='".$GLOBALS["icena"]."', datum_vyst='".$GLOBALS["idatum_vydani"]."', datum_staz='".$GLOBALS["idatum_stazeni"]."', jmeno='".$GLOBALS["ijmeno"]."', telefon='".$telefon."', mobil='".$mobil."', email='".$GLOBALS["iemail"]."', url='".$urlupr."', typ='".$GLOBALS["ityp"]."', kategorie='".$GLOBALS["ikategorie"]."', lokalita='".$GLOBALS["ilokalita"]."', password='".$GLOBALS["ipassword"]."', datum_potvr='".$GLOBALS["idatum_potvr"]."', potvrzeni='".$GLOBALS["ipotvrzeni"]."',  pocitadlo='".$GLOBALS["ipocitadlo"]."', zobr_kontakt='".$GLOBALS["izobr_kontakt"]."' where idn=".(int)$GLOBALS["id_edit"]."",$GLOBALS["dbspojeni"]);
  if (!$error):
    $chybovehlaseni.="".ADMIN_HLASKY_CHYBANECCHYBA3."<br /><br />\n";
    //smazání souboru
    if (file_exists($GLOBALS["baseadr"].$obr_poloha)):
      unlink($GLOBALS["baseadr"].$obr_poloha);
    endif;
    if (file_exists($GLOBALS["baseadr"].$nahl_poloha)):
      unlink($GLOBALS["baseadr"].$nahl_poloha);
    endif;
  else:
    $chybovehlaseni.="".ADMIN_FORM_57.".\n";
  endif;
endif;

echo "<div align=\"center\">".$chybovehlaseni."</div>\n";
}

//-----------------------------------------------------------------------------
// Vymazání obrázku
//-----------------------------------------------------------------------------

function DelImage()
{
$GLOBALS["id_del_obr"]=$GLOBALS["escape_string"]($GLOBALS["id_del_obr"]);
$GLOBALS["id_inz"]=$GLOBALS["escape_string"]($GLOBALS["id_inz"]);

$dotazobr=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_obr where ido=".(int)$GLOBALS["id_del_obr"]."",$GLOBALS["dbspojeni"]);
$pocetobr=$GLOBALS["num_rows"]($dotazobr);
$pole_obr=$GLOBALS["fetch_assoc"]($dotazobr);
if ($pocetobr==1):
  @$errorobr=$GLOBALS["query"]("delete from ".$GLOBALS["rspredpona"]."inzertnisystem_obr where ido=".(int)$GLOBALS["id_del_obr"]."",$GLOBALS["dbspojeni"]);
  if (!$errorobr):
    echo "<div align=\"center\">".ADMIN_HLASKY_4.": ".$pole_obr["ido"]." ".ADMIN_HLASKY_5.".</div>\n";
  else:
    if (file_exists($GLOBALS["baseadr"].$pole_obr["obr_poloha"])):
      unlink($GLOBALS["baseadr"].$pole_obr["obr_poloha"]);
    endif;
    if (file_exists($GLOBALS["baseadr"].$pole_obr["nahl_poloha"])):
      unlink($GLOBALS["baseadr"].$pole_obr["nahl_poloha"]);
    endif;
  endif;
else:
  echo "<div align=\"center\">".ADMIN_HLASKY_6.".</div>\n";
endif;

$GLOBALS["pridn"]=$GLOBALS["id_inz"];
EditInzerce();
}

//*****************************************************************************
// HLAVNÍ FUNKCE KATEGORIÍ
//*****************************************************************************

/*
  ShowInzerceSekce()
  AddInzerceSekce()
  AcAddInzerceSekce()
  DelInzerceSekce()
  EditInzerceSekce()
  AcEditInzerceSekce()
*/

//-----------------------------------------------------------------------------
// zobrazení seznamu
//-----------------------------------------------------------------------------

function ShowInzerceSekce()
{
Navigation("1:2:4:5:6:7");

// nastavení práv
if (RSAUT_PRAVA==1||RSAUT_PRAVA==2):

  $dotazsekce=$GLOBALS["query"]("select ids,nazev,poradi from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where level='0' order by poradi asc",$GLOBALS["dbspojeni"]);
  $pocetsekci=$GLOBALS["num_rows"]($dotazsekce);

  // výpis sekcí
  if ($pocetsekci==0):
    echo "<div align=\"center\">".ADMIN_HLASKY_DBNOZAZNAM."</div>\n";
  else:
    echo "<form action=\"".RS_VYKONNYSOUBOR."\" method=\"post\">\n";
    echo "<table cellspacing=\"0\" cellpadding=\"3\" border=\"1\" align=\"center\" class=\"ramsedy\">\n";
      echo "<thead>\n";
        echo "<input type=\"hidden\" name=\"akce\" value=\"DelInzerceSekce\" />\n";
        echo "<input type=\"hidden\" name=\"modul\" value=\"inzertnisystem\" />\n";
           echo "<tr bgcolor=\"#E6E6E6\" class=\"txt\">\n";
              echo "<th align=\"center\" width=\"200\"><strong>".ADMIN_FORM_50."</strong></th>\n";
              echo "<th align=\"center\" width=\"50\"><strong>".ADMIN_FORM_58."</strong></th>\n";
              echo "<th align=\"center\" width=\"50\"><strong>".ADMIN_FORM_4."</strong></th>\n";
              echo "<th align=\"center\" width=\"50\"><strong>".ADMIN_FORM_5."</strong></th>\n";
            echo "</tr>\n";
          echo "</thead>\n";
          echo "<tbody>\n";
            for ($pom=0;$pom<$pocetsekci;$pom++):
              $polesekce=$GLOBALS["fetch_assoc"]($dotazsekce);
              echo "<tr class=\"txt\" onmouseover=\"this.style.backgroundColor='#CCFFCC';\" onmouseout=\"this.style.backgroundColor='';\">\n";
              echo "<td align=\"left\"><strong>".ZkratRetezec($polesekce["nazev"],45)."</strong></td>\n";
              echo "<td align=\"center\">".$polesekce["poradi"]."</td>\n";
              $dotazpouz=$GLOBALS["query"]("select idn,kategorie from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where kategorie=".(int)$polesekce["ids"]."",$GLOBALS["dbspojeni"]);
              $pocetpouz=$GLOBALS["num_rows"]($dotazpouz);
              echo "<td align=\"center\"><a href=\"".RS_VYKONNYSOUBOR."?akce=EditInzerceSekce&amp;modul=inzertnisystem&amp;prids=".$polesekce["ids"]."\" title=\"".ADMIN_OST_13.": ".$polesekce["nazev"]." ?\">".ADMIN_OST_8."</a></td>\n";
              if ($pocetpouz==0):
                echo "<td align=\"center\"><input type=\"checkbox\" name=\"prpoleids[]\" value=\"".$polesekce["ids"]."\" /></td>\n";
              else:
                echo "<td align=\"center\"><input type=\"checkbox\" disabled=\"disabled\" /></td>\n";
              endif;
              echo "</tr>\n";
                  $dotazsekce2=$GLOBALS["query"]("select ids,nazev,poradi from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where level='1' and id_predka=".(int)$polesekce["ids"]." order by poradi asc",$GLOBALS["dbspojeni"]);
                  $pocetsekci2=$GLOBALS["num_rows"]($dotazsekce2);
                    for ($pom2=0;$pom2<$pocetsekci2;$pom2++):
                    $polesekce2=$GLOBALS["fetch_assoc"]($dotazsekce2);
                    echo "<tr class=\"txt\" onmouseover=\"this.style.backgroundColor='#CCFFCC';\" onmouseout=\"this.style.backgroundColor='';\">\n";
                    echo "<td align=\"left\">&nbsp;&nbsp;<sup>|_</sup>&nbsp;".ZkratRetezec($polesekce2["nazev"],45)."</td>\n";
                    echo "<td align=\"center\">".$polesekce2["poradi"]."</td>\n";
                    $dotazpouz2=$GLOBALS["query"]("select idn,kategorie from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where kategorie=".(int)$polesekce2["ids"]."",$GLOBALS["dbspojeni"]);
                    $pocetpouz2=$GLOBALS["num_rows"]($dotazpouz2);
                    echo "<td align=\"center\"><a href=\"".RS_VYKONNYSOUBOR."?akce=EditInzerceSekce&amp;modul=inzertnisystem&amp;prids=".$polesekce2["ids"]."\" title=\"".ADMIN_OST_13.": ".$polesekce2["nazev"]." ?\">".ADMIN_OST_8."</a></td>\n";
                    if ($pocetpouz2==0):
                      echo "<td align=\"center\"><input type=\"checkbox\" name=\"prpoleids[]\" value=\"".$polesekce2["ids"]."\" /></td>\n";
                    else:
                      echo "<td align=\"center\"><input type=\"checkbox\" disabled=\"disabled\" /></td>\n";
                    endif;
                    echo "</tr>\n";
                    endfor;
            endfor;
          echo "</tbody>\n";
        echo "</table>\n";
        echo "<div style=\"PADDING: 10px 0px 0px 0px; MARGIN: 0px;\"></div>\n";
        echo "<div align=\"center\"><input type=\"submit\" class=\"tl\" value=\"".ADMIN_TLVYMAZOZNSEKCE."\" onclick=\"return(confirm('".ADMIN_FORM_41."?'));\" /></div><br />\n";
      echo "</div>\n";
    echo "</form>\n";
    echo "<div style=\"PADDING: 10px 0px 0px 0px; MARGIN: 0px;\"></div>\n";
    echo "<div style=\"PADDING: 10px 0px 0px 0px; MARGIN: 0px;\"></div>\n";
    // Informační text
    echo "<div align=\"center\" class=\"smltxt\">".ADMIN_HLASKY_CHYBADELSEK."</div>\n";
  endif;
else:
  echo "<div align=\"center\">".ADMIN_HLASKY_UPRPOLRA."</div>\n";
endif;
}

//-----------------------------------------------------------------------------
// přidávací formulář
//-----------------------------------------------------------------------------

function AddInzerceSekce()
{
Navigation("1:2:3:5:6:7");

if (RSAUT_PRAVA==1||RSAUT_PRAVA==2):
  echo "<form action=\"".RS_VYKONNYSOUBOR."\" method=\"post\">\n";
    echo "<table cellspacing=\"0\" cellpadding=\"3\"  align=\"center\" class=\"ramsedy\">\n";
      echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_50."</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"text\" id=\"nazev\" name=\"nazev\" class=\"textpole\" tabindex=\"1\" /></td></tr>\n";
      echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_51.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><select name=\"nadrazen\" id=\"nadrazen\" class=\"inputbox\" size=\"10\"><option value=\"0\" >Nejvyšší úroveň</option>\n";
            $dotazsekce2=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where level=0 order by poradi asc",$GLOBALS["dbspojeni"]);
            $pocetsekce2=$GLOBALS["num_rows"]($dotazsekce2);
            for ($pom=0;$pom<$pocetsekce2;$pom++):
              $polesekce2=$GLOBALS["fetch_assoc"]($dotazsekce2);
              echo "<option value=\"".$polesekce2["ids"]."\""; if ($polesekce["id_predka"]==$polesekce2["ids"]): echo "selected=\"selected\"";  endif; echo ">&nbsp;&nbsp;(".$polesekce2["poradi"].")&nbsp;".$polesekce2["nazev"]."</option>\n";
            endfor;
      echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_52.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\" class=\"smltxt\">".ADMIN_OST_14.". \n";
      echo "</tbody>\n";
      echo "</table>\n";
      echo "<input type=\"hidden\" name=\"akce\" value=\"AcAddInzerceSekce\" />\n";
      echo "<input type=\"hidden\" name=\"modul\" value=\"inzertnisystem\" />\n";
      echo "<div style=\"PADDING: 10px 0px 0px 0px; MARGIN: 0px;\"></div>\n";
      echo "<div align=\"center\"><input type=\"submit\" class=\"tl\" value=\"".ADMIN_TLPRPOL."\" tabindex=\"2\" />&nbsp;&nbsp;&nbsp;<input type=\"reset\" class=\"tl\" value=\"".ADMIN_TLVYMAZFORM."\"  /></div><br />\n";
  echo "</form>\n";
else:
  echo "<div align=\"center\">".ADMIN_HLASKY_UPRPOLRA."</div>\n";
endif;
}

//-----------------------------------------------------------------------------
// přidání nové položky
//-----------------------------------------------------------------------------

function AcAddInzerceSekce()
{
Navigation("1:2:3:4:5:6:7");

if (RSAUT_PRAVA==1||RSAUT_PRAVA==2):

  $GLOBALS["nazev"]=$GLOBALS["escape_string"]($GLOBALS["nazev"]);
  $GLOBALS["nadrazen"]=$GLOBALS["escape_string"]($GLOBALS["nadrazen"]);
if ($GLOBALS["nadrazen"]==0):
$dotazsekce=$GLOBALS["query"]("select MAX(poradi)as poradi from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where level=0",$GLOBALS["dbspojeni"]);
$polesekce=$GLOBALS["fetch_assoc"]($dotazsekce);
  $poradi2=$polesekce["poradi"];
  $poradi=$poradi2+1;
  $rodic="1";
  $level="0";
  $id_predka="0";
else:
$dotazsekce=$GLOBALS["query"]("select MAX(poradi) as poradi from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where id_predka=".$GLOBALS["nadrazen"]."",$GLOBALS["dbspojeni"]);
$polesekce=$GLOBALS["fetch_assoc"]($dotazsekce);
  $poradi2=$polesekce["poradi"];
  $poradi=$poradi2+1;
  $rodic="0";
  $level="1";
  $id_predka=$GLOBALS["nadrazen"];
endif;

  @$error=$GLOBALS["query"]("insert into ".$GLOBALS["rspredpona"]."inzertnisystem_sekce values(null,'".$GLOBALS["nazev"]."',".$level.",".$id_predka.",".$rodic.",".$poradi.")",$GLOBALS["dbspojeni"]);
  if (!$error):
    echo "<div align=\"center\">".ADMIN_HLASKY_CHYBAPRDB."</div>\n";
  else:
    echo "<div align=\"center\">".ADMIN_HLASKY_PRUSPDB."</div>\n";
  endif;
else:
  echo "<div align=\"center\">".ADMIN_HLASKY_UPRPOLRA."</div>\n";
endif;
}

//-----------------------------------------------------------------------------
// vymazání položek
//-----------------------------------------------------------------------------

function DelInzerceSekce()
{
Navigation("1:2:3:4:5:6:7");

if (RSAUT_PRAVA==1||RSAUT_PRAVA==2):

  $chyba=0; // inic. chyby
  if (!isset($GLOBALS["prpoleids"])): // inic. pole
    $pocetpoleids=0;
  else:
    $pocetpoleids=count($GLOBALS["prpoleids"]);
  endif;

  for ($pom=0;$pom<$pocetpoleids;$pom++):
    @$error=$GLOBALS["query"]("delete from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".(int)$GLOBALS["escape_string"]($GLOBALS["prpoleids"][$pom])."",$GLOBALS["dbspojeni"]);
    $dotazpouz=$GLOBALS["query"]("select idn,kategorie from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where kategorie=".(int)$GLOBALS["escape_string"]($GLOBALS["prpoleids"][$pom])."",$GLOBALS["dbspojeni"]);
    $pocetpouz=$GLOBALS["num_rows"]($dotazpouz);
    if ($pocetpouz==0):
      if (!$error):
        echo "<div align=\"center\">".ADMIN_HLASKY_CHYBADELDB."</div>\n";
        $chyba=1;
      endif;
    else:
      echo "<div align=\"center\">".ADMIN_HLASKY_CHYBADELSEK1."</div>\n";
      $chyba=1;
    endif;
  endfor;

  if ($chyba==0): // globální koncové stavy
    if ($pocetpoleids==0):
      echo "<div align=\"center\">".ADMIN_HLASKY_NEOZNPOL."</div>\n";
    endif;
    if ($pocetpoleids==1):
      echo "<div align=\"center\">".ADMIN_HLASKY_DELPOSDB."</div>\n";
    endif;
    if ($pocetpoleids>1):
      echo "<div align=\"center\">".ADMIN_HLASKY_DELPOSDBS."</div>\n";
    endif;
  endif;
else:
  echo "<div align=\"center\">".ADMIN_HLASKY_UPRPOLRA."</div>\n";
endif;
}

//-----------------------------------------------------------------------------
// formulář úpravy položek
//-----------------------------------------------------------------------------

function EditInzerceSekce()
{
Navigation("1:2:3:4:5:6:7");

if (RSAUT_PRAVA==1||RSAUT_PRAVA==2):

  // formulář na úpravu vybrané novinky
  $dotazsekce=$GLOBALS["query"]("select ids,nazev,poradi,id_predka from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".(int)$GLOBALS["prids"]."",$GLOBALS["dbspojeni"]);
  $polesekce=$GLOBALS["fetch_assoc"]($dotazsekce);

  echo "<form action=\"".RS_VYKONNYSOUBOR."\" method=\"post\">\n";
    echo "<table cellspacing=\"0\" cellpadding=\"3\"  align=\"center\" class=\"ramsedy\">\n";
      echo "<tbody>\n";
      echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_50."</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"text\" id=\"nazev\" name=\"nazev\" class=\"textpole\" value=\"".$polesekce["nazev"]."\" tabindex=\"1\" /></td></tr>\n";
      echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_51.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><select name=\"nadrazen\" id=\"nadrazen\" class=\"inputbox\" size=\"10\"><option value=\"0\" >Nejvyšší úroveň</option>\n";
            $dotazsekce2=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where level=0 order by poradi asc",$GLOBALS["dbspojeni"]);
            $pocetsekce2=$GLOBALS["num_rows"]($dotazsekce2);
            for ($pom=0;$pom<$pocetsekce2;$pom++):
              $polesekce2=$GLOBALS["fetch_assoc"]($dotazsekce2);
              echo "<option value=\"".$polesekce2["ids"]."\" "; if ($polesekce["id_predka"]==$polesekce2["ids"]): echo "selected=\"selected\"";  endif; echo ">&nbsp;&nbsp;(".$polesekce2["poradi"].")&nbsp;".$polesekce2["nazev"]."</option>\n";
            endfor;
      echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_52.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><select name=\"radit\" id=\"radit\" class=\"inputbox\" size=\"1\"><option value=\"0\">0 ".ADMIN_FORM_55."</option>\n";
            $dotazpor=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where id_predka=".$polesekce["id_predka"]."  order by poradi asc",$GLOBALS["dbspojeni"]);
            $pocetpor=$GLOBALS["num_rows"]($dotazpor);
            for ($pom=0;$pom<$pocetpor;$pom++):
              $polepor=$GLOBALS["fetch_assoc"]($dotazpor);
              echo "<option value=\"".$polepor["poradi"]."\" "; if ($polesekce["poradi"]==$polepor["poradi"]): echo "selected=\"selected\"";  endif; echo ">&nbsp;&nbsp;(".$polepor["poradi"].")&nbsp;".$polepor["nazev"]."</option>\n";
            endfor;
            $dotazpor2=$GLOBALS["query"]("select MAX(poradi) as poradi from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where id_predka=".$polesekce["id_predka"]."  order by poradi asc",$GLOBALS["dbspojeni"]);
            $polepor2=$GLOBALS["fetch_assoc"]($dotazpor);
            $poradi=$polepor["poradi"]+1;
            echo "<option value=\"".$poradi."\">".$poradi." ".ADMIN_FORM_54."</option>\n";
      echo "</tbody>\n";
      echo "</table>\n";
      echo "<div style=\"PADDING: 10px 0px 0px 0px; MARGIN: 0px;\"></div>\n";
      echo "<input type=\"hidden\" name=\"akce\" value=\"AcEditInzerceSekce\" />\n";
      echo "<input type=\"hidden\" name=\"modul\" value=\"inzertnisystem\" />\n";
      echo "<input type=\"hidden\" name=\"prids\" value=\"".$polesekce["ids"]."\" />\n";
      echo "<div align=\"center\"><input type=\"submit\" class=\"tl\" value=\"".ADMIN_TLULOZZM."\" tabindex=\"2\" />&nbsp;&nbsp;&nbsp;<input type=\"reset\" class=\"tl\" value=\"".ADMIN_TLVYMAZZM."\"  /></div><br />\n";
  echo "</form>\n";
else:
  echo "<div align=\"center\">".ADMIN_HLASKY_UPRPOLRA."</div>\n";
endif;
}

//-----------------------------------------------------------------------------
// úprava položek
//-----------------------------------------------------------------------------

function AcEditInzerceSekce()
{
Navigation("1:2:3:4:5:6:7");

if (RSAUT_PRAVA==1||RSAUT_PRAVA==2):

  $GLOBALS["nazev"]=$GLOBALS["escape_string"]($GLOBALS["nazev"]);
  $GLOBALS["nadrazen"]=$GLOBALS["escape_string"]($GLOBALS["nadrazen"]);
  $GLOBALS["radit"]=$GLOBALS["escape_string"]($GLOBALS["radit"]);
if ($GLOBALS["nadrazen"]==0):
  $rodic="1";
  $level="0";
  $id_predka="0";
else:
  $rodic="0";
  $level="1";
  $id_predka=$GLOBALS["nadrazen"];
endif;

$dotazsekce=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$GLOBALS["prids"]."",$GLOBALS["dbspojeni"]);
$polesekce=$GLOBALS["fetch_assoc"]($dotazsekce);
$id_predka2=$polesekce["id_predka"];
$row = $GLOBALS["fetch_assoc"]($GLOBALS["query"]("SELECT id_predka, poradi FROM ".$GLOBALS["rspredpona"]."inzertnisystem_sekce WHERE ids = '$GLOBALS[prids]'"));
if ($row["poradi"] != $GLOBALS["radit"] || $row["id_predka"] != $id_predka2) {
    $max_poradi = $GLOBALS["result"]($GLOBALS["query"]("SELECT IFNULL(MAX(poradi), 0)" . ($row["id_predka"] != $id_predka2 ? " + 1" : "") . " FROM ".$GLOBALS["rspredpona"]."inzertnisystem_sekce WHERE id_predka = '$id_predka2'"), 0);
    $poradi = (strlen($GLOBALS["radit"]) ? min($max_poradi, max(1, $GLOBALS["radit"])) : $max_poradi);
    if ($GLOBALS["query"]("UPDATE ".$GLOBALS["rspredpona"]."inzertnisystem_sekce SET poradi = $poradi WHERE ids = '$GLOBALS[prids]'")) {
        $GLOBALS["query"]("UPDATE ".$GLOBALS["rspredpona"]."inzertnisystem_sekce SET poradi = poradi - 1 WHERE ids != '$GLOBALS[prids]' AND id_predka = $row[id_predka] AND poradi > $row[poradi]");
        $GLOBALS["query"]("UPDATE ".$GLOBALS["rspredpona"]."inzertnisystem_sekce SET poradi = poradi + 1 WHERE ids != '$GLOBALS[prids]' AND id_predka = '$id_predka2' AND poradi >= $poradi");
    }
}
 
  @$error=$GLOBALS["query"]("update ".$GLOBALS["rspredpona"]."inzertnisystem_sekce set nazev='".$GLOBALS["nazev"]."',rodic='".$rodic."',id_predka='".$id_predka."',level='".$level."' where ids=".(int)$GLOBALS["prids"]."",$GLOBALS["dbspojeni"]);
  if (!$error):
    echo "<div align=\"center\">".ADMIN_HLASKY_CHYBAEDITDB."</div>\n";
  else:
    echo "<div align=\"center\">".ADMIN_HLASKY_EDITPOLDB."</div>\n";
  endif;
else:
  echo "<div align=\"center\">".ADMIN_HLASKY_UPRPOLRA."</div>\n";
endif;
}

// ---[hlavni fce - zakladni konf.]-------------------------------------------------

function ShowConfig()
{
Navigation("1:2:3:4:5:6");

if (RSAUT_PRAVA==1||RSAUT_PRAVA==2):

// start konfig. tab
echo "<form action=\"".RS_VYKONNYSOUBOR."\" method=\"post\">
<table cellspacing=\"0\" cellpadding=\"5\" border=\"0\" align=\"center\">\n";

$akt_cis_prom=0; // inic. pocitadla promennych


// zobrazeni promenne verze phpRS
$konf_verzephprs=NactiNastaveni('verze_phprs','varchar');
echo "<tr class=\"txt\"><td align=\"left\" width=\"250\"><b>".ADMIN_NAST_1."</b></td>
<td align=\"left\">
<input type=\"text\" name=\"prhodnota[".$akt_cis_prom."]\" value=\"".$konf_verzephprs."\" size=\"3\" class=\"textpole\" />
<input type=\"hidden\" name=\"prpromenna[".$akt_cis_prom."]\" value=\"verze_phprs\" />
<input type=\"hidden\" name=\"prtyp[".$akt_cis_prom."]\" value=\"varchar\" />
<input type=\"hidden\" name=\"prprepinac[".$akt_cis_prom."]\" value=\"1\" />
<input type=\"hidden\" name=\"prtestint[".$akt_cis_prom."]\" value=\"1\" />".ADMIN_NAST_32."
</td></tr>\n";
$akt_cis_prom++;

if ($GLOBALS["phprsversion"]<"280"): 
// zobrazeni promenne verze phpRS
$konf_kodovani=NactiNastaveni('kodovani','varchar');
echo "<tr class=\"txt\"><td align=\"left\" width=\"250\"><b>".ADMIN_NAST_33."</b></td>
<td align=\"left\">
<input type=\"text\" name=\"prhodnota[".$akt_cis_prom."]\" value=\"".$konf_kodovani."\" size=\"15\" class=\"textpole\" />
<input type=\"hidden\" name=\"prpromenna[".$akt_cis_prom."]\" value=\"kodovani\" />
<input type=\"hidden\" name=\"prtyp[".$akt_cis_prom."]\" value=\"varchar\" />
<input type=\"hidden\" name=\"prprepinac[".$akt_cis_prom."]\" value=\"1\" />
<input type=\"hidden\" name=\"prtestint[".$akt_cis_prom."]\" value=\"0\" />".ADMIN_NAST_34."
</td></tr>\n";
$akt_cis_prom++;
endif;

// zobrazeni promenne pro registrované
$konf_registrovany=NactiNastaveni('registrovany','varchar');
echo "<tr class=\"txt\"><td align=\"left\" width=\"250\"><b>".ADMIN_NAST_2."</b></td>
<td align=\"left\">
<select name=\"prhodnota[".$akt_cis_prom."]\" size=\"1\">";
if ($konf_registrovany==1):
  echo "<option value=\"1\" selected>".RS_TL_ANO."</option><option value=\"0\">".RS_TL_NE."</option>\n";
else:
  echo "<option value=\"1\">".RS_TL_ANO."</option><option value=\"0\" selected>".RS_TL_NE."</option>\n";
endif;
echo "</select>
<input type=\"hidden\" name=\"prpromenna[".$akt_cis_prom."]\" value=\"registrovany\" />
<input type=\"hidden\" name=\"prtyp[".$akt_cis_prom."]\" value=\"varchar\" />
<input type=\"hidden\" name=\"prprepinac[".$akt_cis_prom."]\" value=\"1\" />
<input type=\"hidden\" name=\"prtestint[".$akt_cis_prom."]\" value=\"0\" />
</td></tr>\n";
$akt_cis_prom++;

// zobrazeni promenne pro registrované
$konf_aktivace=NactiNastaveni('aktivace','varchar');
echo "<tr class=\"txt\"><td align=\"left\" width=\"250\"><b>".ADMIN_NAST_39."</b></td>
<td align=\"left\">
<select name=\"prhodnota[".$akt_cis_prom."]\" size=\"1\">";
if ($konf_aktivace==1):
  echo "<option value=\"1\" selected>".RS_TL_ANO."</option><option value=\"0\">".RS_TL_NE."</option>\n";
else:
  echo "<option value=\"1\">".RS_TL_ANO."</option><option value=\"0\" selected>".RS_TL_NE."</option>\n";
endif;
echo "</select>
<input type=\"hidden\" name=\"prpromenna[".$akt_cis_prom."]\" value=\"aktivace\" />
<input type=\"hidden\" name=\"prtyp[".$akt_cis_prom."]\" value=\"varchar\" />
<input type=\"hidden\" name=\"prprepinac[".$akt_cis_prom."]\" value=\"1\" />
<input type=\"hidden\" name=\"prtestint[".$akt_cis_prom."]\" value=\"0\" />
</td></tr>\n";
$akt_cis_prom++;

// zobrazeni promenne maximální šířka obrázku
$konf_max_sir_obr=NactiNastaveni('max_sir_obr','varchar');
echo "<tr class=\"txt\"><td align=\"left\" width=\"250\"><b>".ADMIN_NAST_3."</b></td>
<td align=\"left\">
<input type=\"text\" name=\"prhodnota[".$akt_cis_prom."]\" value=\"".$konf_max_sir_obr."\" size=\"3\" class=\"textpole\" />
<input type=\"hidden\" name=\"prpromenna[".$akt_cis_prom."]\" value=\"max_sir_obr\" />
<input type=\"hidden\" name=\"prtyp[".$akt_cis_prom."]\" value=\"varchar\" />
<input type=\"hidden\" name=\"prprepinac[".$akt_cis_prom."]\" value=\"1\" />
<input type=\"hidden\" name=\"prtestint[".$akt_cis_prom."]\" value=\"1\" />
</td></tr>\n";
$akt_cis_prom++;

// zobrazeni promenne maximální výšky obrázku
$konf_max_vys_obr=NactiNastaveni('max_vys_obr','varchar');
echo "<tr class=\"txt\"><td align=\"left\" width=\"250\"><b>".ADMIN_NAST_35."</b></td>
<td align=\"left\">
<input type=\"text\" name=\"prhodnota[".$akt_cis_prom."]\" value=\"".$konf_max_vys_obr."\" size=\"3\" class=\"textpole\" />
<input type=\"hidden\" name=\"prpromenna[".$akt_cis_prom."]\" value=\"max_vys_obr\" />
<input type=\"hidden\" name=\"prtyp[".$akt_cis_prom."]\" value=\"varchar\" />
<input type=\"hidden\" name=\"prprepinac[".$akt_cis_prom."]\" value=\"1\" />
<input type=\"hidden\" name=\"prtestint[".$akt_cis_prom."]\" value=\"1\" />
</td></tr>\n";
$akt_cis_prom++;

// zobrazeni promenne šířka náhledu obrázku
$konf_max_sir_nahl=NactiNastaveni('max_sir_nahl','varchar');
echo "<tr class=\"txt\"><td align=\"left\" width=\"250\"><b>".ADMIN_NAST_36."</b></td>
<td align=\"left\">
<input type=\"text\" name=\"prhodnota[".$akt_cis_prom."]\" value=\"".$konf_max_sir_nahl."\" size=\"3\" class=\"textpole\" />
<input type=\"hidden\" name=\"prpromenna[".$akt_cis_prom."]\" value=\"max_sir_nahl\" />
<input type=\"hidden\" name=\"prtyp[".$akt_cis_prom."]\" value=\"varchar\" />
<input type=\"hidden\" name=\"prprepinac[".$akt_cis_prom."]\" value=\"1\" />
<input type=\"hidden\" name=\"prtestint[".$akt_cis_prom."]\" value=\"1\" />
</td></tr>\n";
$akt_cis_prom++;

// zobrazeni promenne výšky náhledu obrázku
$konf_max_vys_nahl=NactiNastaveni('max_vys_nahl','varchar');
echo "<tr class=\"txt\"><td align=\"left\" width=\"250\"><b>".ADMIN_NAST_37."</b></td>
<td align=\"left\">
<input type=\"text\" name=\"prhodnota[".$akt_cis_prom."]\" value=\"".$konf_max_vys_nahl."\" size=\"3\" class=\"textpole\" />
<input type=\"hidden\" name=\"prpromenna[".$akt_cis_prom."]\" value=\"max_vys_nahl\" />
<input type=\"hidden\" name=\"prtyp[".$akt_cis_prom."]\" value=\"varchar\" />
<input type=\"hidden\" name=\"prprepinac[".$akt_cis_prom."]\" value=\"1\" />
<input type=\"hidden\" name=\"prtestint[".$akt_cis_prom."]\" value=\"1\" />
</td></tr>\n";
$akt_cis_prom++;

// zobrazeni promenne počet inzerátů v bloku
$konf_pocet_v_bloku=NactiNastaveni('pocet_v_bloku','varchar');
echo "<tr class=\"txt\"><td align=\"left\" width=\"250\"><b>".ADMIN_NAST_4."</b></td>
<td align=\"left\">
<input type=\"text\" name=\"prhodnota[".$akt_cis_prom."]\" value=\"".$konf_pocet_v_bloku."\" size=\"3\" class=\"textpole\" />
<input type=\"hidden\" name=\"prpromenna[".$akt_cis_prom."]\" value=\"pocet_v_bloku\" />
<input type=\"hidden\" name=\"prtyp[".$akt_cis_prom."]\" value=\"varchar\" />
<input type=\"hidden\" name=\"prprepinac[".$akt_cis_prom."]\" value=\"1\" />
<input type=\"hidden\" name=\"prtestint[".$akt_cis_prom."]\" value=\"1\" />
</td></tr>\n";
$akt_cis_prom++;

// zobrazeni promenne počet inzerátů na stránku
$konf_pocet_na_stranu=NactiNastaveni('pocet_na_stranu','varchar');
echo "<tr class=\"txt\"><td align=\"left\" width=\"250\"><b>".ADMIN_NAST_5."</b></td>
<td align=\"left\">
<input type=\"text\" name=\"prhodnota[".$akt_cis_prom."]\" value=\"".$konf_pocet_na_stranu."\" size=\"3\" class=\"textpole\" />
<input type=\"hidden\" name=\"prpromenna[".$akt_cis_prom."]\" value=\"pocet_na_stranu\" />
<input type=\"hidden\" name=\"prtyp[".$akt_cis_prom."]\" value=\"varchar\" />
<input type=\"hidden\" name=\"prprepinac[".$akt_cis_prom."]\" value=\"1\" />
<input type=\"hidden\" name=\"prtestint[".$akt_cis_prom."]\" value=\"1\" />
</td></tr>\n";
$akt_cis_prom++;

// zobrazeni promenne počet dnů
$konf_pocet_dnu=NactiNastaveni('pocet_dnu','varchar');
echo "<tr class=\"txt\"><td align=\"left\" width=\"250\"><b>".ADMIN_NAST_6."</b></td>
<td align=\"left\">
<input type=\"text\" name=\"prhodnota[".$akt_cis_prom."]\" value=\"".$konf_pocet_dnu."\" size=\"3\" class=\"textpole\" />
<input type=\"hidden\" name=\"prpromenna[".$akt_cis_prom."]\" value=\"pocet_dnu\" />
<input type=\"hidden\" name=\"prtyp[".$akt_cis_prom."]\" value=\"varchar\" />
<input type=\"hidden\" name=\"prprepinac[".$akt_cis_prom."]\" value=\"1\" />
<input type=\"hidden\" name=\"prtestint[".$akt_cis_prom."]\" value=\"1\" /><b>".ADMIN_NAST_7."</b>
</td></tr>\n";
$akt_cis_prom++;

// zobrazeni promenne počet hodin
$konf_pocet_hodin=NactiNastaveni('pocet_hodin','varchar');
echo "<tr class=\"txt\"><td align=\"left\" width=\"250\"><b>".ADMIN_NAST_8."</b></td>
<td align=\"left\">
<input type=\"text\" name=\"prhodnota[".$akt_cis_prom."]\" value=\"".$konf_pocet_hodin."\" size=\"3\" class=\"textpole\" />
<input type=\"hidden\" name=\"prpromenna[".$akt_cis_prom."]\" value=\"pocet_hodin\" />
<input type=\"hidden\" name=\"prtyp[".$akt_cis_prom."]\" value=\"varchar\" />
<input type=\"hidden\" name=\"prprepinac[".$akt_cis_prom."]\" value=\"1\" />
<input type=\"hidden\" name=\"prtestint[".$akt_cis_prom."]\" value=\"1\" /><b>".ADMIN_NAST_9."</b>
</td></tr>\n";
$akt_cis_prom++;

// zobrazeni promenne počet dnů prodloužení
$konf_dnu_prodlouzeni=NactiNastaveni('dnu_prodlouzeni','varchar');
echo "<tr class=\"txt\"><td align=\"left\" width=\"250\"><b>".ADMIN_NAST_38."</b></td>
<td align=\"left\">
<input type=\"text\" name=\"prhodnota[".$akt_cis_prom."]\" value=\"".$konf_dnu_prodlouzeni."\" size=\"3\" class=\"textpole\" />
<input type=\"hidden\" name=\"prpromenna[".$akt_cis_prom."]\" value=\"dnu_prodlouzeni\" />
<input type=\"hidden\" name=\"prtyp[".$akt_cis_prom."]\" value=\"varchar\" />
<input type=\"hidden\" name=\"prprepinac[".$akt_cis_prom."]\" value=\"1\" />
<input type=\"hidden\" name=\"prtestint[".$akt_cis_prom."]\" value=\"1\" /><b>".ADMIN_NAST_7."</b>
</td></tr>\n";
$akt_cis_prom++;

// konec konfig. tab
echo "<tr class=\"txt\"><td align=\"center\" colspan=\"2\"><input type=\"submit\" value=\" ".ADMIN_NAST_31." \" class=\"tl\" /></td></tr>
</table>
<input type=\"hidden\" name=\"akce\" value=\"SaveConfig\" /><input type=\"hidden\" name=\"modul\" value=\"inzertnisystem\" />
</form>
<p></p>\n";

else:
  echo "<div align=\"center\">".ADMIN_HLASKY_UPRPOLRA."</div>\n";
endif;
}

function SaveConfig()
{
$chyba=0; // inic. chyby

if (!isset($GLOBALS['prhodnota'])||!isset($GLOBALS['prpromenna'])||!isset($GLOBALS['prtyp'])||!isset($GLOBALS['prprepinac'])||!isset($GLOBALS['prtestint'])):
  $chyba=1; // chybi jedna z potrebnych promennych
endif;
$pocet_radku=count($GLOBALS["prpromenna"]);
if ($pocet_radku<=0):
  $chyba=1; // chybi promenne
endif;

if ($chyba==0):
  // inic. celk. chyby
  $chyba_vse=0;
  // ulozeni jednotlivych konf. prom.
  for ($pom=0;$pom<$pocet_radku;$pom++):
    // test na integer hodnotu
    if ($GLOBALS["prtestint"][$pom]==1):
      if (!ereg("^[0-9]*$",$GLOBALS["prhodnota"][$pom])): $GLOBALS["prhodnota"][$pom]=0; endif;
    endif;
    // test na stav prepinace
    if ($GLOBALS["prprepinac"][$pom]==0):
      $GLOBALS["prhodnota"][$pom]=0;
    endif;
    // bezpec. kontrola
    $GLOBALS["prhodnota"][$pom]=mysql_escape_string($GLOBALS["prhodnota"][$pom]);
    $GLOBALS["prpromenna"][$pom]=mysql_escape_string($GLOBALS["prpromenna"][$pom]);
    // typ konf. prom. + sestaveni dotazu
    switch ($GLOBALS['prtyp'][$pom]):
      case 'varchar': $dotaz="update ".$GLOBALS["rspredpona"]."inzertnisystem_config set hodnota='".$GLOBALS["prhodnota"][$pom]."' where promenna='".$GLOBALS["prpromenna"][$pom]."'"; break;
      default: $dotaz='';
    endswitch;
    @$error=mysql_query($dotaz,$GLOBALS["dbspojeni"]);
    if (!$error):
      echo "<p align=\"center\" class=\"txt\">Error C1: ".RS_DB_ERR_SQL_DOTAZ."</p>\n"; // chyba
    endif;
  endfor;
  // test na celk. vysledek
  if ($chyba_vse==0):
    echo "<p align=\"center\" class=\"txt\">".RS_CFG_KO_OK_EDIT_CFG."</p>\n"; // vse OK
  endif;
endif;

// navrat
ShowConfig();
}
//*****************************************************************************
// HLAVNÍ FUNKCE LOKALIT
//*****************************************************************************

/*
  ShowInzerceLokalita()
  AddInzerceLokalita()
  AcAddInzerceLokalita()
  DelInzerceLokalita()
  EditInzerceLokalita()
  AcEditInzerceLokalita()
*/

//-----------------------------------------------------------------------------
// zobrazení seznamu
//-----------------------------------------------------------------------------

function ShowInzerceLokalita()
{
Navigation("1:2:3:4:6:7");

// nastavení práv
if (RSAUT_PRAVA==1||RSAUT_PRAVA==2):

  $dotazlokalita=$GLOBALS["query"]("select idl,nazev,poradi from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level='0' order by poradi asc",$GLOBALS["dbspojeni"]);
  $pocetlokalit=$GLOBALS["num_rows"]($dotazlokalita);

  // výpis sekcí
  if ($pocetlokalit==0):
    echo "<div align=\"center\">".ADMIN_HLASKY_DBNOZAZNAM."</div>\n";
  else:
    echo "<form action=\"".RS_VYKONNYSOUBOR."\" method=\"post\">\n";
    echo "<table cellspacing=\"0\" cellpadding=\"3\" border=\"1\" align=\"center\" class=\"ramsedy\">\n";
      echo "<thead>\n";
        echo "<input type=\"hidden\" name=\"akce\" value=\"DelInzerceLokalita\" />\n";
        echo "<input type=\"hidden\" name=\"modul\" value=\"inzertnisystem\" />\n";
           echo "<tr bgcolor=\"#E6E6E6\" class=\"txt\">\n";
              echo "<th align=\"center\" width=\"200\"><strong>".ADMIN_FORM_59."</strong></th>\n";
              echo "<th align=\"center\" width=\"50\"><strong>".ADMIN_FORM_58."</strong></th>\n";
              echo "<th align=\"center\" width=\"50\"><strong>".ADMIN_FORM_4."</strong></th>\n";
              echo "<th align=\"center\" width=\"50\"><strong>".ADMIN_FORM_5."</strong></th>\n";
            echo "</tr>\n";
          echo "</thead>\n";
          echo "<tbody>\n";
            for ($pom=0;$pom<$pocetlokalit;$pom++):
              $polelokalita=$GLOBALS["fetch_assoc"]($dotazlokalita);
              echo "<tr class=\"txt\" onmouseover=\"this.style.backgroundColor='#CCFFCC';\" onmouseout=\"this.style.backgroundColor='';\">\n";
              echo "<td align=\"left\"><strong>".ZkratRetezec($polelokalita["nazev"],45)."</strong></td>\n";
              echo "<td align=\"center\">".$polelokalita["poradi"]."</td>\n";
              $dotazpouz=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where lokalita=".(int)$polelokalita["idl"]."",$GLOBALS["dbspojeni"]);
              $pocetpouz=$GLOBALS["num_rows"]($dotazpouz);
              echo "<td align=\"center\"><a href=\"".RS_VYKONNYSOUBOR."?akce=EditInzerceLokalita&amp;modul=inzertnisystem&amp;pridl=".$polelokalita["idl"]."\" title=\"".ADMIN_OST_12.": ".$polelokalita["nazev"]." ?\">".ADMIN_OST_8."</a></td>\n";
              if ($pocetpouz==0):
                echo "<td align=\"center\"><input type=\"checkbox\" name=\"prpoleidl[]\" value=\"".$polelokalita["idl"]."\" /></td>\n";
              else:
                echo "<td align=\"center\"><input type=\"checkbox\" disabled=\"disabled\" /></td>\n";
              endif;
              echo "</tr>\n";
                  $dotazlokalita2=$GLOBALS["query"]("select idl,nazev,poradi from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level='1' and id_predka=".(int)$polelokalita["idl"]." order by poradi asc",$GLOBALS["dbspojeni"]);
                  $pocetlokalit2=$GLOBALS["num_rows"]($dotazlokalita2);
                    for ($pom2=0;$pom2<$pocetlokalit2;$pom2++):
                    $polelokalita2=$GLOBALS["fetch_assoc"]($dotazlokalita2);
                    echo "<tr class=\"txt\" onmouseover=\"this.style.backgroundColor='#CCFFCC';\" onmouseout=\"this.style.backgroundColor='';\">\n";
                    echo "<td align=\"left\">&nbsp;&nbsp;<sup>|_</sup>&nbsp;".ZkratRetezec($polelokalita2["nazev"],45)."</td>\n";
                    echo "<td align=\"center\">".$polelokalita2["poradi"]."</td>\n";
                    $dotazpouz2=$GLOBALS["query"]("select idn,lokalita from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where lokalita=".(int)$polelokalita2["idl"]."",$GLOBALS["dbspojeni"]);
                    $pocetpouz2=$GLOBALS["num_rows"]($dotazpouz2);
                    echo "<td align=\"center\"><a href=\"".RS_VYKONNYSOUBOR."?akce=EditInzerceLokalita&amp;modul=inzertnisystem&amp;pridl=".$polelokalita2["idl"]."\" title=\"".ADMIN_OST_12.": ".$polelokalita2["nazev"]." ?\">".ADMIN_OST_8."</a></td>\n";
                    if ($pocetpouz2==0):
                      echo "<td align=\"center\"><input type=\"checkbox\" name=\"prpoleidl[]\" value=\"".$polelokalita2["idl"]."\" /></td>\n";
                    else:
                      echo "<td align=\"center\"><input type=\"checkbox\" disabled=\"disabled\" /></td>\n";
                    endif;
                    echo "</tr>\n";
                          $dotazlokalita3=$GLOBALS["query"]("select idl,nazev,poradi from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level='2' and id_predka=".(int)$polelokalita2["idl"]." order by poradi asc",$GLOBALS["dbspojeni"]);
                          $pocetlokalit3=$GLOBALS["num_rows"]($dotazlokalita3);
                          for ($pom3=0;$pom3<$pocetlokalit3;$pom3++):
                          $polelokalita3=$GLOBALS["fetch_assoc"]($dotazlokalita3);
                          echo "<tr class=\"txt\" onmouseover=\"this.style.backgroundColor='#CCFFCC';\" onmouseout=\"this.style.backgroundColor='';\">\n";
                          echo "<td align=\"left\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<sup>|_</sup>&nbsp;<i>".ZkratRetezec($polelokalita3["nazev"],45)."</i></td>\n";
                          echo "<td align=\"center\">".$polelokalita3["poradi"]."</td>\n";
                          $dotazpouz3=$GLOBALS["query"]("select idn,lokalita from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where lokalita=".(int)$polelokalita3["idl"]."",$GLOBALS["dbspojeni"]);
                          $pocetpouz3=$GLOBALS["num_rows"]($dotazpouz3);
                          echo "<td align=\"center\"><a href=\"".RS_VYKONNYSOUBOR."?akce=EditInzerceLokalita&amp;modul=inzertnisystem&amp;pridl=".$polelokalita3["idl"]."\" title=\"".ADMIN_OST_13.": ".$polelokalita3["nazev"]." ?\">".ADMIN_OST_8."</a></td>\n";
                          if ($pocetpouz3==0):
                            echo "<td align=\"center\"><input type=\"checkbox\" name=\"prpoleidl[]\" value=\"".$polelokalita3["idl"]."\" /></td>\n";
                          else:
                            echo "<td align=\"center\"><input type=\"checkbox\" disabled=\"disabled\" /></td>\n";
                          endif;
                          echo "</tr>\n";
                          endfor;
                    endfor;
            endfor;
          echo "</tbody>\n";
        echo "</table>\n";
        echo "<div style=\"PADDING: 10px 0px 0px 0px; MARGIN: 0px;\"></div>\n";
        echo "<div align=\"center\"><input type=\"submit\" class=\"tl\" value=\"".ADMIN_TLVYMAZOZNSEKCE."\" onclick=\"return(confirm('".ADMIN_FORM_41."?'));\" /></div><br />\n";
      echo "</div>\n";
    echo "</form>\n";
    echo "<div style=\"PADDING: 10px 0px 0px 0px; MARGIN: 0px;\"></div>\n";
    echo "<div style=\"PADDING: 10px 0px 0px 0px; MARGIN: 0px;\"></div>\n";
    // Informační text
    echo "<div align=\"center\" class=\"smltxt\">".ADMIN_HLASKY_CHYBADELSEK."</div>\n";
  endif;
else:
  echo "<div align=\"center\">".ADMIN_HLASKY_UPRPOLRA."</div>\n";
endif;
}

//-----------------------------------------------------------------------------
// přidávací formulář
//-----------------------------------------------------------------------------

function AddInzerceLokalita()
{
Navigation("1:2:3:4:5:7");

if (RSAUT_PRAVA==1||RSAUT_PRAVA==2):
  echo "<form action=\"".RS_VYKONNYSOUBOR."\" method=\"post\">\n";
    echo "<table cellspacing=\"0\" cellpadding=\"3\"  align=\"center\" class=\"ramsedy\">\n";
      echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_59."</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"text\" id=\"nazev\" name=\"nazev\" class=\"textpole\" tabindex=\"1\" /></td></tr>\n";
      echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_60.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><select name=\"nadrazen\" id=\"nadrazen\" class=\"inputbox\" size=\"10\"><option value=\"0\" >Nejvyšší úroveň</option>\n";
            $dotazlokalita2=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level=0 order by poradi asc",$GLOBALS["dbspojeni"]);
            $pocetlokalita2=$GLOBALS["num_rows"]($dotazlokalita2);
            for ($pom=0;$pom<$pocetlokalita2;$pom++):
              $polelokalita2=$GLOBALS["fetch_assoc"]($dotazlokalita2);
              echo "<option value=\"".$polelokalita2["idl"]."\""; if ($polelokalita["id_predka"]==$polelokalita2["idl"]): echo "selected=\"selected\"";  endif; echo ">&nbsp;&nbsp;&nbsp;&nbsp;<sup>|_</sup>&nbsp;".$polelokalita2["nazev"]."</option>\n";
              $vyberlok3=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level=1 and rodic=1 and id_predka=".$polelokalita2["idl"]." order by poradi asc",$GLOBALS["dbspojeni"]);
              $pocetlok2=$GLOBALS["num_rows"]($vyberlok3);
               for($pom2=0;$pom2<$pocetlok2;$pom2++):
                $polelokalita3 = $GLOBALS["fetch_assoc"]($vyberlok3);
                echo "<option value=\"".$polelokalita3["idl"]."\" "; if ($polelokalita["id_predka"]==$polelokalita3["idl"]): echo "selected=\"selected\"";  endif; echo ">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<sup>|_</sup>&nbsp;".$polelokalita3["nazev"]."</option>\n";
              endfor;    
            endfor;
      echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_52.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\" class=\"smltxt\">".ADMIN_OST_15.". \n";
      echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_53.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"radio\" class=\"radio\" name=\"irodic\" id=\"irodic\" value=\"1\" checked=\"checked\" tabindex=\"4\" />".RS_TL_ANO."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" name=\"irodic\" id=\"irodic\" value=\"0\" />".RS_TL_NE."</td></tr>\n";
      echo "</tbody>\n";
      echo "</table>\n";
      echo "<input type=\"hidden\" name=\"akce\" value=\"AcAddInzerceLokalita\" />\n";
      echo "<input type=\"hidden\" name=\"modul\" value=\"inzertnisystem\" />\n";
      echo "<div style=\"PADDING: 10px 0px 0px 0px; MARGIN: 0px;\"></div>\n";
      echo "<div align=\"center\"><input type=\"submit\" class=\"tl\" value=\"".ADMIN_TLPRPOL."\" tabindex=\"2\" />&nbsp;&nbsp;&nbsp;<input type=\"reset\" class=\"tl\" value=\"".ADMIN_TLVYMAZFORM."\"  /></div><br />\n";
  echo "</form>\n";
else:
  echo "<div align=\"center\">".ADMIN_HLASKY_UPRPOLRA."</div>\n";
endif;
}

//-----------------------------------------------------------------------------
// přidání nové položky
//-----------------------------------------------------------------------------

function AcAddInzerceLokalita()
{
Navigation("1:2:3:4:5:6:7");

if (RSAUT_PRAVA==1||RSAUT_PRAVA==2):

  $GLOBALS["nazev"]=$GLOBALS["escape_string"]($GLOBALS["nazev"]);
  $GLOBALS["nadrazen"]=$GLOBALS["escape_string"]($GLOBALS["nadrazen"]);
if ($GLOBALS["nadrazen"]==0):
$dotazlokalita=$GLOBALS["query"]("select MAX(poradi)as poradi from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level=0",$GLOBALS["dbspojeni"]);
$polelokalita=$GLOBALS["fetch_assoc"]($dotazlokalita);
  $poradi2=$polelokalita["poradi"];
  $poradi=$poradi2+1;
  $rodic="1";
  $level="0";
  $id_predka="0";
else:
$dotazlokalita=$GLOBALS["query"]("select MAX(poradi) as poradi from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where id_predka=".$GLOBALS["nadrazen"]."",$GLOBALS["dbspojeni"]);
$polelokalita=$GLOBALS["fetch_assoc"]($dotazlokalita);
  $poradi2=$polelokalita["poradi"];
  $poradi=$poradi2+1;
$dotazlok=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where idl=".$GLOBALS["nadrazen"]."",$GLOBALS["dbspojeni"]);
$polelok=$GLOBALS["fetch_assoc"]($dotazlok);
$rodic="".$GLOBALS["irodic"]."";
if ($polelok["level"]==1):
  $level="2";
  $id_predka=$GLOBALS["nadrazen"];
else:
  $level="1";
  $id_predka=$GLOBALS["nadrazen"];
endif;
endif;

  @$error=$GLOBALS["query"]("insert into ".$GLOBALS["rspredpona"]."inzertnisystem_lokality values(null,'".$GLOBALS["nazev"]."',".$level.",".$id_predka.",".$rodic.",".$poradi.")",$GLOBALS["dbspojeni"]);
  if (!$error):
    echo "<div align=\"center\">".ADMIN_HLASKY_CHYBAPRDB."</div>\n";
  else:
    echo "<div align=\"center\">".ADMIN_HLASKY_PRUSPDB."</div>\n";
  endif;
else:
  echo "<div align=\"center\">".ADMIN_HLASKY_UPRPOLRA."</div>\n";
endif;
}

//-----------------------------------------------------------------------------
// vymazání položek
//-----------------------------------------------------------------------------

function DelInzerceLokalita()
{
Navigation("1:2:3:4:5:6:7");

if (RSAUT_PRAVA==1||RSAUT_PRAVA==2):

  $chyba=0; // inic. chyby
  if (!isset($GLOBALS["prpoleidl"])): // inic. pole
    $pocetpoleidl=0;
  else:
    $pocetpoleidl=count($GLOBALS["prpoleidl"]);
  endif;

  for ($pom=0;$pom<$pocetpoleidl;$pom++):
    @$error=$GLOBALS["query"]("delete from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where idl=".(int)$GLOBALS["escape_string"]($GLOBALS["prpoleidl"][$pom])."",$GLOBALS["dbspojeni"]);
    $dotazpouz=$GLOBALS["query"]("select idn,lokalita from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where lokalita=".(int)$GLOBALS["escape_string"]($GLOBALS["prpoleidl"][$pom])."",$GLOBALS["dbspojeni"]);
    $pocetpouz=$GLOBALS["num_rows"]($dotazpouz);
    if ($pocetpouz==0):
      if (!$error):
        echo "<div align=\"center\">".ADMIN_HLASKY_CHYBADELDB."</div>\n";
        $chyba=1;
      endif;
    else:
      echo "<div align=\"center\">".ADMIN_HLASKY_CHYBADELSEK1."</div>\n";
      $chyba=1;
    endif;
  endfor;

  if ($chyba==0): // globální koncové stavy
    if ($pocetpoleidl==0):
      echo "<div align=\"center\">".ADMIN_HLASKY_NEOZNPOL."</div>\n";
    endif;
    if ($pocetpoleidl==1):
      echo "<div align=\"center\">".ADMIN_HLASKY_DELPOSDB."</div>\n";
    endif;
    if ($pocetpoleidl>1):
      echo "<div align=\"center\">".ADMIN_HLASKY_DELPOSDBS."</div>\n";
    endif;
  endif;
else:
  echo "<div align=\"center\">".ADMIN_HLASKY_UPRPOLRA."</div>\n";
endif;
}

//-----------------------------------------------------------------------------
// formulář úpravy položek
//-----------------------------------------------------------------------------

function EditInzerceLokalita()
{
Navigation("1:2:3:4:5:6:7");

if (RSAUT_PRAVA==1||RSAUT_PRAVA==2):

  // formulář na úpravu vybrané novinky
  $dotazlokalita=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where idl=".(int)$GLOBALS["pridl"]."",$GLOBALS["dbspojeni"]);
  $polelokalita=$GLOBALS["fetch_assoc"]($dotazlokalita);

  echo "<form action=\"".RS_VYKONNYSOUBOR."\" method=\"post\">\n";
    echo "<table cellspacing=\"0\" cellpadding=\"3\"  align=\"center\" class=\"ramsedy\">\n";
      echo "<tbody>\n";
      echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_59."</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><input type=\"text\" id=\"nazev\" name=\"nazev\" class=\"textpole\" value=\"".$polelokalita["nazev"]."\" tabindex=\"1\" /></td></tr>\n";
      echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_60.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><select name=\"nadrazen\" id=\"nadrazen\" class=\"inputbox\" size=\"10\"><option value=\"0\" >Nejvyšší úroveň</option>\n";
            $dotazlokalita2=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level=0 order by poradi asc",$GLOBALS["dbspojeni"]);
            $pocetlokalita2=$GLOBALS["num_rows"]($dotazlokalita2);
            for ($pom=0;$pom<$pocetlokalita2;$pom++):
              $polelokalita2=$GLOBALS["fetch_assoc"]($dotazlokalita2);
              echo "<option value=\"".$polelokalita2["idl"]."\" "; if ($polelokalita["id_predka"]==$polelokalita2["idl"]): echo "selected=\"selected\"";  endif; echo ">&nbsp;&nbsp;&nbsp;<sup>|_</sup>&nbsp;".$polelokalita2["nazev"]."</option>\n";
              $vyberlok3=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where level=1 and rodic=1 and id_predka=".$polelokalita2["idl"]." order by poradi asc",$GLOBALS["dbspojeni"]);
              $pocetlok2=$GLOBALS["num_rows"]($vyberlok3);
               for($pom2=0;$pom2<$pocetlok2;$pom2++):
                $polelokalita3 = $GLOBALS["fetch_assoc"]($vyberlok3);
                echo "<option value=\"".$polelokalita3["idl"]."\" "; if ($polelokalita["id_predka"]==$polelokalita3["idl"]): echo "selected=\"selected\"";  endif; echo ">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<sup>|_</sup>&nbsp;".$polelokalita3["nazev"]."</option>\n";
              endfor;         
            endfor;
      echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_52.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\"><select name=\"radit\" id=\"radit\" class=\"inputbox\" size=\"1\"><option value=\"0\">0 ".ADMIN_FORM_55."</option>\n";
            $dotazpor=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where id_predka=".$polelokalita["id_predka"]." order by poradi asc",$GLOBALS["dbspojeni"]);
            $pocetpor=$GLOBALS["num_rows"]($dotazpor);
            for ($pom=0;$pom<$pocetpor;$pom++):
              $polepor=$GLOBALS["fetch_assoc"]($dotazpor);
              echo "<option value=\"".$polepor["poradi"]."\" "; if ($polelokalita["poradi"]==$polepor["poradi"]): echo "selected=\"selected\"";  endif; echo ">&nbsp;&nbsp;(".$polepor["poradi"].")&nbsp;".$polepor["nazev"]."</option>\n";
            endfor;
            $dotazpor2=$GLOBALS["query"]("select MAX(poradi) as poradi from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where id_predka=".$polelokalita["id_predka"]."  order by poradi asc",$GLOBALS["dbspojeni"]);
            $polepor2=$GLOBALS["fetch_assoc"]($dotazpor);
            $poradi=$polepor["poradi"]+1;
            echo "<option value=\"".$poradi."\">".$poradi." ".ADMIN_FORM_54."</option>\n";
          echo "<tr><td bgcolor=\"#E6E6E6\" align=\"left\"><strong>".ADMIN_FORM_53.":</strong></td><td bgcolor=\"#E6E6E6\" align=\"left\">\n";
          if ($polelokalita["rodic"]==1):
            echo "<input type=\"radio\" class=\"radio\" name=\"irodic\" id=\"irodic\" value=\"1\" checked=\"checked\" tabindex=\"4\" />".RS_TL_ANO."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" name=\"irodic\" id=\"irodic\" value=\"0\" />".RS_TL_NE."</td></tr>\n";
          else:
            echo "<input type=\"radio\" class=\"radio\" name=\"irodic\" id=\"irodic\" value=\"1\" tabindex=\"4\" />".RS_TL_ANO."&nbsp;&nbsp;&nbsp;<input type=\"radio\" class=\"radio\" name=\"irodic\" id=\"irodic\" checked=\"checked\" value=\"0\" />".RS_TL_NE."</td></tr>\n";
          endif;
      echo "<tr><td colspan=\"2\" bgcolor=\"#E6E6E6\" align=\"left\" class=\"smltxt\">".ADMIN_OST_11.".</td></tr>\n";
      echo "</tbody>\n";
      echo "</table>\n";
      echo "<div style=\"PADDING: 10px 0px 0px 0px; MARGIN: 0px;\"></div>\n";
      echo "<input type=\"hidden\" name=\"akce\" value=\"AcEditInzerceLokalita\" />\n";
      echo "<input type=\"hidden\" name=\"modul\" value=\"inzertnisystem\" />\n";
      echo "<input type=\"hidden\" name=\"pridl\" value=\"".$polelokalita["idl"]."\" />\n";
      echo "<div align=\"center\"><input type=\"submit\" class=\"tl\" value=\"".ADMIN_TLULOZZM."\" tabindex=\"2\" />&nbsp;&nbsp;&nbsp;<input type=\"reset\" class=\"tl\" value=\"".ADMIN_TLVYMAZZM."\"  /></div><br />\n";
  echo "</form>\n";
else:
  echo "<div align=\"center\">".ADMIN_HLASKY_UPRPOLRA."</div>\n";
endif;
}

//-----------------------------------------------------------------------------
// úprava položek
//-----------------------------------------------------------------------------

function AcEditInzerceLokalita()
{
Navigation("1:2:3:4:5:6:7");

if (RSAUT_PRAVA==1||RSAUT_PRAVA==2):

  $GLOBALS["nazev"]=$GLOBALS["escape_string"]($GLOBALS["nazev"]);
  $GLOBALS["nadrazen"]=$GLOBALS["escape_string"]($GLOBALS["nadrazen"]);
  $GLOBALS["radit"]=$GLOBALS["escape_string"]($GLOBALS["radit"]);
if ($GLOBALS["nadrazen"]==0):
  $rodic="1";
  $level="0";
  $id_predka="0";
else:
$dotazlok=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where idl=".$GLOBALS["nadrazen"]."",$GLOBALS["dbspojeni"]);
$polelok=$GLOBALS["fetch_assoc"]($dotazlok);
$rodic="".$GLOBALS["irodic"]."";
if ($polelok["level"]==1):
  $level="2";
  $id_predka=$GLOBALS["nadrazen"];
else:
  $level="1";
  $id_predka=$GLOBALS["nadrazen"];
endif;
endif;

$dotazlokalita=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where idl=".$GLOBALS["pridl"]."",$GLOBALS["dbspojeni"]);
$polelokalita=$GLOBALS["fetch_assoc"]($dotazlokalita);
$id_predka2=$polelokalita["id_predka"];
$row = $GLOBALS["fetch_assoc"]($GLOBALS["query"]("SELECT id_predka, poradi FROM ".$GLOBALS["rspredpona"]."inzertnisystem_lokality WHERE idl = '$GLOBALS[pridl]'"));
if ($row["poradi"] != $GLOBALS["radit"] || $row["id_predka"] != $id_predka2) {
    $max_poradi = $GLOBALS["result"]($GLOBALS["query"]("SELECT IFNULL(MAX(poradi), 0)" . ($row["id_predka"] != $id_predka2 ? " + 1" : "") . " FROM ".$GLOBALS["rspredpona"]."inzertnisystem_lokality WHERE id_predka = '$id_predka2'"), 0);
    $poradi = (strlen($GLOBALS["radit"]) ? min($max_poradi, max(1, $GLOBALS["radit"])) : $max_poradi);
    if ($GLOBALS["query"]("UPDATE ".$GLOBALS["rspredpona"]."inzertnisystem_lokality SET poradi = $poradi WHERE idl = '$GLOBALS[pridl]'")) {
        $GLOBALS["query"]("UPDATE ".$GLOBALS["rspredpona"]."inzertnisystem_lokality SET poradi = poradi - 1 WHERE idl != '$GLOBALS[pridl]' AND id_predka = $row[id_predka] AND poradi > $row[poradi]");
        $GLOBALS["query"]("UPDATE ".$GLOBALS["rspredpona"]."inzertnisystem_lokality SET poradi = poradi + 1 WHERE idl != '$GLOBALS[pridl]' AND id_predka = '$id_predka2' AND poradi >= $poradi");
    }
}
 
  @$error=$GLOBALS["query"]("update ".$GLOBALS["rspredpona"]."inzertnisystem_lokality set nazev='".$GLOBALS["nazev"]."',rodic='".$rodic."',id_predka='".$id_predka."',level='".$level."' where idl=".(int)$GLOBALS["pridl"]."",$GLOBALS["dbspojeni"]);
  if (!$error):
    echo "<div align=\"center\">".ADMIN_HLASKY_CHYBAEDITDB."</div>\n";
  else:
    echo "<div align=\"center\">".ADMIN_HLASKY_EDITPOLDB."</div>\n";
  endif;
else:
  echo "<div align=\"center\">".ADMIN_HLASKY_UPRPOLRA."</div>\n";
endif;
}
?>
