<?php

######################################################################
# phpRS Readers 1.6.0
######################################################################

// Copyright (c) 2001-2006 by Jiri Lukas (jirilukas@supersvet.cz)
// http://www.supersvet.cz/phprs/
// This program is free software. - Toto je bezplatny a svobodny software.

// vyuzivane tabulky: rs_ctenari

/*
  Pro funkcnost prace se ctenarskymi profily je potrebna trida CMyReader(), ktera se nacita prostrednictvim souboru "myweb.php".
  Trida CMyReader() zabezpecuje komletni proces generovani ctenarskych identifikacnich cookies a ucastni se procesu tvorby ctenarskeho profilu.
*/

define('IN_CODE',true); // inic. ochranne konstanty

include_once("config.php");
include_once("myweb.php");

// overeni existence potrebnych promennych
if (!isset($GLOBALS['akce'])): $GLOBALS['akce']='logmenu'; endif;
// test na automaticke prihlaseni
if ($GLOBALS['akce']=='logmenu'):
  if ($prmyctenar->ctenarstav==1):
    $GLOBALS['akce']='autologin';
  endif;
endif;
// inic. pomocne textove promenne
$GLOBALS['cte_modul_text']='';

function KorekceHTML($txt = '')
{
// tento radek umoznuje spravne zobrazit v editacnim poli vsechny zvlastni znaky zapsane jako &X;
return str_replace ('&','&amp;',$txt);
}

function OptJazykSlovniky($hledam = '')
{
$vysl='';

$adr = dir("lang");
while($prehled_jazyku=$adr->read()):
  if (substr($prehled_jazyku,0,3)=='sl_'):
    $jazyk_zkratka=substr($prehled_jazyku,3,2);
    $vysl.="<option value=\"".$jazyk_zkratka."\"";
    if ($jazyk_zkratka==$hledam): $vysl.=" selected"; endif;
    $vysl.=">".$jazyk_zkratka."</option>";
  endif;
endwhile;
$adr->close();

return $vysl;
}

// zakladni login menu
function ZobrazLogin()
{
echo "<form action=\"readers.php\" method=\"post\">
<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">
<tr class=\"z\"><td>".RS_CT_JMENO.":</td><td><input type=\"text\" size=\"15\" name=\"rjmeno\" class=\"textpole\" /></td></tr>
<tr class=\"z\"><td>".RS_CT_HESLO.":</td><td><input type=\"password\" size=\"15\" name=\"rheslo\" class=\"textpole\" /></td></tr>
</table>
<p align=\"center\"><input type=\"submit\" value=\"  ".RS_ODESLAT."  \" class=\"tl\" /></p>
<p align=\"center\" class=\"z\">
<a href=\"readers.php?akce=new\">".RS_CT_NAVIG_REG_NOVY."</a> -
<a href=\"readers.php?akce=del\">".RS_CT_NAVIG_ZRUSIT."</a> -
<a href=\"readers.php?akce=newpw\">".RS_CT_NAVIG_ZAPOMNEL."</a>
</p>
<input type=\"hidden\" name=\"akce\" value=\"login\" />
</form>
<p></p>\n";
}

// registrace noveho ctenare
function NovyCt()
{
// inic. cisteho ctenarskeho profilu
$GLOBALS["prmyctenar"]->GenerujCistyCtenar();
// inic. formluare
$GLOBALS["typakce"]='insert'; // definice modu
$GLOBALS["typtlacitka"]=RS_CT_TL_ZAREG; // text tlacitko: Zaregistrovat
// volani formulare
$GLOBALS['akce']='formular'; // zmena akce
}

// uprava nastaveni ctenare
function EditujCt()
{
// bezpecnostni kontrola - provadi se az ve funkci NactiCtenare(...)
if ($GLOBALS["prmyctenar"]->NactiCtenare($GLOBALS["rjmeno"],$GLOBALS["rheslo"])==1): // test na autenticitu uzivatele
  // inic. formulare
  $GLOBALS["typakce"]='save'; // definice modu
  $GLOBALS["typtlacitka"]=RS_CT_TL_ULOZ; // text tlatictko: Uloit zmny
  // volani formulare
  $GLOBALS['akce']='formular'; // zmena akce
else:
  // CHYBA: Spatne uzivatelke jmeno nebo heslo! - Nove prihlaseni
  $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"z\"><b>".RS_CT_ERR_1." - <a href=\"readers.php\">".RS_CT_NOVY_LOGIN."</a></b></p>\n";
  $GLOBALS['akce']='showtxt'; // zmena akce
endif;
}

// uprava nastaveni ctenare - automaticky rezim prihlaseni skrze session
function EditujAutoCt()
{
if ($GLOBALS["prmyctenar"]->ctenarstav==1):
  // inic. formulare
  $GLOBALS["typakce"]='save'; // // definice modu
  $GLOBALS["typtlacitka"]=RS_CT_TL_ULOZ; // text tlatictko: Uloit zmny
  // volani formulare
  $GLOBALS['akce']='formular'; // zmena akce
else:
  // CHYBA: System nemuze identifikovat ctenare! - Nove prihlaseni
  $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"z\"><b>".RS_CT_ERR_2." - <a href=\"readers.php\">".RS_CT_NOVY_LOGIN."</a></b></p>\n";
  $GLOBALS['akce']='showtxt'; // zmena akce
endif;
}

function FormCtenari()
{
// test na existenci promennych
if (!isset($GLOBALS["typakce"])): $GLOBALS["typakce"]=''; endif;
if (!isset($GLOBALS["typtlacitka"])): $GLOBALS["typtlacitka"]=''; endif;

echo "<form action=\"readers.php\" method=\"post\">
<input type=\"hidden\" name=\"akce\" value=\"".$GLOBALS["typakce"]."\" />\n";
if ($GLOBALS["typakce"]=='save'): // jen save mod
  echo "<input type=\"hidden\" name=\"ridc\" value=\"".$GLOBALS["prmyctenar"]->Ukaz('id')."\" />\n";
  echo "<input type=\"hidden\" name=\"rjmeno\" value=\"".$GLOBALS["prmyctenar"]->Ukaz('username')."\" />\n";
  echo "<input type=\"hidden\" name=\"roldpass\" value=\"".$GLOBALS["prmyctenar"]->Ukaz('heslo')."\" />\n";
endif;
if ($GLOBALS['cte_modul_text']!=''): // test na pritomnost komentare
  echo $GLOBALS['cte_modul_text'];
endif;
echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\n";
if ($GLOBALS["typakce"]=='save'): // jen save mod
  echo "<tr class=\"z\"><td>".RS_CT_JMENO.":</td><td>".$GLOBALS["prmyctenar"]->Ukaz('username')."</td></tr>\n";
  echo "<tr class=\"z\"><td>".RS_CT_HESLO.":</td><td><input type=\"password\" size=\"15\" name=\"rheslo\" value=\"\" class=\"textpole\" /><br />".RS_CT_INFO_HESLO."</td></tr>\n";
  echo "<tr class=\"z\"><td>".RS_CT_HESLO_KONTRLA.":</td><td><input type=\"password\" size=\"15\" name=\"rheslo2\" value=\"\" class=\"textpole\" /><br />".RS_CT_INFO_HESLO."</td></tr>\n";
else: // ostatni mody
  echo "<tr class=\"z\"><td>".RS_CT_JMENO.":</td><td><input type=\"text\" size=\"15\" name=\"rjmeno\" value=\"".$GLOBALS["prmyctenar"]->Ukaz('username')."\" class=\"textpole\" /></td></tr>\n";
  echo "<tr class=\"z\"><td>".RS_CT_HESLO.":</td><td><input type=\"password\" size=\"15\" name=\"rheslo\" value=\"\" class=\"textpole\" /></td></tr>\n";
  echo "<tr class=\"z\"><td>".RS_CT_HESLO_KONTRLA.":</td><td><input type=\"password\" size=\"15\" name=\"rheslo2\" value=\"\" class=\"textpole\" /></td></tr>\n";
endif;
echo "<tr class=\"z\"><td>".RS_CT_CELE_JMENO.":</td><td><input type=\"text\" size=\"40\" name=\"rcelejmeno\" value=\"".$GLOBALS["prmyctenar"]->Ukaz('jmeno')."\" class=\"textpole\" /></td></tr>
<tr class=\"z\"><td>".RS_CT_EMAIL.":</td><td><input type=\"text\" size=\"40\" name=\"rmail\" value=\"".$GLOBALS["prmyctenar"]->Ukaz('email')."\" class=\"textpole\" /></td></tr>
<tr class=\"z\"><td>".RS_CT_JAZYK.":</td><td><select name=\"rjazyk\" size=\"1\">".OptJazykSlovniky($GLOBALS["prmyctenar"]->Ukaz('jazyk'))."</select></td></tr>
</table>
<p align=\"center\" class=\"z\">".RS_CT_NOVINKY."<br />\n";
if ($GLOBALS["prmyctenar"]->Ukaz('info')==1):
  echo "<input type=\"radio\" name=\"rinfo\" value=\"1\" checked />".RS_ANO." &nbsp;&nbsp; <input type=\"radio\" name=\"rinfo\" value=\"0\" />".RS_NE."\n";
else:
  echo "<input type=\"radio\" name=\"rinfo\" value=\"1\" />".RS_ANO." &nbsp;&nbsp; <input type=\"radio\" name=\"rinfo\" value=\"0\" checked />".RS_NE."\n";
endif;
echo "</p>
<p align=\"center\" class=\"z\">".RS_CT_VLASTNI_MENU.":<br />
<textarea name=\"robsahmenu\" cols=\"60\" rows=\"6\" wrap=\"yes\" class=\"textbox\">".KorekceHTML($GLOBALS["prmyctenar"]->Ukaz('databox'))."</textarea></p>
<p align=\"center\" class=\"z\">".RS_CT_CHCI_ME_MENU."<br />\n";
if ($GLOBALS["prmyctenar"]->Ukaz('zobrazitdata')==1):
  echo "<input type=\"radio\" name=\"rzobrazmenu\" value=\"1\" checked />".RS_ANO." &nbsp;&nbsp; <input type=\"radio\" name=\"rzobrazmenu\" value=\"0\" />".RS_NE."\n";
else:
  echo "<input type=\"radio\" name=\"rzobrazmenu\" value=\"1\" />".RS_ANO." &nbsp;&nbsp; <input type=\"radio\" name=\"rzobrazmenu\" value=\"0\" checked />".RS_NE."\n";
endif;
echo "</p>
<p align=\"center\"><input type=\"submit\" value=\" ".$GLOBALS["typtlacitka"]." \" class=\"tl\" />&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"reset\" value=\" ".RS_RESET." \" class=\"tl\" /></p>\n";
if ($GLOBALS["typakce"]=='insert'): // jen insert mod
  echo "<p align=\"center\" class=\"z\"><i>".RS_CT_INFO_POVINNA."</i></p>\n";
endif;
echo "</form>
<p></p>\n";
}

// pridani noveho ctenare
function PridejCt()
{
// bezpecnostni kontrola
$GLOBALS["rjmeno"]=phprs_sql_escape_string($GLOBALS["rjmeno"]);
$GLOBALS["rheslo"]=phprs_sql_escape_string($GLOBALS["rheslo"]);
$GLOBALS["rheslo2"]=phprs_sql_escape_string($GLOBALS["rheslo2"]);
$GLOBALS["rcelejmeno"]=phprs_sql_escape_string($GLOBALS["rcelejmeno"]);
$GLOBALS["rmail"]=phprs_sql_escape_string($GLOBALS["rmail"]);
$GLOBALS["rjazyk"]=phprs_sql_escape_string($GLOBALS["rjazyk"]);
$GLOBALS["rinfo"]=phprs_sql_escape_string($GLOBALS["rinfo"]);
$GLOBALS["robsahmenu"]=phprs_sql_escape_string($GLOBALS["robsahmenu"]);
$GLOBALS["rzobrazmenu"]=phprs_sql_escape_string($GLOBALS["rzobrazmenu"]);

// inic. chyba
$chyba=0;

// test na pritomnost vsech povinnych poli
if ($GLOBALS["rjmeno"]==''||$GLOBALS["rheslo"]==''):
  // CHYBA: Nektere z povinnych poli je pradne!
  $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"chybastredni\">".RS_CT_ERR_3."</p>\n";
  $GLOBALS['akce']='formular'; // zmena akce
  $chyba=1; // chyba
endif;
// overeni jedinecnosti zvoleneho username
$dotazjmeno=phprs_sql_query("select idc from ".$GLOBALS["rspredpona"]."ctenari where prezdivka='".$GLOBALS["rjmeno"]."'",$GLOBALS["dbspojeni"]);
$pocetjmeno=phprs_sql_num_rows($dotazjmeno);
if ($pocetjmeno>0):
  // CHYBA: Vami vybrana prezdivka X je jiz obsazena! Zvolte si jinou.
  $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"chybastredni\">".RS_CT_ERR_4_A." \"".$GLOBALS["rjmeno"]."\" ".RS_CT_ERR_4_B."</p>\n";
  $GLOBALS['akce']='formular'; // zmena akce
  $chyba=1; // chyba
endif;
// overeni min. a max. povolene delky username
if (strlen($GLOBALS["rjmeno"])<3||strlen($GLOBALS["rjmeno"])>12):
  // CHYBA: Delka vaseho jmena (prezdivky) porusuje pravidla. - Minimalni povolena delka je 3 znaky; maximalni hodnota je 12 znaku.
  $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"chybastredni\">".RS_CT_ERR_13."</p>\n";
  $GLOBALS['akce']='formular'; // zmena akce
  $chyba=1; // chyba
endif;
// test na shodu HESLA s jeho kontrolnim zadanim
if ($GLOBALS["rheslo"]!=$GLOBALS["rheslo2"]):
  // CHYBA: Zadana hesla nejsou shodna!
  $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"chybastredni\">".RS_CT_ERR_12."</p>\n";
  $GLOBALS['akce']='formular'; // zmena akce
  $chyba=1; // chyba
endif;

if ($chyba==0): // test na bezchybny stav
  // ziskani defaultni nastaveni levelu
  $dotaz="select hodnota from ".$GLOBALS["rspredpona"]."config where promenna='default_reg_level'";
  $dotazconfig=phprs_sql_query($dotaz,$GLOBALS["dbspojeni"]);
  if ($dotazconfig!=0&&phprs_sql_num_rows($dotazconfig)>0):
    list($nast_level)=phprs_sql_fetch_row($dotazconfig);
  else:
    $nast_level=0;
  endif;
  // vlozeni noveho ctenare do databaze
  $dnesnidatum=date("Y-m-d H:i:s");
  $GLOBALS["rheslo"]=md5($GLOBALS["rheslo"]); // heslo je sifrovane
  @$dotazctenar=phprs_sql_query("insert into ".$GLOBALS["rspredpona"]."ctenari values (null,'".$GLOBALS["rjmeno"]."','".$GLOBALS["rheslo"]."','".$GLOBALS["rcelejmeno"]."','".$GLOBALS["rmail"]."','".$dnesnidatum."','0','".$GLOBALS["rinfo"]."','".$GLOBALS["robsahmenu"]."','".$GLOBALS["rzobrazmenu"]."','".$GLOBALS["rjazyk"]."','".$dnesnidatum."','".$nast_level."')",$GLOBALS["dbspojeni"]);
  if ($dotazctenar==0):
    // chyba pri vkladani noveho ctenare
    // CHYBA: V prbhu zakldn vaeho profilu dolo k neoekvan chyb. Zopakujte akci.
    $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"z\">".RS_CT_ERR_5."</p>\n";
    $GLOBALS['akce']='showtxt'; // zmena akce
  else:
    // zjisteni id noveho ctenare
    $dotazid=phprs_sql_query("select idc from ".$GLOBALS["rspredpona"]."ctenari where prezdivka='".$GLOBALS["rjmeno"]."' and password='".$GLOBALS["rheslo"]."'",$GLOBALS["dbspojeni"]);
    if ($dotazid!=0&&phprs_sql_num_rows($dotazid)==1):
      // ziskani ID ctenare a vygenerovani identifikacni session
      list($akt_id_ctenare)=phprs_sql_fetch_row($dotazid);
      $akt_sess_ctenare=md5(time().$GLOBALS["rjmeno"].$GLOBALS["rheslo"].$GLOBALS["rcelejmeno"].$GLOBALS["rmail"]);
      // vygenerovani ctenarske session + cookies
      if ($GLOBALS['prmyctenar']->GenerujSession($akt_id_ctenare,$akt_sess_ctenare)==0):
        // chyba pri generovani session
        // CHYBA: Neoekvan chyba!
        $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"z\">".RS_CT_ERR_6."</p>\n";
        $GLOBALS['akce']='showtxt'; // zmena akce
      endif;
      // finalni hlaseni - Vae registrace byla spn dokonena.
      $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"z\"><b>".RS_CT_REG_VSE_OK."</b></p>\n";
      $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"z\"><a href=\"index.php\">".RS_CT_HL_STR."</a> - <a href=\"readers.php\">".RS_CT_OSOBNI_UCET."</a></p>\n";
      $GLOBALS['akce']='showtxt'; // zmena akce
    else:
      // chyba pri indetifikaci ctenare
      // CHYBA: Neoekvan chyba!
      $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"z\">".RS_CT_ERR_6."</p>\n";
      $GLOBALS['akce']='showtxt'; // zmena akce
    endif;
  endif;
else:
  // z duvodu chyb pri registraci noveho ctenare nelze tuto akci provest; je nastaveno presmerovani na editacni formular, aby bylo mozne chyby opravit
  // je nutne provest inic. formluare
  $GLOBALS["typakce"]='insert'; // definice modu
  $GLOBALS["typtlacitka"]=RS_CT_TL_ZAREG; // text tlacitko: Zaregistrovat
  // inic. cisteho ctenarskeho profilu
  $GLOBALS["prmyctenar"]->GenerujCistyCtenar();
  // prednastaveni polozek do formulare
  $GLOBALS["prmyctenar"]->Nastav('username',$GLOBALS["rjmeno"]);
  $GLOBALS["prmyctenar"]->Nastav('jmeno',$GLOBALS["rcelejmeno"]);
  $GLOBALS["prmyctenar"]->Nastav('email',$GLOBALS["rmail"]);
  $GLOBALS["prmyctenar"]->Nastav('jazyk',$GLOBALS["rjazyk"]);
  $GLOBALS["prmyctenar"]->Nastav('info',$GLOBALS["rinfo"]);
  $GLOBALS["prmyctenar"]->Nastav('databox',$GLOBALS["robsahmenu"]);
  $GLOBALS["prmyctenar"]->Nastav('zobrazitdata',$GLOBALS["rzobrazmenu"]);
endif;
}

// ulozeni nove konfigurace ctenare
function UlozCt()
{
// bezpecnostni kontrola
$GLOBALS["rjmeno"]=phprs_sql_escape_string($GLOBALS["rjmeno"]);
$GLOBALS["roldpass"]=phprs_sql_escape_string($GLOBALS["roldpass"]);
$GLOBALS["ridc"]=phprs_sql_escape_string($GLOBALS["ridc"]);
$GLOBALS["rheslo"]=phprs_sql_escape_string($GLOBALS["rheslo"]);
$GLOBALS["rheslo2"]=phprs_sql_escape_string($GLOBALS["rheslo2"]);
$GLOBALS["rcelejmeno"]=phprs_sql_escape_string($GLOBALS["rcelejmeno"]);
$GLOBALS["rmail"]=phprs_sql_escape_string($GLOBALS["rmail"]);
$GLOBALS["rjazyk"]=phprs_sql_escape_string($GLOBALS["rjazyk"]);
$GLOBALS["rinfo"]=phprs_sql_escape_string($GLOBALS["rinfo"]);
$GLOBALS["robsahmenu"]=phprs_sql_escape_string($GLOBALS["robsahmenu"]);
$GLOBALS["rzobrazmenu"]=phprs_sql_escape_string($GLOBALS["rzobrazmenu"]);

// inic. chyba
$chyba=0;

// test na pritomnost vsech povinnych poli
if ($GLOBALS["rjmeno"]==''):
  // CHYBA: Nkter z povinnch pol je prdn!
  $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"chybastredni\">".RS_CT_ERR_3."</p>\n";
  $GLOBALS['akce']='showtxt'; // zmena akce
  $chyba=1; // chyba
endif;
// overeni jedinecnosti zvoleneho username - z kontroly je odstranet samotny prihlaseny ctenar
$dotazjmeno=phprs_sql_query("select idc from ".$GLOBALS["rspredpona"]."ctenari where prezdivka='".$GLOBALS["rjmeno"]."' and idc!='".$GLOBALS["ridc"]."'",$GLOBALS["dbspojeni"]);
$pocetjmeno=phprs_sql_num_rows($dotazjmeno);
if ($pocetjmeno>0):
  // CHYBA: Vmi vybran pezdvka X je ji obsazen! Zvolte si jinou.
  $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"chybastredni\">".RS_CT_ERR_4_A." \"".$GLOBALS["rjmeno"]."\" ".RS_CT_ERR_4_B."</p>\n";
  $GLOBALS['akce']='showtxt'; // zmena akce
  $chyba=1; // chyba
endif;
// test na shodu HESLA s jeho kontrolnim zadanim
if ($GLOBALS["rheslo"]!=$GLOBALS["rheslo2"]):
  // CHYBA: Zadan hesla nejsou shodn!
  $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"chybastredni\">".RS_CT_ERR_12."</p>\n";
  $GLOBALS['akce']='showtxt'; // zmena akce
  $chyba=1; // chyba
endif;

if ($chyba==0): // test na bezchybny stav
  // overeni existence upravovaneho ctenarskeho profilu
  $dotazjmeno=phprs_sql_query("select idc from ".$GLOBALS["rspredpona"]."ctenari where idc='".$GLOBALS["ridc"]."' and password='".$GLOBALS["roldpass"]."'",$GLOBALS["dbspojeni"]);
  if ($dotazjmeno!=0&&phprs_sql_num_rows($dotazjmeno)==1): // kontrola existence, vse OK
    // uprava existujiciho ctenare
    $dnesnidatum=date("Y-m-d H:i:s");
    // priprava hesla
    if ($GLOBALS["rheslo"]==''):
      $GLOBALS["rheslo"]=$GLOBALS["roldpass"]; // heslo je sifrovane; pouzito puvodni
    else:
      $GLOBALS["rheslo"]=md5($GLOBALS["rheslo"]); // heslo je sifrovane
    endif;
    // kvuli zakazu zmeny prezdivky odstranena cast SQL prikazu: prezdivka='".$GLOBALS["rjmeno"]."'
    @$dotazctenar=phprs_sql_query("update ".$GLOBALS["rspredpona"]."ctenari set password='".$GLOBALS["rheslo"]."',jmeno='".$GLOBALS["rcelejmeno"]."',email='".$GLOBALS["rmail"]."',info='".$GLOBALS["rinfo"]."',data='".$GLOBALS["robsahmenu"]."',visible='".$GLOBALS["rzobrazmenu"]."',jazyk='".$GLOBALS["rjazyk"]."',posledni_login='".$dnesnidatum."' where idc='".$GLOBALS["ridc"]."' and password='".$GLOBALS["roldpass"]."'",$GLOBALS["dbspojeni"]);
    if ($dotazctenar==0):
      // chyba pri aktualizacei ctenare
      // CHYBA: V prbhu pravy vaeho profilu dolo k neoekvan chyb. Zopakujte akci.
      $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"z\">".RS_CT_ERR_7."</p>\n";
      $GLOBALS['akce']='showtxt'; // zmena akce
    else:
      // ziskani ID ctenare a vygenerovani identifikacni session
      $akt_id_ctenare=$GLOBALS["ridc"];
      $akt_sess_ctenare=md5(time().$GLOBALS["rjmeno"].$GLOBALS["rheslo"].$GLOBALS["rcelejmeno"].$GLOBALS["rmail"]);
      // vygenerovani ctenarske session + cookies
      if ($GLOBALS['prmyctenar']->GenerujSession($akt_id_ctenare,$akt_sess_ctenare)==0):
        // chyba pri generovani session
        // CHYBA: Neoekvan chyba!
        $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"z\">".RS_CT_ERR_6."</p>\n";
        $GLOBALS['akce']='showtxt'; // zmena akce
      endif;
      // finalni hlaseni - Vae osobn nastaven bylo aktualizovno.
      $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"z\">".RS_CT_EDIT_VSE_OK."</p>\n";
      $GLOBALS['akce']='showtxt'; // zmena akce
    endif;
  else:
    // chyba test na existenci ctenarskeho profilu
    // CHYBA: Neoekvan chyba!
    $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"z\">".RS_CT_ERR_6."</p>\n";
    $GLOBALS['akce']='showtxt'; // zmena akce
  endif;
endif;

// navrat
$GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"z\"><a href=\"readers.php\">".RS_CT_NOVY_LOGIN."</a></p>\n<p></p>\n";
$GLOBALS['akce']='showtxt'; // zmena akce
}

function JenLogin()
{
// bezpecnostni kontrola
$GLOBALS["rjmeno"]=phprs_sql_escape_string($GLOBALS["rjmeno"]);
$GLOBALS["rheslo"]=md5(phprs_sql_escape_string($GLOBALS["rheslo"])); // heslo je sifrovane

if (!isset($GLOBALS["nacti"])): $GLOBALS["nacti"]='index.php'; endif; // pro pripad doplneni domeny lze pouzit promenne $GLOBALS["baseadr"]

// overeni existence ctenarskeho profilu
$dotazjmeno=phprs_sql_query("select idc,jmeno,email from ".$GLOBALS["rspredpona"]."ctenari where prezdivka='".$GLOBALS["rjmeno"]."' and password='".$GLOBALS["rheslo"]."'",$GLOBALS["dbspojeni"]);
$pocetjmeno=phprs_sql_num_rows($dotazjmeno);
if ($pocetjmeno==1): // kontrola existence, vse OK
  // nacteni dat do pole
  $pole_akt_data=phprs_sql_fetch_assoc($dotazjmeno);
  // priprava ctenare na prihlaseni - generovani session
  $GLOBALS["rcelejmeno"]=$pole_akt_data["jmeno"];
  $GLOBALS["rmail"]=$pole_akt_data["email"];
  $akt_id_ctenare=$pole_akt_data["idc"];
  $akt_sess_ctenare=md5(time().$GLOBALS["rjmeno"].$GLOBALS["rheslo"].$GLOBALS["rcelejmeno"].$GLOBALS["rmail"]);
  // vygenerovani ctenarske session + cookies
  if ($GLOBALS['prmyctenar']->GenerujSession($akt_id_ctenare,$akt_sess_ctenare)==0):
    // chyba pri generovani session
    // CHYBA: Neoekvan chyba!
    $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"z\">".RS_CT_ERR_6."</p>\n";
    $GLOBALS['akce']='showtxt'; // zmena akce
  else:
    // presmerovani na novou stranku
    header("Location: ".$GLOBALS["nacti"]);
    exit();
  endif;
else:
  // chyba ctenar nenalezen
  // CHYBA: patn uivatelk jmno nebo heslo!
  $GLOBALS['cte_modul_text'].="<p align=\"center\" class=\"z\">".RS_CT_ERR_1."</p>\n";
  $GLOBALS['akce']='showtxt'; // zmena akce
endif;
}

function OdhlasCt()
{
if (!isset($GLOBALS["nacti"])): $GLOBALS["nacti"]='index.php'; endif; // pro pripad doplneni domeny lze pouzit promenne $GLOBALS["baseadr"]

// zruseni ctenarske session / odhlaseni ctenare
$GLOBALS["prmyctenar"]->ZrusitSession();
// presmerovani na novou stranku
header("Location: ".$GLOBALS["nacti"]);
exit();
}

function VymazatCt()
{
echo "<form action=\"readers.php\" method=\"post\">
<p align=\"center\" class=\"z\">".RS_CT_INFO_ZRUSIT."</p>
<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">
<tr class=\"z\"><td>".RS_CT_JMENO.":</td><td><input type=\"text\" size=\"15\" name=\"rjmeno\" class=\"textpole\" /></td></tr>
<tr class=\"z\"><td>".RS_CT_HESLO.":</td><td><input type=\"password\" size=\"15\" name=\"rheslo\" class=\"textpole\" /></td></tr>
</table>
<p align=\"center\"><input type=\"submit\" value=\" ".RS_CT_TL_ZRUSIT." \" class=\"tl\" /></p>
<input type=\"hidden\" name=\"akce\" value=\"delreader\" />
</form>
<p></p>\n";
}

function AcVymazatCt()
{
// bezpecnostni kontrola
$GLOBALS["rjmeno"]=phprs_sql_escape_string($GLOBALS["rjmeno"]);
$GLOBALS["rheslo"]=md5(phprs_sql_escape_string($GLOBALS["rheslo"])); // heslo je sifrovane

$dotazcte=phprs_sql_query("select idc,prezdivka from ".$GLOBALS["rspredpona"]."ctenari where prezdivka='".$GLOBALS["rjmeno"]."' and password='".$GLOBALS["rheslo"]."'",$GLOBALS["dbspojeni"]);
$pocetcte=phprs_sql_num_rows($dotazcte);

if ($pocetcte==0):
  // CHYBA: patn uivatelk jmno nebo heslo! - Nov pihlen
  echo "<p align=\"center\" class=\"z\"><b>".RS_CT_ERR_1." - <a href=\"readers.php?akce=del\">".RS_CT_NOVY_LOGIN."</a></b></p>\n";
else:
  $ctenardata=phprs_sql_fetch_assoc($dotazcte); // nacteni dat

  @$error=phprs_sql_query("delete from ".$GLOBALS["rspredpona"]."ctenari where idc='".$ctenardata["idc"]."' and prezdivka='".$ctenardata["prezdivka"]."'",$GLOBALS["dbspojeni"]);
   if (!$error):
     // chyba pri ruseni registrace ctenare
     // CHYBA: V prbhu odstraovn registrace dolo k neoekvan chyb!
     echo "<p align=\"center\" class=\"chybastredni\">".RS_CT_ERR_8."</p>\n";
   else:
     // vse ok - Vae registrace byla spn zruena!
     echo "<p align=\"center\" class=\"z\"><b>".RS_CT_DEL_VSE_OK."</b></p>\n";
   endif;
   // navrat
   echo "<p align=\"center\" class=\"z\"><a href=\"index.php\">".RS_CT_HL_STR."</a> - <a href=\"readers.php\">".RS_CT_OSOBNI_UCET."</a></p>\n";
endif;
}

function NoveHesloCt()
{
echo "<form action=\"readers.php\" method=\"post\">
<p align=\"center\" class=\"z\">".RS_CT_INFO_ZAPOMNEL."</p>
<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">
<tr class=\"z\"><td>".RS_CT_JMENO.":</td><td><input type=\"text\" size=\"30\" name=\"rjmeno\" class=\"textpole\" /></td></tr>
<tr class=\"z\"><td>".RS_CT_DEL_EMAIL_ADR.":</td><td><input type=\"text\" size=\"30\" name=\"rmail\" class=\"textpole\" /></td></tr>
</table>
<p align=\"center\"><input type=\"submit\" value=\" ".RS_CT_TL_NOVE_HESLO." \" class=\"tl\" /></p>
<input type=\"hidden\" name=\"akce\" value=\"newpwsend\" />
</form>
<p></p>\n";
}

function AcNoveHesloCt()
{
// bezpecnostni kontrola
$GLOBALS["rjmeno"]=phprs_sql_escape_string($GLOBALS["rjmeno"]);
$GLOBALS["rmail"]=phprs_sql_escape_string($GLOBALS["rmail"]);

$dotazcte=phprs_sql_query("select idc,prezdivka,email from ".$GLOBALS["rspredpona"]."ctenari where prezdivka='".$GLOBALS["rjmeno"]."' and email='".$GLOBALS["rmail"]."'",$GLOBALS["dbspojeni"]);
$pocetcte=phprs_sql_num_rows($dotazcte);

if ($pocetcte==0):
  // CHYBA: patn uivatelk jmno nebo e-mailov adresa! - Nov pihlen
  echo "<p align=\"center\" class=\"z\"><b>".RS_CT_ERR_9." - <a href=\"readers.php?akce=newpw\">".RS_CT_NOVY_LOGIN."</a></b></p>\n";
else:
  // inic. generovani noveho hesla
  $pocitadlo=0;
  $nove_heslo='';
  $delka_hesla=6;
  $str_znaku="ABCDEFGHIJKLMNOPQRSTUVWXYZ"
            ."abcdefghijklmnopqrstuvwxyz"
            ."0123456789";
  $poc_str_znaku=strlen($str_znaku)-1; // odecita se navic 1, protoze s retezcem se dale pocita od 0

  // vygenerovani noveho hesla
  while($pocitadlo++ < $delka_hesla):
    $nove_heslo.=substr($str_znaku,mt_rand(0,$poc_str_znaku),1);
  endwhile;

  // nastaveni noveho hesla
  @$error=phprs_sql_query("update ".$GLOBALS["rspredpona"]."ctenari set password='".md5($nove_heslo)."' where prezdivka='".$GLOBALS["rjmeno"]."' and email='".$GLOBALS["rmail"]."'",$GLOBALS["dbspojeni"]);
  if (!$error):
    // CHYBA: V prbhu ukldn novho hesla dolo k neoekvan chyb!
    echo "<p align=\"center\" class=\"chybastredni\">".RS_CT_ERR_10."</p>\n";
  else:
    // vse OK - Nastaven novho hesla bylo spn provedeno!
    echo "<p align=\"center\" class=\"z\"><b>".RS_CT_NOVE_HESLO_VSE_OK."</b></p>\n";
  endif;

  // odeslani info e-mailu
  include_once('admin/astdlib_mail.php'); // vlozeni tridy CPosta()
  $postovni_sluzby = new CPosta();
  $postovni_sluzby->Nastav('adresat',$GLOBALS["rmail"]);
  $postovni_sluzby->Nastav('predmet',RS_CT_GNH_PREDMET);
  $postovni_sluzby->Nastav('obsah',RS_CT_GNH_OBS_1." \"".$GLOBALS["rjmeno"]."\" ".RS_CT_GNH_OBS_2.": ".$nove_heslo."\n");

  if ($postovni_sluzby->Odesilac()==1):
    // vse OK - Na vai e-mailovou adresu byl spn odesln informan e-mail!
    echo "<p align=\"center\" class=\"z\"><b>".RS_CT_SEND_MAIL_VSE_OK."</b></p>\n";
  else:
    // CHYBA: V prbhu odesln informanho e-mailu dolo k neoekvan chyb!
    echo "<p align=\"center\" class=\"chybastredni\"><b>".RS_CT_ERR_11."</b></p>\n";
  endif;

  // navrat
  echo "<p align=\"center\" class=\"z\"><a href=\"index.php\">".RS_CT_HL_STR."</a> - <a href=\"readers.php\">".RS_CT_OSOBNI_UCET."</a></p>\n";
endif;
}

// rozhodnuti o obsahu stranky
switch ($GLOBALS['akce']):
  case "new": NovyCt(); break;
  case "login": EditujCt(); break;
  case "autologin": EditujAutoCt(); break;
  case "insert": PridejCt(); break;
  case "save": UlozCt(); break;
  case "quicklog": JenLogin(); break;
  case "logout": OdhlasCt(); break;
endswitch;

$GLOBALS["vzhledwebu"]->Generuj();
ObrTabulka();  // Vlozeni layout prvku

echo "<p class=\"nadpis\">".RS_CT_NADPIS."</p>\n"; // nadpis

// rozhodnuti o obsahu stranky
switch($GLOBALS['akce']):
  case "logmenu": ZobrazLogin(); break;
  case "del": VymazatCt(); break;
  case "delreader": AcVymazatCt(); break;
  case "newpw": NoveHesloCt(); break;
  case "newpwsend": AcNoveHesloCt(); break;
  case "formular": FormCtenari(); break; // pouze interni volani
  case "showtxt": echo $GLOBALS['cte_modul_text']; break; // pouze interni volani
endswitch;

// Dokonceni tvorby stranky
KonecObrTabulka();  // Vlozeni layout prvku
$vzhledwebu->Generuj();
?>