# MySQL-Front 3.2  (Build 6.25)

# Host: localhost    Database: phprs265_forum
# ------------------------------------------------------
# Server version 4.0.20a-nt

#
# Table structure for table rs_intforum_dotazy
#

DROP TABLE IF EXISTS `rs_intforum_dotazy`;
CREATE TABLE `rs_intforum_dotazy` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `kteretema` int(6) unsigned default NULL,
  `PocetOdpovedi` int(6) unsigned default NULL,
  `dotaz` varchar(100) NOT NULL default '',
  `datum` varchar(14) default '',
  `cas` varchar(8) NOT NULL default '',
  `idautora` int(6) unsigned default NULL,
  `Externiautor` varchar(30) default '',
  `shlednuto` int(6) unsigned default NULL,
  `idposledniho` int(10) unsigned NOT NULL default '0',
  `zamknuto` char(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Table structure for table rs_intforum_iplist
#

DROP TABLE IF EXISTS `rs_intforum_iplist`;
CREATE TABLE `rs_intforum_iplist` (
  `Id` int(6) unsigned NOT NULL auto_increment,
  `Ip` varchar(255) NOT NULL default '',
  `cas` varchar(14) NOT NULL default '',
  `pocet` int(6) NOT NULL default '1',
  `agent` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`Id`)
) TYPE=MyISAM;

#
# Table structure for table rs_intforum_privat
#

DROP TABLE IF EXISTS `rs_intforum_privat`;
CREATE TABLE `rs_intforum_privat` (
  `id` int(6) unsigned NOT NULL auto_increment,
  `jmeno` varchar(15) NOT NULL default '',
  `heslo` varchar(32) NOT NULL default '',
  `session` varchar(20) default NULL,
  `cas` varchar(14) NOT NULL default '0',
  `poslednidotaz` int(10) unsigned default NULL,
  `poslednipri` varchar(14) NOT NULL default '0',
  `poslednipriold` varchar(14) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Table structure for table rs_intforum_privat_dat
#

DROP TABLE IF EXISTS `rs_intforum_privat_dat`;
CREATE TABLE `rs_intforum_privat_dat` (
  `id` int(6) unsigned NOT NULL auto_increment,
  `ciziid` int(6) unsigned NOT NULL default '0',
  `podtema` varchar(255) default NULL,
  `spravce` varchar(255) default NULL,
  `jmenoprave` varchar(30) default NULL,
  `mail` varchar(60) default NULL,
  `url` varchar(60) default NULL,
  `icq` int(10) unsigned NOT NULL default '0',
  `moderator` char(1) NOT NULL default '0',
  `moderuje_fora` tinytext,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Table structure for table rs_intforum_tema
#

DROP TABLE IF EXISTS `rs_intforum_tema`;
CREATE TABLE `rs_intforum_tema` (
  `id` int(6) unsigned NOT NULL auto_increment,
  `nazev` varchar(60) default '',
  `popis` varchar(150) default '',
  `datum` varchar(14) default '',
  `cas` varchar(8) NOT NULL default '',
  `zalozil` smallint(5) NOT NULL default '0',
  `ExterInter` tinyint(1) NOT NULL default '0',
  `zobrazit` tinyint(1) NOT NULL default '0',
  `dotazu` int(10) unsigned default NULL,
  `celkem` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Table structure for table rs_intforum_texty
#

DROP TABLE IF EXISTS `rs_intforum_texty`;
CREATE TABLE `rs_intforum_texty` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `kteretema` int(6) unsigned default NULL,
  `kterydotaz` int(10) unsigned default NULL,
  `datum` varchar(14) default '',
  `cas` varchar(8) NOT NULL default '',
  `idautora` int(6) unsigned default NULL,
  `text` text NOT NULL,
  `uroven` int(6) unsigned default NULL,
  `nazev` varchar(100) default '',
  `externiautor` varchar(30) default '',
  `mailexaut` varchar(50) default '',
  `ipadresa` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;
