# --------------------------------------------------------
# *** zalozeni tabulek KForum verze 1.3.1
# --------------------------------------------------------

create table rs_frum
(
frumid int unsigned not null auto_increment,
frumnaz varchar(30),
frumpopis text,
frummoder int unsigned,
frumtop tinyint unsigned,
frumlock tinyint unsigned,
lastpost int unsigned,
datumvyd datetime not null default '0000-00-00 00:00:00',
datumposl datetime not null default '0000-00-00 00:00:00',
primary key (frumid),
key frummoder (frummoder)
);

# --------------------------------------------------------

create table rs_frumtop
(
topicid int unsigned not null auto_increment,
frumid int unsigned,
topicnaz varchar(30),
topicpopis text,
topicautor int unsigned,
topicmoder int unsigned,
topiclock tinyint unsigned,
topictop tinyint unsigned,
topiccteni int unsigned,
lastpost int unsigned,
topicvyd datetime not null default '0000-00-00 00:00:00',
topicposl datetime not null default '0000-00-00 00:00:00',
primary key (topicid),
key frumid (frumid)
);

# --------------------------------------------------------

create table rs_frumpst
(
postid int unsigned not null auto_increment,
frumid int unsigned,
topicid int unsigned,
postautor int unsigned,
posttext text,
postvyd datetime not null default '0000-00-00 00:00:00',
postedit datetime not null default '0000-00-00 00:00:00',
primary key (postid),
key frumid (frumid),
key topicid (topicid),
key postautor (postautor)
);

# --------------------------------------------------------

create table rs_frumid
(
ctenarid int unsigned,
topicid int unsigned,
postpocet int unsigned,
poslview datetime not null default '0000-00-00 00:00:00',
key ctenarid (ctenarid),
key topicid (topicid)
);

# --------------------------------------------------------

create table rs_frumidinf
(
ctenarid int unsigned not null,
cidmail varchar(35),
cicq varchar(12),
cikona varchar(50),
cpodpis text,
cpodpisx tinyint unsigned not null default 0,
cprvniview datetime not null default '0000-00-00 00:00:00'
);

# --------------------------------------------------------

create table rs_frumcfg
(
porcfg int unsigned not null default 1,
verzephprs int unsigned not null default 280,
urlimage varchar(50) not null default 'image/kforum',
spravce int unsigned,
mailspravce varchar(35) not null default 'mail_spravce@server.cz',
sablona varchar(20) not null default 'download',
stranka int unsigned not null default 10,
avatar tinyint unsigned not null default 0,
maxavatar int unsigned not null default 5
);

# a naplneni defaultnich dat

INSERT INTO `rs_frumcfg` ( `porcfg` , `verzephprs` , `urlimage` , `spravce` ,`mailspravce` , `sablona` , `stranka` , `avatar`, `maxavatar`) 
VALUES ('1', '280', 'image/kforum/', null,'mail_spravce@server.cz', 'download', '10', '0', '5');

# --------------------------------------------------------
