<?php

######################################################################
# phpRS konverze DB funkci: phpRS_SQL to MySQL (MySQL do v4.1) 1.0.1
######################################################################

// Copyright (c) 2001-2005 by Jiri Lukas (jirilukas@supersvet.cz)
// http://www.supersvet.cz/phprs/
// This program is free software. - Toto je bezplatny a svobodny software.

if (!defined('IN_CODE')): die('Nepovoleny pristup! / Hacking attempt!'); endif;

/*
phprs_sql_affected_rows -- Vrt poet ovlivnnch (zmnnch) zznam v MySQL po poslednm dotazu
phprs_sql_client_encoding -- Vrt nzev znakov sady
phprs_sql_close -- Ukon (zave) MySQL spojen
phprs_sql_data_seek -- Pesune ukazatel na aktuln zznam
phprs_sql_dbcon -- Vytvo spojen s MySQL serverem
phprs_sql_errno --  Vrt slenou hodnotu chybov hlky pedchozho MySQL pkazu.
phprs_sql_error --  Vrt text chybov zprvy pedchozho MySQL pkazu.
phprs_sql_escape_string --  Uprav etzec pro bezpen pouit v mysql_query.
phprs_sql_fetch_array --  Nate vsledn dek do asociativnho, slenho pole nebo obojho.
phprs_sql_fetch_assoc --  Nate vsledn dek do asociativnho pole
phprs_sql_fetch_field --  Nate informace o sloupci z vsledku do promnn objektu
phprs_sql_fetch_lengths --  Zjist dlku vech poloek aktulnho vstupu
phprs_sql_fetch_object --  Nate vsledn zznam do promnn objektu
phprs_sql_fetch_row -- Nate vsledn zznam do pole
phprs_sql_field_seek --  Nastav ukazatel na zadan sloupec
phprs_sql_free_result -- Uvoln vsledek z pamti
phprs_sql_info --  Vrac informace o poslednm dotazu
phprs_sql_insert_id --  Vrac generovanou hodnotu id poslednho pkazu INSERT
phprs_sql_num_fields -- Vrac poet sloupc ve vsledku
phprs_sql_num_rows -- Vrac poet zznam ve vsledku
phprs_sql_ping -- Ov spojen se serverem, ppadn, nen-li spojen dostupn, pokus se pipojit znovu.
phprs_sql_query -- Pole MySQL dotaz
phprs_sql_query_add_limit -- Pole MySQL dotaz; ped odeslnm se provedene spojen sti "dotaz" a "limit" (lze pouzit pouze pro jednodussi SQL dotazy)
phprs_sql_real_escape_string --  Uprav etzec pro bezpen pouit v mysql_query.
phprs_sql_result -- Nate obsah jednoho sloupce tabulky
phprs_sql_select_db -- Nastav MySQL databzi
phprs_sql_stat -- Vrac aktuln stav systmu
*/

function phprs_sql_affected_rows($spojeni = false)
{
if ($spojeni === false):
  return mysql_affected_rows();
else:
  return mysql_affected_rows($spojeni);
endif;
}

function phprs_sql_client_encoding($spojeni = false)
{
if ($spojeni === false):
  return mysql_client_encoding();
else:
  return mysql_client_encoding($spojeni);
endif;
}

function phprs_sql_close($spojeni = false)
{
if ($spojeni === false):
  return mysql_close();
else:
  return mysql_close($spojeni);
endif;
}

function phprs_sql_data_seek($vysledek,$cislo_zaznamu)
{
return mysql_data_seek($vysledek,$cislo_zaznamu);
}

function phprs_sql_dbcon()
{
@$spojeni=mysql_connect($GLOBALS["dbserver"],$GLOBALS["dbuser"],$GLOBALS["dbpass"]);
if (!$spojeni):
  die('Spojeni se serverem nelze vytvorit! / Could not connect to database server!');
endif;
mysql_select_db($GLOBALS["dbname"],$spojeni);
return $spojeni;
}

function phprs_sql_errno($spojeni = false)
{
if ($spojeni === false):
  return mysql_errno();
else:
  return mysql_errno($spojeni);
endif;
}

function phprs_sql_error($spojeni = false)
{
if ($spojeni === false):
  return mysql_error();
else:
  return mysql_error($spojeni);
endif;
}

function phprs_sql_escape_string($neupraveny_retezec)
{
return mysql_escape_string($neupraveny_retezec);
}

function phprs_sql_fetch_array($vysledek,$typ_vysledku = false)
{
if ($typ_vysledku === false):
  return mysql_fetch_array($vysledek);
else:
  return mysql_fetch_array($vysledek,$typ_vysledku);
endif;
}

function phprs_sql_fetch_assoc($vysledek)
{
return mysql_fetch_assoc($vysledek);
}

function phprs_sql_fetch_field($vysledek,$poradi_sloupce = false)
{
if ($poradi_sloupce === false):
  return mysql_fetch_field($vysledek);
else:
  return mysql_fetch_field($vysledek,$poradi_sloupce);
endif;
}

function phprs_sql_fetch_lengths($vysledek)
{
return mysql_fetch_lengths($vysledek);
}

function phprs_sql_fetch_object($vysledek)
{
return mysql_fetch_object($vysledek);
}

function phprs_sql_fetch_row($vysledek)
{
return mysql_fetch_row($vysledek);
}

function phprs_sql_field_seek($vysledek,$cislo_sloupce)
{
return mysql_field_seek($vysledek,$cislo_sloupce);
}

function phprs_sql_free_result($vysledek)
{
return mysql_free_result($vysledek);
}

function phprs_sql_info($spojeni = false)
{
if ($spojeni === false):
  return mysql_info();
else:
  return mysql_info($spojeni);
endif;
}

function phprs_sql_insert_id($spojeni = false)
{
if ($spojeni === false):
  return mysql_insert_id();
else:
  return mysql_insert_id($spojeni);
endif;
}

function phprs_sql_num_fields($vysledek)
{
return mysql_num_fields($vysledek);
}

function phprs_sql_num_rows($vysledek)
{
return mysql_num_rows($vysledek);
}

function phprs_sql_ping($spojeni = false)
{
if ($spojeni === false):
  return mysql_ping();
else:
  return mysql_ping($spojeni);
endif;
}

function phprs_sql_query($dotaz,$spojeni = false)
{
if ($spojeni === false):
  @$vysledek=mysql_query($dotaz);
  if ($vysledek==0):
    echo mysql_error();
  endif;
  return $vysledek;
else:
  @$vysledek=mysql_query($dotaz,$spojeni);
  if ($vysledek==0):
    echo mysql_error($spojeni);
  endif;
  return $vysledek;
endif;
}

function phprs_sql_query_add_limit($dotaz,$dotaz_limit_mnozstvi = NULL,$dotaz_limit_od = NULL,$spojeni = false)
{
if (!is_null($dotaz_limit_mnozstvi)):
  if (!is_null($dotaz_limit_od)):
    $dotaz.=' limit '.$dotaz_limit_od.','.$dotaz_limit_mnozstvi;
  else:
    $dotaz.=' limit '.$dotaz_limit_mnozstvi;
  endif;
endif;

if ($spojeni === false):
  @$vysledek=mysql_query($dotaz);
  if ($vysledek==0):
    echo mysql_error();
  endif;
  return $vysledek;
else:
  @$vysledek=mysql_query($dotaz,$spojeni);
  if ($vysledek==0):
    echo mysql_error($spojeni);
  endif;
  return $vysledek;
endif;
}

function phprs_sql_real_escape_string($neupraveny_retezec,$spojeni = false)
{
if ($spojeni === false):
  return mysql_real_escape_string($neupraveny_retezec);
else:
  return mysql_real_escape_string($neupraveny_retezec,$spojeni);
endif;
}

function phprs_sql_result($vysledek,$zaznam,$pole = false)
{
if ($pole === false):
  return mysql_result($vysledek,$zaznam);
else:
  return mysql_result($vysledek,$zaznam,$pole);
endif;
}

function phprs_sql_select_db($jmeno_databaze,$spojeni = false)
{
if ($spojeni === false):
  return mysql_select_db($jmeno_databaze);
else:
  return mysql_select_db($jmeno_databaze,$spojeni);
endif;
}

function phprs_sql_stat($spojeni = false)
{
if ($spojeni === false):
  return mysql_stat();
else:
  return mysql_stat($spojeni);
endif;
}
?>