<?php
  ######################################################################
  #  plugin pro phpRS - Inzertní systém - 3.0.0
  ######################################################################

  // Copyright (c) 2008 by Daniel Vávra (Vavrad@oez.cz)
  // Copyright (c) 2008 by gord007 (gord007@seznam.cz)
  // This program is free software. - Toto je bezplatny a svobodny software.
  // pro phpRS, neni standardni soucasti
  // Copyright (c) 2001-2004 by Jiri Lukas (jirilukas@supersvet.cz)
  // http://www.supersvet.cz/phprs/

//-------------------------------------
// Aktualizováno: 20.7.2008
//-------------------------------------

//*****************************************************************************
// INZERTNÍ SYSTÉM
//*****************************************************************************

//-----------------------------------------------------------------------------
// využívané tabulky: rs_inzertnisystem_inzeraty, rs_inzertnisystem_sekce
//-----------------------------------------------------------------------------

if (!defined('IN_CODE')):
  $GLOBALS["page"]="error";
  $GLOBALS["error"]="403";
  require "inzertnisystem.php";
  exit;
endif;

//*****************************************************************************
// POMOCNÉ FUNKCE INZERCE
//*****************************************************************************

/*
  OdblokProdlEmail()
  SmazNeaktInzeraty()
  SmazProslichInzeratu()
*/

//-----------------------------------------------------------------------------
// odeslání emailu o blížícím se datumu vymazání + odblokování prodloužení
//-----------------------------------------------------------------------------

function OdblokProdlEmail()
{
$datumstazinz=Date("Y-m-d H:i:s");
$omezenistaz.=" datum_staz>'".$datumstazinz."'";
$datumodeslprodl=Date("Y-m-d H:i:s",(Time()+864000));
$omezeniprodl.=" datum_staz<='".$datumodeslprodl."'";

$dotazprodl=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where ".$omezeniprodl." and ".$omezenistaz." and prodl_platnosti=0",$GLOBALS["dbspojeni"]);
$pocprodlpol=$GLOBALS["num_rows"]($dotazprodl);

if ($pocprodlpol>0):
  for($pomprodl=0;$pomprodl<$pocprodlpol;$pomprodl++):
    $pole_prodl=$GLOBALS["fetch_assoc"]($dotazprodl);
    // aktivace účtu
    
    @$error=$GLOBALS["query"]("update ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty set prodl_platnosti=1 where idn=".(int)$pole_prodl["idn"]." and prodl_platnosti=0",$GLOBALS["dbspojeni"]);
    if ($error):
      // příprava e-mailu
      $zprava = "".HLASKY_EMAIL1."\n\n";
      $zprava .= "".HLASKY_EMAIL4." ".MyDatetimeToDatetime($pole_prodl["datum_vyst"])." ".HLASKY_EMAIL5.": ".$pole_prodl["nazev"]."\n\n";
      $zprava .= "".INZSYS1.":\n".str_replace ("\n","\r\n",$pole_prodl["popis"])."\n\n";
      if (!empty($pole_prodl["cena"])): $zprava .= "".INZSYS3.": ".$pole_prodl["cena"]."".INZSYS12."\n"; endif;
      $zprava .= "".INZSYS2.": ".$pole_prodl["jmeno"]."\n";
      if (!empty($pole_prodl["telefon"])): $zprava .= "".INZSYS4.": ".INZSYS78." ".$pole_prodl["telefon"]."\n"; endif;
      if (!empty($pole_prodl["mobil"])): $zprava .= "".INZSYS5.": ".INZSYS78." ".$pole_prodl["mobil"]."\n"; endif;
      if (!empty($pole_prodl["url"])): $zprava .= "".INZSYS6.": ".$pole_prodl["url"]."\n"; endif;
      if ($pole_prodl["typ"]==1):
        $zprava .= "".INZSYS7.": ".INZSYS8." \n";
      else:
        $zprava .= "".INZSYS7.": ".INZSYS9." \n";
      endif;
      $vyberkat=$GLOBALS["query"]("select nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$pole_prodl["kategorie"]."",$GLOBALS["dbspojeni"]);
      $zprava .= "".INZSYS10.": ".$GLOBALS["result"]($vyberkat,0,"nazev")."\n";
      $vyberlok=$GLOBALS["query"]("select nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where idl=".$pole_prodl["lokalita"]."",$GLOBALS["dbspojeni"]);
      $zprava .= "".INZSYS11.": ".$GLOBALS["result"]($vyberlok,0,"nazev")."\n\n";
      $zprava .= "".HLASKY_EMAIL6." ".MyDatetimeToDatetime($pole_prodl["datum_staz"]).". ".HLASKY_EMAIL7." ".$GLOBALS["dnuprodlouzeni"]." ".HLASKY_EMAIL8.": ".$GLOBALS["baseadr"]."".SEO5."/ . ".HLASKY_EMAIL9." ".MyDatetimeToDatetime($pole_prodl["datum_staz"]).".\n\n";
      $zprava .= "           ".HLASKY_EMAIL35."";

      $predmet=$GLOBALS["wwwname"]." - ".HLASKY_EMAIL10."";

      SendMailInfo($pole_prodl["email"],$predmet,$zprava,$GLOBALS["postmaster"]);
    endif;
  endfor;
endif;
}

//-----------------------------------------------------------------------------
// smazání neaktivních inzerátů
//-----------------------------------------------------------------------------

function SmazNeaktInzeraty()
{
$datumsmazneakt=Date("Y-m-d H:i:s");
$omezenineakt.=" datum_potvr<='".$datumsmazneakt."'";

$dotazpolozky=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where ".$omezenineakt." and potvrzeni=0",$GLOBALS["dbspojeni"]);
$pocneakpol=$GLOBALS["num_rows"]($dotazpolozky);

if ($pocneakpol>0):
  for($pomneakt=0;$pomneakt<$pocneakpol;$pomneakt++):
    $pole_neakt=$GLOBALS["fetch_assoc"]($dotazpolozky);
    // smazání položky v databázi
    @$errorneaktinz=$GLOBALS["query"]("delete from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where idn=".(int)$pole_neakt["idn"]."",$GLOBALS["dbspojeni"]);
    if ($errorneaktinz):
      $dotazneaktobr=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_obr where inzerat=".(int)$pole_neakt["idn"]."",$GLOBALS["dbspojeni"]);
      $pocetneaktobr=$GLOBALS["num_rows"]($dotazneaktobr);
      for ($pomdelobr=0;$pomdelobr<$pocetneaktobr;$pomdelobr++):
        $pole_neakt_obr=$GLOBALS["fetch_assoc"]($dotazneaktobr);
        @$errorneaktobr=$GLOBALS["query"]("delete from ".$GLOBALS["rspredpona"]."inzertnisystem_obr where ido=".(int)$pole_neakt_obr["ido"]."",$GLOBALS["dbspojeni"]);
        if ($errorneaktobr):
          // mazání obrázků
          if(file_exists($pole_neakt_obr["obr_poloha"])):
            unlink($pole_neakt_obr["obr_poloha"]);
          endif;
          if(file_exists($pole_neakt_obr["nahl_poloha"])):
            unlink($pole_neakt_obr["nahl_poloha"]);
          endif;
        endif;
      endfor;
    endif;
  endfor;
endif;
}

//-----------------------------------------------------------------------------
// smazání prošlích inzerátů
//-----------------------------------------------------------------------------

function SmazProslichInzeratu()
{
$datumstazinz=Date("Y-m-d H:i:s");
$omezenistaz.=" datum_staz<='".$datumstazinz."'";

$dotazstaz=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where ".$omezenistaz." and potvrzeni=1",$GLOBALS["dbspojeni"]);
$pocstazpol=$GLOBALS["num_rows"]($dotazstaz);

if ($pocstazpol>0):
  for($pomstaz=0;$pomstaz<$pocstazpol;$pomstaz++):
    $pole_staz=$GLOBALS["fetch_assoc"]($dotazstaz);
    // smazání položky v databázi
    @$errorstazpol=$GLOBALS["query"]("delete from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where idn=".(int)$pole_staz["idn"]."",$GLOBALS["dbspojeni"]);
    if ($errorstazpol):
      $dotazstazpolobr=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_obr where inzerat=".(int)$pole_staz["idn"]."",$GLOBALS["dbspojeni"]);
      $pocetstazobr=$GLOBALS["num_rows"]($dotazstazpolobr);

      for ($pomdelstazobr=0;$pomdelstazobr<$pocetstazobr;$pomdelstazobr++):
        $pole_staz_obr=$GLOBALS["fetch_assoc"]($dotazstazpolobr);
        @$errorstazobr=$GLOBALS["query"]("delete from ".$GLOBALS["rspredpona"]."inzertnisystem_obr where ido=".(int)$pole_staz_obr["ido"]."",$GLOBALS["dbspojeni"]);
        if ($errorstazobr):
          // mazání obrázků
          if(file_exists($pole_staz_obr["obr_poloha"])):
            unlink($pole_staz_obr["obr_poloha"]);
          endif;
          if(file_exists($pole_staz_obr["nahl_poloha"])):
            unlink($pole_staz_obr["nahl_poloha"]);
          endif;
        endif;
      endfor;
    endif;
  endfor;
endif;
}

//*****************************************************************************
// HLAVNÍ FUNKCE INZERCE
//*****************************************************************************

/*
  AktualniInzeraty()
  DetailInzeratu()
  OdpovedNaInzerat()
*/

//-----------------------------------------------------------------------------
// zobrazení seznamu inzerátů
//-----------------------------------------------------------------------------

function AktualniInzeraty()
{
echo "<h1>".NADPIS1."</h1>\n";

// počet inzerátů na stránku
$pocet_inz_na_str=$GLOBALS["pocet_inzeratu"];

$dnesnidatum=MyDnesniDatum();
$vypisinzeratu="datum_staz>='".$dnesnidatum."'";

// výběr dle sekce
if (isset($GLOBALS["id_kat"])):
$vyberkat=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".(int)$GLOBALS["id_kat"]."",$GLOBALS["dbspojeni"]);
$data = $GLOBALS["fetch_assoc"]($vyberkat);
if ($data["rodic"]=="0"):
   $podmsekce="and kategorie=".(int)$data["ids"]."";
else:
$vyberkat2=$GLOBALS["query"]("select ids from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where id_predka=".(int)$data["ids"]."",$GLOBALS["dbspojeni"]);
$pocetkat=$GLOBALS["num_rows"]($vyberkat2);
           for($pomsek=0;$pomsek<$pocetkat;$pomsek++):
              $data2 = $GLOBALS["fetch_assoc"]($vyberkat2);
              $podkat.=" or kategorie=".$data2["ids"]."";   
           endfor;
           $podmsekce="and ((kategorie=".(int)$GLOBALS["id_kat"]."".$podkat."))";
endif;

endif;

// výběr dle typu
if (isset($GLOBALS["id_typ"])):
   $podmtyp="and typ=".(int)$GLOBALS["id_typ"]."";
endif;

// výběr dle lokality
if (isset($GLOBALS["lokalita"])):
   $podmlok="and lokalita=".(int)$GLOBALS["lokalita"]."";
endif;

// zpracování stránkování
$odinz=0;
if (isset($GLOBALS["strana"])):
  $odinz=($GLOBALS["strana"]-1)*$pocet_inz_na_str;
else:
  $GLOBALS["strana"]=1;
endif;

$dotaz=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where ".$vypisinzeratu."  ".$podmsekce." ".$podmtyp." ".$podmlok." and potvrzeni=1 order by datum_vyst desc, nazev asc limit ".$odinz.",".$pocet_inz_na_str."",$GLOBALS["dbspojeni"]);
$pocet=$GLOBALS["num_rows"]($dotaz);

$dotazinzcelkem=$GLOBALS["query"]("select idn from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where ".$vypisinzeratu."  ".$podmsekce." ".$podmtyp." ".$podmlok." and potvrzeni=1",$GLOBALS["dbspojeni"]);
$pocetinzcelkem=$GLOBALS["num_rows"]($dotazinzcelkem);

if ($pocet==0):
  echo "<p class=\"chyba\">".HLASKA_CHYBA26."</p>\n";
else:
  for ($pom=0;$pom<$pocet;$pom++):
    $pole_data=$GLOBALS["fetch_assoc"]($dotaz);
    $dotazpocobr=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_obr where inzerat=".$pole_data["idn"]." and nahl_width<=nahl_height order by rand() limit 1",$GLOBALS["dbspojeni"]);
    $pocetobr=$GLOBALS["num_rows"]($dotazpocobr);
    $pole_obr=$GLOBALS["fetch_assoc"]($dotazpocobr);

    echo "<div class=\"block_form_header\">\n";
      echo "<span class=\"ico\">".MyDatetimeToDate($pole_data["datum_vyst"])."</span>\n";
      //echo "<div class=\"text\"><a href=\"".$GLOBALS["baseadr"]."".SEO8."/".$pole_data["idn"]."-".UpravProSeo($pole_data["nazev"])."/\" title=\"".INZSYS13.": ".$pole_data["nazev"]."\">".$pole_data["nazev"]."</a></div>\n";
        $dotazkat=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$pole_data["kategorie"]."",$GLOBALS["dbspojeni"]);
        if ($GLOBALS["result"]($dotazkat,0,"rodic")==1):
          echo "<div class=\"text\"><a href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazkat,0,"nazev"))."-".$GLOBALS["result"]($dotazkat,0,"ids")."/".$pole_data["idn"]."-".UpravProSeo($pole_data["nazev"])."/\" title=\"".INZSYS13.": ".$pole_data["nazev"]."\">".$pole_data["nazev"]."</a></div>\n";
            else:
          $dotazkat2=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$GLOBALS["result"]($dotazkat,0,"id_predka")."",$GLOBALS["dbspojeni"]);
          echo "<div class=\"text\"><a href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazkat2,0,"nazev"))."-".$GLOBALS["result"]($dotazkat2,0,"ids")."/".UpravProSeo($GLOBALS["result"]($dotazkat,0,"nazev"))."-".$GLOBALS["result"]($dotazkat,0,"ids")."/".$pole_data["idn"]."-".UpravProSeo($pole_data["nazev"])."/\" title=\"".INZSYS13.": ".$pole_data["nazev"]."\">".$pole_data["nazev"]."</a></div>\n";
        endif;
    echo "</div>\n";

    echo "<div class=\"block_body\">\n";
      if ($pocetobr==1):
        echo "<a href=\"".$GLOBALS["baseadr"].$pole_obr["obr_poloha"]."\" title=\"".$pole_data["nazev"]." - ".INZSYS14."\" rel=\"gb_image[]\"><img class=\"right\" src=\"".$GLOBALS["baseadr"].$pole_obr["nahl_poloha"]."\" alt=\"".$pole_data["nazev"]." - ".INZSYS14."\" height=\"".$pole_obr["nahl_height"]."\" width=\"".$pole_obr["nahl_width"]."\" /></a>\n";
      endif;
      echo "<p>".str_replace("\n","<br />",ZkratRetezec($pole_data["popis"],380))."</p>\n";
      echo "<div class=\"clear_r\"></div>\n";
    echo "</div>\n";
    echo "<div class=\"block_food\">\n";
        if ($GLOBALS["result"]($dotazkat,0,"rodic")==1):
          echo "<span class=\"float_r\"><a href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazkat,0,"nazev"))."-".$GLOBALS["result"]($dotazkat,0,"ids")."/".$pole_data["idn"]."-".UpravProSeo($pole_data["nazev"])."/\" title=\"".INZSYS13.": ".$pole_data["nazev"]."\">".SIPKY." ".INZSYS13."</a></span>\n";
            else:
          echo "<span class=\"float_r\"><a href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazkat2,0,"nazev"))."-".$GLOBALS["result"]($dotazkat2,0,"ids")."/".UpravProSeo($GLOBALS["result"]($dotazkat,0,"nazev"))."-".$GLOBALS["result"]($dotazkat,0,"ids")."/".$pole_data["idn"]."-".UpravProSeo($pole_data["nazev"])."/\" title=\"".INZSYS13.": ".$pole_data["nazev"]."\">".SIPKY." ".INZSYS13."</a></span>\n";
        endif;
      echo "<div class=\"float_l\">".INZSYS15.": ";
        if ($pole_data["typ"]==1):
          echo "<a href=\"".$GLOBALS["baseadr"]."".SEO8."/".SEO12."/\" title=\"".INZSYS16."\">".INZSYS18."</a>";
        else:
          echo "<a href=\"".$GLOBALS["baseadr"]."".SEO8."/".SEO13."/\" title=\"".INZSYS17."\">".INZSYS19."</a>";
        endif;
          if ($GLOBALS["result"]($dotazkat,0,"rodic")==1):
            echo " | ".INZSYS10.": <a href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazkat,0,"nazev"))."-".$GLOBALS["result"]($dotazkat,0,"ids")."/\" title=\"".INZSYS20.": ".$GLOBALS["result"]($dotazkat,0,"nazev")."\">".$GLOBALS["result"]($dotazkat,0,"nazev")."</a>";
            else:
            echo " | ".INZSYS10.": <a href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazkat2,0,"nazev"))."-".$GLOBALS["result"]($dotazkat2,0,"ids")."/".UpravProSeo($GLOBALS["result"]($dotazkat,0,"nazev"))."-".$GLOBALS["result"]($dotazkat,0,"ids")."/\" title=\"".INZSYS20.": ".$GLOBALS["result"]($dotazkat,0,"nazev")."\">".$GLOBALS["result"]($dotazkat,0,"nazev")."</a>";
          endif;  
        if (!$pole_data["cena"]==0): echo " | ".INZSYS3.": ".$pole_data["cena"]." ".INZSYS12.""; endif;
      echo "</div>\n";
      echo "<div class=\"clear_r\"></div>\n";
    echo "</div>\n";
  endfor;


  if ($pocet_inz_na_str>0):
    $pocet_str=ceil($pocetinzcelkem/$pocet_inz_na_str);
  else:
    $pocet_str=ceil($pocetinzcelkem/5); //defaltní množství 5 na stránku
  endif;
  if ($pocet_str>1):
    echo "<div class=\"navigation\">";
      if ($GLOBALS["strana"]>1):
        if (isset($GLOBALS["id_kat"])):
        $dotazsekce=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$GLOBALS["id_kat"]."",$GLOBALS["dbspojeni"]);
        if (isset($GLOBALS["id_predka"])):
        $dotazkat2=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$GLOBALS["result"]($dotazsekce,0,"id_predka")."",$GLOBALS["dbspojeni"]);
          echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazkat2,0,"nazev"))."-".$GLOBALS["result"]($dotazkat2,0,"ids")."/".UpravProSeo($GLOBALS["result"]($dotazsekce,0,"nazev"))."-".$GLOBALS["result"]($dotazsekce,0,"ids")."/\" title=\"".INZSYS21."\">&lt;&lt;</a>";
          else:
          echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazsekce,0,"nazev"))."-".$GLOBALS["result"]($dotazsekce,0,"ids")."/\" title=\"".INZSYS21."\">&lt;&lt;</a>";
          endif;
        elseif(isset($GLOBALS["id_typ"]) && $GLOBALS["id_typ"]==1):
          echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO8."/".SEO12."/".SEO11."-".($GLOBALS["".strana.""]-1)."/\" title=\"".INZSYS21."\">&lt;&lt;</a>";
        elseif(isset($GLOBALS["id_typ"]) && $GLOBALS["id_typ"]==2):
          echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO8."/".SEO13."/".SEO11."-".($GLOBALS["".strana.""]-1)."/\" title=\"".INZSYS21."\">&lt;&lt;</a>";
        elseif(isset($GLOBALS["lokalita"])):
        $dotazlok=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where idl=".$GLOBALS["lokalita"]."",$GLOBALS["dbspojeni"]);
        echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazlok,0,"nazev"))."-l".$GLOBALS["result"]($dotazlok,0,"idl")."/".SEO11."-".($GLOBALS["".strana.""]-1)."/\" title=\"".INZSYS21."\">&lt;&lt;</a>";
        else:
          echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO8."/".SEO11."-".($GLOBALS["".strana.""]-1)."/\" title=\"".INZSYS21."\">&lt;&lt;</a>";
        endif;
      endif;
      for($pomstr=1;$pomstr<$pocet_str+1;$pomstr++):
        if ($pomstr==$GLOBALS["strana"]):
          echo "<span>".$pomstr."</span>";
        else:
          if (isset($GLOBALS["id_kat"])):
        $dotazsekce=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$GLOBALS["id_kat"]."",$GLOBALS["dbspojeni"]);
        if (isset($GLOBALS["id_predka"])):
        $dotazkat2=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$GLOBALS["result"]($dotazsekce,0,"id_predka")."",$GLOBALS["dbspojeni"]);
            echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazkat2,0,"nazev"))."-".$GLOBALS["result"]($dotazkat2,0,"ids")."/".UpravProSeo($GLOBALS["result"]($dotazsekce,0,"nazev"))."-".$GLOBALS["result"]($dotazsekce,0,"ids")."/".SEO11."-".$pomstr."/\" title=\"".INZSYS22.".".$pomstr."\">".$pomstr."</a>";
           else:
            echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazsekce,0,"nazev"))."-".$GLOBALS["result"]($dotazsekce,0,"ids")."/".SEO11."-".$pomstr."/\" title=\"".INZSYS22.".".$pomstr."\">".$pomstr."</a>";
           endif;
           elseif(isset($GLOBALS["id_typ"]) && $GLOBALS["id_typ"]==1):
            echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO8."/".SEO12."/".SEO11."-".$pomstr."/\" title=\"".INZSYS22.".".$pomstr."\">".$pomstr."</a>";
          elseif(isset($GLOBALS["id_typ"]) && $GLOBALS["id_typ"]==2):
            echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO8."/".SEO13."/".SEO11."-".$pomstr."/\" title=\"".INZSYS22.".".$pomstr."\">".$pomstr."</a>";
          elseif(isset($GLOBALS["lokalita"])):
          $dotazlok=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where idl=".$GLOBALS["lokalita"]."",$GLOBALS["dbspojeni"]);
        echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazlok,0,"nazev"))."-l".$GLOBALS["result"]($dotazlok,0,"idl")."/".SEO11."-".$pomstr."/\" title=\"".INZSYS22.".".$pomstr."\">".$pomstr."</a>";
          else:
            echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO8."/".SEO11."-".$pomstr."/\" title=\"".INZSYS22.".".$pomstr."\">".$pomstr."</a>";
          endif;
        endif;
      endfor;
      if ($GLOBALS["strana"]<$pocet_str):
        if (isset($GLOBALS["id_kat"])):
        $dotazsekce=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$GLOBALS["id_kat"]."",$GLOBALS["dbspojeni"]);
        if (isset($GLOBALS["id_predka"])):
        $dotazkat2=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$GLOBALS["result"]($dotazsekce,0,"id_predka")."",$GLOBALS["dbspojeni"]);
            echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazkat2,0,"nazev"))."-".$GLOBALS["result"]($dotazkat2,0,"ids")."/".UpravProSeo($GLOBALS["result"]($dotazsekce,0,"nazev"))."-".$GLOBALS["result"]($dotazsekce,0,"ids")."/".SEO11."-".($GLOBALS["".strana.""]+1)."/\" title=\"".INZSYS23."\">&gt;&gt;</a>";
           else:
            echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazsekce,0,"nazev"))."-".$GLOBALS["result"]($dotazsekce,0,"ids")."/".SEO11."-".($GLOBALS["".strana.""]+1)."/\" title=\"".INZSYS23."\">&gt;&gt;</a>";
           endif;
          elseif(isset($GLOBALS["id_typ"]) && $GLOBALS["id_typ"]==1):
          echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO8."/".SEO12."/".SEO11."-".($GLOBALS["".strana.""]+1)."/\" title=\"".INZSYS23."\">&gt;&gt;</a>";
        elseif(isset($GLOBALS["id_typ"]) && $GLOBALS["id_typ"]==2):
          echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO8."/".SEO13."/".SEO11."-".($GLOBALS["".strana.""]+1)."/\" title=\"".INZSYS23."\">&gt;&gt;</a>";
        elseif(isset($GLOBALS["lokalita"])):
        $dotazlok=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where idl=".$GLOBALS["lokalita"]."",$GLOBALS["dbspojeni"]);
          echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazlok,0,"nazev"))."-l".$GLOBALS["result"]($dotazlok,0,"idl")."/".SEO11."-".($GLOBALS["".strana.""]+1)."/\" title=\"".INZSYS23."\">&gt;&gt;</a>";
        else:
          echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO8."/".SEO11."-".($GLOBALS["".strana.""]+1)."/\" title=\"".INZSYS23."\">&gt;&gt;</a>";
        endif;
      endif;
    echo "</div>\n";
  endif;

endif;
}

//-----------------------------------------------------------------------------
// zobrazení detailu inzerátu
//-----------------------------------------------------------------------------

function DetailInzeratu()
{
$_SESSION['znak']=Bezpecnostni_Kod(5);
$GLOBALS["id_inz"]=$GLOBALS["escape_string"]($GLOBALS["id_inz"]);

$GLOBALS["query"]("update ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty set pocitadlo=pocitadlo+1 where idn=".(int)$GLOBALS["id_inz"]."",$GLOBALS["dbspojeni"]);

$dotaz=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where idn=".(int)$GLOBALS["id_inz"]."",$GLOBALS["dbspojeni"]);
$pocet=$GLOBALS["num_rows"]($dotaz);

if ($pocet==1):
  $pole_data=$GLOBALS["fetch_assoc"]($dotaz);
  $dotazkat=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$pole_data["kategorie"]."",$GLOBALS["dbspojeni"]);
  $dotazobr=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_obr where inzerat=".(int)$GLOBALS["id_inz"]." order by ido asc",$GLOBALS["dbspojeni"]);
  $pocetobr=$GLOBALS["num_rows"]($dotazobr);

  echo "<div class=\"block_form_header\">".$pole_data["nazev"]."</div>\n";
  echo "<div class=\"block_detail\">\n";
    echo "<h2>".INZSYS1.":</h2>\n";
    echo "<p>".str_replace("\n","<br />",$pole_data["popis"])."</p>\n";
    echo "<br />\n";

    echo "<h2>".INZSYS24.":</h2>\n";
    echo "<div class=\"center\">\n";
      echo "<table cellspacing=\"0\" cellpadding=\"3\">\n";
        echo "<tbody>\n";
          echo "<tr>\n";
            echo "<td class=\"inzerat1\">".INZSYS25.":</td>\n";
            echo "<td class=\"inzerat2\">".$pole_data["idn"]."</td>\n";
          echo "</tr>\n";
          echo "<tr>\n";
            echo "<td class=\"inzerat1\">".INZSYS26.":</td>\n";
            echo "<td class=\"inzerat2\">".MyDatetimeToDatetime($pole_data["datum_vyst"])."</td>\n";
          echo "</tr>\n";
          echo "<tr>\n";
          echo "<td class=\"inzerat1\">".INZSYS10.":</td>\n";
         if ($GLOBALS["result"]($dotazkat,0,"rodic")==1):
          echo "<td class=\"inzerat2\"><a href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazkat,0,"nazev"))."-".$GLOBALS["result"]($dotazkat,0,"ids")."/\" title=\"".INZSYS20.": ".$GLOBALS["result"]($dotazkat,0,"nazev")."\">".$GLOBALS["result"]($dotazkat,0,"nazev")."</a></td>\n";
          else:
            $dotazkat2=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$GLOBALS["result"]($dotazkat,0,"id_predka")."",$GLOBALS["dbspojeni"]);
          echo "<td class=\"inzerat2\"><a href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazkat2,0,"nazev"))."-".$GLOBALS["result"]($dotazkat2,0,"ids")."/".UpravProSeo($GLOBALS["result"]($dotazkat,0,"nazev"))."-".$GLOBALS["result"]($dotazkat,0,"ids")."/\" title=\"".INZSYS20.": ".$GLOBALS["result"]($dotazkat,0,"nazev")."\">".$GLOBALS["result"]($dotazkat,0,"nazev")."</a></td>\n";
          endif;  
          echo "</tr>\n";
          $dotazlok=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where idl=".$pole_data["lokalita"]."",$GLOBALS["dbspojeni"]);
          echo "<td class=\"inzerat1\">".INZSYS11.":</td>\n";
          echo "<td class=\"inzerat2\">".$GLOBALS["result"]($dotazlok,0,"nazev")."</td>\n";
          echo "</tr>\n";
          echo "<tr>\n";
            echo "<td class=\"inzerat1\">".INZSYS7.":</td>\n";
            echo "<td class=\"inzerat2\">";
              if ($pole_data["typ"]==1):
                echo "<a href=\"".$GLOBALS["baseadr"]."".SEO8."/".SEO12."/\" title=\"".INZSYS16."\">".INZSYS8."</a>";
              else:
                echo "<a href=\"".$GLOBALS["baseadr"]."".SEO8."/".SEO13."/\" title=\"".INZSYS17."\">".INZSYS9."</a>";
              endif;
            echo "<td>\n";
          echo "</tr>\n";
          if (!empty($pole_data["cena"])):
            echo "<tr>\n";
              echo "<td class=\"inzerat1\">".INZSYS3.":</td>\n";
              echo "<td class=\"inzerat2\">".$pole_data["cena"]." ".INZSYS12."</td>\n";
            echo "</tr>\n";
          endif;
          echo "<tr>\n";
            echo "<td class=\"inzerat1\">".INZSYS27.":</td>\n";
            echo "<td class=\"inzerat2\">".$pole_data["pocitadlo"]."x</td>\n";
          echo "</tr>\n";
        echo "</tbody>\n";
      echo "</table>\n";
    echo"</div>\n";


      echo "<br />\n";
      echo "<h2>".INZSYS28.":</h2>\n";
      echo "<div class=\"center\">\n";
        echo "<table cellspacing=\"0\" cellpadding=\"3\">\n";
          echo "<tbody>\n";
            if ($pole_data["zobr_kontakt"]==1):
              echo "<tr>\n";
                echo "<td class=\"inzerat1\">".INZSYS29.":</td>\n";
                echo "<td class=\"inzerat2\">".$pole_data["jmeno"]."</td>\n";
              echo "</tr>\n";
              echo "<tr>\n";
                echo "<td class=\"inzerat1\">".INZSYS30.":</td>\n";
                echo "<td class=\"inzerat2\"><a href=\"mailto:".AntiSpam($pole_data["email"])."\" title=\"".AntiSpam($pole_data["email"])."\">".AntiSpam($pole_data["email"])."</a></td>\n";
              echo "</tr>\n";
            endif;
             if (!empty($pole_data["telefon"])):
                echo "<tr>\n";
                  echo "<td class=\"inzerat1\">".INZSYS4.":</td>\n";
                  echo "<td class=\"inzerat2\">".INZSYS78." ".$pole_data["telefon"]."</td>\n";
                echo "</tr>\n";
              endif;
              if (!empty($pole_data["mobil"])):
                echo "<tr>\n";
                  echo "<td class=\"inzerat1\">".INZSYS5.":</td>\n";
                  echo "<td class=\"inzerat2\">".INZSYS78." ".$pole_data["mobil"]."</td>\n";
                echo "</tr>\n";
              endif;
            if (!empty($pole_data["url"])):
              echo "<tr>\n";
                echo "<td class=\"inzerat1\">".INZSYS31.":</td>\n";
                echo "<td class=\"inzerat2\"><a class=\"underline\" href=\"".$pole_data["url"]."\" title=\"".$pole_data["url"]."\">".ZkratRetezec($pole_data["url"],50)."</a></td>\n";
              echo "</tr>\n";
            endif;
          echo "</tbody>\n";
        echo "</table>\n";
      echo"</div>\n";

    if ($pocetobr>0):
      echo "<br />\n";
      echo "<h2>".INZSYS14.":</h2>\n";
      echo "<div class=\"center\">\n";
        echo "<table cellspacing=\"0\" cellpadding=\"3\">\n";
          echo "<tbody>\n";
            $pocetprubehu=0;
            for ($pom=0;$pom<$pocetobr;$pom++):
              $pole_obr=$GLOBALS["fetch_assoc"]($dotazobr);
              if ($pocetprubehu==0):
                echo "<tr>\n";
              endif;
              echo "<td class=\"gallery\"><a href=\"".$GLOBALS["baseadr"].$pole_obr["obr_poloha"]."\" title=\"".$pole_data["nazev"]." - ".($pom+1)."\" rel=\"gb_imageset[detail]\">";
              echo "<img src=\"".$GLOBALS["baseadr"].$pole_obr["nahl_poloha"]."\" alt=\"".$pole_data["nazev"]." - ".INZSYS14."\" height=\"".$pole_obr["nahl_height"]."\" width=\"".$pole_obr["nahl_width"]."\" /></a></td>\n";
              if ($pocetprubehu==2):
                echo "</tr>\n";
                $pocetprubehu=0;
              else:
                $pocetprubehu++;
              endif;
            endfor;

            // dokončení tabulky
            switch ($pocetprubehu):
              case 0: break;
              case 1: echo "<td class=\"gallery\">&nbsp;</td>\n<td class=\"gallery\">&nbsp;</td>\n</tr>"; break;
              case 2: echo "<td class=\"gallery\">&nbsp;</td>\n</tr>\n"; break;
            endswitch;
          echo "</tbody>\n";
        echo "</table>\n";
      echo"</div>\n";
    endif;
  echo "</div>\n";
    echo "<br />\n";
    echo "<div class=\"block_form_header\">";
    echo "".INZSYS32.":</div>\n";
    echo "<div class=\"block_form_body\">\n";
        echo "<form action=\"".$GLOBALS["baseadr"]."inzertnisystem.php\" id=\"answerForm\" onsubmit=\"return (AnswerCheckForm (this));\" method=\"post\">\n";
        echo "<div class=\"center\">\n";
        echo "<input type=\"hidden\" name=\"page\" value=\"".SEO8."\" />\n";
        echo "<input type=\"hidden\" name=\"id_odp\" value=\"".$GLOBALS["id_inz"]."\" />\n";
        echo "<p class=\"label\"><strong>".INZSYS33.":</strong></p>\n";
        echo "<div class=\"left\"><textarea name=\"ozprava\"  cols=\"60\" rows=\"15\" tabindex=\"1\">".$GLOBALS["ozprava"]."</textarea></div><br />\n";
        echo "<label for=\"oemail\">".INZSYS34."</label><input type=\"text\" id=\"oemail\" name=\"oemail\" value=\"".$GLOBALS["oemail"]."\" maxlength=\"50\" tabindex=\"2\" /><br /><br />\n";
         
              // Kontrolní kód (povinné)
        if ($GLOBALS["prmyctenar"]->ctenarstav==1): 
          echo "<input type=\"hidden\" id=\"ikontrola\" name=\"ikontrola\" value=\"bezkontroly\"/>\n";
        else:
          echo "<div class=\"left\"><label>&nbsp;</label><img class=\"ico\" src=\"".$GLOBALS["baseadr"]."kod_obrazek.php\" width=\"220\" height=\"51\" alt=\"".INZSYS57."\" /><br /><br />\n";
          echo "<label for=\"ikontrola\">&nbsp;</label><input type=\"text\" class=\"znak5\" id=\"ikontrola\" name=\"ikontrola\" maxlength=\"5\" tabindex=\"26\" /> ".INZSYS58."</div><br /><br />\n";
        endif;
        
        
      
        if ($GLOBALS["okopie"]==true):
          echo "<div class=\"center\"><input type=\"checkbox\" class=\"checkbox\" id=\"okopie\" name=\"okopie\" checked=\"checked\" tabindex=\"3\" />".INZSYS35."</div>\n";
        else:
          echo "<div class=\"center\"><input type=\"checkbox\" class=\"checkbox\" id=\"okopie\" name=\"okopie\" tabindex=\"3\" />".INZSYS35."</div>\n";
        endif;
        echo "<div class=\"center\"><input type=\"submit\" class=\"button\" value=\"".TLACITKO1."\" tabindex=\"4\" /><input type=\"reset\" class=\"button\" value=\"".TLACITKO2."\" tabindex=\"5\" /></div>\n";
       echo "</div>\n";
      echo "</form>\n";
    echo "</div>\n";


else:
  echo "<p class=\"chyba\">".HLASKA_INFO1."</p>\n";
endif;
}

//-----------------------------------------------------------------------------
// Odpověď na inzerát
//-----------------------------------------------------------------------------

function OdpovedNaInzerat()
{
$GLOBALS["id_odp"]=$GLOBALS["escape_string"]($GLOBALS["id_odp"]);
$GLOBALS["oemail"]=$GLOBALS["escape_string"]($GLOBALS["oemail"]);
$GLOBALS["ikontrola"]=$GLOBALS["escape_string"]($GLOBALS["ikontrola"]);

$error_data="0"; // inicializace chyby
if ($GLOBALS["prmyctenar"]->ctenarstav==1):
$znak="bezkontroly";
else:
$znak=$_SESSION["znak"];
endif;
if ($GLOBALS["ikontrola"]==$znak):
if (TestEmailAdr($GLOBALS["oemail"])==1):

  $dotazinzerat=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where idn=".(int)$GLOBALS["id_odp"]."",$GLOBALS["dbspojeni"]);
  $pole_inzerat=$GLOBALS["fetch_assoc"]($dotazinzerat);

  // příprava e-mailu
  $zprava = "".HLASKY_EMAIL1."\n\n";
  $zprava .= "".HLASKY_EMAIL2." ".$GLOBALS["baseadr"]." ".HLASKY_EMAIL3.":\n\n";

  $zprava .= "".INZSYS36.": ".$pole_inzerat["nazev"]."\n\n";
  $zprava .= "".INZSYS1.":\n".str_replace ("\n","\r\n",$pole_inzerat["popis"])."\n\n";
  if (!empty($pole_inzerat["cena"])): $zprava .= "".INZSYS3.": ".$pole_inzerat["cena"]."".INZSYS12."\n"; endif;
  if (!empty($pole_inzerat["url"])): $zprava .= "".INZSYS6.": ".$pole_inzerat["url"]."\n"; endif;
  if ($pole_inzerat["typ"]==1):
    $zprava .= "".INZSYS7.": ".INZSYS8." \n";
  else:
    $zprava .= "".INZSYS7.": ".INZSYS9." \n";
  endif;
  $vyberkat=$GLOBALS["query"]("select nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$pole_inzerat["kategorie"]."",$GLOBALS["dbspojeni"]);
  $zprava .= "".INZSYS10.": ".$GLOBALS["result"]($vyberkat,0,"nazev")."\n";
  $vyberlok=$GLOBALS["query"]("select nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where idl=".$pole_inzerat["lokalita"]."",$GLOBALS["dbspojeni"]);
  $zprava .= "".INZSYS11.": ".$GLOBALS["result"]($vyberlok,0,"nazev")."\n\n";
  $zprava .= "--------------------------------------------------------------------------------\n\n";
  $zprava .= "".HLASKY_EMAIL11.":\n".str_replace ("\n","\r\n",$GLOBALS["ozprava"])."\n\n";

  $zprava .= "           ".HLASKY_EMAIL35."";

  $predmet=$GLOBALS["wwwname"]." - ".HLASKY_EMAIL12."";

  SendMailInfo($pole_inzerat["email"],$predmet,$zprava,$GLOBALS["oemail"]);

  if ($GLOBALS["okopie"]==true):
    SendMailInfo($GLOBALS["oemail"],$predmet,$zprava,$GLOBALS["postmaster"]);
  endif;
  echo "<p class=\"chyba\">".HLASKY_EMAIL12.": <em>".$pole_inzerat["nazev"]."</em> ".HLASKA_INFO4.".</p>\n";
else:
  echo "<p class=\"chyba\">".HLASKA_INFO3." <em>".AntiSpam($GLOBALS["demail"])."</em> ".HLASKA_INFO5." .</p>\n";
  $GLOBALS["id_inz"]=$GLOBALS["id_odp"];
  DetailInzeratu();
endif;
else:
  echo "<p class=\"chyba\">".HLASKA_INFO2."</p>\n";
  $GLOBALS["id_inz"]=$GLOBALS["id_odp"];
  DetailInzeratu();
endif;
}

//*****************************************************************************
// TVORBA STRÁNKY
//*****************************************************************************

OdblokProdlEmail();
SmazNeaktInzeraty();
SmazProslichInzeratu();

if (!empty($GLOBALS["id_inz"])):
  DetailInzeratu();
elseif (!empty($GLOBALS["id_odp"])):
  OdpovedNaInzerat();
else:
  AktualniInzeraty();
endif;
?>