<?php
  ######################################################################
  #  plugin pro phpRS - Inzertní systém - 3.0.0
  ######################################################################

  // Copyright (c) 2008 by Daniel Vávra (Vavrad@oez.cz)
  // Copyright (c) 2008 by gord007 (gord007@seznam.cz)
  // This program is free software. - Toto je bezplatny a svobodny software.
  // pro phpRS, neni standardni soucasti
  // Copyright (c) 2001-2004 by Jiri Lukas (jirilukas@supersvet.cz)
  // http://www.supersvet.cz/phprs/

//-------------------------------------
// Aktualizováno: 20.7.2008
//-------------------------------------

//*****************************************************************************
// INZERTNÍ SYSTÉM - VYHLEDÁVÁNÍ
//*****************************************************************************


//-----------------------------------------------------------------------------
// využívané tabulky: rs_inzertnisystem_inzeraty, rs_inzertnisystem_sekce
//-----------------------------------------------------------------------------

if (!defined('IN_CODE')):
  $GLOBALS["page"]="error";
  $GLOBALS["error"]="403";
  require "inzertnisystem.php";
  exit;
endif;

//*****************************************************************************
// POMOCNÉ FUNKCE INZERCE - VYHLEDÁVÁNÍ
//*****************************************************************************

/*
  ZpracujHleStr($vstup = "")
*/

//-----------------------------------------------------------------------------
// Zpracování hledaného řetězce
//-----------------------------------------------------------------------------

function ZpracujHleStr($vstup = "")
{
if ($vstup==""):
  // vrácení prázdného výstupu
  return $vysledek[0]="";
else:
  // dekompilace vyhledávaného řetězce - výsledkem je pole hledaných slov a řetězců $slova[]
  $slova=array();
  $p_txt=str_replace("'","\'",$vstup); // zpracování apostrofu
  $p_txt=str_replace('"',' " ',$p_txt); // dekompilace textu na fráze a slova
  $p_pompole=explode(" ",$p_txt);
  $p_pocetpompole=count($p_pompole); // počet prvku v pompole
  $p_uvozovka=0; // 0 = false stav, 1 = true stav
  $p_struvozovka="";
  // zpracování vyhled. řetězce
  for ($pom=0;$pom<$p_pocetpompole;$pom++):
    if (($p_uvozovka==0)&&($p_pompole[$pom]!='"')&&($p_pompole[$pom]!="")): // zápis do pole hled. slov
      $slova[]=$p_pompole[$pom];
    endif;
    if (($p_uvozovka==1)&&($p_pompole[$pom]!='"')): // zápis v ramci uvozovek
      $p_struvozovka .=" ".$p_pompole[$pom];
    endif;
    if ($p_pompole[$pom]=='"'): // inicializace uvozovek
       if ($p_uvozovka==0): // přepínání mezi uvozovkami
         $p_uvozovka=1; // start vnořeného řetězce
       else:
         if ($p_struvozovka!=""): // test na vyprázdnění pom. řetězce do pole hled. slov
           $slova[]=trim($p_struvozovka);
           $p_struvozovka=""; // vynulování pomoc. proměnné
         endif;
         $p_uvozovka=0; // konec vnořeného řetězce
       endif;
    endif;
  endfor;
  // test na zbytkový řetězec v p_struvozovka
  if (trim($p_struvozovka)!=""): // pom. prom. obsahuje nějaký zbytkový řetězec
    $p_pompole=explode(" ",trim($p_struvozovka));
    $p_pocetpompole=count($p_pompole); // počet prvků v pompole
    for ($pom=0;$pom<$p_pocetpompole;$pom++):
      if ($p_pompole[$pom]!=" "): $slova[]=$p_pompole[$pom]; endif;
    endfor;
  endif;
  // vrácení výsledkového pole
  return $slova;
endif;
}

//-------------------------------------------------------------------------------------------
// funkce: zamění prázdnou mezeru za pomlčku
//-------------------------------------------------------------------------------------------

function MezeraPomlcka($str = "")
{
return StrTr($str, " ", "-");
}

//-------------------------------------------------------------------------------------------
// funkce: zamění pomlčku za prázdnou mezeru
//-------------------------------------------------------------------------------------------

function PomlckaMezera($str = "")
{
return StrTr($str, "-", " ");
}

//*****************************************************************************
// HLAVNÍ FUNKCE INZERCE - VYHLEDÁVÁNÍ
//*****************************************************************************

/*
  VypisInzeratu()
*/

//-----------------------------------------------------------------------------
// zobrazení seznamu inzerátů
//-----------------------------------------------------------------------------

function VypisInzeratu()
{
echo "<h1>".NADPIS8."</h1>\n";

// počet inzerátů na stránku
$pocet_inz_na_str=$GLOBALS["pocet_inzeratu"];

$dnesnidatum=MyDnesniDatum();
$vypisinzeratu="datum_staz>='".$dnesnidatum."'";

// výběr dle sekce
if (!empty($GLOBALS["id_kat"])):
$vyberkat=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".(int)$GLOBALS["id_kat"]."",$GLOBALS["dbspojeni"]);
$data = $GLOBALS["fetch_assoc"]($vyberkat);
if ($data["rodic"]=="0"):
   $podmsekce="and kategorie=".(int)$data["ids"]."";
else:
$vyberkat2=$GLOBALS["query"]("select ids from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where id_predka=".(int)$data["ids"]."",$GLOBALS["dbspojeni"]);
$pocetkat=$GLOBALS["num_rows"]($vyberkat2);
           for($pomsek=0;$pomsek<$pocetkat;$pomsek++):
              $data2 = $GLOBALS["fetch_assoc"]($vyberkat2);
              $podkat.=" or kategorie=".$data2["ids"]."";   
           endfor;
           $podmsekce="and ((kategorie=".(int)$GLOBALS["id_kat"]."".$podkat."))";
endif;
endif;

// výběr dle typu
if (!empty($GLOBALS["id_typ"])):
   $podmtyp="and typ=".(int)$GLOBALS["id_typ"]."";
endif;
// řadit dle
if ($GLOBALS["radit"]==1):
    $radit="datum_vyst desc";
elseif ($GLOBALS["radit"]==2):
  $radit="cena";
  else:
  $radit="cena desc";
endif;



// výběr dle ceny
if (!empty($GLOBALS["cenado"])):
   $cenado="and cena<=".(int)$GLOBALS["cenado"]."";
endif;
// výběr dle ceny
if (!empty($GLOBALS["cenaod"])):
   $cenaod="and cena>=".(int)$GLOBALS["cenaod"]."";

endif;

if (!empty($GLOBALS["lokalita"])):
$vyberlok=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where idl=".(int)$GLOBALS["lokalita"]."",$GLOBALS["dbspojeni"]);
$data = $GLOBALS["fetch_assoc"]($vyberlok);
if ($data["rodic"]=="0"):
   $podmsekce="and lokalita=".(int)$data["idl"]."";
else:
$vyberlok2=$GLOBALS["query"]("select idl,rodic from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where id_predka=".(int)$data["idl"]."",$GLOBALS["dbspojeni"]);
$pocetlok=$GLOBALS["num_rows"]($vyberlok2);

           for($pomlok=0;$pomlok<$pocetlok;$pomlok++):
              $data2 = $GLOBALS["fetch_assoc"]($vyberlok2);
              if (!$data2["rodic"]=="0"):
                $vyberlok3=$GLOBALS["query"]("select idl from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where id_predka=".(int)$data2["idl"]."",$GLOBALS["dbspojeni"]);
                $pocetlok2=$GLOBALS["num_rows"]($vyberlok3);
                for($pomlok2=0;$pomlok2<$pocetlok2;$pomlok2++):
                $data3 = $GLOBALS["fetch_assoc"]($vyberlok3);
                $podlok2.=" or lokalita=".$data3["idl"]."";
                endfor;
              endif;
              $podlok.=" or lokalita=".$data2["idl"]."";   
           endfor;
           $podmlok="and ((lokalita=".(int)$GLOBALS["lokalita"]."".$podlok."".$podlok2."))";
endif;
endif;

// zpracování stránkování
$odinz=0;
if (isset($GLOBALS["strana"])):
  $odinz=($GLOBALS["strana"]-1)*$pocet_inz_na_str;
  $GLOBALS["hledtext"]=$GLOBALS["escape_string"](trim(PomlckaMezera($GLOBALS["hledtext"])));
else:
  $GLOBALS["strana"]=1;
  $GLOBALS["hledtext"]=$GLOBALS["escape_string"](trim($GLOBALS["hledtext"])); // příprava hledaného řetězce - odstranění zbytečných mezer,tabelatoru,atd. + lomítka u spec. znaku
endif;

//if (!empty($GLOBALS["hledtext"])):
  $slova=ZpracujHleStr($GLOBALS["hledtext"]); // dekompilace vyhledávaného řetězce - výsledkem je pole hledaných slov a řetězců $slova[]
  // start sestavování příkazu
  $obsahpodminky="and";
  $pocet_slova=count($slova);
  $obsahpodminky.=" (";
  for ($pom=0;$pom<$pocet_slova;$pom++):
    if ($pom>0): // vztah se neuvádí u prvního průběhu
      $obsahpodminky.=" or ";
    endif;
    if (substr($slova[$pom],0,1)=="-"):
      $vyber=substr($slova[$pom],1,(strlen($slova[$pom])-1));
    else:
      $vyber=$slova[$pom];
    endif;
    $obsahpodminky.="(nazev like ('%".$vyber."%') or popis like ('%".$vyber."%')  or cena like ('%".$vyber."%'))";
  endfor;
  $obsahpodminky.=")";

  $dotaz=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where ".$vypisinzeratu." ".$obsahpodminky." ".$podmlok." ".$podmtyp." ".$cenaod." ".$cenado." ".$podmsekce." and potvrzeni=1 order by ".$radit.",nazev asc limit ".$odinz.",".$pocet_inz_na_str."",$GLOBALS["dbspojeni"]);
  $pocet=$GLOBALS["num_rows"]($dotaz);
  $dotazinzcelkem=$GLOBALS["query"]("select idn from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where ".$vypisinzeratu." ".$podmlok." ".$podmtyp." ".$obsahpodminky." ".$cenaod." ".$cenado." ".$podmsekce." and potvrzeni=1",$GLOBALS["dbspojeni"]);
  $pocetinzcelkem=$GLOBALS["num_rows"]($dotazinzcelkem);

//echo "select * from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where ".$vypisinzeratu." ".$obsahpodminky." ".$podmlok." ".$podmtyp." ".$cenaod." ".$cenado." ".$podmsekce." and potvrzeni=1 order by ".$radit.",nazev asc limit ".$odinz.",".$pocet_inz_na_str."";

if ($pocet==0):
  echo "<p class=\"chyba\">".HLASKA_INFO26.".</p>\n";
else:
  for ($pom=0;$pom<$pocet;$pom++):
    $pole_data=$GLOBALS["fetch_assoc"]($dotaz);
    $dotazpocobr=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_obr where inzerat=".$pole_data["idn"]." and nahl_width<=nahl_height order by rand() limit 1",$GLOBALS["dbspojeni"]);
    $pocetobr=$GLOBALS["num_rows"]($dotazpocobr);
    $pole_obr=$GLOBALS["fetch_assoc"]($dotazpocobr);

    echo "<div class=\"block_form_header\">\n";
      echo "<span class=\"ico\">".MyDatetimeToDate($pole_data["datum_vyst"])."</span>\n";
              $dotazkat=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$pole_data["kategorie"]."",$GLOBALS["dbspojeni"]);
        if ($GLOBALS["result"]($dotazkat,0,"rodic")==1):
          echo "<div class=\"text\"><a href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazkat,0,"nazev"))."-".$GLOBALS["result"]($dotazkat,0,"ids")."/".$pole_data["idn"]."-".UpravProSeo($pole_data["nazev"])."/\" title=\"".INZSYS13.": ".$pole_data["nazev"]."\">".$pole_data["nazev"]."</a></div>\n";
            else:
          $dotazkat2=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$GLOBALS["result"]($dotazkat,0,"id_predka")."",$GLOBALS["dbspojeni"]);
          echo "<div class=\"text\"><a href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazkat2,0,"nazev"))."-".$GLOBALS["result"]($dotazkat2,0,"ids")."/".UpravProSeo($GLOBALS["result"]($dotazkat,0,"nazev"))."-".$GLOBALS["result"]($dotazkat,0,"ids")."/".$pole_data["idn"]."-".UpravProSeo($pole_data["nazev"])."/\" title=\"".INZSYS13.": ".$pole_data["nazev"]."\">".$pole_data["nazev"]."</a></div>\n";
        endif;
    echo "</div>\n";

    echo "<div class=\"block_body\">\n";
      if ($pocetobr==1):
        echo "<a href=\"".$GLOBALS["baseadr"].$pole_obr["obr_poloha"]."\" title=\"".$pole_data["nazev"]." - ".INZSYS14."\" rel=\"gb_image[]\"><img class=\"right\" src=\"".$GLOBALS["baseadr"].$pole_obr["nahl_poloha"]."\" alt=\"".$pole_data["nazev"]." - ".INZSYS14."\" height=\"".$pole_obr["nahl_height"]."\" width=\"".$pole_obr["nahl_width"]."\" /></a>\n";
      endif;
      echo "<p>".str_replace("\n","<br />",ZkratRetezec($pole_data["popis"],380))."</p>\n";
      echo "<div class=\"clear_r\"></div>\n";
    echo "</div>\n";
    echo "<div class=\"block_food\">\n";
        if ($GLOBALS["result"]($dotazkat,0,"rodic")==1):
          echo "<span class=\"float_r\"><a href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazkat,0,"nazev"))."-".$GLOBALS["result"]($dotazkat,0,"ids")."/".$pole_data["idn"]."-".UpravProSeo($pole_data["nazev"])."/\" title=\"".INZSYS13.": ".$pole_data["nazev"]."\">".SIPKY." ".INZSYS13."</a></span>\n";
            else:
          echo "<span class=\"float_r\"><a href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazkat2,0,"nazev"))."-".$GLOBALS["result"]($dotazkat2,0,"ids")."/".UpravProSeo($GLOBALS["result"]($dotazkat,0,"nazev"))."-".$GLOBALS["result"]($dotazkat,0,"ids")."/".$pole_data["idn"]."-".UpravProSeo($pole_data["nazev"])."/\" title=\"".INZSYS13.": ".$pole_data["nazev"]."\">".SIPKY." ".INZSYS13."</a></span>\n";
        endif;
      echo "<div class=\"float_l\">".INZSYS15.": ";
        if ($pole_data["typ"]==1):
          echo "<a href=\"".$GLOBALS["baseadr"]."".SEO8."/".SEO12."/\" title=\"".INZSYS16."\">".INZSYS18."</a>";
        else:
          echo "<a href=\"".$GLOBALS["baseadr"]."".SEO8."/".SEO13."/\" title=\"".INZSYS17."\">".INZSYS19."</a>";
        endif;
          if ($GLOBALS["result"]($dotazkat,0,"rodic")==1):
            echo " | ".INZSYS10.": <a href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazkat,0,"nazev"))."-".$GLOBALS["result"]($dotazkat,0,"ids")."/\" title=\"".INZSYS20.": ".$GLOBALS["result"]($dotazkat,0,"nazev")."\">".$GLOBALS["result"]($dotazkat,0,"nazev")."</a>";
            else:
            echo " | ".INZSYS10.": <a href=\"".$GLOBALS["baseadr"]."".SEO8."/".UpravProSeo($GLOBALS["result"]($dotazkat2,0,"nazev"))."-".$GLOBALS["result"]($dotazkat2,0,"ids")."/".UpravProSeo($GLOBALS["result"]($dotazkat,0,"nazev"))."-".$GLOBALS["result"]($dotazkat,0,"ids")."/\" title=\"".INZSYS20.": ".$GLOBALS["result"]($dotazkat,0,"nazev")."\">".$GLOBALS["result"]($dotazkat,0,"nazev")."</a>";
          endif;
        if (!empty($pole_data["cena"])): echo "| ".INZSYS3.": ".$pole_data["cena"]." ".INZSYS12.""; endif;
      echo "</div>\n";
      echo "<div class=\"clear_r\"></div>\n";
    echo "</div>\n";
  endfor;

  if ($pocet_inz_na_str>0):
    $pocet_str=ceil($pocetinzcelkem/$pocet_inz_na_str);
  else:
    $pocet_str=ceil($pocetinzcelkem/5); //defaltní množství 5 na stránku
  endif;
  if ($pocet_str>1):
    echo "<div class=\"navigation\">";
      if ($GLOBALS["strana"]>1):
        echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO9."/".SEO11."-".($GLOBALS["".strana.""]-1)."/";
          if (!empty($GLOBALS["hledtext"])): echo "".MezeraPomlcka($GLOBALS["hledtext"])."/"; endif;
          if (!empty($GLOBALS["id_typ"])): echo "&amp;id_typ=".($GLOBALS["id_typ"]).""; endif;
          if (!empty($GLOBALS["id_kat"])): echo "&amp;id_kat=".($GLOBALS["id_kat"]).""; endif;
          if (!empty($GLOBALS["lokalita"])): echo "&amp;lokalita=".($GLOBALS["lokalita"]).""; endif;
          if (!empty($GLOBALS["cenado"])): echo "&amp;cenado=".($GLOBALS["cenado"]).""; endif;
          if (!empty($GLOBALS["cenaod"])): echo "&amp;cenaod=".($GLOBALS["cenaod"]).""; endif;
          if (!empty($GLOBALS["radit"])): echo "&amp;radit=".($GLOBALS["radit"]).""; endif;
          echo "\" title=\"".INZSYS21."\">&lt;&lt;</a>";
      endif;
      for($pomstr=1;$pomstr<$pocet_str+1;$pomstr++):
        if ($pomstr==$GLOBALS["strana"]):
          echo "<span>".$pomstr."</span>";
        else:
          echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO9."/".SEO11."-".$pomstr."/";
          if (!empty($GLOBALS["hledtext"])): echo "".MezeraPomlcka($GLOBALS["hledtext"])."/"; endif;
          if (!empty($GLOBALS["id_typ"])): echo "&amp;id_typ=".($GLOBALS["id_typ"]).""; endif;
          if (!empty($GLOBALS["id_kat"])): echo "&amp;id_kat=".($GLOBALS["id_kat"]).""; endif;
          if (!empty($GLOBALS["lokalita"])): echo "&amp;lokalita=".($GLOBALS["lokalita"]).""; endif;
          if (!empty($GLOBALS["cenado"])): echo "&amp;cenado=".($GLOBALS["cenado"]).""; endif;
          if (!empty($GLOBALS["cenaod"])): echo "&amp;cenaod=".($GLOBALS["cenaod"]).""; endif;
          if (!empty($GLOBALS["radit"])): echo "&amp;radit=".($GLOBALS["radit"]).""; endif;
          echo "\" title=\"".INZSYS22.".".$pomstr."\">".$pomstr."</a>";
        endif;
      endfor;
      if ($GLOBALS["strana"]<$pocet_str):
        echo "<a class=\"navigation\" href=\"".$GLOBALS["baseadr"]."".SEO9."/".SEO11."-".($GLOBALS["".strana.""]+1)."/";
          if (!empty($GLOBALS["hledtext"])): echo "".MezeraPomlcka($GLOBALS["hledtext"])."/"; endif;
          if (!empty($GLOBALS["id_typ"])): echo "&amp;id_typ=".($GLOBALS["id_typ"]).""; endif;
          if (!empty($GLOBALS["id_kat"])): echo "&amp;id_kat=".($GLOBALS["id_kat"]).""; endif;
          if (!empty($GLOBALS["lokalita"])): echo "&amp;lokalita=".($GLOBALS["lokalita"]).""; endif;
          if (!empty($GLOBALS["cenado"])): echo "&amp;cenado=".($GLOBALS["cenado"]).""; endif;
          if (!empty($GLOBALS["cenaod"])): echo "&amp;cenaod=".($GLOBALS["cenaod"]).""; endif;
          if (!empty($GLOBALS["radit"])): echo "&amp;radit=".($GLOBALS["radit"]).""; endif;
          echo "\" title=\"".INZSYS23."\">&gt;&gt;</a>";
      endif;
    echo "</div>\n";
  endif;
endif;
}

//*****************************************************************************
// TVORBA STRÁNKY
//*****************************************************************************

VypisInzeratu();

?>