<?php
  ######################################################################
  #  plugin pro phpRS - Inzertní systém - 3.0.0
  ######################################################################

  // Copyright (c) 2008 by Daniel Vávra (Vavrad@oez.cz)
  // Copyright (c) 2008 by gord007 (gord007@seznam.cz)
  // This program is free software. - Toto je bezplatny a svobodny software.
  // pro phpRS, neni standardni soucasti
  // Copyright (c) 2001-2004 by Jiri Lukas (jirilukas@supersvet.cz)
  // http://www.supersvet.cz/phprs/

//-------------------------------------
// Aktualizováno: 17.7.2008
//-------------------------------------

//*****************************************************************************
// INZERTNÍ SYSTÉM - VYMAZÁNÍ INZERÁTU
//*****************************************************************************

//-----------------------------------------------------------------------------
// využívané tabulky: rs_inzertnisystem_inzeraty, rs_inzertnisystem_obr, rs_inzertnisystem_sekce
//-----------------------------------------------------------------------------

if (!defined('IN_CODE')):
  $GLOBALS["page"]="error";
  $GLOBALS["error"]="403";
  require "inzertnisystem.php";
  exit;
endif;


//*****************************************************************************
// HLAVNÍ FUNKCE MODULU
//*****************************************************************************

/*
  VymazaniInzeratu()
  VymazInzerat()
*/

//-----------------------------------------------------------------------------
// Formulář - vymazání inzerátu
//-----------------------------------------------------------------------------

function VymazaniInzeratu()
{
echo "<div class=\"block_main\">\n";
  echo "<form action=\"".$GLOBALS["baseadr"]."inzertnisystem.php\" id=\"delForm\" onsubmit=\"return (DelCheckForm (this));\" method=\"post\">\n";
    echo "<div class=\"center\">\n";
      echo "<input type=\"hidden\" name=\"page\" value=\"".SEO4."\" />\n";

      // Help - informace
      echo "<div class=\"block_form_header\">";
        echo "".HLASKA_HELP1."";
      echo "</div>\n";
      echo "<div class=\"block_form_body\"><p>".HLASKA_HELP2." <img class=\"ico_small\" alt=\"".INZSYS42."\" src=\"".$GLOBALS["baseadr"]."image/ico_help_small.gif\" height=\"12\" width=\"12\" /> ".HLASKA_HELP3."</p></div>\n";

      // Info
      echo "<div class=\"block_form_header\">";
        echo "Informace";
      echo "</div>\n";
      echo "<div class=\"block_form_body\"><p>".HLASKA_INFO20.".</p></div>\n";

      // Aktivační údaje (povinné)
      echo "<div class=\"block_form_header\">\n";
        echo "<span class=\"ico\" onclick=\"HELP('help-email','".HLASKA_HELP4.".'); HELP('help-heslo','".HLASKA_HELP20.".');\">\n";
          echo "<img class=\"ico\" height=\"16\" width=\"16\" alt=\"".INZSYS42."\" src=\"".$GLOBALS["baseadr"]."image/ico_help.gif\" />\n";
        echo "</span>\n";
        echo "<div class=\"text\">".INZSYS68." ".INZSYS48."</div>\n";
      echo "</div>\n";
      echo "<div class=\"block_form_body\">\n";
        echo "<label for=\"demail\">".INZSYS30.":</label><input type=\"text\" id=\"demail\" name=\"demail\" value=\"".$GLOBALS["demail"]."\" maxlength=\"50\" tabindex=\"1\" /><br />\n";
        echo "<p class=\"help\" id=\"help-email\"></p>\n";
        echo "<label for=\"dpassword\">".INZSYS63."</label><input type=\"text\" class=\"znak10\" id=\"dpassword\" name=\"dpassword\" maxlength=\"10\" tabindex=\"2\" /><br />\n";
        echo "<p class=\"help\" id=\"help-heslo\"></p>\n";
      echo "</div>\n";

      echo "<div class=\"center\"><input type=\"submit\" class=\"button\" value=\"".TLACITKO6."\" tabindex=\"3\" /><input type=\"reset\" class=\"button\" value=\"".TLACITKO2."\" tabindex=\"4\" /></div>\n";
    echo "</div>\n";
  echo "</form>\n";
echo "</div>\n";
}

//-----------------------------------------------------------------------------
// Vamazání inzerátu
//-----------------------------------------------------------------------------

function VymazInzerat()
{
$GLOBALS["demail"]=$GLOBALS["escape_string"]($GLOBALS["demail"]);
$GLOBALS["dpassword"]=$GLOBALS["escape_string"]($GLOBALS["dpassword"]);

$error_data="0"; // inicializace chyby

if (TestEmailAdr($GLOBALS["demail"])==1):

  // kontrola existence emailu
  $dotazemail=$GLOBALS["query"]("select idn from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where email='".$GLOBALS["demail"]."'",$GLOBALS["dbspojeni"]);
  $pocetemailu=$GLOBALS["num_rows"]($dotazemail);

  $dotazheslo=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where email='".$GLOBALS["demail"]."' and password='".$GLOBALS["dpassword"]."'",$GLOBALS["dbspojeni"]);
  $pocethesel=$GLOBALS["num_rows"]($dotazheslo);
  $pole_inzerat=$GLOBALS["fetch_assoc"]($dotazheslo);

  // existuje email
  if ($pocetemailu>0):
    // kontrola hesla
    if ($pocethesel==1):

      $dotazobr=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_obr where inzerat=".(int)$pole_inzerat["idn"]."",$GLOBALS["dbspojeni"]);
      $pocetobr=$GLOBALS["num_rows"]($dotazobr);
      @$errorobr=$GLOBALS["query"]("delete from ".$GLOBALS["rspredpona"]."inzertnisystem_obr where inzerat=".(int)$pole_inzerat["idn"]."",$GLOBALS["dbspojeni"]);
      if (!$errorobr):
        echo "<p class=\"chyba\">".HLASKA_CHYBA16." : <em>".$pole_inzerat["idn"]."</em> ".HLASKA_CHYBA17.".</p>\n";
        $error_data="1";
      else:
        for ($pomdel=0;$pomdel<$pocetobr;$pomdel++):
          $pole_obr=$GLOBALS["fetch_assoc"]($dotazobr);
          // mazání obrázků
          if(file_exists($pole_obr["obr_poloha"])):
            unlink($pole_obr["obr_poloha"]);
          endif;
          if(file_exists($pole_obr["nahl_poloha"])):
            unlink($pole_obr["nahl_poloha"]);
          endif;
        endfor;
      endif;

      if ($error_data=="0"):
        @$error=$GLOBALS["query"]("delete from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where email='".$GLOBALS["demail"]."' and password='".$GLOBALS["dpassword"]."'",$GLOBALS["dbspojeni"]);
        if (!$error):
          echo "<p class=\"chyba\">".HLASKA_INFO10.": <em>".$pole_inzerat["nazev"]."</em> ".HLASKA_CHYBA18.".</p>\n";
        else:
          // příprava e-mailu
          $zprava = "".HLASKY_EMAIL1."\n\n";
          $zprava .= "".HLASKY_EMAIL13." ".MyDatetimeToDatetime($pole_inzerat["datum_vyst"])." ".HLASKY_EMAIL5." : ".$pole_inzerat["nazev"]."\n\n";
          $zprava .= "".INZSYS1.":\n".str_replace ("\n","\r\n",$pole_inzerat["popis"])."\n\n";
          if (!empty($pole_inzerat["cena"])): $zprava .= "".INZSYS3.": ".$pole_inzerat["cena"]."".INZSYS12."\n"; endif;
          $zprava .= "".INZSYS2.": ".$pole_inzerat["jmeno"]."\n";
          if (!empty($pole_inzerat["telefon"])): $zprava .= "".INZSYS4.": ".INZSYS78." ".$pole_inzerat["telefon"]."\n"; endif;
          if (!empty($pole_inzerat["mobil"])): $zprava .= "".INZSYS5.": ".INZSYS78." ".$pole_inzerat["mobil"]."\n"; endif;
          if (!empty($pole_inzerat["url"])): $zprava .= "".INZSYS6.": ".$pole_inzerat["url"]."\n"; endif;
          if ($pole_inzerat["typ"]==1):
            $zprava .= "".INZSYS7.": ".INZSYS8." \n";
          else:
            $zprava .= "".INZSYS7.": ".INZSYS9." \n";
          endif;
          $vyberkat=$GLOBALS["query"]("select nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$pole_inzerat["kategorie"]."",$GLOBALS["dbspojeni"]);
          $zprava .= "".INZSYS10.": ".$GLOBALS["result"]($vyberkat,0,"nazev")."\n";
          $vyberlok=$GLOBALS["query"]("select nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where idl=".$pole_inzerat["lokalita"]."",$GLOBALS["dbspojeni"]);
          $zprava .= "".INZSYS11.": ".$GLOBALS["result"]($vyberlok,0,"nazev")."\n\n";
          $zprava .= "".HLASKY_EMAIL36.".\n\n";
          $zprava .= "           ".HLASKY_EMAIL35."";

          $predmet=$GLOBALS["wwwname"]." - ".HLASKY_EMAIL37."";

          echo "<p class=\"chyba\">".HLASKA_INFO10.": <em>".$pole_inzerat["nazev"]."</em> ".HLASKA_INFO21.".</p>\n";
          SendMailInfo($pole_inzerat["email"],$predmet,$zprava,$GLOBALS["postmaster"]);
        endif;
      endif;

    else:
      echo "<p class=\"chyba\">".INZSYS63.": <em>".$GLOBALS["dpassword"]."</em> ".HLASKA_CHYBA13." ".AntiSpam($GLOBALS["demail"]).".<br /><a class=\"underline\" href=\"".$GLOBALS["$baseadr"]."".SEO10."/".AntiSpam($GLOBALS["demail"])."/\" title=\"".INZSYS66."\">".INZSYS67."</a></p>\n";
    endif;
  else:
    echo "<p class=\"chyba\">".HLASKA_INFO3.": <em>".AntiSpam($GLOBALS["demail"])."</em> ".HLASKA_CHYBA1.".</p>\n";
    VymazaniInzeratu();
  endif;

  else:
  echo "<p class=\"chyba\">".HLASKA_INFO3." <em>".AntiSpam($GLOBALS["demail"])."</em> ".HLASKA_INFO5." .</p>\n";
  VymazaniInzeratu();
endif;
}
//*****************************************************************************
// TVORBA STRÁNKY
//*****************************************************************************

echo "<h1>".NADPIS9."</h1>\n";

if (!empty($GLOBALS["demail"]) && !empty($GLOBALS["dpassword"])):
  VymazInzerat();
else:
  VymazaniInzeratu();
endif;
?>