<?php
  ######################################################################
  #  plugin pro phpRS - Inzertní systém - 3.0.0
  ######################################################################

  // Copyright (c) 2008 by Daniel Vávra (Vavrad@oez.cz)
  // Copyright (c) 2008 by gord007 (gord007@seznam.cz)
  // This program is free software. - Toto je bezplatny a svobodny software.
  // pro phpRS, neni standardni soucasti
  // Copyright (c) 2001-2004 by Jiri Lukas (jirilukas@supersvet.cz)
  // http://www.supersvet.cz/phprs/

//-------------------------------------
// Aktualizováno: 17.7.2008
//-------------------------------------

//*****************************************************************************
// INZERCE - ZASLÁNÍ ZAPOMENUTÉHO HESLA
//*****************************************************************************

//-----------------------------------------------------------------------------
// využívané tabulky: rs_inzertnisystem_inzeraty, rs_inzertnisystem_obr, rs_inzertnisystem_sekce
//-----------------------------------------------------------------------------

if (!defined('IN_CODE')):
  $GLOBALS["page"]="error";
  $GLOBALS["error"]="403";
  require "inzertnisystem.php";
  exit;
endif;


//*****************************************************************************
// HLAVNÍ FUNKCE MODULU
//*****************************************************************************

/*
  PosliHeslo
*/

//-----------------------------------------------------------------------------
// Odeslání emailu s heslem
//-----------------------------------------------------------------------------

function PosliHeslo()
{
$GLOBALS["emailadr"]=$GLOBALS["escape_string"]($GLOBALS["emailadr"]);

// výběr hesla
$dotazemail=$GLOBALS["query"]("select * from ".$GLOBALS["rspredpona"]."inzertnisystem_inzeraty where email='".Zavinac($GLOBALS["emailadr"])."'",$GLOBALS["dbspojeni"]);
$pocetemailu=$GLOBALS["num_rows"]($dotazemail);

if ($pocetemailu>0):
  // příprava e-mailu
  $zprava = "".HLASKY_EMAIL1."\n\n";
  if ($pocetemailu==1):
    $zprava .= "".HLASKY_EMAIL38." ".$GLOBALS["baseadr"]." ".HLASKY_EMAIL39.":\n\n";
  else:
    $zprava .= "".HLASKY_EMAIL38." ".$GLOBALS["baseadr"]."  ".HLASKY_EMAIL40.":\n\n";
  endif;

  $zprava .= "--------------------------------------------------------------------------------\n\n";

  for($pomin=0;$pomin<$pocetemailu;$pomin++):
    $pole_data=$GLOBALS["fetch_assoc"]($dotazemail);
    // příprava e-mailu
    $zprava .= "".INZSYS36.": ".$pole_data["nazev"]."\n\n";
    $zprava .= "".INZSYS1.":\n".str_replace ("\n","\r\n",$pole_data["popis"])."\n\n";
    $zprava .= "".INZSYS75.": ".MyDatetimeToDatetime($pole_data["datum_vyst"])."\n";
    if (!empty($pole_data["cena"])): $zprava .= "".INZSYS3.": ".$pole_data["cena"]."".INZSYS12."\n"; endif;
    if ($pole_data["typ"]==1):
       $zprava .= "".INZSYS7.": ".INZSYS8." \n";
    else:
       $zprava .= "".INZSYS7.": ".INZSYS9." \n";
    endif;
    $vyberkat=$GLOBALS["query"]("select nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_sekce where ids=".$pole_data["kategorie"]."",$GLOBALS["dbspojeni"]);
    $zprava .= "".INZSYS10.": ".$GLOBALS["result"]($vyberkat,0,"nazev")."\n\n";
    $vyberlok=$GLOBALS["query"]("select nazev from ".$GLOBALS["rspredpona"]."inzertnisystem_lokality where idl=".$pole_data["lokalita"]."",$GLOBALS["dbspojeni"]);
    $zprava .= "".INZSYS11.": ".$GLOBALS["result"]($vyberlok,0,"nazev")."\n\n";
    $zprava .= "".INZSYS63.": ".$pole_data["password"]."\n\n";

    $zprava .= "--------------------------------------------------------------------------------\n\n";
   endfor;

   $zprava .= "           ".HLASKY_EMAIL35."";

   $predmet=$GLOBALS["wwwname"]." - ".HLASKY_EMAIL41."";

   SendMailInfo($GLOBALS["emailadr"],$predmet,$zprava,$GLOBALS["postmaster"]);
   echo "<p class=\"chyba\">".HLASKA_INFO24." ".AntiSpam($GLOBALS["emailadr"])." .</p>\n";
else:
  echo "<p class=\"chyba\">".HLASKA_INFO3." ".AntiSpam($GLOBALS["emailadr"])." ".HLASKA_INFO25.".</p>\n";
endif;
}

//*****************************************************************************
// TVORBA STRÁNKY
//*****************************************************************************

echo "<h1>".NADPIS10."</h1>\n";

PosliHeslo();
?>