<?php
  ######################################################################
  #  plugin pro phpRS - Inzertní systém - 3.0.0
  ######################################################################

  // Copyright (c) 2008 by Daniel Vávra (Vavrad@oez.cz)
  // Copyright (c) 2008 by gord007 (gord007@seznam.cz)
  // This program is free software. - Toto je bezplatny a svobodny software.
  // pro phpRS, neni standardni soucasti
  // Copyright (c) 2001-2004 by Jiri Lukas (jirilukas@supersvet.cz)
  // http://www.supersvet.cz/phprs/

//-------------------------------------
// Aktualizováno: 15.7.2008
//-------------------------------------


//*****************************************************************************
// KONTROLNÍ FUNKCE
//*****************************************************************************


if (!defined('IN_CODE')):
  $GLOBALS["page"]="error";
  $GLOBALS["error"]="403";
  require "inzertnisystem.php";
  exit;
endif;

/*
  TestEmailAdr($mail = "")
  TestMySqlDate($datum = "")
  TestFormRoc($datum = "")
*/

//-------------------------------------------------------------------------------------------
// funkce: kontrola správného tvaru emailové adresy
//-------------------------------------------------------------------------------------------

function TestEmailAdr($mail = "")
{
if (ereg('^[_a-zA-Z0-9\.\-]+@[_a-zA-Z0-9\.\-]+\.[a-zA-Z]{2,4}$',$mail)):
  return 1;
else:
  return 0;
endif;
}

//-------------------------------------------------------------------------------------------
// funkce: kontrola správného formátu datumu pro MySql RRRR-MM-DD
//-------------------------------------------------------------------------------------------

function TestMySqlDate($datum = "")
{
if (ereg("^([0-9]{4})-([0-9]{2})-([0-9]{2})$",$datum)):
  return 1;
else:
  return 0;
endif;
}

//-------------------------------------------------------------------------------------------
// funkce: kontrola správného formátu ročníku, formát: 2007-2008
//-------------------------------------------------------------------------------------------

function TestFormRoc($rocnik = "")
{
if (ereg("^([0-9]{4})-([0-9]{4})$",$rocnik)):
  return 1;
else:
  return 0;
endif;
}

//-----------------------------------------------------------------------------
// funkce: Generuje dnešní datum a čas ve formátu MySQL
//-----------------------------------------------------------------------------

function MyDnesniDatum()
{
return date("Y-m-d H:i:s");
}

//--------------------------------------------------------------------------------------------------------------------------------
// funkce: Převede MySQL formát datetime (RRRR-MM-DD h:m:s) do standatrní zobrazovací formy datum bez nuly + čas  (1.1.2006 10:15)
//--------------------------------------------------------------------------------------------------------------------------------

function MyDatetimeToDatetime($phprs_sql_datum)
{
list($datum,$cas)=Explode (" ",$phprs_sql_datum);
list($rok,$mes,$den)=Explode ("-",$datum);
list($hod,$min,$sek)=explode(":",$cas);
if (substr($den,0,1)==0):
   $vyslden=str_replace("0","",$den);
else:
   $vyslden=$den;
endif;
if (substr($mes,0,1)==0):
   $vyslmes=str_replace("0","",$mes);
else:
   $vyslmes=$mes;
endif;
return $vyslden.".".$vyslmes.".".$rok." - ".$hod.":".$min; // dd.mm.rrrr hh:mm
}

?>