<?php
  ######################################################################
  #  plugin pro phpRS - Inzertní systém - 3.0.0
  ######################################################################

  // Copyright (c) 2008 by Daniel Vávra (Vavrad@oez.cz)
  // Copyright (c) 2008 by gord007 (gord007@seznam.cz)
  // This program is free software. - Toto je bezplatny a svobodny software.
  // pro phpRS, neni standardni soucasti
  // Copyright (c) 2001-2004 by Jiri Lukas (jirilukas@supersvet.cz)
  // http://www.supersvet.cz/phprs/

//-------------------------------------
// Aktualizováno: 15.7.2008
//-------------------------------------

//*****************************************************************************
// KNIHOVNA FUNKCÍ - FILESYSTÉM
//*****************************************************************************


if (!defined('IN_CODE')):
  $GLOBALS["page"]="error";
  $GLOBALS["error"]="403";
  require "inzertnisystem.php";
  exit;
endif;

/*
DekompPriponaSouboru($namefile = "") - dekompilace jména souboru a získání přípony uploadovaného souboru pomocí enctype="multipart/form-data"
DekompJmenaSouboru($namefile = "") - dekompilace jména souboru a získání jména uploadovaného souboru pomocí enctype="multipart/form-data"
CreateImage1($soubor_obr = "", $ulozinf_tmpsoubor = "", $ulozinf_novsoubor = "", $maxsirka = 0) - upload a vytvoření 1 obrázku jpg, png se zadanou šířkou $maxsirka
*/

//-----------------------------------------------------------------------------------------------------------------
// funkce: dekompilace jména souboru a získání přípony uploadovaného souboru pomocí enctype="multipart/form-data"
//-----------------------------------------------------------------------------------------------------------------

function DekompPriponaSouboru($namefile = "")
{
// $namefile musí být tvaru $_FILES['uploadsoubor']['name']
// dekompilace přípony
$prjmenosouboru=explode(".",$namefile);
$pocet_casti=count($prjmenosouboru);
if ($pocet_casti>0):
  $prpriponasouboru=UpravSoubor($prjmenosouboru[$pocet_casti-1]);
else:
  $prpriponasouboru="";
endif;

return $prpriponasouboru;
}

//-----------------------------------------------------------------------------------------------------------------
// funkce: dekompilace jména souboru a získání jména uploadovaného souboru pomocí enctype="multipart/form-data"
//-----------------------------------------------------------------------------------------------------------------

function DekompJmenaSouboru($namefile = "")
{
// $namefile musí být tvaru $_FILES['uploadsoubor']['name']
// dekompilace jména souboru
$prjmenosouboru=explode(".",$namefile);
$pocet_casti=count($prjmenosouboru);
$telosouboru.="";
for ($pomcasti=0;$pomcasti<($pocet_casti-1);$pomcasti++):
  if ($pomcasti==($pocet_casti-2)):
    $telosouboru.=UpravSoubor($prjmenosouboru[$pomcasti]);
  else:
    $telosouboru.=UpravSoubor($prjmenosouboru[$pomcasti].".");
  endif;
endfor;

return $telosouboru;
}

//-----------------------------------------------------------------------------------------------------------------
// funkce: upload a vytvoření 1 obrázku jpg, png
//-----------------------------------------------------------------------------------------------------------------

function CreateImage1($soubor_obr = "", $ulozinf_tmpsoubor = "", $ulozinf_novsoubor = "", $maxsirka = 0)
{
if(file_exists($ulozinf_novsoubor)):
  $error_data="1";
  echo "<p class=\"chyba\">Chyba: Vámi přiložený soubor již v databázi existuje!</p>\n";
else:
  if (is_uploaded_file($soubor_obr)):
    if (move_uploaded_file($soubor_obr,$ulozinf_tmpsoubor)):
      chmod ($ulozinf_tmpsoubor,0707); // nastavení přístupových práv

      // získání informací o souboru
      $probrparametry=GetImageSize($ulozinf_tmpsoubor);
      $obr_sirka=$probrparametry[0]; // sirka
      $obr_vyska=$probrparametry[1]; // vyska
      $typuplobr=$probrparametry[2]; // typ upload. souboru

      // typy obr.: 1 = GIF, 2 = JPG, 3 = PNG, 4 = SWF, 5 = PSD, 6 = BMP, 7 = TIFF(intel byte order), 8 = TIFF(motorola byte order),
      // 9 = JPC, 10 = JP2, 11 = JPX, 12 = JB2, 13 = SWC, 14 = IFF.

      // úprava velikosti obrázku
      if ($obr_sirka>$maxsirka):
        $koefupravy=$obr_sirka/$maxsirka;
        $obr_sirka_uprav=round($obr_sirka/$koefupravy);
        $obr_vyska_uprav=round($obr_vyska/$koefupravy);
      else:
        $obr_sirka_uprav=$obr_sirka;
        $obr_vyska_uprav=$obr_vyska;
      endif;

      // kontrola typu obrázku
      if ($typuplobr!=2 && $typuplobr!=3):
        $error_data="2";
        echo "<p class=\"chyba\">".HLASKA_CHYBA2."!<br /><br />Vložte prosím správný formát obrázku.<br /><br />Povolené formáty jsou jpg, png.</p>\n";
        //smazání souboru
        unlink($ulozinf_tmpsoubor);
      else:
        if ($obr_sirka<=$GLOBALS["max_sir_obr"] &&  $obr_vyska<=$maxsirka):
          // obrázek je menší nebo roven než $maxsirka - kopie temp souboru
          $error_data="0";
          $GLOBALS["obr_zobr"]="1";
          if (!rename($ulozinf_tmpsoubor,$ulozinf_novsoubor)):
             $error_data="3";
             echo "<p class=\"chyba\">".HLASKA_CHYBA4." na server došlo k neočekávané chybě.<br /><br />Opakujte prosím akci ještě jednou.</p>\n";
             unlink($ulozinf_tmpsoubor);
          endif;
        else:
          // obrázek je větší než $maxsirka - vytvoření nového obrázku
          // nastavení proměnných
          $error_data="0";
          $GLOBALS["obr_zobr"]="1";
          // tvorba obrázku
          switch ($typuplobr):
            case 2:
              $probrzbroj=ImageCreateFromJPEG($ulozinf_tmpsoubor);
            break;
            case 3:
              $probrzbroj=ImageCreateFromPNG($ulozinf_tmpsoubor);
            break;
          endswitch;
          $probrcil=imagecreatetruecolor($obr_sirka_uprav,$obr_vyska_uprav);
          imagecopyresampled($probrcil,$probrzbroj,0,0,0,0,$obr_sirka_uprav,$obr_vyska_uprav,$obr_sirka,$obr_vyska);
          switch ($typuplobr):
            case 2:
              ImageJPEG($probrcil,$ulozinf_novsoubor,90);
            break;
            case 3:
              ImagePNG($probrcil,$ulozinf_novsoubor);
            break;
          endswitch;
          ImageDestroy($probrzbroj);
          ImageDestroy($probrcil);
          unlink($ulozinf_tmpsoubor);
        endif;
      endif;
    else:
      echo "<p class=\"chyba\">".HLASKA_CHYBA4." na server došlo k neočekávané chybě.<br /><br />Opakujte prosím akci ještě jednou.</p>\n";
    endif;
  else:
    echo "<p class=\"chyba\">".HLASKA_CHYBA6." neprošela bezpečnostní kontrolou!<br /><br />Opakujte prosím akci ještě jednou.</p>\n";
  endif;
endif;

return $error_data;
}
?>