<?
######################################################################
# phpRS Plug-in modul: Kviz 1.2 - webova cast
# ureno pro phpRS verzi 2.8.0
# http://www.supersvet.cz/phprs/
######################################################################

// Copyright (c) 2006 by Mart (martr@volny.cz)
// This program is free software. - Toto je bezplatny a svobodny software.

// vyuzivane tabulky: rs_kviz_kvizy, rs_kviz_otazky, rs_kviz_vysledky

define('IN_CODE',true); // inic. ochranne konstanty

include_once("config.php");
include_once("myweb.php");

if($prmyctenar->Ukaz("jazyk")=="sk"):
 include_once("lang/kviz_sk.php");
else:
 include_once("lang/kviz_cz.php");
endif;

// overeni existence potrebnych promennych
if (!isset($GLOBALS["akce"])): $GLOBALS["akce"]="prehled"; endif;

function KPrehled()
{
// prehled kvizu
echo "<p align=\"center\"><big><b>".RS_KVIZ_W_PREHLED."</b></big></p>";
$dotaz=phprs_sql_query("select * from ".$GLOBALS["rspredpona"]."kviz_kvizy where stav='1' and platnost_od<='".Date("Y-m-d H:i:s")."' order by platnost_od desc",$GLOBALS["dbspojeni"]);
$pocet=phprs_sql_num_rows($dotaz);
if ($pocet==0):
 // v databazi nejsou zadne kvizy
 echo "<p align=\"center\" class=\"z\"><b>".RS_KVIZ_W_ERR_ZADNYKVIZ."</b></p>";
else:
 echo "<div align=\"center\"><table cellpadding=\"5\" cellspacing=\"0\" style=\"border-width: 0px\">";
 // hlavicka
 echo "<tr class=\"z\"><td align=\"left\"><b>".RS_KVIZ_W_PREHLED_NAZEV."</b></td><td align=\"left\"><b>".RS_KVIZ_W_PREHLED_POPIS."</b></td><td><b>".RS_KVIZ_W_PREHLED_UZAVRENI."</b></td></tr>";
 for ($pom=0;$pom<$pocet;$pom++):
  $pole_data=phprs_sql_fetch_assoc($dotaz);
  if ($pole_data['vysledky']=='0' or $pole_data['platnost_do']<=Date("Y-m-d H:i:s")): $vysledky="<a href=\"kviz.php?akce=vysledky&amp;idk=".$pole_data['idk']."\">".RS_KVIZ_W_PREHLED_VYSLEDKY."</a>"; else: $vysledky=""; endif; //zobrazeni odkazu na vysledek pokud je povolen
  $nazev="<a href=\"kviz.php?akce=kviz&amp;idk=".$pole_data['idk']."\">".$pole_data['nazev']."</a>";
  if ($pole_data['platnost_do']=='0000-00-00 00:00:00'):
   //neomezene datum ukonceni
   $pole_data['platnost_do']=RS_KVIZ_W_PREHLED_NEOMEZENO;
  elseif ($pole_data['platnost_do']<=Date("Y-m-d H:i:s")):
   //jiz uzavreno
   $pole_data['platnost_do']=RS_KVIZ_W_PREHLED_UZAVRENO;
   $nazev=$pole_data['nazev'];
  else:
   //zformatovani data
   $pole_data['platnost_do']=date("d.m.Y H:i",strtotime($pole_data['platnost_do']));
  endif;
  $vypis="<tr class=\"z\"><td align=\"left\"><b>".$nazev."</b></td><td align=\"left\">".$pole_data['popis']."</td><td>".$pole_data['platnost_do']."</td><td>".$vysledky."</td></tr>";
  if ($GLOBALS["prmyctenar"]->UkazLevel()>=$pole_data['level']):
   //ctenar s dostatecnym levelem
   echo $vypis;
  endif;
 endfor;
 echo "</table></div>";
 //vypis poznamek
 echo RS_KVIZ_W_PREHLED_POZNAMKY;
endif;
}

function KKviz()
{
// kviz
$GLOBALS["idk"]=phprs_sql_escape_string((int)$GLOBALS["idk"]);
$dotaz_k=phprs_sql_query("select * from ".$GLOBALS["rspredpona"]."kviz_kvizy where idk='".$GLOBALS["idk"]."'",$GLOBALS["dbspojeni"]);
$pole_k=phprs_sql_fetch_assoc($dotaz_k);
if ($GLOBALS["prmyctenar"]->UkazLevel()<$pole_k['level'] or $pole_k['platnost_od']>=Date("Y-m-d H:i:s") or ($pole_k['platnost_do']!="0000-00-00 00:00:00" and $pole_k['platnost_do']<=Date("Y-m-d H:i:s"))):
 //nedostatecny level
 echo "<p align=\"center\"><b>".RS_KVIZ_W_KVIZ_ERR_PRAVA."</b></p>";
else:
echo "<p align=\"center\"><big><b>".$pole_k['nazev']."</b></big></p>";
echo "<p align=\"center\" class=\"z\">".RS_KVIZ_W_KVIZ_TEXT."</p>\n";
echo "<form method=\"post\" action=\"kviz.php?akce=vyhodnotit\"><input type=\"hidden\" name=\"idk\" value=\"".$GLOBALS["idk"]."\" />\n";
echo "<p align=\"center\">".RS_KVIZ_W_KVIZ_JMENO."&nbsp;";
if ($GLOBALS["prmyctenar"]->ctenarstav==1):
 if ($GLOBALS["prmyctenar"]->Ukaz("jmeno")==""): // zjisteni jmena ctenare
  $prjmeno=$GLOBALS["prmyctenar"]->Ukaz("username");
 else:
  $prjmeno=$GLOBALS["prmyctenar"]->Ukaz("jmeno");
 endif;
 echo $prjmeno;
 echo "<input type=\"hidden\" name=\"jmeno\" value=\"".$prjmeno."\" />";
else:
 echo "<input type=\"text\" name=\"jmeno\" value=\"\" size=\"20\" />";
endif;
echo "</p>\n";
echo "<table cellpadding=\"0\" cellspacing=\"5\" class=\"z\" style=\"width: 50%; border-width: 0px\">\n";
$dotaz_o=phprs_sql_query("select * from ".$GLOBALS["rspredpona"]."kviz_otazky where kviz=".$GLOBALS["idk"],$GLOBALS["dbspojeni"]);
$pocet_o=phprs_sql_num_rows($dotaz_o);
for ($pom=0;$pom<$pocet_o;$pom++):
 $pole_o=phprs_sql_fetch_assoc($dotaz_o);
 $cislootazky=$pom+1;
 echo "<tr><td colspan=\"2\" style=\"border-top-width: 1px; border-left-width: 0px; border-right-width: 0px; border-bottom-width: 0px; border-style: dotted\"><b>".$cislootazky.". ".$pole_o["otazka"]."</b></td></tr>\n";
 echo "<tr><td width=\"50\"><input type=\"radio\" name=\"o[".$pole_o["ido"]."]\" value=\"a\" />&nbsp;a)</td><td>".$pole_o["odpoved_a"]."</td></tr>\n";
 echo "<tr><td width=\"50\"><input type=\"radio\" name=\"o[".$pole_o["ido"]."]\" value=\"b\" />&nbsp;b)</td><td>".$pole_o["odpoved_b"]."</td></tr>\n";
 echo "<tr><td width=\"50\"><input type=\"radio\" name=\"o[".$pole_o["ido"]."]\" value=\"c\" />&nbsp;c)</td><td>".$pole_o["odpoved_c"]."</td></tr>\n";
 echo "<tr><td width=\"50\"><input type=\"radio\" name=\"o[".$pole_o["ido"]."]\" value=\"d\" />&nbsp;d)</td><td>".$pole_o["odpoved_d"]."</td></tr>\n";
 echo "<tr><td colspan=\"2\" style=\"border-top-width: 1px; border-left-width: 0px; border-right-width: 0px; border-bottom-width: 0px; border-style: dotted\">&nbsp;</td></tr>\n";
endfor;
echo "<tr><td colspan=\"2\" align=\"center\"><input type=\"submit\" value=\"".RS_KVIZ_W_KVIZ_HOTOVO."\" name=\"send\" class=\"tl\"></td></tr>";
echo "</table></form>";
endif;
}

function KVyhodnotit()
{
//vyhodnoceni
$GLOBALS["idk"]=phprs_sql_escape_string((int)$GLOBALS["idk"]);
$GLOBALS["jmeno"]=phprs_sql_escape_string($GLOBALS["jmeno"]);

echo "<p align=\"center\"><big><b>".RS_KVIZ_W_VYHODNOTIT_NADPIS."</b></big></p>";
$dotaz_idv=phprs_sql_query("select idv from ".$GLOBALS["rspredpona"]."kviz_vysledky where kviz='".$GLOBALS["idk"]."' and jmeno='".$GLOBALS["jmeno"]."'",$GLOBALS["dbspojeni"]);
if (!isset($GLOBALS["idk"]) or empty($GLOBALS["jmeno"]) or phprs_sql_num_rows($dotaz_idv)>0):
 echo "<p align=\"center\"><b>".RS_KVIZ_W_VYHODNOCENI_ERR."</b></p>";
else:
 $spravne = 0; //pocitadlo spravnych odpovedi
 $chybne = "<b><u>".RS_KVIZ_W_VYHODNOCENI_RESENI." </u></b><br />"; //nadpis u chybnych odpovedi

 $dotaz_o=phprs_sql_query("select * from ".$GLOBALS["rspredpona"]."kviz_otazky where kviz=".$GLOBALS["idk"],$GLOBALS["dbspojeni"]);
 $pocet_otazek=phprs_sql_num_rows($dotaz_o);
 for ($pom=0;$pom<$pocet_otazek;$pom++):
  $vys=phprs_sql_fetch_assoc($dotaz_o);

  //kontrola na odpoved
  if(!isset($GLOBALS["o"][$vys["ido"]])): $GLOBALS["o"][$vys["ido"]]="e"; endif;
  //kontrola spravnosti odpovedi
  if ($GLOBALS["o"][$vys["ido"]] == $vys["vysledek"]):
   $spravne++;
  else:
   switch ($vys["vysledek"]) {
    case "a":
        $odp=$vys["odpoved_a"];
        break;
    case "b":
        $odp=$vys["odpoved_b"];
        break;
    case "c":
        $odp=$vys["odpoved_c"];
        break;
    case "d":
        $odp=$vys["odpoved_d"];
        break;
   }
   //vypis chybne odpovedi
   $chybne = $chybne."<b>".$vys["otazka"]."</b><br />&nbsp;&nbsp;&nbsp;<b>".$vys["vysledek"].")</b>&nbsp;<i>".$odp."</i><br /><br />";
  endif;
 endfor;

 //zadna chybna odpoved
 if ($spravne == $pocet_otazek):
  $chybne = $chybne.RS_KVIZ_W_VYHODNOCENI_ZADNACHYBA;
 endif;

 //uspesnost
 $uspesnost=($spravne/$pocet_otazek)*100;

 //zapis vysledku do db
 phprs_sql_query("insert into ".$GLOBALS["rspredpona"]."kviz_vysledky values ('','".$GLOBALS["idk"]."','".Date("Y-m-d H:i:s")."','".$GLOBALS["jmeno"]."', '".$spravne."', '".$pocet_otazek."')",$GLOBALS["dbspojeni"]);

 //vypis vysledku
 echo "<table border=\"0\" width=\"50%\" cellspacing=\"0\" cellpadding=\"0\" class=\"z\">";
 echo "<tr><td>".RS_KVIZ_W_VYHODNOTIT_JMENO." <b>".$GLOBALS["jmeno"]."</b></td></tr>";
 echo "<tr><td>".RS_KVIZ_W_VYHODNOTIT_USPESNOST." <b>".$uspesnost."%</b></td></tr>";
 echo "<tr><td>".RS_KVIZ_W_VYHODNOTIT_SPRAVNE." <b>".$spravne."</b>".RS_KVIZ_W_VYHODNOTIT_SPRAVNE_Z."<b>".$pocet_otazek."</b></td></tr>";
 echo "<tr><td>&nbsp;</td></tr>";
 echo "<tr><td>".$chybne."</td></tr>";
 echo "<tr><td>&nbsp;</td></tr>";
 echo "<tr><td align=\"center\">".RS_KVIZ_W_VYHODNOTIT_ZAPSANO."</td></tr>";
 echo "</table>";
endif;
}

function KVysledky()
{
//tabulka vysledku
$GLOBALS["idk"]=phprs_sql_escape_string((int)$GLOBALS["idk"]);
if (isset($GLOBALS["order"])):
 $GLOBALS["order"]=phprs_sql_escape_string($GLOBALS["order"]);
else:
 $GLOBALS["order"]="cas";
endif;

echo "<p align=\"center\"><big><b>".RS_KVIZ_W_VYSLEDKY_NADPIS."</b></big></p>";
$dotaz=phprs_sql_query("select * from ".$GLOBALS["rspredpona"]."kviz_kvizy where stav='1' and idk='".$GLOBALS["idk"]."' and platnost_od<='".Date("Y-m-d H:i:s")."'",$GLOBALS["dbspojeni"]);
$pocet=phprs_sql_num_rows($dotaz);
if ($pocet==0):
 // v databazi nejsou zadne kvizy
 echo "<p align=\"center\" class=\"z\"><b>".RS_KVIZ_W_VYSLEDKY_ERR1."</b></p>";
else:
 $pole_k=phprs_sql_fetch_assoc($dotaz);
 if ($GLOBALS["prmyctenar"]->UkazLevel()<$pole_k['level'] or $pole_k['platnost_od']>=Date("Y-m-d H:i:s") or ($pole_k['platnost_do']>=Date("Y-m-d H:i:s") and $pole_k['vysledky']!=0)):
  //nedostatecna prava pro pristup k vysledkum
  echo "<p align=\"center\"><b>".RS_KVIZ_W_VYSLEDKY_ERR2."</b></p>";
 else:
  $dotaz_v=phprs_sql_query("select cas,jmeno,spravne,pocetotazek from ".$GLOBALS["rspredpona"]."kviz_vysledky where kviz='".$GLOBALS["idk"]."' order by '".$GLOBALS["order"]."' desc",$GLOBALS["dbspojeni"]);
  $pocet_v=phprs_sql_num_rows($dotaz_v);
  //hlavicka tabulky s vysledky
  echo "<div align=\"center\"><table cellpadding=\"5\" class=\"z\">";
  echo "<tr><td align=\"left\"><b><a href=\"kviz.php?akce=vysledky&amp;idk=".$GLOBALS["idk"]."&amp;order=jmeno\">".RS_KVIZ_W_VYSLEDKY_JMENO."</a></b></td><td align=\"center\"><b>".RS_KVIZ_W_VYSLEDKY_USPESNOST."</b></td><td align=\"center\"><b><a href=\"kviz.php?akce=vysledky&amp;idk=".$GLOBALS["idk"]."&amp;order=spravne\">".RS_KVIZ_W_VYSLEDKY_SPRAVNE."</a></b></td><td align=\"center\"><b><a href=\"kviz.php?akce=vysledky&amp;idk=".$GLOBALS["idk"]."&amp;order=cas\">".RS_KVIZ_W_VYSLEDKY_CAS."</a></b></td></tr>";

  for ($pom=0;$pom<$pocet_v;$pom++):
   $vys=phprs_sql_fetch_assoc($dotaz_v);
   //vypis vysledku
   $usp=($vys["spravne"]/$vys["pocetotazek"])*100;
   echo "<tr><td align=\"left\">".$vys["jmeno"]."</td><td align=\"center\">".$usp."%</td><td align=\"center\">".$vys["spravne"]." z ".$vys["pocetotazek"]."</td><td align=\"center\">".date("d.m.Y H:i:s",strtotime($vys["cas"]))."</td></tr>";
  endfor;
  echo "</table></div>";
 endif;
endif;
}

$GLOBALS["vzhledwebu"]->Generuj();
ObrTabulka();  // Vlozeni layout prvku
echo "<p class=\"nadpis\">".RS_KVIZ_W_NADPIS."</p>\n";

// rozhodnuti o obsahu stranky
switch($GLOBALS["akce"]):
  case "prehled": KPrehled(); break;
  case "kviz": KKviz(); break;
  case "vyhodnotit": KVyhodnotit(); break;
  case "vysledky": KVysledky(); break;
endswitch;

// Dokonceni tvorby stranky
KonecObrTabulka();  // Vlozeni layout prvku
$vzhledwebu->Generuj();
?>