<?php
######################################################################
# phpRS Plug-in modul: Guestbook funkcie 1.6.2
######################################################################
// Copyright (c) 2005-2006 by Smiko
// http://www.smiko.host.sk/phprs/
// This program is free software under license GNU/GPL. - Toto je bezplatny a svobodny software.

// OCHRANA PROTI NEZELANYM UPRAVAM A SQL INJECTION
function korekcia($input) {

	$input = trim($input);
	$input = htmlspecialchars($input,ENT_QUOTES);
	$input = strip_tags($input);

	if (get_magic_quotes_gpc()) {
		$input = stripslashes($input);
	}
	if (is_numeric($input) == false) {
		$input = mysql_real_escape_string($input);
	}

	return $input;
}

function wrap_text($vstup, $znakov = 25, $break = " ") {

	$arr = explode('[url', $vstup);
	$arr[0] = preg_replace('/([^\s]{'.$znakov.'})/i',"$1$break",$arr[0]);

	for($i = 1; $i < count($arr); $i++) {

		$arr2 = explode('[/url]', $arr[$i]);
		$arr2[1] = preg_replace('/([^\s]{'.$znakov.'})/i',"$1$break",$arr2[1]);
		$arr[$i] = implode('[/url]', $arr2);
	}

	return implode('[url', $arr);
}

function orezat_text($text, $znakov = 100, $oddelovac = "...") {

	if (strlen($text) < $znakov) {
		
		return $text;

	}
	else {

		if ($text[$znakov] === ' ') {

			$medzera = 0;

		}
		else {

			$orezany = substr($text, 0, $znakov);

			$medzera = strlen(strrchr($orezany, ' '));

		}

		return substr($text, 0, $znakov - $medzera) . $oddelovac;
	}
}

// REGULARNE VYRAZY
function recreateInput($input)	{
	$input = preg_replace("(@)", "&#64;", $input);
	$input = preg_replace("/(\[b\])(.+?)(\[\/b\])/i", "<strong>\\2</strong>",  $input);
	$input = preg_replace("/(\[i\])(.+?)(\[\/i\])/i", "<em>\\2</em>", $input);
	$input = preg_replace("/(\[u\])(.+?)(\[\/u\])/i", "<span style=\"text-decoration: underline;\">\\2</span>", $input);
	$input = preg_replace("/(\[pre\])(.+?)(\[\/pre\])/i", "<pre>\\2</pre>", $input);
	$input = preg_replace("/(\[color=(.+?)\])(.+?)(\[\/color\])/i", "<span style=\"color: \\2\">\\3</span>", $input);
	$input = preg_replace("/(\[url\])(.+?)(\[\/url\])/i", "<a href=\"http://\\2\">\\2</a>", $input);
	$input = preg_replace("#\[url=(.*?)\](.*?)\[/url\]#si", "<a href=\"\\1\">\\2</a>", $input);
	//	$input = preg_replace("=(^|\ |\\n)(http:\/\/|https:\/\/|http:\/\/|ftp:\/\/)([a-zA-Z0-9\.\/\-\_]{1,})=i", "\\1<a href=\"\\2\\3\">\\2\\3</a>", $input);
	//	$input = preg_replace("=(^|\ |\\n)(www\.)([a-zA-Z0-9\.\/\-\_]{1,})=i", "\\1<a href=\"http://\\2\\3\">\\2\\3</a>", $input);

	return $input;
}

// SMAJLOVIA - TEXT
function smajl_text() {
	$smajl_text = array(
	':-)',
	';-)',
	':-D',
	':-P',
	':-Z',
	':-*',
	':-(',
	':-L',
	':-o',
	'&gt;:(',
	':-|',
	':-/',
	'8-o',
	'8-)',
	':-E'
         );


	return $smajl_text;
}
// SMAJLOVIA - OBRAZKY
function smajl_obr() {
	$smajl_obr = array(
	'<img src="image/smileys/usmev.gif" alt=":-)" title=":-)" align="middle" />',
	'<img src="image/smileys/wink.gif" alt=";-)" title=";-)" align="middle" />',
	'<img src="image/smileys/laught.gif" alt=":-D" title=":-D" align="middle" />',
	'<img src="image/smileys/jazyk.gif" alt=":-P" title=":-P" align="middle" />',
	'<img src="image/smileys/happy_cry.gif" alt=":-Z)" title=":-Z)" align="middle" />',
	'<img src="image/smileys/pusa.gif" alt=":-*" title=":-*" align="middle" />',
	'<img src="image/smileys/sad.gif" alt=":-(" title=":-(" align="middle" />',
	'<img src="image/smileys/cry.gif" alt=":-L" title=":-L" align="middle" />',
	'<img src="image/smileys/oh.gif" alt=":-O" title=":-O" align="middle" />',
	'<img src="image/smileys/angry.gif" alt=">:(" title=">:(" align="middle" />',
	'<img src="image/smileys/indifferent.gif" alt=":-|" title=":-|" align="middle" />',
	'<img src="image/smileys/ohwell.gif" alt=":-/" title=":-/" align="middle" />',
	'<img src="image/smileys/vyjaveny.gif" alt="8-o" title="8-o" align="middle" />',
	'<img src="image/smileys/cool.gif" alt="8-)" title="8-)" align="middle" />',
	'<img src="image/smileys/biggrin.gif" alt=":-E" title=":-E" align="middle" />'
	);

	return $smajl_obr;
}

// OVEROVANIE POLI - REGULARNE VYRAZY
function overovanie($nameGB,$emailGB,$homepageGB,$messageGB) {

	if ($emailGB === "@") {$emailGB = "";}
	if ($homepageGB === "http://") {$homepageGB = "";}

	$commentGB = array();

	if (empty($nameGB)) {
		$commentGB[] = GB_CHYBA_MENO;
	}

	// zapinanie overenia registrovaneho citatela s prihlasenym mimo administratorskeho rozhrania
	if (basename($_SERVER['PHP_SELF']) == "guestbook.php") {
		// ak nieje prispievatel prihlaseny alebo sa nezhoduje jeho meno z databaze spolu so zadanym
		if (empty($nameGB) === false) {
			if ($GLOBALS['prmyctenar']->ctenarstav != 1 || (($GLOBALS['prmyctenar']->Ukaz("jmeno") !== $nameGB) && ($GLOBALS['prmyctenar']->Ukaz("username") !== $nameGB))) {

				$vytahmena = mysql_query("SELECT 1 FROM ".$GLOBALS['rspredpona']."ctenari WHERE LOWER(jmeno)='".strtolower($nameGB)."' OR LOWER(prezdivka)='".strtolower($nameGB)."'",$GLOBALS['dbspojeni']);
				$existuje = mysql_fetch_row($vytahmena);
				if ($existuje[0]) {
					$commentGB[] = GB_POUZITE_MENO;
				}
			}
		}
	}

	if (empty($messageGB)) {
		$commentGB[] = GB_CHYBA_TEXT;
	}

	if (empty($emailGB) === false) {
		if (!eregi("^[_\\.0-9A-Za-z-]+@([0-9A-Za-z][0-9A-Za-z-]+\\.)+[a-z]{2,5}\$", $emailGB)) {
			$commentGB[] = GB_CHYBA_MAIL;
		}
	}

	if (empty($homepageGB) === false) {
		if (!eregi("^http://.*", $homepageGB) && $homepageGB !== "") {$homepageGB = "http://".$homepageGB;}
		if (!eregi("^http://+[_\\.0-9A-Za-z-]+\\.+[a-z]{2,5}\$", $homepageGB)) {
			$commentGB[] = GB_CHYBA_WEB;
		}
	}

	// HTML zobrazenie chyb
	$vypis = false;
	foreach ($commentGB as $chyba) {
		$vypis .= "<p style=\"color: red\">$chyba</p>\n";
	}

	return $vypis;
}

// JAVASCRIPT A PRIDAVANIE
function javascript($form = "gbform", $input = "messageGB") {
	echo '<script type="text/javascript">
<!--
function ukaz(id) {
	if (document.getElementById("show_"+id).style.display == ""){
		show = "none";
	}
	else{
		show = "";
	}
	document.getElementById("show_"+id).style.display = show;
}
function pridaj(text) {
	var txtarea = document.getElementById("'.$form.'").'.$input.';
	text = " " + text + " ";
	txtarea.value += text;
	txtarea.focus();
}
-->
</script>
';
}

function js_antispam($odkial, $kam) {
	
echo '<script language="javascript" type="text/javascript">
kopirovat = document.getElementById("'.$odkial.'").value;

document.getElementById("'.$kam.'").value = kopirovat;

document.getElementById("overovanie").style.display = "none";
</script>
';
	
}

function pomocnik() {

	$smajl_text = smajl_text();
	$smajl_obr = smajl_obr();

	$help = '<table>
	<tr>
		<td valign="top">
			<a href="javascript:pridaj(\'[b][/b]\')">[b]'.GB_TUCNY.'[/b]</a><br />
			<a href="javascript:pridaj(\'[i][/i]\')">[i]'.GB_KURZIVA.'[/i]</a><br />
			<a href="javascript:pridaj(\'[u][/u]\')">[u]'.GB_PODCIARKNUTY.'[/u]</a><br />
			<a href="javascript:pridaj(\'[pre][/pre]\')">[pre]'.GB_KOD.'[/pre]</a><br />
			<a href="javascript:pridaj(\'[url][/url]\')">[url]http://www.adresa.com[/url]</a><br />
			<a href="javascript:pridaj(\'[url=http://][/url]\')">[url=http://www.adresa.com]nazov[/url]</a>
		</td>
		<td valign="top">
';
	for ($s=0; $s < count($smajl_text); $s++) {

		$help .= '<a href="javascript:pridaj(\''.addslashes($smajl_text[$s]).'\')">'.$smajl_obr[$s].'</a>'."\n";
		if (($s+1)%5 === 0) {
			$help .= "<br />\n";
		}
	}
	$help .= '</td>
	</tr>
</table>
	';

	return $help;
}

// KOLKA STRANA
function strana() {
	if (isset($_GET['page'])) {
		if (!is_numeric($_GET['page']) || empty($_GET['page']) || $_GET['page'] < 0) {
			$page = 1;
		}
		else {
			$page = $_GET['page'];
		}
	}
	else {
		$page = 1;
	}

	return $page;
}

// ---- STRANKOVANIE ----
class strankovanie {

	var $numrows;
	var $pocetprisp;
	var $pocetnav;

	function strankovanie($numrows,$pocetprisp,$pocetnav) {
		$this->numrows = $numrows;
		$this->pocetprisp = $pocetprisp;
		$this->pocetnav = $pocetnav;
	}

	// VYPOCET ZACIATKU PORADOVNIKA
	function poradie() {

		$page = strana();
		$pages_total = ceil($this->numrows / $this->pocetprisp);
		$page_start = floor($page - $this->pocetnav / 2);
		$page_start = $page_start <= 0 ? 1 : $page_start;
		$page_end = ($page_start + $this->pocetnav - 1);
		$page_end = $page_end >= $pages_total ? $pages_total : $page_end;
		$page_max = $page * $this->pocetprisp;
		$max_minus_per_page = $page_max - $this->pocetprisp;
		$page_entry_start = $this->numrows - $max_minus_per_page + 1;

		return $page_entry_start;
	}

	// NAVIGACNA LISTA
	function navigator() {

		$odkial = basename($_SERVER['PHP_SELF']);

		if ($odkial === "guestbook.php") {
			$adresa = "guestbook.php?";
		}
		else {
			$adresa = "".RS_VYKONNYSOUBOR."?akce=Book_show".$GLOBALS['namemodul']."&amp;";
		}

		$page = strana();
		$pages_total = ceil($this->numrows / $this->pocetprisp);
		$page_start = floor($page - $this->pocetnav / 2);
		$page_start = $page_start <= 0 ? 1 : $page_start;
		$page_end = ($page_start + $this->pocetnav - 1);
		$page_end = $page_end >= $pages_total ? $pages_total : $page_end;

		$navlista = "<p class=\"gb_navigator\">\n";
		if ($page > 1) {
			$page_minus = $page-1;
			$navlista .= "\t<a href=\"".$adresa."page=$page_minus\">".GB_NOVSIE."</a> |\n";
		}

		if ($page_start > 1) {
			$navlista .= "\t<a href=\"".$adresa."page=1\">1</a> ... \n";
		}

		for ($i = $page_start; $i <= $page_end; $i++) {
			if ($i == $page) {
				if ($pages_total > 1) {
					$navlista .= "\t[".$i."]\n";
				}
			}
			else {
				$navlista .= "\t<a href=\"".$adresa."page=$i\">".$i."</a>\n";
			}
		}
		if ($page_end < $pages_total) {
			$navlista .= "\t... <a href=\"".$adresa."page=$pages_total\">".$pages_total."</a>\n";
		}

		if ($page < $pages_total) {
			$page_plus = $page+1;
			$navlista .= "\t| <a href=\"".$adresa."page=$page_plus\">".GB_STARSIE."</a>\n";
		}
		$navlista .= "</p>\n";

		return $navlista;
	}
}
// ---- KONIEC STRANKOVANIA ----
?>
