<?php

//////////////////////////////////////////////////////////////////////
// CLASS NAME:  SESSION                                               //
// LANGUAGE:    PHP                                                 //
// AUTHOR:      Julien PACHET                                       //
// EMAIL:       clifden@anarchie.net                                //
// VERSION:     1.0                                                 //
// DATE:        06/10/2002                                          //
//////////////////////////////////////////////////////////////////////
// History:                                                         //
//----------                                                        //
//	Date				Version		Actions                                   //
// ---------------------------------------------------------------- //
//	06/10/2002	1.0				Final version                             //

//////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Need to work: No other file / documents
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// What the class need:
// * Nothing
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// What the class do:
// * Let manipulate the Session variables trought Session system
//   * Store variables
//   * Get Variables
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

// zajist validnost  
// potlaen chybovho hlen u freeweb s nepodporou ini_set
	@ini_set('arg_separator.output', '&amp;'); 

class Session
{
        function Session ()
	{
	   return session_start();
	}

	function register($var,$value)
	{
	  $_SESSION[$var]=$value;  
	}

	function unregister($var)
	{
		return session_unregister($var);
	}

	function is_registered($var)
	{
		return(session_is_registered($var));
	}

	function get($var)
	{
		if ($this->is_registered($var))
			$this->$var=$_SESSION[$var];
		else
			if(isset($GLOBALS[$var]))
				$this->$var = $GLOBALS[$var];
			else
				if (isset($_REQUEST[$var]))
					$this->$var=$_REQUEST[$var];
				else
					$this->$var="empty";
		return($this->$var);
	}

	function id()
	{
	    return(session_id());
	}

	function self()
	{
	    return($_SERVER["PHP_SELF"]);
	}

	function finish()
	{
		session_destroy();
		$_COOKIE=array(); // to change identity of the cookie
	}

}
###############################################################
# Class Login                verze 1.1                        #
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Ureno pro phpRS verze 2.8.8 a vy (http://supersvet.cz)  #
# primrn pro plugin Intern forum -- verze 1.6.0 a vy    #
#                                                             #
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
#                                                             #
# Pi pouit v jinch stech ne intern forum lze vytvoit #
# dal instance vetn dalch nezvislch seznam uivatel #
# nutno zadat jmno pouvan tabulky v argumentu instance    #
# tdy (druh argument, prvn je doba povolen neinnosti v  #
# minutch, standartn nastaven na 10)                       #
#                                                             #
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
#                                                             #
# Poadavky: ptomnost ve uveden tdy Session, kter je  #
#            potomkem                                         #
#                                                             #
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - # 
#                                                             #
#  datum: 12/6/2004                                           #
#                                                             #
#                                                             #                                                            
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# autor Kristian Vrhel (Krypn)                              #
# e-mail: kristian.vrhel@seznam.cz                            #
# www: http://hepbegclub.idt.cz                               #
#                                                             #                                                            
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Do CSS + HTML 4.01 validn podoby upravil Michal afus      #
# e-mail:  michal@nemrum.cz                                   #  
# http://www.nemrum.cz/bg                                     #                          #
#                                                             #                                                            
###############################################################
class Login extends Session  
{   
    var $DatTab,$EndTime;

    //pi pouvn tdy jinde ne v pluginu intforum bude nutno zadat jin jmno 
	// tabulky a rovn zadat jin as do nutnosti novho loginu, v minutch
    function Login($EndTime=10,$DatTab="intforum_privat")
	{
	   $this-> Session();
	   $this-> DatTab = $DatTab;
	   $this-> EndTime = ($EndTime * 60);
	}
	
    function logout() // odstran session
    {
        $this->finish();
        $this->odstransesid();
    }
	
    function testsession()  // jen testovac zobrazen, budes slouit na zobrazen je-li, i ne
    {
         if ($this->is_registered("SesionId")):
            $sesna = $this->get("SesionId");
         else:
            $sesna = " Test-Odregistrovan";
			
         endif;
         return $sesna;
    }	
	function pocatecnilogout() // odstran session pi znovuzavoln fora
    {
        if ($this->is_registered("SesionId")):  
		      $this->odstransesid();
		      $this->unregister("SesionId");          
		endif;
    }
	function idprihlaseneho() // vrac id pihlenho uivatele
    {
        if ($this->is_registered("SesionId")):  
		      $id=$this->dejid($this->get("SesionId"));
		      return $id;        
		endif;
    }
    function odstransesid()  // smae posledn session z databze
    {
     $id=$this->dejid($this->get("SesionId"));
     $odstranimeses = phprs_sql_query("UPDATE ".$GLOBALS["rspredpona"].($this->DatTab)." SET 
            		                               session = '',
												   cas = ''
												    WHERE id = '$id' 
												   ",$GLOBALS["dbspojeni"]);
    if ($odstranimeses):
       return true;  // pi spchu true
    else:
       return false;
    endif;
    }
	
	function dejid($Tid) // vypreparuje id
    {   return SubStr($Tid,12,((StrLen($Tid))-11));
    }
    function dejses($Tid) // vypreparuje session
    {   return SubStr($Tid,0,12);
    }
	function dejheslo() // uniktn slo o 12 znacch
    {
        $better_token = md5 (uniqid (rand())); // better, difficult to guess
        $better_token=SubStr($better_token,0,12);
    return $better_token;
    }
	
    function ulozsesid($id) 
	// vlo do databze as a seseionId
    { 
        $sesna=$this->dejheslo(); 
           $cas=time(); 
		   $this->prohodcas($id);
           $ulozimses = phprs_sql_query("UPDATE ".$GLOBALS["rspredpona"].($this->DatTab)." SET 
					                               session = '$sesna',
												   cas = '$cas',
												   poslednipri = '$cas'												   
												   WHERE id = '$id' 
												   ",$GLOBALS["dbspojeni"]);

        if ($ulozimses):
                $vysledek = $sesna.$id;
                return $sesna.$id;  // pi spchu vrac identifiktor sessionid.idctenare
				
        else:
                return "";
        endif;
     }
    function over($jmeno="",$heslo="")
	{  // ov jmeno a heslo, vrt id pi souhlasu
        
	$jakeheslo=phprs_sql_query("select * from ".$GLOBALS["rspredpona"].($this->DatTab)." where jmeno=\"".$jmeno."\" ",$GLOBALS["dbspojeni"]);   
	  if (!$jakeheslo):  // nezdailo se
	  	    return 0;   
			  
	  else:
	       if ((phprs_sql_num_rows($jakeheslo))!=0):  // heslo nalezeno
	               if ((phprs_sql_result($jakeheslo,0,"heslo"))==(MD5($heslo))):
		                $sesna=(phprs_sql_result($jakeheslo,0,"id"));
						return $sesna;    // nalezeno a odpovd
						
		           else:
				      return 0;           // nalezeno a neodpovd
                   endif;	
			else:
			   return 0;                  // heslo nenalezeno
			endif;	   
		
	  endif;   
	}
	function loguj($jmeno,$heslo) // provede pihlen
    {   // pedpoklad je, e je jmno i heslo zadno, vrt ano/ne
	$vysledekovereni=$this->over($jmeno,$heslo); // vrt id uivatele
	if(!$vysledekovereni):
	   return false;
	else:
	   $sesna=$this->ulozsesid($vysledekovereni); // vrt sloen sessionid
	   if($sesna):
	      $this->register("SesionId",$sesna); //zaregistruje		  
		  return $this->dejid($sesna);  // vrt slo pihlenho (>0)
	   endif;
	endif;    
	   
    } 
	 
	 function prohodcas($id) // pesune as poslednho pihlen do vedlej poloky v databz
	{   // z poloky poslendn
      $cas=phprs_sql_query("select poslednipri as cas from ".$GLOBALS["rspredpona"].($this->DatTab)." where id=\"".$id."\" ",$GLOBALS["dbspojeni"]);   // zskme daje z databze
		$tajm=phprs_sql_result($cas,0,"cas");	// zskn hodnoty poslendho pihlen
		
		$ulozimses = phprs_sql_query("UPDATE ".$GLOBALS["rspredpona"].($this->DatTab)." SET
					                               poslednipriold = '$tajm'												   
												   WHERE id = '$id' 
												   ",$GLOBALS["dbspojeni"]);   
	   
    } 
	 function overenicasu($zrusses=true)  // kdy false, tak jen dotaz
	 {global $casvyprseni;
	 if ($this->is_registered("SesionId")):
		$sesna = $this->get("SesionId");  // zskme session
		$sessi = $this->dejses($sesna);   // rozdlme
		$id = $this->dejid($sesna);   
		    $jakeheslo=phprs_sql_query("select jmeno,heslo,session,cas from ".$GLOBALS["rspredpona"].($this->DatTab)." where id=\"".$id."\" ",$GLOBALS["dbspojeni"]);   // zskme daje z databze
		if (((phprs_sql_result($jakeheslo,0,"session"))==$sessi)
		      and((phprs_sql_result($jakeheslo,0,"cas")+($this->EndTime))>=time())
			  and ((phprs_sql_result($jakeheslo,0,"session"))!="")):
           $test=$this->updatovanicasu(); 
		   return true;
		else:		     
		   // zruen session
		     if ($zrusses):
                   $this->odstransesid();	
			       $this->unregister("SesionId");
				   $this->finish();
				   
		     endif;
			 //return "nestihl";
			 return false;
		endif;
		
	 else:
	   return 0;
	 endif;	 
     }

	 function updatovanicasu()// updatuje as bez vyptvn
	 {	 
	 $id=$this->dejid($this->get("SesionId"));
              	  $cas=time(); 
		          $ulozimses = phprs_sql_query("UPDATE ".$GLOBALS["rspredpona"].($this->DatTab)." SET
					                               cas = '$cas'
												   WHERE id = $id 
												   ",$GLOBALS["dbspojeni"]); 												   
		
	 }
	function zmenahesla($heslo="",$User="")// vlo nov heslo
	 {	 
	 $heslo=MD5($heslo);
		          $ulozimses = phprs_sql_query("UPDATE ".$GLOBALS["rspredpona"].($this->DatTab)." SET
					                              heslo = '$heslo'
												  WHERE jmeno = \"".$User."\"												  												  												   
												   ",$GLOBALS["dbspojeni"]); 
                 if ($ulozimses):
				 return true;
				 else:
				 return false;
				 endif;												   
		 
	 } 
	 
	 
	 
}
?>