DROP TABLE IF EXISTS `rs_kviz_kvizy`;
CREATE TABLE `rs_kviz_kvizy` (
  `idk` int(10) unsigned NOT NULL auto_increment,
  `nazev` varchar(20) NOT NULL default '',
  `popis` text NOT NULL,
  `platnost_od` datetime NOT NULL default '0000-00-00 00:00:00',
  `platnost_do` datetime NOT NULL default '0000-00-00 00:00:00',
  `level` tinyint(3) unsigned NOT NULL default '1',
  `vysledky` tinyint(3) unsigned NOT NULL default '0',
  `stav` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`idk`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `rs_kviz_otazky`;
CREATE TABLE `rs_kviz_otazky` (
  `ido` int(10) unsigned NOT NULL auto_increment,
  `kviz` tinyint(3) unsigned NOT NULL default '0',
  `otazka` varchar(150) NOT NULL default '',
  `vysledek` char(1) NOT NULL default 'a',
  `odpoved_a` varchar(100) NOT NULL default '',
  `odpoved_b` varchar(100) NOT NULL default '',
  `odpoved_c` varchar(100) NOT NULL default '',
  `odpoved_d` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`ido`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `rs_kviz_vysledky`;
CREATE TABLE `rs_kviz_vysledky` (
  `idv` int(10) unsigned NOT NULL auto_increment,
  `kviz` tinyint(3) unsigned NOT NULL default '0',
  `cas` datetime NOT NULL default '0000-00-00 00:00:00',
  `jmeno` varchar(15) NOT NULL default '',
  `spravne` int(2) NOT NULL default '0',
  `pocetotazek` int(2) NOT NULL default '0',
  PRIMARY KEY  (`idv`)
) TYPE=MyISAM;