# zalozime config tabulku

CREATE TABLE rs_multimediaconf (
id int unsigned NOT NULL auto_increment primary key,
okno tinyint unsigned not null default 1,
color varchar(6) not null,
bgcolor varchar(6) not null,
textcolor varchar(6) not null,
vimage varchar(100) not null,
blok varchar(3) not null,
pocet_vypis varchar(3) not null,
levelzobraz tinyint unsigned not null default 0,
level_conf tinyint unsigned not null default 1,
infotext varchar(255) not null
);

# zadame preddefinovane konfiguracni hodnoty

insert into rs_multimediaconf values
(1,1,'000000','000000','ffffff','multimedia/img/film.jpg',5,10,0,1,'Nemte oprvnn pro pehrn tohoto souboru. Pro vce informac kontaktujte administrtora webu');

# zalozime tabulku s multimedii

create table rs_multimedia (
id int unsigned NOT NULL auto_increment primary key,
typ tinyint unsigned not null,
nazev varchar(100) not null,
popis text not null,
adresa varchar(100) not null,
action_media tinyint unsigned not null default 1,
color varchar(6) not null,
bgcolor varchar(6) not null,
textcolor varchar(6) not null,
title varchar(100) not null,
loop_media tinyint unsigned not null default 1,
viewinfo tinyint unsigned not null default 1,
vimage varchar(100) not null,
buffer tinyint unsigned not null default 3,
level_media tinyint unsigned not null default 0,
zverejnit tinyint unsigned not null default 1,
visit int unsigned not null default 0
);
